<?php

class Bootstrap extends Zend_Application_Bootstrap_Bootstrap
{
    /**
     * generate registry
     * @return Zend_Registry
     */
    protected function _initRegistry()
    {
        $registry = Zend_Registry::getInstance();
        return $registry;
    }

    /**
     * Register namespace Default_
     * @return Zend_Application_Module_Autoloader
     */
    protected function _initAutoload()
    {
        $autoloader = new Zend_Application_Module_Autoloader(array(
            'namespace' => 'Default_',
            'basePath'  => dirname(__FILE__),
        ));
        return $autoloader;
    }

    /**
     * Initialize Doctrine
     * @return Doctrine_Manager
     */
    public function _initDoctrine()
    {
        require_once('Doctrine/Common/ClassLoader.php');
        $classLoader = new \Doctrine\Common\ClassLoader(
            'Doctrine',
            APPLICATION_PATH . '/../library/'
        );
        $classLoader->register();
        $config = new \Doctrine\ORM\Configuration();
        $cache = new \Doctrine\Common\Cache\ArrayCache;
        $config->setMetadataCacheImpl($cache);
        $config->setQueryCacheImpl($cache);
        $driver = $config->newDefaultAnnotationDriver(
            APPLICATION_PATH . '/Models',
            false
        );
        $config->setMetadataDriverImpl($driver);
        $config->setProxyDir(APPLICATION_PATH . '/Models/Proxies');
        $config->setAutoGenerateProxyClasses(true);
        $config->setProxyNamespace('App\Proxies');
        $connectionSettings = [
            'driver'    => 'pdo_mysql',
            'user'      => "root",
            'password'  => "",
            'dbname'    => "crescita",
            'host'      => "localhost",
        ];
        
        //Define constants for manual data access
        defined('DB_USER') || define('DB_USER', $connectionSettings["user"]);
        defined('DB_PASSWORD') || define('DB_PASSWORD', $connectionSettings["password"]);
        defined('DB_NAME') || define('DB_NAME', $connectionSettings["dbname"]);
        defined('HOSTNAME') || define('HOSTNAME', $connectionSettings["host"]);

        $entityManager = \Doctrine\ORM\EntityManager::create($connectionSettings, $config);
        $registry = Zend_Registry::getInstance();
        $registry->entitymanager = $entityManager;
        return $entityManager;
    }
}
