<?php

include APPLICATION_PATH . '/Models/ActiviteRendezVous.php';

class AppointmentActivityDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\ActiviteRendezVous";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\ActiviteRendezVous
     */
    public function create()
    {
        return new \Application\Models\ActiviteRendezVous();
    }

    /**
     * 
     * @param \Application\Models\ActiviteRendezVous
     */
    public function save($appointmentActivity)
    {
        $this->entityManager->persist($appointmentActivity);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\ActiviteRendezVous
     */
    public function update($appointmentActivity)
    {
        $this->entityManager->merge($appointmentActivity);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\ActiviteRendezVous
     */
    public function getAppointmentActivityById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param string $title
     * @return \Application\Models\ActiviteRendezVous
     */
    public function getAppointmentActivityByTitle($title)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('titre' => $title, 'statut' => 1));
    }

    /**
     * 
     * @return \Application\Models\ActiviteRendezVous[]
     */
    public function getAllAppointmentActivities()
    {
        return $this->entityManager->getRepository($this->modelName)
            ->findBy(array('statut' => 1), array('idActivite' => 'DESC'));
    }

    /**
     * 
     * @param string $title
     * @param \Application\Models\ActiviteRendezVous $appointmentActivity
     */
    public function appointmentActivityTitleAlreadyExists($name, $appointmentActivity = null)
    {
        $appointmentActivitiesList = $this->entityManager->getRepository($this->modelName)->findBy(array("titre" => $name, "statut" => 1));
        return $appointmentActivity != null ?
            count($appointmentActivitiesList) > 0 && $appointmentActivitiesList[0] != $appointmentActivity
            : count($appointmentActivitiesList) > 0;
    }
}
