<?php

/*
 * Model's functions of ArticlePrix Entity
 */

/**
 * @author Paul BOUMKWO
 */

include APPLICATION_PATH . '/Models/ArticlePrix.php';

class ArticlePrixDAO {
    //put your code here
    
    public $_em;
    
    function ArticlePrixDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\ArticlePrix $articlePrix
     */
    public function enregistrer($articlePrix){
        $this->_em->persist($articlePrix);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\ArticlePrix $articlePrix
     */
    public function editer($articlePrix){
        $this->_em->merge($articlePrix);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\ArticlePrix
     */
    public function getArticlePrix($id){
        $menu = $this->_em->getRepository('\Application\Models\ArticlePrix')->find($id);
        return $menu;
    }
    
    /**
     * 
     * @param Application\Models\Article $article
     * @return Application\Models\ArticlePrix
     */
    public function getPrix($article){
        $prix = $this->_em->getRepository("\Application\Models\ArticlePrix")->findOneBy(array("statut" => 1 , "idArticle" => $article));
        return $prix;
    }
    
    public function listerArticlePrix(){
        $listeArticlePrix = $this->_em->getRepository("\Application\Models\ArticlePrix")->createQueryBuilder("p")
                                 ->where("p.statut = 1")
                                 ->join("p.idArticle","a")
                                 ->orderBy("a.nom","ASC")
                                 ->getQuery()
                                 ->getResult();
//        $listeArticlePrix = $this->_em->getRepository("\Application\Models\ArticlePrix")->findBy(array("statut" => 1),array("idArticle.nom" => "ASC"));
        return $listeArticlePrix;
    }
    
}
