<?php

include APPLICATION_PATH . '/Models/Marque.php';

class BrandDAO {
    
    public $entityManager;
    
    function BrandDAO(){
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\Marque $brand
     */
    public function save($brand){
        $this->entityManager->persist($brand);
        $this->entityManager->flush();
    }
    
    /**
     * 
     * @param Application\Models\Marque $brand
     */
    public function update($brand){
        $this->entityManager->merge($brand);
        $this->entityManager->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\Marque
     */
    public function getBrandById($id){
        $brand = $this->entityManager->getRepository('\Application\Models\Marque')->find($id);
        return $brand;
    }
    
    /**
     * 
     * @return \Application\Models\Marque
     */
    public function getBrands(){
        $brandsList = $this->entityManager->getRepository("\Application\Models\Marque")->findBy(array("statut" => 1),array("nom" => "ASC"));
        return $brandsList;
    }
    
    /**
     * 
     * @param string $name
     * @return \Application\Models\Marque
     */
    public function getBrandByName($name){
        $brand = $this->entityManager->getRepository("\Application\Models\Marque")->findOneBy(array("nom" => $name , "statut" => 1));
        return $brand;
    }
    
    /**
     * 
     * @param string $name
     * @param \Application\Models\Marque $brand
     * @return boolean
     */
    public function checkBrandNameExist( $name  , $brand = null){
        $potentialBrand = $this->entityManager->getRepository("\Application\Models\Marque")->findOneBy(array("nom" => $name , "statut" => 1));
        return $brand != null ?
                $potentialBrand != null && $potentialBrand == $brand ? true : false
                : $potentialBrand != null ? true : false;
    }
    
    /**
     * 
     * @param string $name
     * @return \Application\Models\Marque
     */
    public function searchBrandByName( $name ){
        $brandsList = $this->entityManager->getRepository("\Application\Models\Marque")->createQueryBuilder("m")
                           ->where("m.statut = 1")
                           ->andWhere("UPPER(m.nom) LIKE :name")
                           ->setParameter("name" , '%'.strtoupper(trim($name)) . '%')
                           ->getQuery()
                           ->getResult();
        return $brandsList;
    }
   
}
