<?php

/*
 * Model's functions of CateristiquesStock Entity
 */

/**
 * @author Nicolas
 * @email noussinic@yahoo.fr
 */

include APPLICATION_PATH . '/Models/CaracteristiqueStock.php';

class CaracteristiqueStockDAO {
    
    public $_em;
    
    function CaracteristiqueStockDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\CaracteristiqueStock $caracteristiqueStock
     */
    public function enregistrer($caracteristiqueStock){
        $this->_em->persist($caracteristiqueStock);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\CarateristiqueStock $caracteristiqueStock
     */
    public function editer($caracteristiqueStock){
        $this->_em->merge($caracteristiqueStock);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\CaracteristiqueStock
     */
    public function getCaracteristiqueStock($id){
        $activiteRendezVous = $this->_em->getRepository('\Application\Models\CaracteristiqueStock')->find($id);
        return $activiteRendezVous;
    }
    
    public function getCaracteristiqueStockOfStock($stock){
        $caracteristiqueStocks = $this->_em->getRepository("\Application\Models\CaracteristiqueStock")->findBy(array("idStock" => $stock , "statut" => 1));
        return $caracteristiqueStocks;
    }
    
    public function getSimilairesStockDuStock($stock, $caracteristiques, $magasin){
        try{
            $similairesStocksTmp = $this->_em->getRepository("\Application\Models\Stock")->createQueryBuilder("s")
                               ->where("s.quantite > 0")
                               ->andWhere("s.idStock <> :stock")
                               ->setParameter("stock" , $stock)
                               ->andWhere("s.statut = 1")
                               ->andWhere("s.idProduit = :produit")
                               ->setParameter("produit" , $stock->getIdProduit());

            if ( $magasin ){
                 $similairesStocksTmp->andWhere("s.idMagasin = :magasin ")
                           ->setParameter("magasin" , $magasin);
            }
            
             $similairesStocksTmp = $similairesStocksTmp->getQuery()->getResult();
             
             ////
             
             $similairesStocks = array();
       
             if ( is_array($caracteristiques) && count($caracteristiques)>0){
                 foreach ($similairesStocksTmp as $unStockSimilaire){
                    //les caractéristiques du stock supposé similaire
                    $caracteristiqueStock = $this->getCaracteristiqueStockOfStock($unStockSimilaire);
                    if(count($caracteristiqueStock) != count($caracteristiques)){
                        continue; //si n'ont pas le même nombre de critère ça sert à rien de continuer
                    }
                    $critereDifferent = false;
                    foreach ($caracteristiqueStock as $caracteristiquesDuStockSimilaire)
                    {
                        $valeurOuverte = $caracteristiquesDuStockSimilaire->getValeurOuverte();
                        if (!in_array($valeurOuverte, $caracteristiques)){
                            $critereDifferent = true;
                            break; //si la caractéristique du stock similaire n'est pas dans celle en paramère  on quitte   
                        }
                    } 
                    
                    if($critereDifferent){
                        continue;
                    }
                    
                     $similairesStocks[] = $unStockSimilaire;
                 }
            }
             else
            {
                $similairesStocks = $similairesStocksTmp;
            }
           
        }
        catch (\Exception $e){
                die("Erreur: ".$e->getMessage());
        }
        return $similairesStocks;
    }
    
}
