<?php

/*
 * Model's functions of CritereStock Entity
 */

/**
 * @author Nicolas
 * @email noussinic@yahoo.fr
 */

include APPLICATION_PATH . '/Models/CritereStock.php';

class CritereStockDAO {
    
    public $_em;
    
    function CritereStockDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\CritereStock $critereStock
     */
    public function enregistrer($critereStock){
        $this->_em->persist($critereStock);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\CritereStock $critereStock
     */
    public function editer($critereStock){
        $this->_em->merge($critereStock);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\CritereStock
     */
    public function getCritereStock($id){
        $critereStock = $this->_em->getRepository('\Application\Models\CritereStock')->find($id);
        return $critereStock;
    }
    
    public function getCritereByNom($nom){
        $critereStock = $this->_em->getRepository("\Application\Models\CritereStock")->findOneBy(array("nomCritere" => $nom , "statut" => 1));
        return $critereStock;
    }
    
    public function listeCriteres(){
        $critereStocks = $this->_em->getRepository("\Application\Models\CritereStock")->findBy(array("statut" => 1) , array("ordre" => "ASC"));
        return $critereStocks;
    }
    
}
