<?php

include APPLICATION_PATH . '/Models/MouvementCompteClient.php';

class CustomerAccountMovementDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\MouvementCompteClient";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create()
    {
        return new \Application\Models\MouvementCompteClient();
    }

    public function save($customerAccountMovement)
    {
        $this->entityManager->persist($customerAccountMovement);
        $this->entityManager->flush();
    }

    public function update($customerAccountMovement)
    {
        $this->entityManager->merge($customerAccountMovement);
        $this->entityManager->flush();
    }

    public function getCustomerAccountMovementById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getCustomerAccountMovementByCustomerAccount($customerAccount)
    {
        return $this->entityManager->getRepository($this->modelName)->createQueryBuilder("a")
            ->where("a.statut = 1")
            ->andWhere("a.idCompteClient = :customerAccount")
            ->setParameter("customerAccount", $customerAccount)
            ->orderBy("a.idMouvementCompteClient", "DESC")
            ->getQuery()
            ->getResult();
    }

    public function listCustomerAccountMovements()
    {
        return $this->entityManager->getRepository("\Application\Models\MouvementCompteClient")->createQueryBuilder("a")
            ->where("a.statut = 1")
            ->getQuery()
            ->getResult();
    }
}
