<?php

include APPLICATION_PATH . '/Models/PrixProduitClient.php';

class CustomerProductPriceDAO {
    
    public $entityManager;
   
    private $modelName = "\Application\Models\PrixProduitClient";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }
    
    public function create()
    {
        return new \Application\Models\PromotionProduit();
    }

    public function save($promotion)
    {
        $this->entityManager->persist($promotion);
        $this->entityManager->flush();
    }

    public function update($promotion)
    {
        $this->entityManager->merge($promotion);
        $this->entityManager->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\PrixProduitClient
     */
    public function getCustumerProductPrice($id){
        $costumerProductPrice = $this->_em->getRepository($this->modelName)->find($id);
        return $costumerProductPrice;
    }

    public function getCustumerPriceByProductAndClient($product , $customer){
        $custumerProductPrice = $this->_em->getRepository($this->modelName)->findOneBy(array("idProduit" => $product , "idClient" => $customer));
        return $custumerProductPrice;
    }
   
}
