<?php

include  APPLICATION_PATH. '/Models/ProfilClient.php';

class CustomerProfileDAO {
    
    public $entityManager;
    
    function CustomerProfileDAO(){
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }
    
    public function save($clientProfile){
        $this->entityManager->persist($clientProfile);
        $this->entityManager->flush();
    }
    
    public function update($clientProfile){
        $this->entityManager->merge($clientProfile);
        $this->entityManager->flush();
    }
    
    public function getClientProfileById($id){
        $clientProfile = $this->entityManager->getRepository("\Application\Models\ProfilClient")->find($id);
        return $clientProfile;
    }
    
    public function getClientProfileByMinimumPoints($minimumPoints){
        $clientProfile = $this->entityManager->getRepository("\Application\Models\ProfilClient")->findOneBy(array("pointsMinimum" => $minimumPoints , "statut" => 1));
        return $clientProfile;
    }
    
    public function getClientProfileLessOrEqualToPoints($points){
        $clientProfilesList = $this->entityManager->getRepository("\Application\Models\ProfilClient")->createQueryBuilder("p")
                                   ->where("p.statut = 1")
                                   ->andWhere("p.pointsMinimum <= :point")
                                   ->setParameter("point" , $points)
                                   ->orderBy("p.pointsMinimum" , "DESC")
                                   ->setMaxResults(1)
                                   ->getQuery()
                                   ->getResult();
        return $clientProfilesList;
    }
    
    public function getClientProfilePointsAscendantOrder(){
        $clientProfilesList = $this->entityManager->getRepository("\Application\Models\ProfilClient")->createQueryBuilder("p")
                                   ->where("p.statut = 1")
                                   ->orderBy("p.pointsMinimum" , "ASC")
                                   ->setMaxResults(1)
                                   ->getQuery()
                                   ->getResult();
        return $clientProfilesList;
    }
}

