<?php

include  APPLICATION_PATH . '/Models/CategorieEntree.php';

class EntryCategoryDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\CategorieEntree";

    function EntryCategoryDAO()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\CategorieEntree
     */
    public function create()
    {
        return new \Application\Models\CategorieEntree();
    }

    public function save($entryCategory)
    {
        $this->entityManager->persist($entryCategory);
        $this->entityManager->flush();
    }

    public function update($entryCategory)
    {
        $this->entityManager->merge($entryCategory);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\CategorieEntree
     */
    public function getEntryCategoryById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getEntryCategoryByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('nom' => $name, 'statut' => 1));
    }

    public function getAllEntryCategories()
    {
        return $this->entityManager->getRepository($this->modelName)
            ->findBy(array('statut' => 1), array('idCategorieEntree' => 'DESC'));
    }

    public function entryCategoryNameAlreadyExists($name, $entryCategory = null)
    {
        $entryCategoryList = $this->entityManager->getRepository($this->modelName)->findBy(array("nom" => $name, "statut" => 1));
        return $entryCategory != null ?
            count($entryCategoryList) > 0 && $entryCategoryList[0] != $entryCategory
            : count($entryCategoryList) > 0;
    }
}
