<?php

include APPLICATION_PATH . '/Models/TypeSortieExceptionnelle.php';

class ExceptionalOutingTypeDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\TypeSortieExceptionnelle";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\TypeSortieExceptionnelle
     */
    public function create()
    {
        return new \Application\Models\TypeSortieExceptionnelle();
    }

    /**
     * 
     * @param \Application\Models\TypeSortieExceptionnelle $exceptionalOutingType
     */
    public function save($exceptionalOutingType)
    {
        $this->entityManager->persist($exceptionalOutingType);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\TypeSortieExceptionnelle $exceptionalOutingType
     */
    public function update($exceptionalOutingType)
    {
        $this->entityManager->merge($exceptionalOutingType);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\TypeSortieExceptionnelle
     */
    public function getExceptionalOutingTypeById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param string $code
     * @return \Application\Models\TypeSortieExceptionnelle
     */
    public function getExceptionalOutingTypeByCode($code)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("code" => $code, "statut" => 1));
    }

    public function checkExceptionalOutingTypeNameExist($name, $exceptionalOutingType = null)
    {
        $possibleType = $this->entityManager->getRepository($this->modelName)->findOneBy(array("nom" => $name, "statut" => 1));
        return $exceptionalOutingType != null ?
            $possibleType != null && $possibleType != $exceptionalOutingType
            : $possibleType != null;
    }

    public function checkExceptionalOutingTypeCodeExist($code, $exceptionalOutingType = null)
    {
        $possibleType = $this->entityManager->getRepository($this->modelName)->findOneBy(array("code" => $code, "statut" => 1));
        return $exceptionalOutingType != null ?
            $possibleType != null && $possibleType != $exceptionalOutingType
            : $possibleType != null;
    }

    public function getAllExceptionalOutingTypes()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }
}
