<?php

include APPLICATION_PATH . '/Models/CategorieDepense.php';

class ExpenseCategoryDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\CategorieDepense";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\CategorieDepense
     */
    public function create()
    {
        return new \Application\Models\CategorieDepense();
    }

    /**
     * 
     * @param \Application\Models\CategorieDepense $expenseCategory
     */
    public function save($expenseCategory)
    {
        $this->entityManager->persist($expenseCategory);
        $this->entityManager->flush();
    }

     /**
     * 
     * @param \Application\Models\CategorieDepense $expenseCategory
     */
    public function update($expenseCategory)
    {
        $this->entityManager->merge($expenseCategory);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\CategorieDepense
     */
    public function getExpenseCategoryById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getExpenseCategoryByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('nom' => $name, 'statut' => 1));
    }

    public function getAllExpenseCategories()
    {
        return $this->entityManager->getRepository($this->modelName)
            ->findBy(array('statut' => 1), array('idCategorieDepense' => 'DESC'));
    }

    public function expenseCategoryNameAlreadyExists($name, $expenseCategory = null)
    {
        $expenseCategoryList = $this->entityManager->getRepository($this->modelName)->findBy(array("nom" => $name, "statut" => 1));
        return $expenseCategory != null ?
            count($expenseCategoryList) > 0 && $expenseCategoryList[0] != $expenseCategory
            : count($expenseCategoryList) > 0;
    }
}
