<?php

/*
 * Model's functions of Inventaire Entity
 */

/**
 * @author Lionel Wendeu
 */

include APPLICATION_PATH . '/Models/Inventaire.php';

class InventaireDAO {
    //put your code here
    
    public $_em;
    
    function InventaireDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\Inventarie $inventaire
     */
    public function enregistrer($inventaire){
        $this->_em->persist($inventaire);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\Inventaire $inventaire
     */
    public function editer($inventaire){
        $this->_em->merge($inventaire);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\Inventaire
     */
    public function getInventaire($id){
        $inventaire = $this->_em->getRepository('\Application\Models\Inventaire')->find($id);
        return $inventaire;
    }
    
	
    public function listerInventaire(){
//        $listeInventaire = $this->_em->getRepository("\Application\Models\Inventaire")->findBy(array("statut" => 1));
        $listeInventaire = $this->_em->getRepository("\Application\Models\Inventaire")->findAll();
        return $listeInventaire;
    }
    
    /**
     * 
     */
     public function supprimer($inventaire){
        
        $this->_em->remove($inventaire);
        $this->_em->flush();
    }
	
    public function listerInventaireNonValide(){
        $listeInventaire = $this->_em->getRepository("\Application\Models\Inventaire")->findBy(array("valider" => (int)INVENTAIRE_NON_VALIDE)); ///parametre
        return $listeInventaire;
    }
    
     public function listerInventaireNonCloture(){
        $listeInventaire = $this->_em->getRepository("\Application\Models\Inventaire")->findBy(array("cloturer" => (int)INVENTAIRE_NON_CLOTURE)); ///parametre
        return $listeInventaire;
    }
     public function listerInventaireNonApure(){
        $listeInventaire = $this->_em->getRepository("\Application\Models\Inventaire")->findBy(array("apurer" => (int)INVENTAIRE_NON_APURE)); ///parametre
        return $listeInventaire;
    }
   
    
   
}
