<?php

/*
 * Model's functions of LigneInventaire Entity
 */

/**
 * @author L. Wendeu
 */

include APPLICATION_PATH . '/Models/LigneInventaire.php';

class LigneInventaireDAO {
    //put your code here
    
    function LigneInventaireDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\LigneInventaire $ligneInventaire
     */
    public function enregistrer($ligneInventaire){
        $this->_em->persist($ligneInventaire);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\LigneInventaire $ligneInventaire
     */
    public function editer($ligneInventaire){
        $this->_em->merge($ligneInventaire);
        $this->_em->flush();
    }
    
    /**
     * 
     */
     public function supprimer($ligneInventaire){
        
        $this->_em->remove($ligneInventaire);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\LigneInventaire
     */
    public function getLigneInventaire($id){
        $ligne = $this->_em->getRepository('\Application\Models\LigneInventaire')->find($id);
        return $ligne;
    }
    
    
    
    /**
     * 
     * @param \Application\Models\Inventaire $inventaire
     * @return Array of \Application\Models\LigneInventaire
     */
    public function listerLigneInventaire($inventaire){
        $listeLigneInventaire = $this->_em->getRepository("\Application\Models\LigneInventaire")->findBy(array("idInventaire" => $inventaire));
        return $listeLigneInventaire;
    }
    
	 
	/**
     * 
     * @param \Application\Models\Inventaire $inventaire
     * @param \Application\Models\CategorieProduit $categorie
     * @return Array of \Application\Models\LigneInventaire
     */
    public function listerLigneInventaire1($inventaire, $categorie){
        
        $listeLigneSortie = $this->_em->createQueryBuilder() 
                ->select('li')
                ->from('\Application\Models\LigneInventaire','li') 
                ->innerJoin('li.idInventaire','i')
                ->innerJoin('li.idStock', 's')
                ->innerJoin('s.idProduit', 'p')
                ->innerJoin('p.idCategorieProduit', 'c')
//                ->where("i.cloturer = 1")
                ->Where("li.idInventaire = i.idInventaire")
                ->andWhere("li.idStock = s.idStock")
                ->andWhere("s.idProduit = p.idProduit")
                ->andWhere("p.idCategorieProduit = c.idCategorie");
              
              if($categorie!= null)
              {
                  $listeLigneSortie->andWhere(' p.idCategorieProduit = :categorie ')
                    ->setParameter('categorie', $categorie);
              }
              
              if($inventaire!= null)
              {
                  $listeLigneSortie->andWhere(' li.idInventaire = :inventaire ')
                    ->setParameter('inventaire', $inventaire);
              }
              
              $listeLigneSortie->orderBy('p.priorite', 'DESC');
              
              
        return $listeLigneSortie->getQuery()->getResult();
        
    }
    
	
	/**
     * 
     * @param \Application\Models\Inventaire $inventaire
     * @param \Application\Models\CategorieProduit $categorie
     * @return Array of \Application\Models\LigneInventaire
     */
    public function listerLigneInventaireImprimable($inventaire, $categorie){
        
        $listeLigneSortie = $this->_em->createQueryBuilder() 
                ->select('li')
                ->from('\Application\Models\LigneInventaire','li') 
                ->innerJoin('li.idInventaire','i')
                ->innerJoin('li.idStock', 's')
                ->innerJoin('s.idProduit', 'p')
                ->innerJoin('p.idCategorieProduit', 'c')
//                ->where("i.cloturer = 1")
                ->Where("li.idInventaire = i.idInventaire")
                ->andWhere("li.idStock = s.idStock")
                ->andWhere("s.idProduit = p.idProduit")
                ->andWhere("p.idCategorieProduit = c.idCategorie")
                ->andWhere("p.inventorier = 1");
              
              if($categorie!= null)
              {
                  $listeLigneSortie->andWhere(' p.idCategorieProduit = :categorie ')
                    ->setParameter('categorie', $categorie);
              }
              
              if($inventaire!= null)
              {
                  $listeLigneSortie->andWhere(' li.idInventaire = :inventaire ')
                    ->setParameter('inventaire', $inventaire);
              }
              
              $listeLigneSortie->orderBy('p.priorite', 'DESC');
              
              
        return $listeLigneSortie->getQuery()->getResult();
        
    }
   
	
}
