<?php

/*
 * Model's functions of Facture Entity
 */

/**
 * @author Lionel
 */

include APPLICATION_PATH . '/Models/LigneLivraison.php';

class LigneLivraisonDAO {
    //put your code here
    
    function LigneLivraisonDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\LigneLivraison $ligneLivraison
     */
    public function enregistrer($ligneLivraison){
        $this->_em->persist($ligneLivraison);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\LigneLivraison $ligneLivraison
     */
    public function editer($ligneLivraison){
        $this->_em->merge($ligneLivraison);
        $this->_em->flush();
    }
    
    /**
     * 
     * @param integer $id
     * @return Application\Models\LigneLivraison
     */
    public function getLigneLivraison($id){
        $ligneLivraison = $this->_em->getRepository('\Application\Models\LigneLivraison')->find($id);
        return $ligneLivraison;
    }
     public function getMaxNumeroLivraison(){
        $maxNumber=  $this->_em->createQueryBuilder() 
                                    ->select("Max(ll.numeroLivraison) as maximum")
                                    ->from('\Application\Models\LigneLivraison','ll') 
                                    ->where("ll.statut = 1")
                                    ->getQuery()
                                    ->getSingleScalarResult();
        return $maxNumber;
    }
    
     public function getLivraisonAmountByBillId($billId){
        $montant=  $this->_em->createQueryBuilder() 
                                    ->select("SUM(ll.quantite * ll.prixUnitaire) as montant")
                                    ->from('\Application\Models\LigneLivraison','ll')
                                    ->innerJoin('ll.idLigneFacturec','lv')
                                    ->where("ll.statut = 1")
                                    ->andWhere("lv.statut = 1")
                                    ->andWhere("lv.idFacture = :idfact")
                                    ->setParameter("idfact",$billId)
                                    ->getQuery()
                                    ->getSingleScalarResult(); 
        return $montant;
    }
    
    public function getLigneLivraisionParFacture($facture)
    {
      $result = $this->_em->createQueryBuilder() 
            ->select('a')
            ->from('\Application\Models\LigneLivraison','a') 
            ->innerJoin('a.idLigneFacturec','b')
            ->where("a.statut = 1")
            ->andWhere("b.statut = 1")
            ->andWhere("b.idFacture = :idfact")
            ->setParameter("idfact",$facture)
            ->getQuery()
            ->getResult();
           
      return $result;
           
    }
    
    
    public function getLigneLivraisionParNumeroLivraison($numero)
    {
      $result = $this->_em->createQueryBuilder() 
            ->select('a')
            ->from('\Application\Models\LigneLivraison','a') 
             ->where("a.statut = 1")
            ->andWhere("a.numeroLivraison = :num")
            ->setParameter("num",$numero)
            ->getQuery()
            ->getResult();
           
      return $result;
           
    }
    
}
