<?php

include APPLICATION_PATH . '/Models/Log.php';

class LogDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\Log";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\Log
     */
    public function create()
    {
        return new \Application\Models\Log();
    }

    /**
     * 
     * @param string $description
     * @param DateTime $date
     */
    public static function registerOperationForCurrentUser($description, $date = null)
    {
        if (is_null($date)) $date = new DateTime();
        $userDao = new UserDAO();
        $currentUser = $userDao->getUserById((int)$_SESSION[SESSION_USER_ID]);
        $entityManager = $userDao->entityManager;
        $log = new Application\Models\Log();
        $log->setIdUtilisateur($currentUser);
        $log->setDateEnreg($date);
        $log->setDescriptionLog($description);
        $entityManager->persist($log);
        $entityManager->flush();
        $currentUser->setLastActionDate($date);
        $userDao->update($currentUser);
    }

    /**
     * 
     * @param \Application\Models\Utilisateur $user
     * @param string $description
     * @param DateTime $date
     */
    public static function registerOperationForUser($user, $description, $date = null) {
        if (is_null($date)) $date = new DateTime();
        $userDao = new UserDAO();
        $entityManager = $userDao->entityManager;
        $log = new Application\Models\Log();
        $log->setIdUtilisateur($user);
        $log->setDateEnreg($date);
        $log->setDescriptionLog($description);
        $entityManager->persist($log);
        $entityManager->flush();
    }

    public static function updateLastActionDateForCurrentUser() {
        $userDao = new UserDAO();
        $currentUser = $userDao->getUserById((int)$_SESSION[SESSION_USER_ID]);
        $currentUser->setLastActionDate($_SESSION[LAST_ACTION_DATE]);
        $userDao->update($currentUser);
    }

    /**
     * 
     * @param DateTime $loginDate
     */
    public static function updateLastLoginDateForCurrentUser($loginDate) {
        $userDao = new UserDAO();
        $currentUser = $userDao->getUserById((int)$_SESSION[SESSION_USER_ID]);
        $currentUser->setLastLoginDate($loginDate);
        $userDao->update($currentUser);
    }

    /**
     * 
     * @param DateTime $logoutDate
     */
    public static function updateLastLogoutDateForCurrentUser($logoutDate) {
        $userDao = new UserDAO();
        $currentUser = $userDao->getUserById((int)$_SESSION[SESSION_USER_ID]);
        $currentUser->setLastLogoutDate($logoutDate);
        $userDao->update($currentUser);
    }

    /**
     * 
     * @return \Application\Models\Utilisateur
     */
    public static function getCurrentUser()
    {
        $userDao = new UserDAO();
        return $userDao->getUserById((int)$_SESSION[SESSION_USER_ID]);
    }

    /**
     * 
     * @param \Application\Models\Log
     */
    public function save($log)
    {
        $this->entityManager->persist($log);
        $this->entityManager->flush();
    }
}
