<?php

include APPLICATION_PATH . '/Models/PointCarteFidelite.php';

class LoyaltyCardPointDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\PointCarteFidelite";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\PointCarteFidelite
     */
    public function create()
    {
        return new \Application\Models\PointCarteFidelite();
    }

    /**
     * 
     * @param \Application\Models\PointCarteFidelite $loyaltyCardPoint
     */
    public function save($loyaltyCardPoint)
    {
        $this->entityManager->persist($loyaltyCardPoint);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\PointCarteFidelite $loyaltyCardPoint
     */
    public function update($loyaltyCardPoint)
    {
        $this->entityManager->merge($loyaltyCardPoint);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\CarteFidelite $loyaltyCard
     * @param DateTime $targetDate
     * @return int
     */
    public function getPointsOfLoyaltyCard($loyaltyCard, $targetDate = null)
    {
        if ($targetDate == null) $targetDate = new DateTime();
        return $this->entityManager->getRepository($this->modelName)->createQueryBuilder("p")
            ->select("SUM(p.quantitePoint) AS point")
            ->where("p.dateExpiration >= :date")
            ->setParameter("date", $targetDate)
            ->andWhere("p.idCarteFidelite = :loyaltyCard")
            ->setParameter("loyaltyCard", $loyaltyCard)
            ->getQuery()
            ->getSingleScalarResult();
    }

    /**
     * 
     * @param \Application\Models\CarteFidelite $loyaltyCard
     * @param DateTime $targetDate
     * @return \Application\Models\PointCarteFidelite[]
     */
    public function getAllPointsOfLoyaltyCard($loyaltyCard, $targetDate = null)
    {
        if ($targetDate == null) $targetDate = new DateTime();
        return $this->entityManager->getRepository($this->modelName)->createQueryBuilder("p")
            ->where("p.dateExpiration >= :date")
            ->setParameter("date", $targetDate)
            ->andWhere("p.idCarteFidelite = :loyaltyCard")
            ->setParameter("loyaltyCard", $loyaltyCard)
            ->getQuery()
            ->getResult();
    }
}
