<?php

include APPLICATION_PATH . '/Models/Menu.php';

class MenuDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\Menu";

    function MenuDAO()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function save($menu)
    {
        $this->entityManager->persist($menu);
        $this->entityManager->flush();
    }

    public function update($menu)
    {
        $this->entityManager->merge($menu);
        $this->entityManager->flush();
    }

    public function getMenuById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getMenuList()
    {
        return $this->entityManager->getRepository($this->modelName)->findAll();
    }

    public function getTopMenus()
    {
        return $this->entityManager->getRepository($this->modelName)
            ->findBy(
                array('idParent' => NULL, 'statut' => 1),
                array('ordreApparition' => 'ASC')
            );
    }

    public function getChildMenusOfMenu($menu)
    {
        return $this->entityManager->getRepository($this->modelName)
            ->findBy(
                array('idParent' => $menu->getIdMenu(), 'statut' => 1),
                array('ordreApparition' => 'ASC')
            );
    }

    public function getChildMenusOfMenuAndProfile($menu, $profile)
    {
        return $this->entityManager->getRepository("\Application\Models\LigneProfil")->createQueryBuilder("l")
            ->where("l.idProfil = :profile")
            ->join("l.idMenu", "m")
            ->andWhere("m.idParent = :parent")
            ->setParameter("parent", $menu)
            ->setParameter("profile", $profile)
            ->getQuery()
            ->getResult();
    }
}
