<?php

include APPLICATION_PATH . '/Models/MessageLogDetail.php';

class MessageLogDetailDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\MessageLogDetail";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\MessageLogDetail
     */
    public function create()
    {
        return new \Application\Models\MessageLogDetail();
    }

    /**
     * 
     * @param \Application\Models\MessageLogDetail $messageLogDetail
     */
    public function save($messageLogDetail)
    {
        $this->entityManager->persist($messageLogDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\MessageLogDetail $messageLogDetail
     */
    public function update($messageLogDetail)
    {
        $this->entityManager->merge($messageLogDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\MessageLogDetail
     */
    public function getMessageLogDetailById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array('idMessageLogDetail' => $id, 'statut' => 1));
    }

    /**
     * 
     * @param \Application\Models\MessageLog $messageLog
     * @return \Application\Models\MessageLogDetail[]
     */
    public function getDetailsOfMessageLog($messageLog)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('idMessageLog' => $messageLog, 'statut' => 1));
    }
}
