<?php

include APPLICATION_PATH . '/Models/ModeleMessage.php';

class MessageTemplateDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\ModeleMessage";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\ModeleMessage
     */
    public function create()
    {
        return new \Application\Models\ModeleMessage();
    }

    /**
     * 
     * @param \Application\Models\ModeleMessage
     */
    public function save($messageTemplate)
    {
        $this->entityManager->persist($messageTemplate);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\ModeleMessage
     */
    public function update($messageTemplate)
    {
        $this->entityManager->merge($messageTemplate);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\ModeleMessage
     */
    public function getMessageTemplateById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param string $title
     * @return \Application\Models\ModeleMessage
     */
    public function getMessageTemplateByTitle($title)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('titre' => $title, 'statut' => 1));
    }

    /**
     * 
     * @return \Application\Models\ModeleMessage[]
     */
    public function getAllMessageTemplates()
    {
        return $this->entityManager->getRepository($this->modelName)
            ->findBy(array('statut' => 1), array('idModele' => 'DESC'));
    }

    /**
     * 
     * @param string $title
     * @param \Application\Models\ModeleMessage $messageTemplate
     */
    public function messageTemplateTitleAlreadyExists($name, $messageTemplate = null)
    {
        $messageTemplatesList = $this->entityManager->getRepository($this->modelName)->findBy(array("titre" => $name, "statut" => 1));
        return $messageTemplate != null ?
            count($messageTemplatesList) > 0 && $messageTemplatesList[0] != $messageTemplate
            : count($messageTemplatesList) > 0;
    }
}
