<?php

include APPLICATION_PATH . '/Models/Mois.php';

class MonthDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\Mois";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\Mois
     */
    public function create()
    {
        return new \Application\Models\Mois();
    }

    /**
     * 
     * @param \Application\Models\Mois $month
     */
    public function save($month)
    {
        $this->entityManager->persist($month);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\Month $month
     */
    public function update($month)
    {
        $this->entityManager->merge($month);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return Application\Models\Mois
     */
    public function getMonthById($id)
    {
        $mois = $this->entityManager->getRepository($this->modelName)->find($id);
        return $mois;
    }

    /**
     * 
     * @return \Application\Models\Mois[]
     */
    public function listMonths()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }
    /**
     * 
     * @param int $year
     * @param int $number
     * @return \Application\Models\Mois[]
     */
    public function getMonthByYearAndNumber($year, $number)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("statut" => 1, "numeroMois" => $number, "annee" => $year));
    }
}
