<?php

include APPLICATION_PATH . '/Models/PaieMensuel.php';

class MonthlyPayDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\PaieMensuel";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\PaieMensuel
     */
    public function create()
    {
        return new \Application\Models\PaieMensuel();
    }

    /**
     * 
     * @param \Application\Models\PaieMensuel $monthlyPay
     */
    public function save($monthlyPay)
    {
        $this->entityManager->persist($monthlyPay);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\PaieMensuel $montlyPay
     */
    public function update($monthlyPay)
    {
        $this->entityManager->merge($monthlyPay);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return Application\Models\PaieMensuel
     */
    public function getMonthlyPayById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\Mois $month
     * @return \Application\Models\PaieMensuel[]
     */
    public function getMontlyPayOfMonth($month)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("idMois" => $month, "statut" => 1));
    }

    /**
     * 
     * @param \Application\Models\Mois $month
     * @return \Application\Models\PaieMensuel[]
     */
    public function getMontlyPayValidatedOfMonth($month)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("idMois" => $month, "valide" => 1, "statut" => 1));
    }

    /**
     * 
     * @param \Application\Models\Utilisateur $employee
     * @param \Application\Models\Mois $month
     * @return \Application\Models\PaieMensuel
     */
    public function getMontlyPayByMonthEmployeeAndMonth($employee, $month)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("idEmploye" => $employee, "idMois" => $month, "statut" => 1));
    }
}
