<?php

include APPLICATION_PATH . '/Models/ModelePaieMensuel.php';

class MonthlyPayModelDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\ModelePaieMensuel";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\ModelePaieMensuel
     */
    public function create()
    {
        return new \Application\Models\ModelePaieMensuel();
    }

    /**
     * 
     * @param \Application\Models\ModelePaieMensuel $monthlyPayModel
     */
    public function save($monthlyPayModel)
    {
        $this->entityManager->persist($monthlyPayModel);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\ModelePaieMensuel $monthlyPayModel
     */
    public function update($monthlyPayModel)
    {
        $this->entityManager->merge($monthlyPayModel);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\ModelePaieMensuel
     */
    public function getMonthlyPayModelById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @return \Application\Models\ModelePaieMensuel[]
     */
    public function listMonthlyPayModels()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }

    /**
     * 
     * @param string $name
     * @param \Application\Models\ModelePaieMensuel $monthlyPayModel
     * @return bool
     */
    public function monthlyPayModelNameAlreadyExists($name, $monthlyPayModel = null)
    {
        $monthlyPayModelsList = $this->entityManager->getRepository($this->modelName)->findBy(array("nomModele" => $name, "statut" => 1));
        return $monthlyPayModel != null ?
            count($monthlyPayModelsList) > 0 && $monthlyPayModelsList[0] != $monthlyPayModel
            : count($monthlyPayModelsList) > 0;
    }
}
