<?php

include APPLICATION_PATH . '/Models/DetailModelePaie.php';

class MonthlyPayModelDetailDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\DetailModelePaie";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\DetailModelePaie
     */
    public function create()
    {
        return new \Application\Models\DetailModelePaie();
    }

    /**
     * 
     * @param Application\Models\DetailModelePaie $monthlyPayModelDetail
     */
    public function save($monthlyPayModelDetail)
    {
        $this->entityManager->persist($monthlyPayModelDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param Application\Models\DetailModelePaie $monthlyPayModelDetail
     */
    public function update($monthlyPayModelDetail)
    {
        $this->entityManager->merge($monthlyPayModelDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\DetailModelePaie $monthlyPayModelDetail
     */
    public function delete($monthlyPayModelDetail)
    {
        $this->entityManager->remove($monthlyPayModelDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return Application\Models\DetailModelePaie
     */
    public function getMonthlyPayModelDetailBy($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\ModelePaieMensuel $monthlyPayModel
     * @return \Application\Models\DetailModelePaie[]
     */
    public function getDetailsOfMonthlyPayModel($monthlyPayModel)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("idModelePaie" => $monthlyPayModel, "statut" => 1));
    }

    /**
     * 
     * @param \Application\Models\ModelePaieMensuel $monthlyPayModel
     * @param \Application\Models\RubriquePaie $payrollSection
     * @return \Application\Models\DetailModelePaie
     */
    public function getDetailByMonthlyPayModelAndPayrollSection($monthlyPayModel, $payrollSection) {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("idModelePaie" => $monthlyPayModel, "idRubriquePaie" => $payrollSection, "statut" => 1));
    }
}
