<?php

include APPLICATION_PATH . '/Models/LigneCommande.php';

class OrderLineDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\LigneCommande";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\LigneCommande
     */
    public function create()
    {
        return new \Application\Models\LigneCommande();
    }

    /**
     * 
     * @param \Application\Models\LigneCommande $orderLine
     */
    public function save($orderLine)
    {
        $this->entityManager->persist($orderLine);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\LigneCommande $orderLine
     */
    public function update($orderLine)
    {
        $this->entityManager->merge($orderLine);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\LigneCommande $orderLine
     */
    public function delete($orderLine)
    {
        $this->entityManager->remove($orderLine);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\LigneCommande
     */
    public function getOrderLineById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\Commande $order
     * @return \Application\Models\LigneCommande[]
     */
    public function getOrderLinesByOrder($order)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1, "idCommande" => $order));
    }
}
