<?php

include APPLICATION_PATH . '/Models/ModePaiement.php';

class PaymentmethodDAO {

    public $entityManager;
    private $modelName = "\Application\Models\ModePaiement";


    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create(){
        return new \Application\Models\ModePaiement();
    }
    
    public function save($modePaiement){
        $this->entityManager->persist($modePaiement);
        $this->entityManager->flush();
    }
    
    public function update($modePaiement){
        $this->entityManager->merge($modePaiement);
        $this->entityManager->flush();
    }

    public function getPaymentMethodById($id){
        return $this->entityManager->getRepository($this->modelName) ->find($id);
    }
    
    
    public function getPaymentMethodList(){
        return $this->entityManager->getRepository($this->modelName)->findAll();
    }
    
    public function findPaymentMethodByName( $nom ){
        try{
            $listeModePaiement = $this->_em->getRepository($this->modelName)->createQueryBuilder("m")
                             ->where("m.statut = 1")
                             ->andWhere("UPPER(m.designation) LIKE :nom")
                             ->setParameter("nom" , '%'.strtoupper($nom) . '%')
                             ->getQuery()
                             ->getResult();
            return $listeModePaiement;
        } catch (Exception $ex) {
            return array();
        }
        
    }
	
	public function getPaymentMethodByCode($code){
		return $this->_em->getRepository($this->modelName)->findOneBy(array("code" => $code , "statut" => 1));
    }
        
}
