<?php

include APPLICATION_PATH . '/Models/RubriquePaie.php';

class PayrollSectionDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\RubriquePaie";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\RubriquePaie
     */
    public function create()
    {
        return new \Application\Models\RubriquePaie();
    }

    /**
     * 
     * @param Application\Models\RubriquePaie $payrollSection
     */
    public function save($payrollSection)
    {
        $this->entityManager->persist($payrollSection);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param Application\Models\RubriquePaie $payrollSection
     */
    public function update($payrollSection)
    {
        $this->entityManager->merge($payrollSection);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return Application\Models\RubriquePaie
     */
    public function getPayrollSectionById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @return \Application\Models\RubriquePaie[]
     */
    public function getAllPayrollSections()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }

    /**
     * 
     * @param string $name
     * @param \Application\Models\RubriquePaie $payrollSection
     * @return bool
     */
    public function payrollSectionNameAlreadyExists($name, $payrollSection = null)
    {
        $payrollSectionsList = $this->entityManager->getRepository($this->modelName)->findBy(array("nomRubrique" => $name, "statut" => 1));
        return $payrollSection != null ?
            count($payrollSectionsList) > 0 && $payrollSectionsList[0] != $payrollSection
            : count($payrollSectionsList) > 0;
    }

    /**
     * 
     * @param string $code
     * @param \Application\Models\RubriquePaie $payrollSection
     * @return bool
     */
    public function payrollSectionCodeAlreadyExists($name, $payrollSection = null)
    {
        $payrollSectionsList = $this->entityManager->getRepository($this->modelName)->findBy(array("codeRubrique" => $name, "statut" => 1));
        return $payrollSection != null ?
            count($payrollSectionsList) > 0 && $payrollSectionsList[0] != $payrollSection
            : count($payrollSectionsList) > 0;
    }
}
