<?php

include APPLICATION_PATH . '/Models/PointVente.php';

class PointOfSaleDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\PointVente";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\PointVente
     */
    public function create()
    {
        return new \Application\Models\PointVente();
    }

    public function save($pointOfSale)
    {
        $this->entityManager->persist($pointOfSale);
        $this->entityManager->flush();
    }

    public function update($pointOfSale)
    {
        $this->entityManager->merge($pointOfSale);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\PointVente
     */
    public function getPointOfSaleById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getPointOfSaleByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('nomPointVente' => $name, 'statut' => 1));
    }


    /**
     * 
     * @return \Application\Models\PointVente[]
     */
    public function listPointOfSales()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('statut' => 1), array('nomPointVente' => 'ASC'));
    }

    public function pointOfSaleNameAlreadyExists($name, $pointOfSale = null)
    {
        $pointOfSaleList = $this->entityManager->getRepository($this->modelName)->findBy(array("nomPointVente" => $name, "statut" => 1));
        return $pointOfSale != null ?
            count($pointOfSaleList) > 0 && $pointOfSaleList[0] != $pointOfSale
            : count($pointOfSaleList) > 0;
    }

    /**
     * 
     * @return int
     */
    public function getPointsOfSaleCount()
    {
        return $this->entityManager->getRepository($this->modelName)->createQueryBuilder("p")
            ->select("COUNT(p.idPointVente)")
            ->where("p.statut = 1")
            ->getQuery()
            ->getSingleScalarResult();
    }
}
