<?php

include APPLICATION_PATH . '/Models/PrintLog.php';

class PrintLogDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\PrintLog";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\PrintLog
     */
    public function create()
    {
        return new \Application\Models\PrintLog();
    }

    /**
     * @param string $code
     * @param string $title
     * @param string $filters
     * @param DateTime $date
     */
    public static function registerPrintForCurrentUser($code, $title, $filters, $date = null)
    {
        if (is_null($date)) $date = new DateTime();
        $userDao = new UserDAO();
        $currentUser = $userDao->getUserById((int)$_SESSION[SESSION_USER_ID]);
        $entityManager = $userDao->entityManager;
        $printLog = new Application\Models\PrintLog();
        $printLog->setIdUtilisateur($currentUser);
        $printLog->setDate($date);
        $printLog->setTitle($title);
        $printLog->setFilters($filters);
        $printLog->setCode($code);
        $printLog->setStatut(1);
        $entityManager->persist($printLog);
        $entityManager->flush();
        $currentUser->setLastActionDate($date);
        $userDao->update($currentUser);
    }
}
