<?php

include APPLICATION_PATH . '/Models/NatureProduit.php';

class ProductNatureDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\NatureProduit";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\NatureProduit
     */
    public function create()
    {
        return new \Application\Models\NatureProduit();
    }

    public function save($productNature)
    {
        $this->entityManager->persist($productNature);
        $this->entityManager->flush();
    }

    public function update($productNature)
    {
        $this->entityManager->merge($productNature);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\NatureProduit
     */
    public function getProductNatureById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getProductNatureByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("nom" => $name, "statut" => 1));
    }

    public function getProductNatures()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1), array("nomNature" => "ASC"));
    }

    public function productNatureNameAlreadyExists($name, $productNature = null)
    {
        $possibleProductNature = $this->entityManager->getRepository($this->modelName)->findOneBy(array("nomNature" => $name, "statut" => 1));
        return $productNature != null ?
            $possibleProductNature != null && $possibleProductNature != $productNature
            : $possibleProductNature != null;
    }

    public function searchProductNatureByName($name)
    {
        return $this->entityManager->getRepository("\Application\Models\NatureProduit")->createQueryBuilder("p")
            ->where("p.statut = 1")
            ->andWhere("UPPER(p.nom) LIKE :name")
            ->setParameter("name", '%' . strtoupper(trim($name)) . '%')
            ->getQuery()
            ->getResult();
    }
}
