<?php

include APPLICATION_PATH . '/Models/Profil.php';

class ProfileDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\Profil";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\Profil
     */
    public function create()
    {
        return new \Application\Models\Profil();
    }

    /**
     * 
     * @param \Application\Models\Profil $profile
     */
    public function save($profile)
    {
        $this->entityManager->persist($profile);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\Profil $profile
     */
    public function update($profile)
    {
        $this->entityManager->merge($profile);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\Profil
     */
    public function getProfileById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @return \Application\Models\Profil[]
     */
    public function listProfiles()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }

    /**
     * 
     * @param string $name
     * @param \Application\Models\Profil $profile
     * @return boolean
     */
    public function profileNameAlreadyExists($name, $profile = null)
    {
        $profileList = $this->entityManager->getRepository($this->modelName)->findBy(array("nom" => $name, "statut" => 1));
        return $profile != null ?
            count($profileList) > 0 && $profileList[0] != $profile
            : count($profileList) > 0;
    }

    /**
     * 
     * @param \Application\Models\Profil $profile
     * @return boolean
     */
    public function someUsersHaveThisProfile($profile)
    {
        $usersWithThisProfile = $this->entityManager->getRepository("\Application\Models\Utilisateur")
            ->findBy(array("statut" => 1, "idProfil" => $profile));
        return count($usersWithThisProfile) > 0;
    }
}
