<?php

include APPLICATION_PATH . '/Models/LigneProfil.php';

class ProfileLineDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\LigneProfil";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\LigneProfil
     */
    public function create()
    {
        return new \Application\Models\LigneProfil();
    }

    public function save($profileLine)
    {
        $this->entityManager->persist($profileLine);
        $this->entityManager->flush();
    }

    public function update($profileLine)
    {
        $this->entityManager->merge($profileLine);
        $this->entityManager->flush();
    }

    public function delete($profileLine)
    {
        $this->entityManager->remove($profileLine);
        $this->entityManager->flush();
    }

    public function getProfileLineById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getProfileLinesByProfile($profile)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("idProfil" => $profile));
    }

    public function hasMenuRight($profileId, $menuId)
    {
        return (bool)$this->entityManager->getRepository($this->modelName)
            ->findBy(array('idMenu' => $menuId, 'idProfil' => $profileId));
    }
}