<?php

include APPLICATION_PATH . '/Models/LignePromotion.php';

class PromotionLineDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\LignePromotion";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\LignePromotion
     */
    public function create()
    {
        return new \Application\Models\LignePromotion();
    }

    /**
     *
     * @param Application\Models\LignePromotion $promotionLine
     */
    public function save($promotionLine){
        $this->entityManager->persist($promotionLine);
        $this->entityManager->flush();
    }

    /**
     *
     * @param Application\Models\LignePromotion $promotionLine
     */
    public function update($promotionLine){
        $this->entityManager->merge($promotionLine);
        $this->entityManager->flush();
    }

    /**
     *
     * @param Application\Models\LignePromotion $promotionLine
     */
    public function delete($promotionLine){
        $this->entityManager->remove($promotionLine);
        $this->entityManager->flush();
    }

    /**
     *
     * @param int $id
     * @return Application\Models\LignePromotion
     */
    public function getPromotionLineById($id){
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     *
     * @param \Application\Models\Promotion $promotion
     * @return \Application\Models\LignePromotion[]
     */
    public function getPromotionLinesOfPromotion($promotion){
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1 , "idPromotion" => $promotion));
    }

    
    /**
     *
     * @param \Application\Models\Promotion $promotion
     * @return \Application\Models\LignePromotion
     */
    public function getPromotionLineByProduct($promotion, $productId){
       
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("statut" => 1, "idPromotion" => $promotion, "idProduit" => $productId));
       
    }

}