<?php

include APPLICATION_PATH . '/Models/Magasin.php';

class StoreDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\Magasin";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\Magasin
     */
    public function create()
    {
        return new \Application\Models\Magasin();
    }

    /**
     * 
     * @param \Application\Models\Magasin $store
     */
    public function save($store)
    {
        $this->entityManager->persist($store);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\Magasin $store
     */
    public function update($store)
    {
        $this->entityManager->merge($store);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\Magasin
     */
    public function getStoreById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param string $name
     * @return \Application\Models\Magasin
     */
    public function getStoreByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("nomMagasin" => $name, "statut" => 1));
    }

    /**
     * 
     * @return \Application\Models\Magasin[]
     */
    public function getAllStores()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }

    /**
     * 
     * @param string $name
     * @param \Application\Models\Magasin $store
     * @return bool
     */
    public function storeNameAlreadyExists($name, $store = null)
    {
        $storeList = $this->entityManager->getRepository($this->modelName)->findBy(array("nomMagasin" => $name, "statut" => 1));
        return $store != null ?
            count($storeList) > 0 && $storeList[0] != $store
            : count($storeList) > 0;
    }

    /**
     * 
     * @return int
     */
    public function getStoresCount()
    {
        return $this->entityManager->getRepository($this->modelName)->createQueryBuilder("s")
            ->select("COUNT(s.idMagasin)")
            ->where("s.statut = 1")
            ->getQuery()
            ->getSingleScalarResult();
    }
}
