<?php

include APPLICATION_PATH . '/Models/MvtMagasin.php';

class StoreMovementDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\MvtMagasin";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\MvtMagasin
     */
    public function create()
    {
        return new \Application\Models\MvtMagasin();
    }

    /**
     * 
     * @param \Application\Models\MvtMagasin $storeMovement
     */
    public function save($storeMovement)
    {
        $this->entityManager->persist($storeMovement);
        $this->entityManager->flush();
    }


    /**
     * 
     * @param \Application\Models\MvtMagasin $storeMovement
     */
    public function update($storeMovement)
    {
        $this->entityManager->merge($storeMovement);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\MvtMagasin
     */
    public function getStoreMovementById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\Magasin $originStore
     * @param \Application\Models\Magasin $receivingStore
     * @param DateTime $from
     * @param DateTime $to
     * @return \Application\Models\MvtMagasin[]
     */
    public function getStoreMovementList($originStore = null, $receivingStore = null, $from = null, $to = null)
    {
        $storeMovementList = $this->entityManager->getRepository($this->modelName)->createQueryBuilder("s")
            ->where("s.statut = 1");
        if ($originStore != null) {
            $storeMovementList->andWhere("s.magasinEmetteur = :originStore")
                ->setParameter("originStore", $originStore);
        }
        if ($receivingStore != null) {
            $storeMovementList->andWhere("s.magasinRecepteur = :receivingStore")
                ->setParameter("receivingStore", $receivingStore);
        }
        if($from != null) {
            $storeMovementList->andWhere("s.dateMvt >= :from")
                ->setParameter("from", $from);
        }
        if($to != null){
            $storeMovementList->andWhere("s.dateMvt <= :to")
                ->setParameter("to", $to);
        }
        return $storeMovementList->orderBy("s.magasinEmetteur, s.magasinRecepteur", "ASC")->getQuery()->getResult();
    }
}
