<?php

include APPLICATION_PATH . '/Models/DetailMvtMagasin.php';

class StoreMovementDetailDAO
{

    public $entityManager;
    private $modelName = "\Application\Models\DetailMvtMagasin";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\DetailMvtMagasin
     */
    public function create()
    {
        return new \Application\Models\DetailMvtMagasin();
    }

    /**
     * 
     * @param \Application\Models\DetailMvtMagasin $storeMovementDetail
     */
    public function save($storeMovementDetail)
    {
        $this->entityManager->persist($storeMovementDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\DetailMvtMagasin $storeMovementDetail
     */
    public function delete($storeMovementDetail)
    {
        $this->entityManager->remove($storeMovementDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\DetailMvtMagasin $storeMovementDetail
     */
    public function update($storeMovementDetail)
    {
        $this->entityManager->merge($storeMovementDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\DetailMvtMagasin
     */
    public function getStoreMovementDetailById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\MvtMagasin $storeMovement
     * @return \Application\Models\DetailMvtMagasin[]
     */
    public function getDetailOfStoreMovement($storeMovement)
    {
        return $this->entityManager->getRepository("\Application\Models\DetailMvtMagasin")->findBy(array("idMvtMagasin" => $storeMovement));
    }
}
