<?php

include APPLICATION_PATH . '/Models/Fournisseur.php';

class SupplierDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\Fournisseur";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    /**
     * 
     * @return \Application\Models\Fournisseur
     */
    public function create()
    {
        return new \Application\Models\Fournisseur();
    }

    public function save($supplier)
    {
        $this->entityManager->persist($supplier);
        $this->entityManager->flush();
    }

    public function update($supplier)
    {
        $this->entityManager->merge($supplier);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return \Application\Models\Fournisseur
     */
    public function getSupplierById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function listSuppliers()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('statut' => 1), array('idFournisseur' => 'DESC'));
    }

    public function getSuppliersByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array('nomFournisseur' => $name, 'statut' => 1));
    }

    public function supplierNameAlreadyExists($name, $supplier = null)
    {
        $supplierList = $this->entityManager->getRepository($this->modelName)->findBy(array("nomFournisseur" => $name, "statut" => 1));
        return $supplier != null ?
            count($supplierList) > 0 && $supplierList[0] != $supplier
            : count($supplierList) > 0;
    }
}
