<?php

include APPLICATION_PATH . '/Models/TransformationProduit.php';

class TransformationDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\TransformationProduit";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create()
    {
        return new \Application\Models\TransformationProduit();
    }

    /**
     * 
     * @param Application\Models\TransformationProduit $transformation
     */
    public function save($transformation)
    {
        $this->entityManager->persist($transformation);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param Application\Models\TransformationProduit $transformation
     */
    public function update($transformationProduit)
    {
        $this->entityManager->merge($transformationProduit);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param int $id
     * @return Application\Models\TransformationProduit
     */
    public function getTransformationById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\Magasin $store
     * @param DateTime $from
     * @param DateTime $to
     * @return \Application\Models\TransformationProduit[]
     */
    public function getTransformationList($store = null, $from = null, $to = null) {
        $transformationList = $this->entityManager->getRepository($this->modelName)->createQueryBuilder("t")
            ->where("t.statut = 1");
        if($store != null){
            $transformationList->andWhere("t.idMagasin = :store")
                ->setParameter("store", $store);
        }
        if($from != null){
            $transformationList->andWhere("t.dateTransformation >= :from")
                ->setParameter("from", $from);
        }
        if($to != null){
            $transformationList->andWhere("t.dateTransformation <= :to")
                ->setParameter("to", $to);
        }
        return $transformationList->orderBy("t.idMagasin", "ASC")->getQuery()->getResult();
    }
}
