<?php

include APPLICATION_PATH . '/Models/DetailTransformation.php';

class TransformationDetailDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\DetailTransformation";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create()
    {
        return new \Application\Models\DetailTransformation();
    }

    /**
     * 
     * @param Application\Models\DetailTransformation $transformationDetail
     */
    public function save($transformationDetail)
    {
        $this->entityManager->persist($transformationDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param Application\Models\DetailTransformation $transformationDetail
     */
    public function update($transformationDetail)
    {
        $this->entityManager->merge($transformationDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param \Application\Models\DetailTransformation $transformationDetail
     */
    public function delete($transformationDetail)
    {
        $this->entityManager->remove($transformationDetail);
        $this->entityManager->flush();
    }

    /**
     * 
     * @param integer $id
     * @return Application\Models\DetailTransformation
     */
    public function getTransformationDetailById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    /**
     * 
     * @param \Application\Models\TransformationProduit $transformation
     * @return \Application\Models\DetailTransformation[]
     */
    public function getDetailsOfTransformation($transformation)
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("idTransformationProduit" => $transformation, "statut" => 1));
    }
}
