<?php

include APPLICATION_PATH . '/Models/Type.php';

class TypeDAO
{
    public $entityManager;
    private $modelName = "\Application\Models\Type";

    function __construct()
    {
        $registry = Zend_Registry::getInstance();
        $this->entityManager = $registry->entitymanager;
    }

    public function create()
    {
        return new \Application\Models\Type();
    }

    public function save($type)
    {
        $this->entityManager->persist($type);
        $this->entityManager->flush();

    }

    public function update($type)
    {
        $this->entityManager->merge($type);
        $this->entityManager->flush();
    }

    public function getTypeById($id)
    {
        return $this->entityManager->getRepository($this->modelName)->find($id);
    }

    public function getTypeByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->findOneBy(array("statut" => 1, "nom" => $name));
    }

    public function getTypes()
    {
        return $this->entityManager->getRepository($this->modelName)->findBy(array("statut" => 1));
    }

    public function checkTypeNameExist($name, $type = null)
    {
        $possibleType = $this->entityManager->getRepository($this->modelName)->findOneBy(array("nom" => $name, "statut" => 1));
        return $type != null ?
            $possibleType != null && $possibleType != $type
            : $possibleType != null;
    }

    public function searchTypeByName($name)
    {
        return $this->entityManager->getRepository($this->modelName)->createQueryBuilder("t")
            ->where("t.statut = 1")
            ->andWhere("UPPER(t.nom) LIKE :name")
            ->setParameter("name", '%' . strtoupper(trim($name)) . '%')
            ->getQuery()
            ->getResult();
    }

}
