<?php

/*
 * Model's functions of ValeurCritere Entity
 */

/**
 * @author Nicolas
 * @email noussinic@yahoo.fr
 */

include APPLICATION_PATH . '/Models/ValeurCritere.php';

class ValeurCritereDAO {
    
    public $_em;
    
    function ValeurCritereDAO(){
        $registry = Zend_Registry::getInstance();
        $this->_em = $registry->entitymanager;
    }
    
    /**
     * 
     * @param Application\Models\ValeurCritere $valeurCritere
     */
    public function enregistrer($valeurCritere){
        $this->_em->persist($valeurCritere);
        $this->_em->flush();
        
    }
    
    /**
     * 
     * @param Application\Models\ValeurCritere $valeurCritere
     */
    public function editer($valeurCritere){
        $this->_em->merge($valeurCritere);
        $this->_em->flush();
    }
    
    public function getValeurCritere($id){
        $valeurCritere = $this->_em->getRepository("\Application\Models\ValeurCritere")->find($id);
        return $valeurCritere;
    }
    
    public function getValeurCritereOfCritere($critere){
        $valeursCritere = $this->_em->getRepository("\Application\Models\ValeurCritere")->findBy(array("idCritereStock" => $critere , "statut" => 1));
        return $valeursCritere;
    }
    
    public function getValeurCritereByValeur($valeur , $critereStock = null){
        $valeurCritere = $this->_em->getRepository("\Application\Models\ValeurCritere")->findOneBy(array("valeur" => $valeur , "idCritereStock" => $critereStock , "statut" => 1));
        return $valeurCritere;
    }
    
}
