<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * BonAchatClient
 *
 * @ORM\Table(name="bon_achat_client")
 * @ORM\Entity
 */
class BonAchatClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_BON_ACHAT_CLIENT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idBonAchatClient;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BON_ACHAT_CLIENT", type="string", length=255, nullable=false)
     */
    private $codeBonAchatClient;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_EMISSION", type="datetime", nullable=false)
     */
    private $dateEmission;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_EXPIRATION", type="datetime", nullable=true)
     */
    private $dateExpiration;

    /**
     * @var string
     *
     * @ORM\Column(name="LISTE_POINTS_VENTE_CIBLE", type="text", nullable=false)
     */
    private $listePointsVenteCible;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=false)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="UTILISER", type="smallint", nullable=true)
     */
    private $utiliser;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT", type="float", nullable=true)
     */
    private $montant;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_VALIDATION", type="datetime", nullable=true)
     */
    private $dateValidation;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_UTILISATION", type="datetime", nullable=true)
     */
    private $dateUtilisation;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\BonAchat
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\BonAchat")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_BON_ACHAT", referencedColumnName="ID_BON_ACHAT")
     * })
     */
    private $idBonAchat;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PERSONNE", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idPersonne;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;

    /**
     * @var \Application\Models\CarteFidelite
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CarteFidelite")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CARTE_FIDELITE", referencedColumnName="ID_CARTE_FIDELITE")
     * })
     */
    private $idCarteFidelite;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;



    /**
     * Get idBonAchatClient
     *
     * @return integer 
     */
    public function getIdBonAchatClient()
    {
        return $this->idBonAchatClient;
    }

    /**
     * Set codeBonAchatClient
     *
     * @param string $codeBonAchatClient
     * @return BonAchatClient
     */
    public function setCodeBonAchatClient($codeBonAchatClient)
    {
        $this->codeBonAchatClient = $codeBonAchatClient;
    
        return $this;
    }

    /**
     * Get codeBonAchatClient
     *
     * @return string 
     */
    public function getCodeBonAchatClient()
    {
        return $this->codeBonAchatClient;
    }

    /**
     * Set dateEmission
     *
     * @param \DateTime $dateEmission
     * @return BonAchatClient
     */
    public function setDateEmission($dateEmission)
    {
        $this->dateEmission = $dateEmission;
    
        return $this;
    }

    /**
     * Get dateEmission
     *
     * @return \DateTime 
     */
    public function getDateEmission()
    {
        return $this->dateEmission;
    }

    /**
     * Set dateExpiration
     *
     * @param \DateTime $dateExpiration
     * @return BonAchatClient
     */
    public function setDateExpiration($dateExpiration)
    {
        $this->dateExpiration = $dateExpiration;
    
        return $this;
    }

    /**
     * Get dateExpiration
     *
     * @return \DateTime 
     */
    public function getDateExpiration()
    {
        return $this->dateExpiration;
    }

    /**
     * Set listePointsVenteCible
     *
     * @param string $listePointsVenteCible
     * @return BonAchatClient
     */
    public function setListePointsVenteCible($listePointsVenteCible)
    {
        $this->listePointsVenteCible = $listePointsVenteCible;
    
        return $this;
    }

    /**
     * Get listePointsVenteCible
     *
     * @return string 
     */
    public function getListePointsVenteCible()
    {
        return $this->listePointsVenteCible;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return BonAchatClient
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set utiliser
     *
     * @param integer $utiliser
     * @return BonAchatClient
     */
    public function setUtiliser($utiliser)
    {
        $this->utiliser = $utiliser;
    
        return $this;
    }

    /**
     * Get utiliser
     *
     * @return integer 
     */
    public function getUtiliser()
    {
        return $this->utiliser;
    }

    /**
     * Set montant
     *
     * @param float $montant
     * @return BonAchatClient
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return float 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set dateValidation
     *
     * @param \DateTime $dateValidation
     * @return BonAchatClient
     */
    public function setDateValidation($dateValidation)
    {
        $this->dateValidation = $dateValidation;
    
        return $this;
    }

    /**
     * Get dateValidation
     *
     * @return \DateTime 
     */
    public function getDateValidation()
    {
        return $this->dateValidation;
    }

    /**
     * Set dateUtilisation
     *
     * @param \DateTime $dateUtilisation
     * @return BonAchatClient
     */
    public function setDateUtilisation($dateUtilisation)
    {
        $this->dateUtilisation = $dateUtilisation;
    
        return $this;
    }

    /**
     * Get dateUtilisation
     *
     * @return \DateTime 
     */
    public function getDateUtilisation()
    {
        return $this->dateUtilisation;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return BonAchatClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idBonAchat
     *
     * @param \Application\Models\BonAchat $idBonAchat
     * @return BonAchatClient
     */
    public function setIdBonAchat(\Application\Models\BonAchat $idBonAchat = null)
    {
        $this->idBonAchat = $idBonAchat;
    
        return $this;
    }

    /**
     * Get idBonAchat
     *
     * @return \Application\Models\BonAchat 
     */
    public function getIdBonAchat()
    {
        return $this->idBonAchat;
    }

    /**
     * Set idPersonne
     *
     * @param \Application\Models\Personne $idPersonne
     * @return BonAchatClient
     */
    public function setIdPersonne(\Application\Models\Personne $idPersonne = null)
    {
        $this->idPersonne = $idPersonne;
    
        return $this;
    }

    /**
     * Get idPersonne
     *
     * @return \Application\Models\Personne 
     */
    public function getIdPersonne()
    {
        return $this->idPersonne;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return BonAchatClient
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }

    /**
     * Set idCarteFidelite
     *
     * @param \Application\Models\CarteFidelite $idCarteFidelite
     * @return BonAchatClient
     */
    public function setIdCarteFidelite(\Application\Models\CarteFidelite $idCarteFidelite = null)
    {
        $this->idCarteFidelite = $idCarteFidelite;
    
        return $this;
    }

    /**
     * Get idCarteFidelite
     *
     * @return \Application\Models\CarteFidelite 
     */
    public function getIdCarteFidelite()
    {
        return $this->idCarteFidelite;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return BonAchatClient
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }
}