<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CaracteristiqueStock
 *
 * @ORM\Table(name="caracteristique_stock")
 * @ORM\Entity
 */
class CaracteristiqueStock
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_caracteristique_stock", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCaracteristiqueStock;

    /**
     * @var string
     *
     * @ORM\Column(name="valeur_ouverte", type="text", nullable=true)
     */
    private $valeurOuverte;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="integer", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\CritereStock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CritereStock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_critere_stock", referencedColumnName="id_critere_stock")
     * })
     */
    private $idCritereStock;

    /**
     * @var \Application\Models\Stock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Stock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_stock", referencedColumnName="ID_STOCK")
     * })
     */
    private $idStock;



    /**
     * Get idCaracteristiqueStock
     *
     * @return integer 
     */
    public function getIdCaracteristiqueStock()
    {
        return $this->idCaracteristiqueStock;
    }

    /**
     * Set valeurOuverte
     *
     * @param string $valeurOuverte
     * @return CaracteristiqueStock
     */
    public function setValeurOuverte($valeurOuverte)
    {
        $this->valeurOuverte = $valeurOuverte;
    
        return $this;
    }

    /**
     * Get valeurOuverte
     *
     * @return string 
     */
    public function getValeurOuverte()
    {
        return $this->valeurOuverte;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CaracteristiqueStock
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCritereStock
     *
     * @param \Application\Models\CritereStock $idCritereStock
     * @return CaracteristiqueStock
     */
    public function setIdCritereStock(\Application\Models\CritereStock $idCritereStock = null)
    {
        $this->idCritereStock = $idCritereStock;
    
        return $this;
    }

    /**
     * Get idCritereStock
     *
     * @return \Application\Models\CritereStock 
     */
    public function getIdCritereStock()
    {
        return $this->idCritereStock;
    }

    /**
     * Set idStock
     *
     * @param \Application\Models\Stock $idStock
     * @return CaracteristiqueStock
     */
    public function setIdStock(\Application\Models\Stock $idStock = null)
    {
        $this->idStock = $idStock;
    
        return $this;
    }

    /**
     * Get idStock
     *
     * @return \Application\Models\Stock 
     */
    public function getIdStock()
    {
        return $this->idStock;
    }
}