<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CarteFidelite
 *
 * @ORM\Table(name="carte_fidelite")
 * @ORM\Entity
 */
class CarteFidelite
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_CARTE_FIDELITE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCarteFidelite;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE", type="string", length=255, nullable=false)
     */
    private $code;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_EXPIRATION", type="datetime", nullable=false)
     */
    private $dateExpiration;

    /**
     * @var integer
     *
     * @ORM\Column(name="NUMERO_GROUPE", type="bigint", nullable=true)
     */
    private $numeroGroupe;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PERSONNE", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idPersonne;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idCarteFidelite
     *
     * @return integer 
     */
    public function getIdCarteFidelite()
    {
        return $this->idCarteFidelite;
    }

    /**
     * Set code
     *
     * @param string $code
     * @return CarteFidelite
     */
    public function setCode($code)
    {
        $this->code = $code;
    
        return $this;
    }

    /**
     * Get code
     *
     * @return string 
     */
    public function getCode()
    {
        return $this->code;
    }

    /**
     * Set dateExpiration
     *
     * @param \DateTime $dateExpiration
     * @return CarteFidelite
     */
    public function setDateExpiration($dateExpiration)
    {
        $this->dateExpiration = $dateExpiration;
    
        return $this;
    }

    /**
     * Get dateExpiration
     *
     * @return \DateTime 
     */
    public function getDateExpiration()
    {
        return $this->dateExpiration;
    }

    /**
     * Set numeroGroupe
     *
     * @param integer $numeroGroupe
     * @return CarteFidelite
     */
    public function setNumeroGroupe($numeroGroupe)
    {
        $this->numeroGroupe = $numeroGroupe;
    
        return $this;
    }

    /**
     * Get numeroGroupe
     *
     * @return integer 
     */
    public function getNumeroGroupe()
    {
        return $this->numeroGroupe;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CarteFidelite
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idPersonne
     *
     * @param \Application\Models\Personne $idPersonne
     * @return CarteFidelite
     */
    public function setIdPersonne(\Application\Models\Personne $idPersonne = null)
    {
        $this->idPersonne = $idPersonne;
    
        return $this;
    }

    /**
     * Get idPersonne
     *
     * @return \Application\Models\Personne 
     */
    public function getIdPersonne()
    {
        return $this->idPersonne;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return CarteFidelite
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}