<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CategorieBonAchatClient
 *
 * @ORM\Table(name="categorie_bon_achat_client")
 * @ORM\Entity
 */
class CategorieBonAchatClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_CATEGORIE_BON_ACHAT_CLIENT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCategorieBonAchatClient;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\CategorieProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CATEGORIE_PRODUIT", referencedColumnName="ID_CATEGORIE")
     * })
     */
    private $idCategorieProduit;

    /**
     * @var \Application\Models\BonAchatClient
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\BonAchatClient")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_BON_ACHAT_CLIENT", referencedColumnName="ID_BON_ACHAT_CLIENT")
     * })
     */
    private $idBonAchatClient;



    /**
     * Get idCategorieBonAchatClient
     *
     * @return integer 
     */
    public function getIdCategorieBonAchatClient()
    {
        return $this->idCategorieBonAchatClient;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CategorieBonAchatClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCategorieProduit
     *
     * @param \Application\Models\CategorieProduit $idCategorieProduit
     * @return CategorieBonAchatClient
     */
    public function setIdCategorieProduit(\Application\Models\CategorieProduit $idCategorieProduit = null)
    {
        $this->idCategorieProduit = $idCategorieProduit;
    
        return $this;
    }

    /**
     * Get idCategorieProduit
     *
     * @return \Application\Models\CategorieProduit 
     */
    public function getIdCategorieProduit()
    {
        return $this->idCategorieProduit;
    }

    /**
     * Set idBonAchatClient
     *
     * @param \Application\Models\BonAchatClient $idBonAchatClient
     * @return CategorieBonAchatClient
     */
    public function setIdBonAchatClient(\Application\Models\BonAchatClient $idBonAchatClient = null)
    {
        $this->idBonAchatClient = $idBonAchatClient;
    
        return $this;
    }

    /**
     * Get idBonAchatClient
     *
     * @return \Application\Models\BonAchatClient 
     */
    public function getIdBonAchatClient()
    {
        return $this->idBonAchatClient;
    }
}