<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CategorieCible
 *
 * @ORM\Table(name="categorie_cible")
 * @ORM\Entity
 */
class CategorieCible
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_CATEGORIE_CIBLE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCategorieCible;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\CategorieProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CATEGORIE_ORIGINE", referencedColumnName="ID_CATEGORIE")
     * })
     */
    private $idCategorieOrigine;

    /**
     * @var \Application\Models\CategorieProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CATEGORIE_ARRIVEE", referencedColumnName="ID_CATEGORIE")
     * })
     */
    private $idCategorieArrivee;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idCategorieCible
     *
     * @return integer 
     */
    public function getIdCategorieCible()
    {
        return $this->idCategorieCible;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CategorieCible
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCategorieOrigine
     *
     * @param \Application\Models\CategorieProduit $idCategorieOrigine
     * @return CategorieCible
     */
    public function setIdCategorieOrigine(\Application\Models\CategorieProduit $idCategorieOrigine = null)
    {
        $this->idCategorieOrigine = $idCategorieOrigine;
    
        return $this;
    }

    /**
     * Get idCategorieOrigine
     *
     * @return \Application\Models\CategorieProduit 
     */
    public function getIdCategorieOrigine()
    {
        return $this->idCategorieOrigine;
    }

    /**
     * Set idCategorieArrivee
     *
     * @param \Application\Models\CategorieProduit $idCategorieArrivee
     * @return CategorieCible
     */
    public function setIdCategorieArrivee(\Application\Models\CategorieProduit $idCategorieArrivee = null)
    {
        $this->idCategorieArrivee = $idCategorieArrivee;
    
        return $this;
    }

    /**
     * Get idCategorieArrivee
     *
     * @return \Application\Models\CategorieProduit 
     */
    public function getIdCategorieArrivee()
    {
        return $this->idCategorieArrivee;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return CategorieCible
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}