<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CategorieProduit
 *
 * @ORM\Table(name="categorie_produit")
 * @ORM\Entity
 */
class CategorieProduit
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_CATEGORIE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCategorie;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM", type="string", length=255, nullable=true)
     */
    private $nom;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\CategorieProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PARENT", referencedColumnName="ID_CATEGORIE")
     * })
     */
    private $idParent;



    /**
     * Get idCategorie
     *
     * @return integer 
     */
    public function getIdCategorie()
    {
        return $this->idCategorie;
    }

    /**
     * Set nom
     *
     * @param string $nom
     * @return CategorieProduit
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    
        return $this;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CategorieProduit
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idParent
     *
     * @param \Application\Models\CategorieProduit $idParent
     * @return CategorieProduit
     */
    public function setIdParent(\Application\Models\CategorieProduit $idParent = null)
    {
        $this->idParent = $idParent;
    
        return $this;
    }

    /**
     * Get idParent
     *
     * @return \Application\Models\CategorieProduit 
     */
    public function getIdParent()
    {
        return $this->idParent;
    }
}