<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Commande
 *
 * @ORM\Table(name="commande")
 * @ORM\Entity
 */
class Commande
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_COMMANDE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCommande;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_COMMANDE", type="datetime", nullable=true)
     */
    private $dateCommande;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_SAISIE", type="datetime", nullable=true)
     */
    private $dateSaisie;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_HT", type="float", nullable=true)
     */
    private $montantHt;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_TVA", type="float", nullable=true)
     */
    private $tauxTva;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_TVA", type="float", nullable=true)
     */
    private $montantTva;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_TTC", type="float", nullable=true)
     */
    private $montantTtc;

    /**
     * @var integer
     *
     * @ORM\Column(name="FACTURER", type="smallint", nullable=true)
     */
    private $facturer;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=true)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="RECEPTIONNER", type="smallint", nullable=true)
     */
    private $receptionner;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_LIVRAISON", type="datetime", nullable=true)
     */
    private $dateLivraison;

    /**
     * @var \Application\Models\Fournisseur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Fournisseur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FOURNISSEUR", referencedColumnName="ID_FOURNISSEUR")
     * })
     */
    private $idFournisseur;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idCommande
     *
     * @return integer 
     */
    public function getIdCommande()
    {
        return $this->idCommande;
    }

    /**
     * Set dateCommande
     *
     * @param \DateTime $dateCommande
     * @return Commande
     */
    public function setDateCommande($dateCommande)
    {
        $this->dateCommande = $dateCommande;
    
        return $this;
    }

    /**
     * Get dateCommande
     *
     * @return \DateTime 
     */
    public function getDateCommande()
    {
        return $this->dateCommande;
    }

    /**
     * Set dateSaisie
     *
     * @param \DateTime $dateSaisie
     * @return Commande
     */
    public function setDateSaisie($dateSaisie)
    {
        $this->dateSaisie = $dateSaisie;
    
        return $this;
    }

    /**
     * Get dateSaisie
     *
     * @return \DateTime 
     */
    public function getDateSaisie()
    {
        return $this->dateSaisie;
    }

    /**
     * Set montantHt
     *
     * @param float $montantHt
     * @return Commande
     */
    public function setMontantHt($montantHt)
    {
        $this->montantHt = $montantHt;
    
        return $this;
    }

    /**
     * Get montantHt
     *
     * @return float 
     */
    public function getMontantHt()
    {
        return $this->montantHt;
    }

    /**
     * Set tauxTva
     *
     * @param float $tauxTva
     * @return Commande
     */
    public function setTauxTva($tauxTva)
    {
        $this->tauxTva = $tauxTva;
    
        return $this;
    }

    /**
     * Get tauxTva
     *
     * @return float 
     */
    public function getTauxTva()
    {
        return $this->tauxTva;
    }

    /**
     * Set montantTva
     *
     * @param float $montantTva
     * @return Commande
     */
    public function setMontantTva($montantTva)
    {
        $this->montantTva = $montantTva;
    
        return $this;
    }

    /**
     * Get montantTva
     *
     * @return float 
     */
    public function getMontantTva()
    {
        return $this->montantTva;
    }

    /**
     * Set montantTtc
     *
     * @param float $montantTtc
     * @return Commande
     */
    public function setMontantTtc($montantTtc)
    {
        $this->montantTtc = $montantTtc;
    
        return $this;
    }

    /**
     * Get montantTtc
     *
     * @return float 
     */
    public function getMontantTtc()
    {
        return $this->montantTtc;
    }

    /**
     * Set facturer
     *
     * @param integer $facturer
     * @return Commande
     */
    public function setFacturer($facturer)
    {
        $this->facturer = $facturer;
    
        return $this;
    }

    /**
     * Get facturer
     *
     * @return integer 
     */
    public function getFacturer()
    {
        return $this->facturer;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return Commande
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set receptionner
     *
     * @param integer $receptionner
     * @return Commande
     */
    public function setReceptionner($receptionner)
    {
        $this->receptionner = $receptionner;
    
        return $this;
    }

    /**
     * Get receptionner
     *
     * @return integer 
     */
    public function getReceptionner()
    {
        return $this->receptionner;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Commande
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set dateLivraison
     *
     * @param \DateTime $dateLivraison
     * @return Commande
     */
    public function setDateLivraison($dateLivraison)
    {
        $this->dateLivraison = $dateLivraison;
    
        return $this;
    }

    /**
     * Get dateLivraison
     *
     * @return \DateTime 
     */
    public function getDateLivraison()
    {
        return $this->dateLivraison;
    }

    /**
     * Set idFournisseur
     *
     * @param \Application\Models\Fournisseur $idFournisseur
     * @return Commande
     */
    public function setIdFournisseur(\Application\Models\Fournisseur $idFournisseur = null)
    {
        $this->idFournisseur = $idFournisseur;
    
        return $this;
    }

    /**
     * Get idFournisseur
     *
     * @return \Application\Models\Fournisseur 
     */
    public function getIdFournisseur()
    {
        return $this->idFournisseur;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return Commande
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}