<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CommandeClientEnCours
 *
 * @ORM\Table(name="commande_client_en_cours")
 * @ORM\Entity
 */
class CommandeClientEnCours
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_COMMANDE_CLIENT_EN_COURS", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCommandeClientEnCours;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_CLIENT", type="string", length=255, nullable=true)
     */
    private $nomClient;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_HT", type="float", nullable=true)
     */
    private $montantHt;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_TVA", type="decimal", nullable=true)
     */
    private $tauxTva;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_TTC", type="float", nullable=true)
     */
    private $montantTtc;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_FACTURE", type="datetime", nullable=true)
     */
    private $dateFacture;

    /**
     * @var float
     *
     * @ORM\Column(name="PCT_REMISE", type="decimal", nullable=true)
     */
    private $pctRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="FORFAIT_REMISE", type="float", nullable=true)
     */
    private $forfaitRemise;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=true)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="NBRE_IMPRESSION", type="integer", nullable=true)
     */
    private $nbreImpression;

    /**
     * @var integer
     *
     * @ORM\Column(name="EN_ATTENTE", type="integer", nullable=false)
     */
    private $enAttente;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_VERSE", type="float", nullable=true)
     */
    private $montantVerse;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PERSONNE", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idPersonne;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Facturec
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Facturec")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FACTUREC", referencedColumnName="ID_FACTURE")
     * })
     */
    private $idFacturec;



    /**
     * Get idCommandeClientEnCours
     *
     * @return integer 
     */
    public function getIdCommandeClientEnCours()
    {
        return $this->idCommandeClientEnCours;
    }

    /**
     * Set nomClient
     *
     * @param string $nomClient
     * @return CommandeClientEnCours
     */
    public function setNomClient($nomClient)
    {
        $this->nomClient = $nomClient;
    
        return $this;
    }

    /**
     * Get nomClient
     *
     * @return string 
     */
    public function getNomClient()
    {
        return $this->nomClient;
    }

    /**
     * Set montantHt
     *
     * @param float $montantHt
     * @return CommandeClientEnCours
     */
    public function setMontantHt($montantHt)
    {
        $this->montantHt = $montantHt;
    
        return $this;
    }

    /**
     * Get montantHt
     *
     * @return float 
     */
    public function getMontantHt()
    {
        return $this->montantHt;
    }

    /**
     * Set tauxTva
     *
     * @param float $tauxTva
     * @return CommandeClientEnCours
     */
    public function setTauxTva($tauxTva)
    {
        $this->tauxTva = $tauxTva;
    
        return $this;
    }

    /**
     * Get tauxTva
     *
     * @return float 
     */
    public function getTauxTva()
    {
        return $this->tauxTva;
    }

    /**
     * Set montantTtc
     *
     * @param float $montantTtc
     * @return CommandeClientEnCours
     */
    public function setMontantTtc($montantTtc)
    {
        $this->montantTtc = $montantTtc;
    
        return $this;
    }

    /**
     * Get montantTtc
     *
     * @return float 
     */
    public function getMontantTtc()
    {
        return $this->montantTtc;
    }

    /**
     * Set dateFacture
     *
     * @param \DateTime $dateFacture
     * @return CommandeClientEnCours
     */
    public function setDateFacture($dateFacture)
    {
        $this->dateFacture = $dateFacture;
    
        return $this;
    }

    /**
     * Get dateFacture
     *
     * @return \DateTime 
     */
    public function getDateFacture()
    {
        return $this->dateFacture;
    }

    /**
     * Set pctRemise
     *
     * @param float $pctRemise
     * @return CommandeClientEnCours
     */
    public function setPctRemise($pctRemise)
    {
        $this->pctRemise = $pctRemise;
    
        return $this;
    }

    /**
     * Get pctRemise
     *
     * @return float 
     */
    public function getPctRemise()
    {
        return $this->pctRemise;
    }

    /**
     * Set forfaitRemise
     *
     * @param float $forfaitRemise
     * @return CommandeClientEnCours
     */
    public function setForfaitRemise($forfaitRemise)
    {
        $this->forfaitRemise = $forfaitRemise;
    
        return $this;
    }

    /**
     * Get forfaitRemise
     *
     * @return float 
     */
    public function getForfaitRemise()
    {
        return $this->forfaitRemise;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CommandeClientEnCours
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return CommandeClientEnCours
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set nbreImpression
     *
     * @param integer $nbreImpression
     * @return CommandeClientEnCours
     */
    public function setNbreImpression($nbreImpression)
    {
        $this->nbreImpression = $nbreImpression;
    
        return $this;
    }

    /**
     * Get nbreImpression
     *
     * @return integer 
     */
    public function getNbreImpression()
    {
        return $this->nbreImpression;
    }

    /**
     * Set enAttente
     *
     * @param integer $enAttente
     * @return CommandeClientEnCours
     */
    public function setEnAttente($enAttente)
    {
        $this->enAttente = $enAttente;
    
        return $this;
    }

    /**
     * Get enAttente
     *
     * @return integer 
     */
    public function getEnAttente()
    {
        return $this->enAttente;
    }

    /**
     * Set montantVerse
     *
     * @param float $montantVerse
     * @return CommandeClientEnCours
     */
    public function setMontantVerse($montantVerse)
    {
        $this->montantVerse = $montantVerse;
    
        return $this;
    }

    /**
     * Get montantVerse
     *
     * @return float 
     */
    public function getMontantVerse()
    {
        return $this->montantVerse;
    }

    /**
     * Set idPersonne
     *
     * @param \Application\Models\Personne $idPersonne
     * @return CommandeClientEnCours
     */
    public function setIdPersonne(\Application\Models\Personne $idPersonne = null)
    {
        $this->idPersonne = $idPersonne;
    
        return $this;
    }

    /**
     * Get idPersonne
     *
     * @return \Application\Models\Personne 
     */
    public function getIdPersonne()
    {
        return $this->idPersonne;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return CommandeClientEnCours
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return CommandeClientEnCours
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idFacturec
     *
     * @param \Application\Models\Facturec $idFacturec
     * @return CommandeClientEnCours
     */
    public function setIdFacturec(\Application\Models\Facturec $idFacturec = null)
    {
        $this->idFacturec = $idFacturec;
    
        return $this;
    }

    /**
     * Get idFacturec
     *
     * @return \Application\Models\Facturec 
     */
    public function getIdFacturec()
    {
        return $this->idFacturec;
    }
}