<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * CommandeProduitsClient
 *
 * @ORM\Table(name="commande_produits_client")
 * @ORM\Entity
 */
class CommandeProduitsClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_commande_produits_client", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCommandeProduitsClient;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_commande", type="datetime", nullable=false)
     */
    private $dateCommande;

    /**
     * @var integer
     *
     * @ORM\Column(name="reglee", type="smallint", nullable=true)
     */
    private $reglee;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_client", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idClient;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_utilisateur", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_point_vente", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idCommandeProduitsClient
     *
     * @return integer 
     */
    public function getIdCommandeProduitsClient()
    {
        return $this->idCommandeProduitsClient;
    }

    /**
     * Set dateCommande
     *
     * @param \DateTime $dateCommande
     * @return CommandeProduitsClient
     */
    public function setDateCommande($dateCommande)
    {
        $this->dateCommande = $dateCommande;
    
        return $this;
    }

    /**
     * Get dateCommande
     *
     * @return \DateTime 
     */
    public function getDateCommande()
    {
        return $this->dateCommande;
    }

    /**
     * Set reglee
     *
     * @param integer $reglee
     * @return CommandeProduitsClient
     */
    public function setReglee($reglee)
    {
        $this->reglee = $reglee;
    
        return $this;
    }

    /**
     * Get reglee
     *
     * @return integer 
     */
    public function getReglee()
    {
        return $this->reglee;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return CommandeProduitsClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idClient
     *
     * @param \Application\Models\Personne $idClient
     * @return CommandeProduitsClient
     */
    public function setIdClient(\Application\Models\Personne $idClient = null)
    {
        $this->idClient = $idClient;
    
        return $this;
    }

    /**
     * Get idClient
     *
     * @return \Application\Models\Personne 
     */
    public function getIdClient()
    {
        return $this->idClient;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return CommandeProduitsClient
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return CommandeProduitsClient
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}