<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Compte
 *
 * @ORM\Table(name="compte")
 * @ORM\Entity
 */
class Compte
{
    /**
     * @var string
     *
     * @ORM\Column(name="ID_COMPTE", type="string", length=255, nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idCompte;

    /**
     * @var integer
     *
     * @ORM\Column(name="CLIENT", type="bigint", nullable=true)
     */
    private $client;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BANQUE", type="string", length=255, nullable=true)
     */
    private $codeBanque;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_GUICHET", type="string", length=255, nullable=true)
     */
    private $codeGuichet;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_COMPTE", type="string", length=255, nullable=true)
     */
    private $numCompte;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_BANQUE", type="string", length=255, nullable=true)
     */
    private $nomBanque;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PERSONNE", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idPersonne;



    /**
     * Get idCompte
     *
     * @return string 
     */
    public function getIdCompte()
    {
        return $this->idCompte;
    }

    /**
     * Set client
     *
     * @param integer $client
     * @return Compte
     */
    public function setClient($client)
    {
        $this->client = $client;
    
        return $this;
    }

    /**
     * Get client
     *
     * @return integer 
     */
    public function getClient()
    {
        return $this->client;
    }

    /**
     * Set codeBanque
     *
     * @param string $codeBanque
     * @return Compte
     */
    public function setCodeBanque($codeBanque)
    {
        $this->codeBanque = $codeBanque;
    
        return $this;
    }

    /**
     * Get codeBanque
     *
     * @return string 
     */
    public function getCodeBanque()
    {
        return $this->codeBanque;
    }

    /**
     * Set codeGuichet
     *
     * @param string $codeGuichet
     * @return Compte
     */
    public function setCodeGuichet($codeGuichet)
    {
        $this->codeGuichet = $codeGuichet;
    
        return $this;
    }

    /**
     * Get codeGuichet
     *
     * @return string 
     */
    public function getCodeGuichet()
    {
        return $this->codeGuichet;
    }

    /**
     * Set numCompte
     *
     * @param string $numCompte
     * @return Compte
     */
    public function setNumCompte($numCompte)
    {
        $this->numCompte = $numCompte;
    
        return $this;
    }

    /**
     * Get numCompte
     *
     * @return string 
     */
    public function getNumCompte()
    {
        return $this->numCompte;
    }

    /**
     * Set nomBanque
     *
     * @param string $nomBanque
     * @return Compte
     */
    public function setNomBanque($nomBanque)
    {
        $this->nomBanque = $nomBanque;
    
        return $this;
    }

    /**
     * Get nomBanque
     *
     * @return string 
     */
    public function getNomBanque()
    {
        return $this->nomBanque;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Compte
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idPersonne
     *
     * @param \Application\Models\Personne $idPersonne
     * @return Compte
     */
    public function setIdPersonne(\Application\Models\Personne $idPersonne = null)
    {
        $this->idPersonne = $idPersonne;
    
        return $this;
    }

    /**
     * Get idPersonne
     *
     * @return \Application\Models\Personne 
     */
    public function getIdPersonne()
    {
        return $this->idPersonne;
    }
}