<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * DetailModelePaie
 *
 * @ORM\Table(name="detail_modele_paie")
 * @ORM\Entity
 */
class DetailModelePaie
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_modele_paie_detail", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idModelePaieDetail;

    /**
     * @var integer
     *
     * @ORM\Column(name="montant", type="integer", nullable=false)
     */
    private $montant;

    /**
     * @var integer
     *
     * @ORM\Column(name="type", type="smallint", nullable=false)
     */
    private $type;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\ModelePaieMensuel
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\ModelePaieMensuel")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_modele_paie", referencedColumnName="id_modele_paie")
     * })
     */
    private $idModelePaie;

    /**
     * @var \Application\Models\RubriquePaie
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\RubriquePaie")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_rubrique_paie", referencedColumnName="id_rubrique_paie")
     * })
     */
    private $idRubriquePaie;



    /**
     * Get idModelePaieDetail
     *
     * @return integer 
     */
    public function getIdModelePaieDetail()
    {
        return $this->idModelePaieDetail;
    }

    /**
     * Set montant
     *
     * @param integer $montant
     * @return DetailModelePaie
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return integer 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set type
     *
     * @param integer $type
     * @return DetailModelePaie
     */
    public function setType($type)
    {
        $this->type = $type;
    
        return $this;
    }

    /**
     * Get type
     *
     * @return integer 
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return DetailModelePaie
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idModelePaie
     *
     * @param \Application\Models\ModelePaieMensuel $idModelePaie
     * @return DetailModelePaie
     */
    public function setIdModelePaie(\Application\Models\ModelePaieMensuel $idModelePaie = null)
    {
        $this->idModelePaie = $idModelePaie;
    
        return $this;
    }

    /**
     * Get idModelePaie
     *
     * @return \Application\Models\ModelePaieMensuel 
     */
    public function getIdModelePaie()
    {
        return $this->idModelePaie;
    }

    /**
     * Set idRubriquePaie
     *
     * @param \Application\Models\RubriquePaie $idRubriquePaie
     * @return DetailModelePaie
     */
    public function setIdRubriquePaie(\Application\Models\RubriquePaie $idRubriquePaie = null)
    {
        $this->idRubriquePaie = $idRubriquePaie;
    
        return $this;
    }

    /**
     * Get idRubriquePaie
     *
     * @return \Application\Models\RubriquePaie 
     */
    public function getIdRubriquePaie()
    {
        return $this->idRubriquePaie;
    }
}