<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * DetailMvtMagasin
 *
 * @ORM\Table(name="detail_mvt_magasin")
 * @ORM\Entity
 */
class DetailMvtMagasin
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_DETAIL_MVT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idDetailMvt;

    /**
     * @var float
     *
     * @ORM\Column(name="QTE", type="float", nullable=false)
     */
    private $qte;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\MvtMagasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\MvtMagasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MVT_MAGASIN", referencedColumnName="ID_MVT_MAGASIN")
     * })
     */
    private $idMvtMagasin;

    /**
     * @var \Application\Models\Stock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Stock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_STOCK", referencedColumnName="ID_STOCK")
     * })
     */
    private $idStock;



    /**
     * Get idDetailMvt
     *
     * @return integer 
     */
    public function getIdDetailMvt()
    {
        return $this->idDetailMvt;
    }

    /**
     * Set qte
     *
     * @param float $qte
     * @return DetailMvtMagasin
     */
    public function setQte($qte)
    {
        $this->qte = $qte;
    
        return $this;
    }

    /**
     * Get qte
     *
     * @return float 
     */
    public function getQte()
    {
        return $this->qte;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return DetailMvtMagasin
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idMvtMagasin
     *
     * @param \Application\Models\MvtMagasin $idMvtMagasin
     * @return DetailMvtMagasin
     */
    public function setIdMvtMagasin(\Application\Models\MvtMagasin $idMvtMagasin = null)
    {
        $this->idMvtMagasin = $idMvtMagasin;
    
        return $this;
    }

    /**
     * Get idMvtMagasin
     *
     * @return \Application\Models\MvtMagasin 
     */
    public function getIdMvtMagasin()
    {
        return $this->idMvtMagasin;
    }

    /**
     * Set idStock
     *
     * @param \Application\Models\Stock $idStock
     * @return DetailMvtMagasin
     */
    public function setIdStock(\Application\Models\Stock $idStock = null)
    {
        $this->idStock = $idStock;
    
        return $this;
    }

    /**
     * Get idStock
     *
     * @return \Application\Models\Stock 
     */
    public function getIdStock()
    {
        return $this->idStock;
    }
}