<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * DetailPaieMensuel
 *
 * @ORM\Table(name="detail_paie_mensuel")
 * @ORM\Entity
 */
class DetailPaieMensuel
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_detail_paie_mensuel", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idDetailPaieMensuel;

    /**
     * @var integer
     *
     * @ORM\Column(name="montant", type="integer", nullable=false)
     */
    private $montant;

    /**
     * @var integer
     *
     * @ORM\Column(name="type", type="smallint", nullable=false)
     */
    private $type;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\RubriquePaie
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\RubriquePaie")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_rubrique_paie", referencedColumnName="id_rubrique_paie")
     * })
     */
    private $idRubriquePaie;

    /**
     * @var \Application\Models\PaieMensuel
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PaieMensuel")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_paie_mensuel", referencedColumnName="id_paie_mensuel")
     * })
     */
    private $idPaieMensuel;



    /**
     * Get idDetailPaieMensuel
     *
     * @return integer 
     */
    public function getIdDetailPaieMensuel()
    {
        return $this->idDetailPaieMensuel;
    }

    /**
     * Set montant
     *
     * @param integer $montant
     * @return DetailPaieMensuel
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return integer 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set type
     *
     * @param integer $type
     * @return DetailPaieMensuel
     */
    public function setType($type)
    {
        $this->type = $type;
    
        return $this;
    }

    /**
     * Get type
     *
     * @return integer 
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return DetailPaieMensuel
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idRubriquePaie
     *
     * @param \Application\Models\RubriquePaie $idRubriquePaie
     * @return DetailPaieMensuel
     */
    public function setIdRubriquePaie(\Application\Models\RubriquePaie $idRubriquePaie = null)
    {
        $this->idRubriquePaie = $idRubriquePaie;
    
        return $this;
    }

    /**
     * Get idRubriquePaie
     *
     * @return \Application\Models\RubriquePaie 
     */
    public function getIdRubriquePaie()
    {
        return $this->idRubriquePaie;
    }

    /**
     * Set idPaieMensuel
     *
     * @param \Application\Models\PaieMensuel $idPaieMensuel
     * @return DetailPaieMensuel
     */
    public function setIdPaieMensuel(\Application\Models\PaieMensuel $idPaieMensuel = null)
    {
        $this->idPaieMensuel = $idPaieMensuel;
    
        return $this;
    }

    /**
     * Get idPaieMensuel
     *
     * @return \Application\Models\PaieMensuel 
     */
    public function getIdPaieMensuel()
    {
        return $this->idPaieMensuel;
    }
}