<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * DetailTransformation
 *
 * @ORM\Table(name="detail_transformation")
 * @ORM\Entity
 */
class DetailTransformation
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_detail_transformation", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idDetailTransformation;

    /**
     * @var integer
     *
     * @ORM\Column(name="quantite_source", type="integer", nullable=false)
     */
    private $quantiteSource;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\TransformationProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\TransformationProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_transformation_produit", referencedColumnName="id_transformation_produit")
     * })
     */
    private $idTransformationProduit;

    /**
     * @var \Application\Models\Stock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Stock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_stock_source", referencedColumnName="ID_STOCK")
     * })
     */
    private $idStockSource;



    /**
     * Get idDetailTransformation
     *
     * @return integer 
     */
    public function getIdDetailTransformation()
    {
        return $this->idDetailTransformation;
    }

    /**
     * Set quantiteSource
     *
     * @param integer $quantiteSource
     * @return DetailTransformation
     */
    public function setQuantiteSource($quantiteSource)
    {
        $this->quantiteSource = $quantiteSource;
    
        return $this;
    }

    /**
     * Get quantiteSource
     *
     * @return integer 
     */
    public function getQuantiteSource()
    {
        return $this->quantiteSource;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return DetailTransformation
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idTransformationProduit
     *
     * @param \Application\Models\TransformationProduit $idTransformationProduit
     * @return DetailTransformation
     */
    public function setIdTransformationProduit(\Application\Models\TransformationProduit $idTransformationProduit = null)
    {
        $this->idTransformationProduit = $idTransformationProduit;
    
        return $this;
    }

    /**
     * Get idTransformationProduit
     *
     * @return \Application\Models\TransformationProduit 
     */
    public function getIdTransformationProduit()
    {
        return $this->idTransformationProduit;
    }

    /**
     * Set idStockSource
     *
     * @param \Application\Models\Stock $idStockSource
     * @return DetailTransformation
     */
    public function setIdStockSource(\Application\Models\Stock $idStockSource = null)
    {
        $this->idStockSource = $idStockSource;
    
        return $this;
    }

    /**
     * Get idStockSource
     *
     * @return \Application\Models\Stock 
     */
    public function getIdStockSource()
    {
        return $this->idStockSource;
    }
}