<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Facturec
 *
 * @ORM\Table(name="facturec")
 * @ORM\Entity
 */
class Facturec
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_FACTURE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idFacture;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_CLIENT", type="string", length=255, nullable=true)
     */
    private $nomClient;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_HT", type="float", nullable=true)
     */
    private $montantHt;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_TVA", type="decimal", nullable=true)
     */
    private $tauxTva;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_TTC", type="float", nullable=true)
     */
    private $montantTtc;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_FACTURE", type="datetime", nullable=true)
     */
    private $dateFacture;

    /**
     * @var float
     *
     * @ORM\Column(name="PCT_REMISE", type="decimal", nullable=true)
     */
    private $pctRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="FORFAIT_REMISE", type="float", nullable=true)
     */
    private $forfaitRemise;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=true)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="NBRE_IMPRESSION", type="integer", nullable=true)
     */
    private $nbreImpression;

    /**
     * @var integer
     *
     * @ORM\Column(name="EN_ATTENTE", type="integer", nullable=false)
     */
    private $enAttente;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_VERSE", type="float", nullable=true)
     */
    private $montantVerse;

    /**
     * @var integer
     *
     * @ORM\Column(name="type_vente", type="smallint", nullable=true)
     */
    private $typeVente;

    /**
     * @var integer
     *
     * @ORM\Column(name="etat_livraison", type="smallint", nullable=true)
     */
    private $etatLivraison;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_ECHEANCE", type="datetime", nullable=true)
     */
    private $dateEcheance;

     /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="SERVEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $serveur;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_IR", type="decimal", nullable=true)
     */
    private $tauxIr;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_TVA", type="float", nullable=true)
     */
    private $montantTva;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_IR", type="float", nullable=true)
     */
    private $montantIr;

    /**
     * @var integer
     *
     * @ORM\Column(name="TVA_RETENU", type="smallint", nullable=false)
     */
    private $tvaRetenu;

    /**
     * @var integer
     *
     * @ORM\Column(name="IR_RETENU", type="smallint", nullable=false)
     */
    private $irRetenu;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_NET", type="float", nullable=true)
     */
    private $montantNet;

    /**
     * @var string
     *
     * @ORM\Column(name="MOTIF_ANNULATION", type="string", length=255, nullable=true)
     */
    private $motifAnnulation;

    /**
     * @var string
     *
     * @ORM\Column(name="OBSERVATION", type="string", length=255, nullable=true)
     */
    private $observation;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Emplacement
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Emplacement")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_EMPLACEMENT", referencedColumnName="ID_EMPLACEMENT")
     * })
     */
    private $idEmplacement;

     /**
     * @var integer
     *
     * @ORM\Column(name="GROUPE", type="smallint", nullable=true)
     */
    private $groupe;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PERSONNE", referencedColumnName="ID_PERSONNE")
     * })
     */

    private $idPersonne;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;

    /**
     * @var \Application\Models\SessionCaissier
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\SessionCaissier")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_SESSION_CAISSIER", referencedColumnName="ID_SESSION_CAISSE")
     * })
     */
    private $idSessionCaissier;

    /**
     * @var \Application\Models\SessionCaissier
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\SessionCaissier")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_SESSION_VENDEUR", referencedColumnName="ID_SESSION_CAISSE")
     * })
     */
    private $idSessionVendeur;



    /**
     * Get idFacture
     *
     * @return integer 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }

    /**
     * Set nomClient
     *
     * @param string $nomClient
     * @return Facturec
     */
    public function setNomClient($nomClient)
    {
        $this->nomClient = $nomClient;
    
        return $this;
    }

    /**
     * Get nomClient
     *
     * @return string 
     */
    public function getNomClient()
    {
        return $this->nomClient;
    }

    /**
     * Set montantHt
     *
     * @param float $montantHt
     * @return Facturec
     */
    public function setMontantHt($montantHt)
    {
        $this->montantHt = $montantHt;
    
        return $this;
    }

    /**
     * Get montantHt
     *
     * @return float 
     */
    public function getMontantHt()
    {
        return $this->montantHt;
    }

    /**
     * Set tauxTva
     *
     * @param float $tauxTva
     * @return Facturec
     */
    public function setTauxTva($tauxTva)
    {
        $this->tauxTva = $tauxTva;
    
        return $this;
    }

    /**
     * Get tauxTva
     *
     * @return float 
     */
    public function getTauxTva()
    {
        return $this->tauxTva;
    }

    /**
     * Set montantTtc
     *
     * @param float $montantTtc
     * @return Facturec
     */
    public function setMontantTtc($montantTtc)
    {
        $this->montantTtc = $montantTtc;
    
        return $this;
    }

    /**
     * Get montantTtc
     *
     * @return float 
     */
    public function getMontantTtc()
    {
        return $this->montantTtc;
    }

    /**
     * Set dateFacture
     *
     * @param \DateTime $dateFacture
     * @return Facturec
     */
    public function setDateFacture($dateFacture)
    {
        $this->dateFacture = $dateFacture;
    
        return $this;
    }

    /**
     * Get dateFacture
     *
     * @return \DateTime 
     */
    public function getDateFacture()
    {
        return $this->dateFacture;
    }

    /**
     * Set pctRemise
     *
     * @param float $pctRemise
     * @return Facturec
     */
    public function setPctRemise($pctRemise)
    {
        $this->pctRemise = $pctRemise;
    
        return $this;
    }

    /**
     * Get pctRemise
     *
     * @return float 
     */
    public function getPctRemise()
    {
        return $this->pctRemise;
    }

    /**
     * Set forfaitRemise
     *
     * @param float $forfaitRemise
     * @return Facturec
     */
    public function setForfaitRemise($forfaitRemise)
    {
        $this->forfaitRemise = $forfaitRemise;
    
        return $this;
    }

    /**
     * Get forfaitRemise
     *
     * @return float 
     */
    public function getForfaitRemise()
    {
        return $this->forfaitRemise;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Facturec
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return Facturec
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set nbreImpression
     *
     * @param integer $nbreImpression
     * @return Facturec
     */
    public function setNbreImpression($nbreImpression)
    {
        $this->nbreImpression = $nbreImpression;
    
        return $this;
    }

    /**
     * Get nbreImpression
     *
     * @return integer 
     */
    public function getNbreImpression()
    {
        return $this->nbreImpression;
    }

    /**
     * Set enAttente
     *
     * @param integer $enAttente
     * @return Facturec
     */
    public function setEnAttente($enAttente)
    {
        $this->enAttente = $enAttente;
    
        return $this;
    }

    /**
     * Get enAttente
     *
     * @return integer 
     */
    public function getEnAttente()
    {
        return $this->enAttente;
    }

    /**
     * Set montantVerse
     *
     * @param float $montantVerse
     * @return Facturec
     */
    public function setMontantVerse($montantVerse)
    {
        $this->montantVerse = $montantVerse;
    
        return $this;
    }

    /**
     * Get montantVerse
     *
     * @return float 
     */
    public function getMontantVerse()
    {
        return $this->montantVerse;
    }

    /**
     * Set typeVente
     *
     * @param integer $typeVente
     * @return Facturec
     */
    public function setTypeVente($typeVente)
    {
        $this->typeVente = $typeVente;
    
        return $this;
    }

    /**
     * Get typeVente
     *
     * @return integer 
     */
    public function getTypeVente()
    {
        return $this->typeVente;
    }

    /**
     * Set etatLivraison
     *
     * @param integer $etatLivraison
     * @return Facturec
     */
    public function setEtatLivraison($etatLivraison)
    {
        $this->etatLivraison = $etatLivraison;
    
        return $this;
    }

    /**
     * Get etatLivraison
     *
     * @return integer 
     */
    public function getEtatLivraison()
    {
        return $this->etatLivraison;
    }

    /**
     * Set dateEcheance
     *
     * @param \DateTime $dateEcheance
     * @return Facturec
     */
    public function setDateEcheance($dateEcheance)
    {
        $this->dateEcheance = $dateEcheance;
    
        return $this;
    }

    /**
     * Get dateEcheance
     *
     * @return \DateTime 
     */
    public function getDateEcheance()
    {
        return $this->dateEcheance;
    }

    /**
     * Set serveur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Facturec
     */
    public function setServeur(\Application\Models\Utilisateur $serveur = null)
    {
        $this->serveur = $serveur;
    
        return $this;
    }

    /**
     * Get serveur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getServeur()
    {
        return $this->serveur;
    }

    /**
     * Set tauxIr
     *
     * @param float $tauxIr
     * @return Facturec
     */
    public function setTauxIr($tauxIr)
    {
        $this->tauxIr = $tauxIr;
    
        return $this;
    }

    /**
     * Get tauxIr
     *
     * @return float 
     */
    public function getTauxIr()
    {
        return $this->tauxIr;
    }

    /**
     * Set montantTva
     *
     * @param float $montantTva
     * @return Facturec
     */
    public function setMontantTva($montantTva)
    {
        $this->montantTva = $montantTva;
    
        return $this;
    }

    /**
     * Get montantTva
     *
     * @return float 
     */
    public function getMontantTva()
    {
        return $this->montantTva;
    }

    /**
     * Set montantIr
     *
     * @param float $montantIr
     * @return Facturec
     */
    public function setMontantIr($montantIr)
    {
        $this->montantIr = $montantIr;
    
        return $this;
    }

    /**
     * Get montantIr
     *
     * @return float 
     */
    public function getMontantIr()
    {
        return $this->montantIr;
    }

    /**
     * Set tvaRetenu
     *
     * @param integer $tvaRetenu
     * @return Facturec
     */
    public function setTvaRetenu($tvaRetenu)
    {
        $this->tvaRetenu = $tvaRetenu;
    
        return $this;
    }

    /**
     * Get tvaRetenu
     *
     * @return integer 
     */
    public function getTvaRetenu()
    {
        return $this->tvaRetenu;
    }

    /**
     * Set irRetenu
     *
     * @param integer $irRetenu
     * @return Facturec
     */
    public function setIrRetenu($irRetenu)
    {
        $this->irRetenu = $irRetenu;
    
        return $this;
    }

    /**
     * Get irRetenu
     *
     * @return integer 
     */
    public function getIrRetenu()
    {
        return $this->irRetenu;
    }

    /**
     * Set montantNet
     *
     * @param float $montantNet
     * @return Facturec
     */
    public function setMontantNet($montantNet)
    {
        $this->montantNet = $montantNet;
    
        return $this;
    }

    /**
     * Get montantNet
     *
     * @return float 
     */
    public function getMontantNet()
    {
        return $this->montantNet;
    }

    /**
     * Set motifAnnulation
     *
     * @param string $motifAnnulation
     * @return Facturec
     */
    public function setMotifAnnulation($motifAnnulation)
    {
        $this->motifAnnulation = $motifAnnulation;
    
        return $this;
    }

    /**
     * Get motifAnnulation
     *
     * @return string 
     */
    public function getMotifAnnulation()
    {
        return $this->motifAnnulation;
    }

    /**
     * Set observation
     *
     * @param string $observation
     * @return Facturec
     */
    public function setObservation($observation)
    {
        $this->observation = $observation;
    
        return $this;
    }

    /**
     * Get observation
     *
     * @return string 
     */
    public function getObservation()
    {
        return $this->observation;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Facturec
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idPersonne
     *
     * @param \Application\Models\Personne $idPersonne
     * @return Facturec
     */
    public function setIdPersonne(\Application\Models\Personne $idPersonne = null)
    {
        $this->idPersonne = $idPersonne;
    
        return $this;
    }

    /**
     * Get idPersonne
     *
     * @return \Application\Models\Personne 
     */
    public function getIdPersonne()
    {
        return $this->idPersonne;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return Facturec
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }

    /**
     * Set idSessionCaissier
     *
     * @param \Application\Models\SessionCaissier $idSessionCaissier
     * @return Facturec
     */
    public function setIdSessionCaissier(\Application\Models\SessionCaissier $idSessionCaissier = null)
    {
        $this->idSessionCaissier = $idSessionCaissier;
    
        return $this;
    }

    /**
     * Get idSessionCaissier
     *
     * @return \Application\Models\SessionCaissier 
     */
    public function getIdSessionCaissier()
    {
        return $this->idSessionCaissier;
    }


    /**
     * Set idSessionVendeur
     *
     * @param \Application\Models\SessionCaissier $idSessionVendeur
     * @return Facturec
     */
    public function setIdSessionVendeur(\Application\Models\SessionCaissier $idSessionVendeur = null)
    {
        $this->idSessionVendeur = $idSessionVendeur;
    
        return $this;
    }

    /**
     * Get idSessionVendeur
     *
     * @return \Application\Models\SessionCaissier 
     */
    public function getIdSessionVendeur()
    {
        return $this->idSessionVendeur;
    }

    /**
     * Set idEmplacement
     *
     * @param \Application\Models\Emplacement $idEmplacement
     * @return Facturec
     */
    public function setIdEmplacement(\Application\Models\Emplacement $idEmplacement = null)
    {
        $this->idEmplacement = $idEmplacement;
    
        return $this;
    }

    /**
     * Get idEmplacement
     *
     * @return \Application\Models\Emplacement 
     */
    public function getIdEmplacement()
    {
        return $this->idEmplacement;
    }

    
    /**
     * Set groupe
     *
     * @param integer $groupe
     * @return Facturec
     */
    public function setGroupe($groupe)
    {
        $this->groupe = $groupe;
    
        return $this;
    }

    /**
     * Get groupe
     *
     * @return integer 
     */
    public function getGroupe()
    {
        return $this->groupe;
    }
}