<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Facturef
 *
 * @ORM\Table(name="facturef")
 * @ORM\Entity
 */
class Facturef
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_FACTURE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idFacture;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_HT", type="float", nullable=true)
     */
    private $montantHt;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_TVA", type="decimal", nullable=true)
     */
    private $tauxTva;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_TTC", type="float", nullable=true)
     */
    private $montantTtc;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_FACTURE", type="datetime", nullable=true)
     */
    private $dateFacture;

    /**
     * @var float
     *
     * @ORM\Column(name="PCT_REMISE", type="decimal", nullable=true)
     */
    private $pctRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="FORFAIT_REMISE", type="float", nullable=true)
     */
    private $forfaitRemise;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=true)
     */
    private $valider;

    /**
     * @var \Application\Models\Commande
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Commande")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_COMMANDE", referencedColumnName="ID_COMMANDE")
     * })
     */
    private $idCommande;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Fournisseur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Fournisseur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FOURNISSEUR", referencedColumnName="ID_FOURNISSEUR")
     * })
     */
    private $idFournisseur;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idFacture
     *
     * @return integer 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }

    /**
     * Set montantHt
     *
     * @param float $montantHt
     * @return Facturef
     */
    public function setMontantHt($montantHt)
    {
        $this->montantHt = $montantHt;
    
        return $this;
    }

    /**
     * Get montantHt
     *
     * @return float 
     */
    public function getMontantHt()
    {
        return $this->montantHt;
    }

    /**
     * Set tauxTva
     *
     * @param float $tauxTva
     * @return Facturef
     */
    public function setTauxTva($tauxTva)
    {
        $this->tauxTva = $tauxTva;
    
        return $this;
    }

    /**
     * Get tauxTva
     *
     * @return float 
     */
    public function getTauxTva()
    {
        return $this->tauxTva;
    }

    /**
     * Set montantTtc
     *
     * @param float $montantTtc
     * @return Facturef
     */
    public function setMontantTtc($montantTtc)
    {
        $this->montantTtc = $montantTtc;
    
        return $this;
    }

    /**
     * Get montantTtc
     *
     * @return float 
     */
    public function getMontantTtc()
    {
        return $this->montantTtc;
    }

    /**
     * Set dateFacture
     *
     * @param \DateTime $dateFacture
     * @return Facturef
     */
    public function setDateFacture($dateFacture)
    {
        $this->dateFacture = $dateFacture;
    
        return $this;
    }

    /**
     * Get dateFacture
     *
     * @return \DateTime 
     */
    public function getDateFacture()
    {
        return $this->dateFacture;
    }

    /**
     * Set pctRemise
     *
     * @param float $pctRemise
     * @return Facturef
     */
    public function setPctRemise($pctRemise)
    {
        $this->pctRemise = $pctRemise;
    
        return $this;
    }

    /**
     * Get pctRemise
     *
     * @return float 
     */
    public function getPctRemise()
    {
        return $this->pctRemise;
    }

    /**
     * Set forfaitRemise
     *
     * @param float $forfaitRemise
     * @return Facturef
     */
    public function setForfaitRemise($forfaitRemise)
    {
        $this->forfaitRemise = $forfaitRemise;
    
        return $this;
    }

    /**
     * Get forfaitRemise
     *
     * @return float 
     */
    public function getForfaitRemise()
    {
        return $this->forfaitRemise;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Facturef
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return Facturef
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set idCommande
     *
     * @param \Application\Models\Commande $idCommande
     * @return Facturef
     */
    public function setIdCommande(\Application\Models\Commande $idCommande = null)
    {
        $this->idCommande = $idCommande;
    
        return $this;
    }

    /**
     * Get idCommande
     *
     * @return \Application\Models\Commande 
     */
    public function getIdCommande()
    {
        return $this->idCommande;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Facturef
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idFournisseur
     *
     * @param \Application\Models\Fournisseur $idFournisseur
     * @return Facturef
     */
    public function setIdFournisseur(\Application\Models\Fournisseur $idFournisseur = null)
    {
        $this->idFournisseur = $idFournisseur;
    
        return $this;
    }

    /**
     * Get idFournisseur
     *
     * @return \Application\Models\Fournisseur 
     */
    public function getIdFournisseur()
    {
        return $this->idFournisseur;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return Facturef
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}