<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Fournisseur
 *
 * @ORM\Table(name="fournisseur")
 * @ORM\Entity
 */
class Fournisseur
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_FOURNISSEUR", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idFournisseur;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_FOURNISSEUR", type="string", length=255, nullable=false)
     */
    private $nomFournisseur;

    /**
     * @var string
     *
     * @ORM\Column(name="RAISON_SOCIALE", type="string", length=255, nullable=true)
     */
    private $raisonSociale;

    /**
     * @var string
     *
     * @ORM\Column(name="ADRESSE", type="string", length=100, nullable=true)
     */
    private $adresse;

    /**
     * @var string
     *
     * @ORM\Column(name="TELEPHONE", type="string", length=100, nullable=true)
     */
    private $telephone;

    /**
     * @var string
     *
     * @ORM\Column(name="BOITE_POSTALE", type="string", length=100, nullable=true)
     */
    private $boitePostale;

    /**
     * @var string
     *
     * @ORM\Column(name="COMPTE_COMPTABLE", type="string", length=255, nullable=true)
     */
    private $compteComptable;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idFournisseur
     *
     * @return integer 
     */
    public function getIdFournisseur()
    {
        return $this->idFournisseur;
    }

    /**
     * Set nomFournisseur
     *
     * @param string $nomFournisseur
     * @return Fournisseur
     */
    public function setNomFournisseur($nomFournisseur)
    {
        $this->nomFournisseur = $nomFournisseur;
    
        return $this;
    }

    /**
     * Get nomFournisseur
     *
     * @return string 
     */
    public function getNomFournisseur()
    {
        return $this->nomFournisseur;
    }

    /**
     * Set raisonSociale
     *
     * @param string $raisonSociale
     * @return Fournisseur
     */
    public function setRaisonSociale($raisonSociale)
    {
        $this->raisonSociale = $raisonSociale;
    
        return $this;
    }

    /**
     * Get raisonSociale
     *
     * @return string 
     */
    public function getRaisonSociale()
    {
        return $this->raisonSociale;
    }

    /**
     * Set adresse
     *
     * @param string $adresse
     * @return Fournisseur
     */
    public function setAdresse($adresse)
    {
        $this->adresse = $adresse;
    
        return $this;
    }

    /**
     * Get adresse
     *
     * @return string 
     */
    public function getAdresse()
    {
        return $this->adresse;
    }

    /**
     * Set telephone
     *
     * @param string $telephone
     * @return Fournisseur
     */
    public function setTelephone($telephone)
    {
        $this->telephone = $telephone;
    
        return $this;
    }

    /**
     * Get telephone
     *
     * @return string 
     */
    public function getTelephone()
    {
        return $this->telephone;
    }

    /**
     * Set boitePostale
     *
     * @param string $boitePostale
     * @return Fournisseur
     */
    public function setBoitePostale($boitePostale)
    {
        $this->boitePostale = $boitePostale;
    
        return $this;
    }

    /**
     * Get boitePostale
     *
     * @return string 
     */
    public function getBoitePostale()
    {
        return $this->boitePostale;
    }

    /**
     * Set compteComptable
     *
     * @param string $compteComptable
     * @return Fournisseur
     */
    public function setCompteComptable($compteComptable)
    {
        $this->compteComptable = $compteComptable;
    
        return $this;
    }

    /**
     * Get compteComptable
     *
     * @return string 
     */
    public function getCompteComptable()
    {
        return $this->compteComptable;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Fournisseur
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}