<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Inventaire
 *
 * @ORM\Table(name="inventaire")
 * @ORM\Entity
 */
class Inventaire
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_INVENTAIRE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idInventaire;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_INVENTAIRE", type="datetime", nullable=false)
     */
    private $dateInventaire;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPTION", type="string", length=255, nullable=true)
     */
    private $description;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_DEBUT", type="datetime", nullable=true)
     */
    private $dateDebut;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_FIN", type="datetime", nullable=true)
     */
    private $dateFin;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=false)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="APURER", type="smallint", nullable=false)
     */
    private $apurer;

    /**
     * @var integer
     *
     * @ORM\Column(name="CLOTURER", type="smallint", nullable=true)
     */
    private $cloturer;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MAGASIN", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $idMagasin;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idInventaire
     *
     * @return integer 
     */
    public function getIdInventaire()
    {
        return $this->idInventaire;
    }

    /**
     * Set dateInventaire
     *
     * @param \DateTime $dateInventaire
     * @return Inventaire
     */
    public function setDateInventaire($dateInventaire)
    {
        $this->dateInventaire = $dateInventaire;
    
        return $this;
    }

    /**
     * Get dateInventaire
     *
     * @return \DateTime 
     */
    public function getDateInventaire()
    {
        return $this->dateInventaire;
    }

    /**
     * Set description
     *
     * @param string $description
     * @return Inventaire
     */
    public function setDescription($description)
    {
        $this->description = $description;
    
        return $this;
    }

    /**
     * Get description
     *
     * @return string 
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set dateDebut
     *
     * @param \DateTime $dateDebut
     * @return Inventaire
     */
    public function setDateDebut($dateDebut)
    {
        $this->dateDebut = $dateDebut;
    
        return $this;
    }

    /**
     * Get dateDebut
     *
     * @return \DateTime 
     */
    public function getDateDebut()
    {
        return $this->dateDebut;
    }

    /**
     * Set dateFin
     *
     * @param \DateTime $dateFin
     * @return Inventaire
     */
    public function setDateFin($dateFin)
    {
        $this->dateFin = $dateFin;
    
        return $this;
    }

    /**
     * Get dateFin
     *
     * @return \DateTime 
     */
    public function getDateFin()
    {
        return $this->dateFin;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return Inventaire
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set apurer
     *
     * @param integer $apurer
     * @return Inventaire
     */
    public function setApurer($apurer)
    {
        $this->apurer = $apurer;
    
        return $this;
    }

    /**
     * Get apurer
     *
     * @return integer 
     */
    public function getApurer()
    {
        return $this->apurer;
    }

    /**
     * Set cloturer
     *
     * @param integer $cloturer
     * @return Inventaire
     */
    public function setCloturer($cloturer)
    {
        $this->cloturer = $cloturer;
    
        return $this;
    }

    /**
     * Get cloturer
     *
     * @return integer 
     */
    public function getCloturer()
    {
        return $this->cloturer;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Inventaire
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idMagasin
     *
     * @param \Application\Models\Magasin $idMagasin
     * @return Inventaire
     */
    public function setIdMagasin(\Application\Models\Magasin $idMagasin = null)
    {
        $this->idMagasin = $idMagasin;
    
        return $this;
    }

    /**
     * Get idMagasin
     *
     * @return \Application\Models\Magasin 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return Inventaire
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}