<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneAvoir
 *
 * @ORM\Table(name="ligne_avoir")
 * @ORM\Entity
 */
class LigneAvoir
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_AVOIR", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneAvoir;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;

    /**
     * @var \Application\Models\Avoir
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Avoir")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_AVOIR", referencedColumnName="ID_AVOIR")
     * })
     */
    private $idAvoir;



    /**
     * Get idLigneAvoir
     *
     * @return integer 
     */
    public function getIdLigneAvoir()
    {
        return $this->idLigneAvoir;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneAvoir
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneAvoir
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneAvoir
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneAvoir
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }

    /**
     * Set idAvoir
     *
     * @param \Application\Models\Avoir $idAvoir
     * @return LigneAvoir
     */
    public function setIdAvoir(\Application\Models\Avoir $idAvoir = null)
    {
        $this->idAvoir = $idAvoir;
    
        return $this;
    }

    /**
     * Get idAvoir
     *
     * @return \Application\Models\Avoir 
     */
    public function getIdAvoir()
    {
        return $this->idAvoir;
    }
}