<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneCommande
 *
 * @ORM\Table(name="ligne_commande")
 * @ORM\Entity
 */
class LigneCommande
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_COMMANDE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneCommande;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Commande
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Commande")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_COMMANDE", referencedColumnName="ID_COMMANDE")
     * })
     */
    private $idCommande;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;



    /**
     * Get idLigneCommande
     *
     * @return integer 
     */
    public function getIdLigneCommande()
    {
        return $this->idLigneCommande;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneCommande
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneCommande
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneCommande
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCommande
     *
     * @param \Application\Models\Commande $idCommande
     * @return LigneCommande
     */
    public function setIdCommande(\Application\Models\Commande $idCommande = null)
    {
        $this->idCommande = $idCommande;
    
        return $this;
    }

    /**
     * Get idCommande
     *
     * @return \Application\Models\Commande 
     */
    public function getIdCommande()
    {
        return $this->idCommande;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneCommande
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }
}