<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneCommandeClientEnCours
 *
 * @ORM\Table(name="ligne_commande_client_en_cours")
 * @ORM\Entity
 */
class LigneCommandeClientEnCours
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_COMMANDE_CLIENT_EN_COURS", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneCommandeClientEnCours;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_LOT", type="string", length=255, nullable=true)
     */
    private $numLot;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BARRE", type="string", length=255, nullable=true)
     */
    private $codeBarre;

    /**
     * @var string
     *
     * @ORM\Column(name="DESIGNATION", type="string", length=255, nullable=true)
     */
    private $designation;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var float
     *
     * @ORM\Column(name="PCT_REMISE", type="decimal", nullable=true)
     */
    private $pctRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var string
     *
     * @ORM\Column(name="COMMENTAIRE", type="text", nullable=true)
     */
    private $commentaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var float
     *
     * @ORM\Column(name="FORFAIT_REMISE", type="float", nullable=true)
     */
    private $forfaitRemise;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;

    /**
     * @var \Application\Models\CommandeClientEnCours
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CommandeClientEnCours")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_COMMANDE_CLIENT_EN_COURS", referencedColumnName="ID_COMMANDE_CLIENT_EN_COURS")
     * })
     */
    private $idCommandeClientEnCours;



    /**
     * Get idLigneCommandeClientEnCours
     *
     * @return integer 
     */
    public function getIdLigneCommandeClientEnCours()
    {
        return $this->idLigneCommandeClientEnCours;
    }

    /**
     * Set numLot
     *
     * @param string $numLot
     * @return LigneCommandeClientEnCours
     */
    public function setNumLot($numLot)
    {
        $this->numLot = $numLot;
    
        return $this;
    }

    /**
     * Get numLot
     *
     * @return string 
     */
    public function getNumLot()
    {
        return $this->numLot;
    }

    /**
     * Set codeBarre
     *
     * @param string $codeBarre
     * @return LigneCommandeClientEnCours
     */
    public function setCodeBarre($codeBarre)
    {
        $this->codeBarre = $codeBarre;
    
        return $this;
    }

    /**
     * Get codeBarre
     *
     * @return string 
     */
    public function getCodeBarre()
    {
        return $this->codeBarre;
    }

    /**
     * Set designation
     *
     * @param string $designation
     * @return LigneCommandeClientEnCours
     */
    public function setDesignation($designation)
    {
        $this->designation = $designation;
    
        return $this;
    }

    /**
     * Get designation
     *
     * @return string 
     */
    public function getDesignation()
    {
        return $this->designation;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneCommandeClientEnCours
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set pctRemise
     *
     * @param float $pctRemise
     * @return LigneCommandeClientEnCours
     */
    public function setPctRemise($pctRemise)
    {
        $this->pctRemise = $pctRemise;
    
        return $this;
    }

    /**
     * Get pctRemise
     *
     * @return float 
     */
    public function getPctRemise()
    {
        return $this->pctRemise;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneCommandeClientEnCours
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set commentaire
     *
     * @param string $commentaire
     * @return LigneCommandeClientEnCours
     */
    public function setCommentaire($commentaire)
    {
        $this->commentaire = $commentaire;
    
        return $this;
    }

    /**
     * Get commentaire
     *
     * @return string 
     */
    public function getCommentaire()
    {
        return $this->commentaire;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneCommandeClientEnCours
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set forfaitRemise
     *
     * @param float $forfaitRemise
     * @return LigneCommandeClientEnCours
     */
    public function setForfaitRemise($forfaitRemise)
    {
        $this->forfaitRemise = $forfaitRemise;
    
        return $this;
    }

    /**
     * Get forfaitRemise
     *
     * @return float 
     */
    public function getForfaitRemise()
    {
        return $this->forfaitRemise;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneCommandeClientEnCours
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }

    /**
     * Set idCommandeClientEnCours
     *
     * @param \Application\Models\CommandeClientEnCours $idCommandeClientEnCours
     * @return LigneCommandeClientEnCours
     */
    public function setIdCommandeClientEnCours(\Application\Models\CommandeClientEnCours $idCommandeClientEnCours = null)
    {
        $this->idCommandeClientEnCours = $idCommandeClientEnCours;
    
        return $this;
    }

    /**
     * Get idCommandeClientEnCours
     *
     * @return \Application\Models\CommandeClientEnCours 
     */
    public function getIdCommandeClientEnCours()
    {
        return $this->idCommandeClientEnCours;
    }
}