<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneCommandeProduitsClient
 *
 * @ORM\Table(name="ligne_commande_produits_client")
 * @ORM\Entity
 */
class LigneCommandeProduitsClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_ligne_commande_produits_client", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneCommandeProduitsClient;

    /**
     * @var integer
     *
     * @ORM\Column(name="quantite", type="integer", nullable=false)
     */
    private $quantite;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\CommandeProduitsClient
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CommandeProduitsClient")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_commande_produits_client", referencedColumnName="id_commande_produits_client")
     * })
     */
    private $idCommandeProduitsClient;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_produit", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;



    /**
     * Get idLigneCommandeProduitsClient
     *
     * @return integer 
     */
    public function getIdLigneCommandeProduitsClient()
    {
        return $this->idLigneCommandeProduitsClient;
    }

    /**
     * Set quantite
     *
     * @param integer $quantite
     * @return LigneCommandeProduitsClient
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return integer 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneCommandeProduitsClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCommandeProduitsClient
     *
     * @param \Application\Models\CommandeProduitsClient $idCommandeProduitsClient
     * @return LigneCommandeProduitsClient
     */
    public function setIdCommandeProduitsClient(\Application\Models\CommandeProduitsClient $idCommandeProduitsClient = null)
    {
        $this->idCommandeProduitsClient = $idCommandeProduitsClient;
    
        return $this;
    }

    /**
     * Get idCommandeProduitsClient
     *
     * @return \Application\Models\CommandeProduitsClient 
     */
    public function getIdCommandeProduitsClient()
    {
        return $this->idCommandeProduitsClient;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneCommandeProduitsClient
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }
}