<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneFacturec
 *
 * @ORM\Table(name="ligne_facturec")
 * @ORM\Entity
 */
class LigneFacturec
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_FACTURE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneFacture;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_LOT", type="string", length=255, nullable=true)
     */
    private $numLot;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BARRE", type="string", length=255, nullable=true)
     */
    private $codeBarre;

    /**
     * @var string
     *
     * @ORM\Column(name="DESIGNATION", type="string", length=255, nullable=true)
     */
    private $designation;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var float
     *
     * @ORM\Column(name="PCT_REMISE", type="decimal", nullable=true)
     */
    private $pctRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var string
     *
     * @ORM\Column(name="COMMENTAIRE", type="text", nullable=true)
     */
    private $commentaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var float
     *
     * @ORM\Column(name="FORFAIT_REMISE", type="float", nullable=true)
     */
    private $forfaitRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE_LIVREE", type="float", nullable=true)
     */
    private $quantiteLivree;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;

    /**
     * @var \Application\Models\Facturec
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Facturec")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FACTURE", referencedColumnName="ID_FACTURE")
     * })
     */
    private $idFacture;
    

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRESTATAIRE", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idPrestataire;



    /**
     * Get idLigneFacture
     *
     * @return integer 
     */
    public function getIdLigneFacture()
    {
        return $this->idLigneFacture;
    }

    /**
     * Set numLot
     *
     * @param string $numLot
     * @return LigneFacturec
     */
    public function setNumLot($numLot)
    {
        $this->numLot = $numLot;
    
        return $this;
    }

    /**
     * Get numLot
     *
     * @return string 
     */
    public function getNumLot()
    {
        return $this->numLot;
    }

    /**
     * Set codeBarre
     *
     * @param string $codeBarre
     * @return LigneFacturec
     */
    public function setCodeBarre($codeBarre)
    {
        $this->codeBarre = $codeBarre;
    
        return $this;
    }

    /**
     * Get codeBarre
     *
     * @return string 
     */
    public function getCodeBarre()
    {
        return $this->codeBarre;
    }

    /**
     * Set designation
     *
     * @param string $designation
     * @return LigneFacturec
     */
    public function setDesignation($designation)
    {
        $this->designation = $designation;
    
        return $this;
    }

    /**
     * Get designation
     *
     * @return string 
     */
    public function getDesignation()
    {
        return $this->designation;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneFacturec
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set pctRemise
     *
     * @param float $pctRemise
     * @return LigneFacturec
     */
    public function setPctRemise($pctRemise)
    {
        $this->pctRemise = $pctRemise;
    
        return $this;
    }

    /**
     * Get pctRemise
     *
     * @return float 
     */
    public function getPctRemise()
    {
        return $this->pctRemise;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneFacturec
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set commentaire
     *
     * @param string $commentaire
     * @return LigneFacturec
     */
    public function setCommentaire($commentaire)
    {
        $this->commentaire = $commentaire;
    
        return $this;
    }

    /**
     * Get commentaire
     *
     * @return string 
     */
    public function getCommentaire()
    {
        return $this->commentaire;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneFacturec
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set forfaitRemise
     *
     * @param float $forfaitRemise
     * @return LigneFacturec
     */
    public function setForfaitRemise($forfaitRemise)
    {
        $this->forfaitRemise = $forfaitRemise;
    
        return $this;
    }

    /**
     * Get forfaitRemise
     *
     * @return float 
     */
    public function getForfaitRemise()
    {
        return $this->forfaitRemise;
    }

    /**
     * Set quantiteLivree
     *
     * @param float $quantiteLivree
     * @return LigneFacturec
     */
    public function setQuantiteLivree($quantiteLivree)
    {
        $this->quantiteLivree = $quantiteLivree;
    
        return $this;
    }

    /**
     * Get quantiteLivree
     *
     * @return float 
     */
    public function getQuantiteLivree()
    {
        return $this->quantiteLivree;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneFacturec
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }

    /**
     * Set idFacture
     *
     * @param \Application\Models\Facturec $idFacture
     * @return LigneFacturec
     */
    public function setIdFacture(\Application\Models\Facturec $idFacture = null)
    {
        $this->idFacture = $idFacture;
    
        return $this;
    }

    /**
     * Get idFacture
     *
     * @return \Application\Models\Facturec 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }

    /**
     * Set idPrestataire
     *
     * @param \Application\Models\Utilisateur $idPrestataire
     * @return LigneFacturec
     */
    public function setIdPrestataire(\Application\Models\Utilisateur $idPrestataire = null)
    {
        $this->idPrestataire = $idPrestataire;
    
        return $this;
    }

    /**
     * Get idPrestataire
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdPrestataire()
    {
        return $this->idPrestataire;
    }
}