<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneFacturef
 *
 * @ORM\Table(name="ligne_facturef")
 * @ORM\Entity
 */
class LigneFacturef
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_FACTURE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneFacture;

    /**
     * @var string
     *
     * @ORM\Column(name="DESIGNATION", type="string", length=255, nullable=true)
     */
    private $designation;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var float
     *
     * @ORM\Column(name="PCT_REMISE", type="decimal", nullable=true)
     */
    private $pctRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var string
     *
     * @ORM\Column(name="COMMENTAIRE", type="text", nullable=true)
     */
    private $commentaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Facturef
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Facturef")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FACTURE", referencedColumnName="ID_FACTURE")
     * })
     */
    private $idFacture;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;



    /**
     * Get idLigneFacture
     *
     * @return integer 
     */
    public function getIdLigneFacture()
    {
        return $this->idLigneFacture;
    }

    /**
     * Set designation
     *
     * @param string $designation
     * @return LigneFacturef
     */
    public function setDesignation($designation)
    {
        $this->designation = $designation;
    
        return $this;
    }

    /**
     * Get designation
     *
     * @return string 
     */
    public function getDesignation()
    {
        return $this->designation;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneFacturef
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set pctRemise
     *
     * @param float $pctRemise
     * @return LigneFacturef
     */
    public function setPctRemise($pctRemise)
    {
        $this->pctRemise = $pctRemise;
    
        return $this;
    }

    /**
     * Get pctRemise
     *
     * @return float 
     */
    public function getPctRemise()
    {
        return $this->pctRemise;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneFacturef
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set commentaire
     *
     * @param string $commentaire
     * @return LigneFacturef
     */
    public function setCommentaire($commentaire)
    {
        $this->commentaire = $commentaire;
    
        return $this;
    }

    /**
     * Get commentaire
     *
     * @return string 
     */
    public function getCommentaire()
    {
        return $this->commentaire;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneFacturef
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idFacture
     *
     * @param \Application\Models\Facturef $idFacture
     * @return LigneFacturef
     */
    public function setIdFacture(\Application\Models\Facturef $idFacture = null)
    {
        $this->idFacture = $idFacture;
    
        return $this;
    }

    /**
     * Get idFacture
     *
     * @return \Application\Models\Facturef 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneFacturef
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }
}