<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneInventaire
 *
 * @ORM\Table(name="ligne_inventaire")
 * @ORM\Entity
 */
class LigneInventaire
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_INVENTAIRE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneInventaire;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE_THEORIQUE", type="float", nullable=true)
     */
    private $quantiteTheorique;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE_PHYSIQUE", type="float", nullable=true)
     */
    private $quantitePhysique;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE_THEORIQUE_FINALE", type="float", nullable=true)
     */
    private $quantiteTheoriqueFinale;

    /**
     * @var \Application\Models\Inventaire
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Inventaire")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_INVENTAIRE", referencedColumnName="ID_INVENTAIRE")
     * })
     */
    private $idInventaire;

    /**
     * @var \Application\Models\Stock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Stock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_STOCK", referencedColumnName="ID_STOCK")
     * })
     */
    private $idStock;



    /**
     * Get idLigneInventaire
     *
     * @return integer 
     */
    public function getIdLigneInventaire()
    {
        return $this->idLigneInventaire;
    }

    /**
     * Set quantiteTheorique
     *
     * @param float $quantiteTheorique
     * @return LigneInventaire
     */
    public function setQuantiteTheorique($quantiteTheorique)
    {
        $this->quantiteTheorique = $quantiteTheorique;
    
        return $this;
    }

    /**
     * Get quantiteTheorique
     *
     * @return float 
     */
    public function getQuantiteTheorique()
    {
        return $this->quantiteTheorique;
    }

    /**
     * Set quantitePhysique
     *
     * @param float $quantitePhysique
     * @return LigneInventaire
     */
    public function setQuantitePhysique($quantitePhysique)
    {
        $this->quantitePhysique = $quantitePhysique;
    
        return $this;
    }

    /**
     * Get quantitePhysique
     *
     * @return float 
     */
    public function getQuantitePhysique()
    {
        return $this->quantitePhysique;
    }

    /**
     * Set quantiteTheoriqueFinale
     *
     * @param float $quantiteTheoriqueFinale
     * @return LigneInventaire
     */
    public function setQuantiteTheoriqueFinale($quantiteTheoriqueFinale)
    {
        $this->quantiteTheoriqueFinale = $quantiteTheoriqueFinale;
    
        return $this;
    }

    /**
     * Get quantiteTheoriqueFinale
     *
     * @return float 
     */
    public function getQuantiteTheoriqueFinale()
    {
        return $this->quantiteTheoriqueFinale;
    }

    /**
     * Set idInventaire
     *
     * @param \Application\Models\Inventaire $idInventaire
     * @return LigneInventaire
     */
    public function setIdInventaire(\Application\Models\Inventaire $idInventaire = null)
    {
        $this->idInventaire = $idInventaire;
    
        return $this;
    }

    /**
     * Get idInventaire
     *
     * @return \Application\Models\Inventaire 
     */
    public function getIdInventaire()
    {
        return $this->idInventaire;
    }

    /**
     * Set idStock
     *
     * @param \Application\Models\Stock $idStock
     * @return LigneInventaire
     */
    public function setIdStock(\Application\Models\Stock $idStock = null)
    {
        $this->idStock = $idStock;
    
        return $this;
    }

    /**
     * Get idStock
     *
     * @return \Application\Models\Stock 
     */
    public function getIdStock()
    {
        return $this->idStock;
    }
}