<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneLivraison
 *
 * @ORM\Table(name="ligne_livraison")
 * @ORM\Entity
 */
class LigneLivraison
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_ligne_livraison", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneLivraison;

    /**
     * @var integer
     *
     * @ORM\Column(name="numero_livraison", type="bigint", nullable=false)
     */
    private $numeroLivraison;

    /**
     * @var integer
     *
     * @ORM\Column(name="quantite", type="integer", nullable=false)
     */
    private $quantite;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_unitaire", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_livraison", type="datetime", nullable=false)
     */
    private $dateLivraison;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\LigneFacturec
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\LigneFacturec")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_ligne_facturec", referencedColumnName="ID_LIGNE_FACTURE")
     * })
     */
    private $idLigneFacturec;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="operateur", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $operateur;



    /**
     * Get idLigneLivraison
     *
     * @return integer 
     */
    public function getIdLigneLivraison()
    {
        return $this->idLigneLivraison;
    }

    /**
     * Set numeroLivraison
     *
     * @param integer $numeroLivraison
     * @return LigneLivraison
     */
    public function setNumeroLivraison($numeroLivraison)
    {
        $this->numeroLivraison = $numeroLivraison;
    
        return $this;
    }

    /**
     * Get numeroLivraison
     *
     * @return integer 
     */
    public function getNumeroLivraison()
    {
        return $this->numeroLivraison;
    }

    /**
     * Set quantite
     *
     * @param integer $quantite
     * @return LigneLivraison
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return integer 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneLivraison
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set dateLivraison
     *
     * @param \DateTime $dateLivraison
     * @return LigneLivraison
     */
    public function setDateLivraison($dateLivraison)
    {
        $this->dateLivraison = $dateLivraison;
    
        return $this;
    }

    /**
     * Get dateLivraison
     *
     * @return \DateTime 
     */
    public function getDateLivraison()
    {
        return $this->dateLivraison;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneLivraison
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idLigneFacturec
     *
     * @param \Application\Models\LigneFacturec $idLigneFacturec
     * @return LigneLivraison
     */
    public function setIdLigneFacturec(\Application\Models\LigneFacturec $idLigneFacturec = null)
    {
        $this->idLigneFacturec = $idLigneFacturec;
    
        return $this;
    }

    /**
     * Get idLigneFacturec
     *
     * @return \Application\Models\LigneFacturec 
     */
    public function getIdLigneFacturec()
    {
        return $this->idLigneFacturec;
    }

    /**
     * Set operateur
     *
     * @param \Application\Models\Utilisateur $operateur
     * @return LigneLivraison
     */
    public function setOperateur(\Application\Models\Utilisateur $operateur = null)
    {
        $this->operateur = $operateur;
    
        return $this;
    }

    /**
     * Get operateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getOperateur()
    {
        return $this->operateur;
    }
}