<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneProfil
 *
 * @ORM\Table(name="ligne_profil")
 * @ORM\Entity
 */
class LigneProfil
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_PROFIL", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneProfil;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Profil
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Profil")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PROFIL", referencedColumnName="ID_PROFIL")
     * })
     */
    private $idProfil;

    /**
     * @var \Application\Models\Menu
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Menu")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MENU", referencedColumnName="ID_MENU")
     * })
     */
    private $idMenu;



    /**
     * Get idLigneProfil
     *
     * @return integer 
     */
    public function getIdLigneProfil()
    {
        return $this->idLigneProfil;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneProfil
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idProfil
     *
     * @param \Application\Models\Profil $idProfil
     * @return LigneProfil
     */
    public function setIdProfil(\Application\Models\Profil $idProfil = null)
    {
        $this->idProfil = $idProfil;
    
        return $this;
    }

    /**
     * Get idProfil
     *
     * @return \Application\Models\Profil 
     */
    public function getIdProfil()
    {
        return $this->idProfil;
    }

    /**
     * Set idMenu
     *
     * @param \Application\Models\Menu $idMenu
     * @return LigneProfil
     */
    public function setIdMenu(\Application\Models\Menu $idMenu = null)
    {
        $this->idMenu = $idMenu;
    
        return $this;
    }

    /**
     * Get idMenu
     *
     * @return \Application\Models\Menu 
     */
    public function getIdMenu()
    {
        return $this->idMenu;
    }
}