<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LignePromotion
 *
 * @ORM\Table(name="ligne_promotion")
 * @ORM\Entity
 */
class LignePromotion
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_ligne_promotion", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLignePromotion;

    /**
     * @var float
     *
     * @ORM\Column(name="pourcentage", type="float", nullable=false)
     */
    private $pourcentage;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Promotion
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Promotion")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_promotion", referencedColumnName="id_promotion")
     * })
     */
    private $idPromotion;

    /**
     * @var \Application\Models\Stock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Stock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_stock", referencedColumnName="ID_STOCK")
     * })
     */
    private $idStock;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_produit", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;



    /**
     * Get idLignePromotion
     *
     * @return integer 
     */
    public function getIdLignePromotion()
    {
        return $this->idLignePromotion;
    }

    /**
     * Set pourcentage
     *
     * @param float $pourcentage
     * @return LignePromotion
     */
    public function setPourcentage($pourcentage)
    {
        $this->pourcentage = $pourcentage;
    
        return $this;
    }

    /**
     * Get pourcentage
     *
     * @return float 
     */
    public function getPourcentage()
    {
        return $this->pourcentage;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LignePromotion
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idPromotion
     *
     * @param \Application\Models\Promotion $idPromotion
     * @return LignePromotion
     */
    public function setIdPromotion(\Application\Models\Promotion $idPromotion = null)
    {
        $this->idPromotion = $idPromotion;
    
        return $this;
    }

    /**
     * Get idPromotion
     *
     * @return \Application\Models\Promotion 
     */
    public function getIdPromotion()
    {
        return $this->idPromotion;
    }

    /**
     * Set idStock
     *
     * @param \Application\Models\Stock $idStock
     * @return LignePromotion
     */
    public function setIdStock(\Application\Models\Stock $idStock = null)
    {
        $this->idStock = $idStock;
    
        return $this;
    }

    /**
     * Get idStock
     *
     * @return \Application\Models\Stock 
     */
    public function getIdStock()
    {
        return $this->idStock;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LignePromotion
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }
}