<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneReception
 *
 * @ORM\Table(name="ligne_reception")
 * @ORM\Entity
 */
class LigneReception
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_RECEPTION", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneReception;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="NUM_LOT", type="bigint", nullable=false)
     */
    private $numLot;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_LOT_FOURNISSEUR", type="string", length=255, nullable=true)
     */
    private $numLotFournisseur;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_PEREMPTION", type="date", nullable=true)
     */
    private $datePeremption;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BARRE", type="string", length=255, nullable=true)
     */
    private $codeBarre;

    /**
     * @var integer
     *
     * @ORM\Column(name="NUM_LIGNE", type="smallint", nullable=true)
     */
    private $numLigne;

    /**
     * @var string
     *
     * @ORM\Column(name="DESIGNATION", type="string", length=255, nullable=true)
     */
    private $designation;

    /**
     * @var string
     *
     * @ORM\Column(name="criteres", type="text", nullable=true)
     */
    private $criteres;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_ACHAT", type="float", nullable=true)
     */
    private $prixAchat;

    /**
     * @var float
     *
     * @ORM\Column(name="POURCENTAGE_MAX_REMISE", type="float", nullable=true)
     */
    private $pourcentageMaxRemise;

    /**
     * @var \Application\Models\Reception
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Reception")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_RECEPTION", referencedColumnName="ID_RECEPTION")
     * })
     */
    private $idReception;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;



    /**
     * Get idLigneReception
     *
     * @return integer 
     */
    public function getIdLigneReception()
    {
        return $this->idLigneReception;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneReception
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneReception
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set numLot
     *
     * @param integer $numLot
     * @return LigneReception
     */
    public function setNumLot($numLot)
    {
        $this->numLot = $numLot;
    
        return $this;
    }

    /**
     * Get numLot
     *
     * @return integer 
     */
    public function getNumLot()
    {
        return $this->numLot;
    }

    /**
     * Set numLotFournisseur
     *
     * @param string $numLotFournisseur
     * @return LigneReception
     */
    public function setNumLotFournisseur($numLotFournisseur)
    {
        $this->numLotFournisseur = $numLotFournisseur;
    
        return $this;
    }

    /**
     * Get numLotFournisseur
     *
     * @return string 
     */
    public function getNumLotFournisseur()
    {
        return $this->numLotFournisseur;
    }

    /**
     * Set datePeremption
     *
     * @param \DateTime $datePeremption
     * @return LigneReception
     */
    public function setDatePeremption($datePeremption)
    {
        $this->datePeremption = $datePeremption;
    
        return $this;
    }

    /**
     * Get datePeremption
     *
     * @return \DateTime 
     */
    public function getDatePeremption()
    {
        return $this->datePeremption;
    }

    /**
     * Set codeBarre
     *
     * @param string $codeBarre
     * @return LigneReception
     */
    public function setCodeBarre($codeBarre)
    {
        $this->codeBarre = $codeBarre;
    
        return $this;
    }

    /**
     * Get codeBarre
     *
     * @return string 
     */
    public function getCodeBarre()
    {
        return $this->codeBarre;
    }

    /**
     * Set numLigne
     *
     * @param integer $numLigne
     * @return LigneReception
     */
    public function setNumLigne($numLigne)
    {
        $this->numLigne = $numLigne;
    
        return $this;
    }

    /**
     * Get numLigne
     *
     * @return integer 
     */
    public function getNumLigne()
    {
        return $this->numLigne;
    }

    /**
     * Set designation
     *
     * @param string $designation
     * @return LigneReception
     */
    public function setDesignation($designation)
    {
        $this->designation = $designation;
    
        return $this;
    }

    /**
     * Get designation
     *
     * @return string 
     */
    public function getDesignation()
    {
        return $this->designation;
    }

    /**
     * Set criteres
     *
     * @param string $criteres
     * @return LigneReception
     */
    public function setCriteres($criteres)
    {
        $this->criteres = $criteres;
    
        return $this;
    }

    /**
     * Get criteres
     *
     * @return string 
     */
    public function getCriteres()
    {
        return $this->criteres;
    }

    /**
     * Set prixAchat
     *
     * @param float $prixAchat
     * @return LigneReception
     */
    public function setPrixAchat($prixAchat)
    {
        $this->prixAchat = $prixAchat;
    
        return $this;
    }

    /**
     * Get prixAchat
     *
     * @return float 
     */
    public function getPrixAchat()
    {
        return $this->prixAchat;
    }

    /**
     * Set pourcentageMaxRemise
     *
     * @param float $pourcentageMaxRemise
     * @return LigneReception
     */
    public function setPourcentageMaxRemise($pourcentageMaxRemise)
    {
        $this->pourcentageMaxRemise = $pourcentageMaxRemise;
    
        return $this;
    }

    /**
     * Get pourcentageMaxRemise
     *
     * @return float 
     */
    public function getPourcentageMaxRemise()
    {
        return $this->pourcentageMaxRemise;
    }

    /**
     * Set idReception
     *
     * @param \Application\Models\Reception $idReception
     * @return LigneReception
     */
    public function setIdReception(\Application\Models\Reception $idReception = null)
    {
        $this->idReception = $idReception;
    
        return $this;
    }

    /**
     * Get idReception
     *
     * @return \Application\Models\Reception 
     */
    public function getIdReception()
    {
        return $this->idReception;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return LigneReception
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }
}