<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * LigneSortie
 *
 * @ORM\Table(name="ligne_sortie")
 * @ORM\Entity
 */
class LigneSortie
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LIGNE_SORTIE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLigneSortie;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_UNITAIRE", type="float", nullable=true)
     */
    private $prixUnitaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="integer", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Stock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Stock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_STOCK", referencedColumnName="ID_STOCK")
     * })
     */
    private $idStock;

    /**
     * @var \Application\Models\Sortie
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Sortie")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_SORTIE", referencedColumnName="ID_SORTIE")
     * })
     */
    private $idSortie;



    /**
     * Get idLigneSortie
     *
     * @return integer 
     */
    public function getIdLigneSortie()
    {
        return $this->idLigneSortie;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return LigneSortie
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set prixUnitaire
     *
     * @param float $prixUnitaire
     * @return LigneSortie
     */
    public function setPrixUnitaire($prixUnitaire)
    {
        $this->prixUnitaire = $prixUnitaire;
    
        return $this;
    }

    /**
     * Get prixUnitaire
     *
     * @return float 
     */
    public function getPrixUnitaire()
    {
        return $this->prixUnitaire;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return LigneSortie
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idStock
     *
     * @param \Application\Models\Stock $idStock
     * @return LigneSortie
     */
    public function setIdStock(\Application\Models\Stock $idStock = null)
    {
        $this->idStock = $idStock;
    
        return $this;
    }

    /**
     * Get idStock
     *
     * @return \Application\Models\Stock 
     */
    public function getIdStock()
    {
        return $this->idStock;
    }

    /**
     * Set idSortie
     *
     * @param \Application\Models\Sortie $idSortie
     * @return LigneSortie
     */
    public function setIdSortie(\Application\Models\Sortie $idSortie = null)
    {
        $this->idSortie = $idSortie;
    
        return $this;
    }

    /**
     * Get idSortie
     *
     * @return \Application\Models\Sortie 
     */
    public function getIdSortie()
    {
        return $this->idSortie;
    }
}