<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Log
 *
 * @ORM\Table(name="log")
 * @ORM\Entity
 */
class Log
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_LOG", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idLog;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_ENREG", type="datetime", nullable=true)
     */
    private $dateEnreg;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPTION_LOG", type="text", nullable=true)
     */
    private $descriptionLog;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;



    /**
     * Get idLog
     *
     * @return integer 
     */
    public function getIdLog()
    {
        return $this->idLog;
    }

    /**
     * Set dateEnreg
     *
     * @param \DateTime $dateEnreg
     * @return Log
     */
    public function setDateEnreg($dateEnreg)
    {
        $this->dateEnreg = $dateEnreg;
    
        return $this;
    }

    /**
     * Get dateEnreg
     *
     * @return \DateTime 
     */
    public function getDateEnreg()
    {
        return $this->dateEnreg;
    }

    /**
     * Set descriptionLog
     *
     * @param string $descriptionLog
     * @return Log
     */
    public function setDescriptionLog($descriptionLog)
    {
        $this->descriptionLog = $descriptionLog;
    
        return $this;
    }

    /**
     * Get descriptionLog
     *
     * @return string 
     */
    public function getDescriptionLog()
    {
        return $this->descriptionLog;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Log
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }
}