<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * MessageLog
 *
 * @ORM\Table(name="message_log")
 * @ORM\Entity
 */
class MessageLog
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_message_log", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMessageLog;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="send_date", type="datetime", nullable=false)
     */
    private $sendDate;

    /**
     * @var integer
     *
     * @ORM\Column(name="total_sms", type="integer", nullable=false)
     */
    private $totalSms;

    /**
     * @var integer
     *
     * @ORM\Column(name="total_email", type="integer", nullable=false)
     */
    private $totalEmail;

    /**
     * @var integer
     *
     * @ORM\Column(name="total_sms_sent", type="integer", nullable=false)
     */
    private $totalSmsSent;

    /**
     * @var integer
     *
     * @ORM\Column(name="total_email_sent", type="integer", nullable=false)
     */
    private $totalEmailSent;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_utilisateur", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;



    /**
     * Get idMessageLog
     *
     * @return integer 
     */
    public function getIdMessageLog()
    {
        return $this->idMessageLog;
    }

    /**
     * Set sendDate
     *
     * @param \DateTime $sendDate
     * @return MessageLog
     */
    public function setSendDate($sendDate)
    {
        $this->sendDate = $sendDate;
    
        return $this;
    }

    /**
     * Get sendDate
     *
     * @return \DateTime 
     */
    public function getSendDate()
    {
        return $this->sendDate;
    }

    /**
     * Set totalSms
     *
     * @param integer $totalSms
     * @return MessageLog
     */
    public function setTotalSms($totalSms)
    {
        $this->totalSms = $totalSms;
    
        return $this;
    }

    /**
     * Get totalSms
     *
     * @return integer 
     */
    public function getTotalSms()
    {
        return $this->totalSms;
    }

    /**
     * Set totalEmail
     *
     * @param integer $totalEmail
     * @return MessageLog
     */
    public function setTotalEmail($totalEmail)
    {
        $this->totalEmail = $totalEmail;
    
        return $this;
    }

    /**
     * Get totalEmail
     *
     * @return integer 
     */
    public function getTotalEmail()
    {
        return $this->totalEmail;
    }

    /**
     * Set totalSmsSent
     *
     * @param integer $totalSmsSent
     * @return MessageLog
     */
    public function setTotalSmsSent($totalSmsSent)
    {
        $this->totalSmsSent = $totalSmsSent;
    
        return $this;
    }

    /**
     * Get totalSmsSent
     *
     * @return integer 
     */
    public function getTotalSmsSent()
    {
        return $this->totalSmsSent;
    }

    /**
     * Set totalEmailSent
     *
     * @param integer $totalEmailSent
     * @return MessageLog
     */
    public function setTotalEmailSent($totalEmailSent)
    {
        $this->totalEmailSent = $totalEmailSent;
    
        return $this;
    }

    /**
     * Get totalEmailSent
     *
     * @return integer 
     */
    public function getTotalEmailSent()
    {
        return $this->totalEmailSent;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return MessageLog
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return MessageLog
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }
}