<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * MessageLogDetail
 *
 * @ORM\Table(name="message_log_detail")
 * @ORM\Entity
 */
class MessageLogDetail
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_message_log_detail", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMessageLogDetail;

    /**
     * @var string
     *
     * @ORM\Column(name="message", type="text", nullable=false)
     */
    private $message;

    /**
     * @var integer
     *
     * @ORM\Column(name="sms_send_status", type="smallint", nullable=false)
     */
    private $smsSendStatus;

    /**
     * @var integer
     *
     * @ORM\Column(name="email_send_status", type="smallint", nullable=false)
     */
    private $emailSendStatus;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\MessageLog
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\MessageLog")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_message_log", referencedColumnName="id_message_log")
     * })
     */
    private $idMessageLog;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_client", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idClient;



    /**
     * Get idMessageLogDetail
     *
     * @return integer 
     */
    public function getIdMessageLogDetail()
    {
        return $this->idMessageLogDetail;
    }

    /**
     * Set message
     *
     * @param string $message
     * @return MessageLogDetail
     */
    public function setMessage($message)
    {
        $this->message = $message;
    
        return $this;
    }

    /**
     * Get message
     *
     * @return string 
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * Set smsSendStatus
     *
     * @param integer $smsSendStatus
     * @return MessageLogDetail
     */
    public function setSmsSendStatus($smsSendStatus)
    {
        $this->smsSendStatus = $smsSendStatus;
    
        return $this;
    }

    /**
     * Get smsSendStatus
     *
     * @return integer 
     */
    public function getSmsSendStatus()
    {
        return $this->smsSendStatus;
    }

    /**
     * Set emailSendStatus
     *
     * @param integer $emailSendStatus
     * @return MessageLogDetail
     */
    public function setEmailSendStatus($emailSendStatus)
    {
        $this->emailSendStatus = $emailSendStatus;
    
        return $this;
    }

    /**
     * Get emailSendStatus
     *
     * @return integer 
     */
    public function getEmailSendStatus()
    {
        return $this->emailSendStatus;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return MessageLogDetail
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idMessageLog
     *
     * @param \Application\Models\MessageLog $idMessageLog
     * @return MessageLogDetail
     */
    public function setIdMessageLog(\Application\Models\MessageLog $idMessageLog = null)
    {
        $this->idMessageLog = $idMessageLog;
    
        return $this;
    }

    /**
     * Get idMessageLog
     *
     * @return \Application\Models\MessageLog 
     */
    public function getIdMessageLog()
    {
        return $this->idMessageLog;
    }

    /**
     * Set idClient
     *
     * @param \Application\Models\Personne $idClient
     * @return MessageLogDetail
     */
    public function setIdClient(\Application\Models\Personne $idClient = null)
    {
        $this->idClient = $idClient;
    
        return $this;
    }

    /**
     * Get idClient
     *
     * @return \Application\Models\Personne 
     */
    public function getIdClient()
    {
        return $this->idClient;
    }
}