<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ModelePaieMensuel
 *
 * @ORM\Table(name="modele_paie_mensuel")
 * @ORM\Entity
 */
class ModelePaieMensuel
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_modele_paie", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idModelePaie;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_modele", type="string", length=255, nullable=false)
     */
    private $nomModele;

    /**
     * @var integer
     *
     * @ORM\Column(name="montant_salaire", type="integer", nullable=false)
     */
    private $montantSalaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Profil
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Profil")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_profil_prefere", referencedColumnName="ID_PROFIL")
     * })
     */
    private $idProfilPrefere;



    /**
     * Get idModelePaie
     *
     * @return integer 
     */
    public function getIdModelePaie()
    {
        return $this->idModelePaie;
    }

    /**
     * Set nomModele
     *
     * @param string $nomModele
     * @return ModelePaieMensuel
     */
    public function setNomModele($nomModele)
    {
        $this->nomModele = $nomModele;
    
        return $this;
    }

    /**
     * Get nomModele
     *
     * @return string 
     */
    public function getNomModele()
    {
        return $this->nomModele;
    }

    /**
     * Set montantSalaire
     *
     * @param integer $montantSalaire
     * @return ModelePaieMensuel
     */
    public function setMontantSalaire($montantSalaire)
    {
        $this->montantSalaire = $montantSalaire;
    
        return $this;
    }

    /**
     * Get montantSalaire
     *
     * @return integer 
     */
    public function getMontantSalaire()
    {
        return $this->montantSalaire;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return ModelePaieMensuel
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idProfilPrefere
     *
     * @param \Application\Models\Profil $idProfilPrefere
     * @return ModelePaieMensuel
     */
    public function setIdProfilPrefere(\Application\Models\Profil $idProfilPrefere = null)
    {
        $this->idProfilPrefere = $idProfilPrefere;
    
        return $this;
    }

    /**
     * Get idProfilPrefere
     *
     * @return \Application\Models\Profil 
     */
    public function getIdProfilPrefere()
    {
        return $this->idProfilPrefere;
    }
}