<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * MouvementCompteClient
 *
 * @ORM\Table(name="mouvement_compte_client")
 * @ORM\Entity
 */
class MouvementCompteClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_mouvement_compte_client", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMouvementCompteClient;

    /**
     * @var integer
     *
     * @ORM\Column(name="type_mouvement", type="smallint", nullable=false)
     */
    private $typeMouvement;

    /**
     * @var integer
     *
     * @ORM\Column(name="montant", type="integer", nullable=false)
     */
    private $montant;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_mouvement", type="datetime", nullable=false)
     */
    private $dateMouvement;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\CompteClient
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CompteClient")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_compte_client", referencedColumnName="id_compte_client")
     * })
     */
    private $idCompteClient;



    /**
     * Get idMouvementCompteClient
     *
     * @return integer 
     */
    public function getIdMouvementCompteClient()
    {
        return $this->idMouvementCompteClient;
    }

    /**
     * Set typeMouvement
     *
     * @param integer $typeMouvement
     * @return MouvementCompteClient
     */
    public function setTypeMouvement($typeMouvement)
    {
        $this->typeMouvement = $typeMouvement;
    
        return $this;
    }

    /**
     * Get typeMouvement
     *
     * @return integer 
     */
    public function getTypeMouvement()
    {
        return $this->typeMouvement;
    }

    /**
     * Set montant
     *
     * @param integer $montant
     * @return MouvementCompteClient
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return integer 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set dateMouvement
     *
     * @param \DateTime $dateMouvement
     * @return MouvementCompteClient
     */
    public function setDateMouvement($dateMouvement)
    {
        $this->dateMouvement = $dateMouvement;
    
        return $this;
    }

    /**
     * Get dateMouvement
     *
     * @return \DateTime 
     */
    public function getDateMouvement()
    {
        return $this->dateMouvement;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return MouvementCompteClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCompteClient
     *
     * @param \Application\Models\CompteClient $idCompteClient
     * @return MouvementCompteClient
     */
    public function setIdCompteClient(\Application\Models\CompteClient $idCompteClient = null)
    {
        $this->idCompteClient = $idCompteClient;
    
        return $this;
    }

    /**
     * Get idCompteClient
     *
     * @return \Application\Models\CompteClient 
     */
    public function getIdCompteClient()
    {
        return $this->idCompteClient;
    }
}