<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * MvtCaisse
 *
 * @ORM\Table(name="mvt_caisse")
 * @ORM\Entity
 */
class MvtCaisse
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_MVT_CAISSE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMvtCaisse;

    /**
     * @var string
     *
     * @ORM\Column(name="TYPE", type="string", length=255, nullable=true)
     */
    private $type;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_MOUVEMENT", type="datetime", nullable=true)
     */
    private $dateMouvement;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT", type="float", nullable=true)
     */
    private $montant;

    /**
     * @var string
     *
     * @ORM\Column(name="MOTIF", type="string", length=255, nullable=true)
     */
    private $motif;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_PORTEUR", type="string", length=255, nullable=true)
     */
    private $nomPorteur;

    /**
     * @var string
     *
     * @ORM\Column(name="REF_MOUVEMENT", type="string", length=255, nullable=true)
     */
    private $refMouvement;

    /**
     * @var string
     *
     * @ORM\Column(name="BANQUE", type="string", length=255, nullable=true)
     */
    private $banque;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDE_CAISSE", type="smallint", nullable=true)
     */
    private $valideCaisse;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDE_SESSION", type="smallint", nullable=true)
     */
    private $valideSession;

    /**
     * @var \Application\Models\Facturec
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Facturec")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FACTURE", referencedColumnName="ID_FACTURE")
     * })
     */
    private $idFacture;

    /**
     * @var \Application\Models\SessionCaissier
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\SessionCaissier")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_SESSION_CAISSE", referencedColumnName="ID_SESSION_CAISSE")
     * })
     */
    private $idSessionCaisse;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\CategorieDepense
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieDepense")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CATEGORIE_DEPENSE", referencedColumnName="ID_CATEGORIE_DEPENSE")
     * })
     */
    private $idCategorieDepense;

    /**
     * @var \Application\Models\Avoir
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Avoir")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_AVOIR", referencedColumnName="ID_AVOIR")
     * })
     */
    private $idAvoir;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;

    /**
     * @var \Application\Models\CategorieEntree
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieEntree")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CATEGORIE_ENTREE", referencedColumnName="ID_CATEGORIE_ENTREE")
     * })
     */
    private $idCategorieEntree;

    /**
     * @var \Application\Models\ModePaiement
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\ModePaiement")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MODE_PAIEMENT", referencedColumnName="id")
     * })
     */
    private $idModePaiement;



    /**
     * Get idMvtCaisse
     *
     * @return integer 
     */
    public function getIdMvtCaisse()
    {
        return $this->idMvtCaisse;
    }

    /**
     * Set type
     *
     * @param string $type
     * @return MvtCaisse
     */
    public function setType($type)
    {
        $this->type = $type;
    
        return $this;
    }

    /**
     * Get type
     *
     * @return string 
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set dateMouvement
     *
     * @param \DateTime $dateMouvement
     * @return MvtCaisse
     */
    public function setDateMouvement($dateMouvement)
    {
        $this->dateMouvement = $dateMouvement;
    
        return $this;
    }

    /**
     * Get dateMouvement
     *
     * @return \DateTime 
     */
    public function getDateMouvement()
    {
        return $this->dateMouvement;
    }

    /**
     * Set montant
     *
     * @param float $montant
     * @return MvtCaisse
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return float 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set motif
     *
     * @param string $motif
     * @return MvtCaisse
     */
    public function setMotif($motif)
    {
        $this->motif = $motif;
    
        return $this;
    }

    /**
     * Get motif
     *
     * @return string 
     */
    public function getMotif()
    {
        return $this->motif;
    }

    /**
     * Set nomPorteur
     *
     * @param string $nomPorteur
     * @return MvtCaisse
     */
    public function setNomPorteur($nomPorteur)
    {
        $this->nomPorteur = $nomPorteur;
    
        return $this;
    }

    /**
     * Get nomPorteur
     *
     * @return string 
     */
    public function getNomPorteur()
    {
        return $this->nomPorteur;
    }

    /**
     * Set idModePaiement
     *
     * @param \Application\Models\ModePaiement $idModePaiement
     * @return PaiementFacture
     */
    public function setIdModePaiement($idModePaiement)
    {
        $this->idModePaiement = $idModePaiement;
    
        return $this;
    }

    /**
     * Get idModePaiement
     *
     * @return \Application\Models\ModePaiement 
     */
    public function getIdModePaiement()
    {
        return $this->idModePaiement;
    }

    /**
     * Set refMouvement
     *
     * @param string $refMouvement
     * @return MvtCaisse
     */
    public function setRefMouvement($refMouvement)
    {
        $this->refMouvement = $refMouvement;
    
        return $this;
    }

    /**
     * Get refMouvement
     *
     * @return string 
     */
    public function getRefMouvement()
    {
        return $this->refMouvement;
    }

    /**
     * Set banque
     *
     * @param string $banque
     * @return MvtCaisse
     */
    public function setBanque($banque)
    {
        $this->banque = $banque;
    
        return $this;
    }

    /**
     * Get banque
     *
     * @return string 
     */
    public function getBanque()
    {
        return $this->banque;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return MvtCaisse
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set valideCaisse
     *
     * @param integer $valideCaisse
     * @return MvtCaisse
     */
    public function setValideCaisse($valideCaisse)
    {
        $this->valideCaisse = $valideCaisse;
    
        return $this;
    }

    /**
     * Get valideCaisse
     *
     * @return integer 
     */
    public function getValideCaisse()
    {
        return $this->valideCaisse;
    }

    /**
     * Set valideSession
     *
     * @param integer $valideSession
     * @return MvtCaisse
     */
    public function setValideSession($valideSession)
    {
        $this->valideSession = $valideSession;
    
        return $this;
    }

    /**
     * Get valideSession
     *
     * @return integer 
     */
    public function getValideSession()
    {
        return $this->valideSession;
    }

    /**
     * Set idFacture
     *
     * @param \Application\Models\Facturec $idFacture
     * @return MvtCaisse
     */
    public function setIdFacture(\Application\Models\Facturec $idFacture = null)
    {
        $this->idFacture = $idFacture;
    
        return $this;
    }

    /**
     * Get idFacture
     *
     * @return \Application\Models\Facturec 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }

    /**
     * Set idSessionCaisse
     *
     * @param \Application\Models\SessionCaissier $idSessionCaisse
     * @return MvtCaisse
     */
    public function setIdSessionCaisse(\Application\Models\SessionCaissier $idSessionCaisse = null)
    {
        $this->idSessionCaisse = $idSessionCaisse;
    
        return $this;
    }

    /**
     * Get idSessionCaisse
     *
     * @return \Application\Models\SessionCaissier 
     */
    public function getIdSessionCaisse()
    {
        return $this->idSessionCaisse;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return MvtCaisse
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idCategorieDepense
     *
     * @param \Application\Models\CategorieDepense $idCategorieDepense
     * @return MvtCaisse
     */
    public function setIdCategorieDepense(\Application\Models\CategorieDepense $idCategorieDepense = null)
    {
        $this->idCategorieDepense = $idCategorieDepense;
    
        return $this;
    }

    /**
     * Get idCategorieDepense
     *
     * @return \Application\Models\CategorieDepense 
     */
    public function getIdCategorieDepense()
    {
        return $this->idCategorieDepense;
    }

    /**
     * Set idAvoir
     *
     * @param \Application\Models\Avoir $idAvoir
     * @return MvtCaisse
     */
    public function setIdAvoir(\Application\Models\Avoir $idAvoir = null)
    {
        $this->idAvoir = $idAvoir;
    
        return $this;
    }

    /**
     * Get idAvoir
     *
     * @return \Application\Models\Avoir 
     */
    public function getIdAvoir()
    {
        return $this->idAvoir;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return MvtCaisse
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }

    /**
     * Set idCategorieEntree
     *
     * @param \Application\Models\CategorieEntree $idCategorieEntree
     * @return MvtCaisse
     */
    public function setIdCategorieEntree(\Application\Models\CategorieEntree $idCategorieEntree = null)
    {
        $this->idCategorieEntree = $idCategorieEntree;
    
        return $this;
    }

    /**
     * Get idCategorieEntree
     *
     * @return \Application\Models\CategorieEntree 
     */
    public function getIdCategorieEntree()
    {
        return $this->idCategorieEntree;
    }
}