<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * MvtMagasin
 *
 * @ORM\Table(name="mvt_magasin")
 * @ORM\Entity
 */
class MvtMagasin
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_MVT_MAGASIN", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idMvtMagasin;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_MVT", type="datetime", nullable=false)
     */
    private $dateMvt;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_SAISIE", type="datetime", nullable=false)
     */
    private $dateSaisie;

    /**
     * @var string
     *
     * @ORM\Column(name="MOTIF", type="string", length=255, nullable=true)
     */
    private $motif;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDE", type="smallint", nullable=true)
     */
    private $valide;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="MAGASIN_EMETTEUR", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $magasinEmetteur;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="MAGASIN_RECEPTEUR", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $magasinRecepteur;



    /**
     * Get idMvtMagasin
     *
     * @return integer 
     */
    public function getIdMvtMagasin()
    {
        return $this->idMvtMagasin;
    }

    /**
     * Set dateMvt
     *
     * @param \DateTime $dateMvt
     * @return MvtMagasin
     */
    public function setDateMvt($dateMvt)
    {
        $this->dateMvt = $dateMvt;
    
        return $this;
    }

    /**
     * Get dateMvt
     *
     * @return \DateTime 
     */
    public function getDateMvt()
    {
        return $this->dateMvt;
    }

    /**
     * Set dateSaisie
     *
     * @param \DateTime $dateSaisie
     * @return MvtMagasin
     */
    public function setDateSaisie($dateSaisie)
    {
        $this->dateSaisie = $dateSaisie;
    
        return $this;
    }

    /**
     * Get dateSaisie
     *
     * @return \DateTime 
     */
    public function getDateSaisie()
    {
        return $this->dateSaisie;
    }

    /**
     * Set motif
     *
     * @param string $motif
     * @return MvtMagasin
     */
    public function setMotif($motif)
    {
        $this->motif = $motif;
    
        return $this;
    }

    /**
     * Get motif
     *
     * @return string 
     */
    public function getMotif()
    {
        return $this->motif;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return MvtMagasin
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set valide
     *
     * @param integer $valide
     * @return MvtMagasin
     */
    public function setValide($valide)
    {
        $this->valide = $valide;
    
        return $this;
    }

    /**
     * Get valide
     *
     * @return integer 
     */
    public function getValide()
    {
        return $this->valide;
    }

    /**
     * Set magasinEmetteur
     *
     * @param \Application\Models\Magasin $magasinEmetteur
     * @return MvtMagasin
     */
    public function setMagasinEmetteur(\Application\Models\Magasin $magasinEmetteur = null)
    {
        $this->magasinEmetteur = $magasinEmetteur;
    
        return $this;
    }

    /**
     * Get magasinEmetteur
     *
     * @return \Application\Models\Magasin 
     */
    public function getMagasinEmetteur()
    {
        return $this->magasinEmetteur;
    }

    /**
     * Set magasinRecepteur
     *
     * @param \Application\Models\Magasin $magasinRecepteur
     * @return MvtMagasin
     */
    public function setMagasinRecepteur(\Application\Models\Magasin $magasinRecepteur = null)
    {
        $this->magasinRecepteur = $magasinRecepteur;
    
        return $this;
    }

    /**
     * Get magasinRecepteur
     *
     * @return \Application\Models\Magasin 
     */
    public function getMagasinRecepteur()
    {
        return $this->magasinRecepteur;
    }
}