<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PaieMensuel
 *
 * @ORM\Table(name="paie_mensuel")
 * @ORM\Entity
 */
class PaieMensuel
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_paie_mensuel", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPaieMensuel;

    /**
     * @var integer
     *
     * @ORM\Column(name="montant_salaire", type="integer", nullable=false)
     */
    private $montantSalaire;

    /**
     * @var integer
     *
     * @ORM\Column(name="valide", type="smallint", nullable=false)
     */
    private $valide;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_employe", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idEmploye;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_utilisateur", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Mois
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Mois")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_mois", referencedColumnName="id_mois")
     * })
     */
    private $idMois;



    /**
     * Get idPaieMensuel
     *
     * @return integer 
     */
    public function getIdPaieMensuel()
    {
        return $this->idPaieMensuel;
    }

    /**
     * Set montantSalaire
     *
     * @param integer $montantSalaire
     * @return PaieMensuel
     */
    public function setMontantSalaire($montantSalaire)
    {
        $this->montantSalaire = $montantSalaire;
    
        return $this;
    }

    /**
     * Get montantSalaire
     *
     * @return integer 
     */
    public function getMontantSalaire()
    {
        return $this->montantSalaire;
    }

    /**
     * Set valide
     *
     * @param integer $valide
     * @return PaieMensuel
     */
    public function setValide($valide)
    {
        $this->valide = $valide;
    
        return $this;
    }

    /**
     * Get valide
     *
     * @return integer 
     */
    public function getValide()
    {
        return $this->valide;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PaieMensuel
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idEmploye
     *
     * @param \Application\Models\Utilisateur $idEmploye
     * @return PaieMensuel
     */
    public function setIdEmploye(\Application\Models\Utilisateur $idEmploye = null)
    {
        $this->idEmploye = $idEmploye;
    
        return $this;
    }

    /**
     * Get idEmploye
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdEmploye()
    {
        return $this->idEmploye;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return PaieMensuel
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idMois
     *
     * @param \Application\Models\Mois $idMois
     * @return PaieMensuel
     */
    public function setIdMois(\Application\Models\Mois $idMois = null)
    {
        $this->idMois = $idMois;
    
        return $this;
    }

    /**
     * Get idMois
     *
     * @return \Application\Models\Mois 
     */
    public function getIdMois()
    {
        return $this->idMois;
    }
}