<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PaiementAvoir
 *
 * @ORM\Table(name="paiement_avoir")
 * @ORM\Entity
 */
class PaiementAvoir
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PAIEMENT_AVOIR", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPaiementAvoir;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT", type="float", nullable=true)
     */
    private $montant;

    /**
     * @var integer
     *
     * @ORM\Column(name="MODEPAIEMENT", type="smallint", nullable=true)
     */
    private $modepaiement;

    /**
     * @var string
     *
     * @ORM\Column(name="BANQUE", type="string", length=255, nullable=true)
     */
    private $banque;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_PAIEMENT", type="datetime", nullable=true)
     */
    private $datePaiement;

    /**
     * @var \Application\Models\Avoir
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Avoir")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_AVOIR", referencedColumnName="ID_AVOIR")
     * })
     */
    private $idAvoir;

    /**
     * @var \Application\Models\MvtCaisse
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\MvtCaisse")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MVT_CAISSE", referencedColumnName="ID_MVT_CAISSE")
     * })
     */
    private $idMvtCaisse;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;



    /**
     * Get idPaiementAvoir
     *
     * @return integer 
     */
    public function getIdPaiementAvoir()
    {
        return $this->idPaiementAvoir;
    }

    /**
     * Set montant
     *
     * @param float $montant
     * @return PaiementAvoir
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return float 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set modepaiement
     *
     * @param integer $modepaiement
     * @return PaiementAvoir
     */
    public function setModepaiement($modepaiement)
    {
        $this->modepaiement = $modepaiement;
    
        return $this;
    }

    /**
     * Get modepaiement
     *
     * @return integer 
     */
    public function getModepaiement()
    {
        return $this->modepaiement;
    }

    /**
     * Set banque
     *
     * @param string $banque
     * @return PaiementAvoir
     */
    public function setBanque($banque)
    {
        $this->banque = $banque;
    
        return $this;
    }

    /**
     * Get banque
     *
     * @return string 
     */
    public function getBanque()
    {
        return $this->banque;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PaiementAvoir
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set datePaiement
     *
     * @param \DateTime $datePaiement
     * @return PaiementAvoir
     */
    public function setDatePaiement($datePaiement)
    {
        $this->datePaiement = $datePaiement;
    
        return $this;
    }

    /**
     * Get datePaiement
     *
     * @return \DateTime 
     */
    public function getDatePaiement()
    {
        return $this->datePaiement;
    }

    /**
     * Set idAvoir
     *
     * @param \Application\Models\Avoir $idAvoir
     * @return PaiementAvoir
     */
    public function setIdAvoir(\Application\Models\Avoir $idAvoir = null)
    {
        $this->idAvoir = $idAvoir;
    
        return $this;
    }

    /**
     * Get idAvoir
     *
     * @return \Application\Models\Avoir 
     */
    public function getIdAvoir()
    {
        return $this->idAvoir;
    }

    /**
     * Set idMvtCaisse
     *
     * @param \Application\Models\MvtCaisse $idMvtCaisse
     * @return PaiementAvoir
     */
    public function setIdMvtCaisse(\Application\Models\MvtCaisse $idMvtCaisse = null)
    {
        $this->idMvtCaisse = $idMvtCaisse;
    
        return $this;
    }

    /**
     * Get idMvtCaisse
     *
     * @return \Application\Models\MvtCaisse 
     */
    public function getIdMvtCaisse()
    {
        return $this->idMvtCaisse;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return PaiementAvoir
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }
}