<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PaiementFacture
 *
 * @ORM\Table(name="paiement_facture")
 * @ORM\Entity
 */
class PaiementFacture
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PAIEMENT_FACTURE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPaiementFacture;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT", type="float", nullable=true)
     */
    private $montant;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_PAIEMENT", type="datetime", nullable=true)
     */
    private $datePaiement;

    /**
     * @var string
     *
     * @ORM\Column(name="REF_PAIEMENT", type="string", length=255, nullable=true)
     */
    private $refPaiement;

    /**
     * @var string
     *
     * @ORM\Column(name="BANQUE", type="string", length=255, nullable=true)
     */
    private $banque;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Facturec
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Facturec")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FACTURE", referencedColumnName="ID_FACTURE")
     * })
     */
    private $idFacture;

    /**
     * @var \Application\Models\MvtCaisse
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\MvtCaisse")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MVT_CAISSE", referencedColumnName="ID_MVT_CAISSE")
     * })
     */
    private $idMvtCaisse;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\BonAchatClient
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\BonAchatClient")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_BON_ACHAT_CLIENT", referencedColumnName="ID_BON_ACHAT_CLIENT")
     * })
     */
    private $idBonAchatClient;

    /**
     * @var \Application\Models\ModePaiement
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\ModePaiement")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MODE_PAIEMENT", referencedColumnName="id")
     * })
     */
    private $idModePaiement;



    /**
     * Get idPaiementFacture
     *
     * @return integer 
     */
    public function getIdPaiementFacture()
    {
        return $this->idPaiementFacture;
    }

    /**
     * Set montant
     *
     * @param float $montant
     * @return PaiementFacture
     */
    public function setMontant($montant)
    {
        $this->montant = $montant;
    
        return $this;
    }

    /**
     * Get montant
     *
     * @return float 
     */
    public function getMontant()
    {
        return $this->montant;
    }

    /**
     * Set datePaiement
     *
     * @param \DateTime $datePaiement
     * @return PaiementFacture
     */
    public function setDatePaiement($datePaiement)
    {
        $this->datePaiement = $datePaiement;
    
        return $this;
    }

    /**
     * Get datePaiement
     *
     * @return \DateTime 
     */
    public function getDatePaiement()
    {
        return $this->datePaiement;
    }

    /**
     * Set refPaiement
     *
     * @param string $refPaiement
     * @return PaiementFacture
     */
    public function setRefPaiement($refPaiement)
    {
        $this->refPaiement = $refPaiement;
    
        return $this;
    }

    /**
     * Get refPaiement
     *
     * @return string 
     */
    public function getRefPaiement()
    {
        return $this->refPaiement;
    }

    /**
     * Set banque
     *
     * @param string $banque
     * @return PaiementFacture
     */
    public function setBanque($banque)
    {
        $this->banque = $banque;
    
        return $this;
    }

    /**
     * Get banque
     *
     * @return string 
     */
    public function getBanque()
    {
        return $this->banque;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PaiementFacture
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }


     /**
     * Set idModePaiement
     *
     * @param \Application\Models\ModePaiement $idModePaiement
     * @return PaiementFacture
     */
    public function setIdModePaiement($idModePaiement)
    {
        $this->idModePaiement = $idModePaiement;
    
        return $this;
    }

    /**
     * Get idModePaiement
     *
     * @return \Application\Models\ModePaiement 
     */
    public function getIdModePaiement()
    {
        return $this->idModePaiement;
    }

    /**
     * Set idFacture
     *
     * @param \Application\Models\Facturec $idFacture
     * @return PaiementFacture
     */
    public function setIdFacture(\Application\Models\Facturec $idFacture = null)
    {
        $this->idFacture = $idFacture;
    
        return $this;
    }

    /**
     * Get idFacture
     *
     * @return \Application\Models\Facturec 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }

    /**
     * Set idMvtCaisse
     *
     * @param \Application\Models\MvtCaisse $idMvtCaisse
     * @return PaiementFacture
     */
    public function setIdMvtCaisse(\Application\Models\MvtCaisse $idMvtCaisse = null)
    {
        $this->idMvtCaisse = $idMvtCaisse;
    
        return $this;
    }

    /**
     * Get idMvtCaisse
     *
     * @return \Application\Models\MvtCaisse 
     */
    public function getIdMvtCaisse()
    {
        return $this->idMvtCaisse;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return PaiementFacture
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idBonAchatClient
     *
     * @param \Application\Models\BonAchatClient $idBonAchatClient
     * @return PaiementFacture
     */
    public function setIdBonAchatClient(\Application\Models\BonAchatClient $idBonAchatClient = null)
    {
        $this->idBonAchatClient = $idBonAchatClient;
    
        return $this;
    }

    /**
     * Get idBonAchatClient
     *
     * @return \Application\Models\BonAchatClient 
     */
    public function getIdBonAchatClient()
    {
        return $this->idBonAchatClient;
    }
}