<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ParametrePrix
 *
 * @ORM\Table(name="parametre_prix")
 * @ORM\Entity
 */
class ParametrePrix
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PARAMETRE_PRIX", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idParametrePrix;

    /**
     * @var string
     *
     * @ORM\Column(name="JOUR_DEBUT", type="string", length=255, nullable=true)
     */
    private $jourDebut;

    /**
     * @var string
     *
     * @ORM\Column(name="JOUR_FIN", type="string", length=255, nullable=true)
     */
    private $jourFin;

    /**
     * @var integer
     *
     * @ORM\Column(name="PRIX_APPLICABLE", type="smallint", nullable=true)
     */
    private $prixApplicable;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idParametrePrix
     *
     * @return integer 
     */
    public function getIdParametrePrix()
    {
        return $this->idParametrePrix;
    }

    /**
     * Set jourDebut
     *
     * @param string $jourDebut
     * @return ParametrePrix
     */
    public function setJourDebut($jourDebut)
    {
        $this->jourDebut = $jourDebut;
    
        return $this;
    }

    /**
     * Get jourDebut
     *
     * @return string 
     */
    public function getJourDebut()
    {
        return $this->jourDebut;
    }

    /**
     * Set jourFin
     *
     * @param string $jourFin
     * @return ParametrePrix
     */
    public function setJourFin($jourFin)
    {
        $this->jourFin = $jourFin;
    
        return $this;
    }

    /**
     * Get jourFin
     *
     * @return string 
     */
    public function getJourFin()
    {
        return $this->jourFin;
    }

    /**
     * Set prixApplicable
     *
     * @param integer $prixApplicable
     * @return ParametrePrix
     */
    public function setPrixApplicable($prixApplicable)
    {
        $this->prixApplicable = $prixApplicable;
    
        return $this;
    }

    /**
     * Get prixApplicable
     *
     * @return integer 
     */
    public function getPrixApplicable()
    {
        return $this->prixApplicable;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return ParametrePrix
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return ParametrePrix
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}