<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ParametresPointVente
 *
 * @ORM\Table(name="parametres_point_vente")
 * @ORM\Entity
 */
class ParametresPointVente
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_parametres_point_vente", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idParametresPointVente;

    /**
     * @var string
     *
     * @ORM\Column(name="email", type="string", length=255, nullable=false)
     */
    private $email;

    /**
     * @var string
     *
     * @ORM\Column(name="pass_email", type="string", length=255, nullable=false)
     */
    private $passEmail;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_domaine_email", type="string", length=255, nullable=false)
     */
    private $nomDomaineEmail;

    /**
     * @var integer
     *
     * @ORM\Column(name="port_email", type="integer", nullable=false)
     */
    private $portEmail;

    /**
     * @var string
     *
     * @ORM\Column(name="user_sms_login", type="string", length=255, nullable=false)
     */
    private $userSmsLogin;

    /**
     * @var string
     *
     * @ORM\Column(name="user_sms_pass", type="string", length=255, nullable=false)
     */
    private $userSmsPass;

    /**
     * @var string
     *
     * @ORM\Column(name="user_sms_id", type="string", length=255, nullable=false)
     */
    private $userSmsId;

    /**
     * @var string
     *
     * @ORM\Column(name="serveur_sms", type="string", length=255, nullable=false)
     */
    private $serveurSms;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_point_vente", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idParametresPointVente
     *
     * @return integer 
     */
    public function getIdParametresPointVente()
    {
        return $this->idParametresPointVente;
    }

    /**
     * Set email
     *
     * @param string $email
     * @return ParametresPointVente
     */
    public function setEmail($email)
    {
        $this->email = $email;
    
        return $this;
    }

    /**
     * Get email
     *
     * @return string 
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * Set passEmail
     *
     * @param string $passEmail
     * @return ParametresPointVente
     */
    public function setPassEmail($passEmail)
    {
        $this->passEmail = $passEmail;
    
        return $this;
    }

    /**
     * Get passEmail
     *
     * @return string 
     */
    public function getPassEmail()
    {
        return $this->passEmail;
    }

    /**
     * Set nomDomaineEmail
     *
     * @param string $nomDomaineEmail
     * @return ParametresPointVente
     */
    public function setNomDomaineEmail($nomDomaineEmail)
    {
        $this->nomDomaineEmail = $nomDomaineEmail;
    
        return $this;
    }

    /**
     * Get nomDomaineEmail
     *
     * @return string 
     */
    public function getNomDomaineEmail()
    {
        return $this->nomDomaineEmail;
    }

    /**
     * Set portEmail
     *
     * @param integer $portEmail
     * @return ParametresPointVente
     */
    public function setPortEmail($portEmail)
    {
        $this->portEmail = $portEmail;
    
        return $this;
    }

    /**
     * Get portEmail
     *
     * @return integer 
     */
    public function getPortEmail()
    {
        return $this->portEmail;
    }

    /**
     * Set userSmsLogin
     *
     * @param string $userSmsLogin
     * @return ParametresPointVente
     */
    public function setUserSmsLogin($userSmsLogin)
    {
        $this->userSmsLogin = $userSmsLogin;
    
        return $this;
    }

    /**
     * Get userSmsLogin
     *
     * @return string 
     */
    public function getUserSmsLogin()
    {
        return $this->userSmsLogin;
    }

    /**
     * Set userSmsPass
     *
     * @param string $userSmsPass
     * @return ParametresPointVente
     */
    public function setUserSmsPass($userSmsPass)
    {
        $this->userSmsPass = $userSmsPass;
    
        return $this;
    }

    /**
     * Get userSmsPass
     *
     * @return string 
     */
    public function getUserSmsPass()
    {
        return $this->userSmsPass;
    }

    /**
     * Set userSmsId
     *
     * @param string $userSmsId
     * @return ParametresPointVente
     */
    public function setUserSmsId($userSmsId)
    {
        $this->userSmsId = $userSmsId;
    
        return $this;
    }

    /**
     * Get userSmsId
     *
     * @return string 
     */
    public function getUserSmsId()
    {
        return $this->userSmsId;
    }

    /**
     * Set serveurSms
     *
     * @param string $serveurSms
     * @return ParametresPointVente
     */
    public function setServeurSms($serveurSms)
    {
        $this->serveurSms = $serveurSms;
    
        return $this;
    }

    /**
     * Get serveurSms
     *
     * @return string 
     */
    public function getServeurSms()
    {
        return $this->serveurSms;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return ParametresPointVente
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}