<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PeriodeValiditePoint
 *
 * @ORM\Table(name="periode_validite_point")
 * @ORM\Entity
 */
class PeriodeValiditePoint
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PERIODE_VALIDITE_POINT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPeriodeValiditePoint;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_DEBUT", type="date", nullable=false)
     */
    private $dateDebut;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_FIN", type="date", nullable=false)
     */
    private $dateFin;

    /**
     * @var string
     *
     * @ORM\Column(name="LISTE_JOURS_REDUCTION", type="text", nullable=false)
     */
    private $listeJoursReduction;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var float
     *
     * @ORM\Column(name="POURCENTAGE_REDUCTION_CARTE", type="float", nullable=true)
     */
    private $pourcentageReductionCarte;

    /**
     * @var string
     *
     * @ORM\Column(name="CATEGORIES_CONCERNEES", type="string", length=255, nullable=true)
     */
    private $categoriesConcernees;



    /**
     * Get idPeriodeValiditePoint
     *
     * @return integer 
     */
    public function getIdPeriodeValiditePoint()
    {
        return $this->idPeriodeValiditePoint;
    }

    /**
     * Set dateDebut
     *
     * @param \DateTime $dateDebut
     * @return PeriodeValiditePoint
     */
    public function setDateDebut($dateDebut)
    {
        $this->dateDebut = $dateDebut;
    
        return $this;
    }

    /**
     * Get dateDebut
     *
     * @return \DateTime 
     */
    public function getDateDebut()
    {
        return $this->dateDebut;
    }

    /**
     * Set dateFin
     *
     * @param \DateTime $dateFin
     * @return PeriodeValiditePoint
     */
    public function setDateFin($dateFin)
    {
        $this->dateFin = $dateFin;
    
        return $this;
    }

    /**
     * Get dateFin
     *
     * @return \DateTime 
     */
    public function getDateFin()
    {
        return $this->dateFin;
    }

    /**
     * Set listeJoursReduction
     *
     * @param string $listeJoursReduction
     * @return PeriodeValiditePoint
     */
    public function setListeJoursReduction($listeJoursReduction)
    {
        $this->listeJoursReduction = $listeJoursReduction;
    
        return $this;
    }

    /**
     * Get listeJoursReduction
     *
     * @return string 
     */
    public function getListeJoursReduction()
    {
        return $this->listeJoursReduction;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PeriodeValiditePoint
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set pourcentageReductionCarte
     *
     * @param float $pourcentageReductionCarte
     * @return PeriodeValiditePoint
     */
    public function setPourcentageReductionCarte($pourcentageReductionCarte)
    {
        $this->pourcentageReductionCarte = $pourcentageReductionCarte;
    
        return $this;
    }

    /**
     * Get pourcentageReductionCarte
     *
     * @return float 
     */
    public function getPourcentageReductionCarte()
    {
        return $this->pourcentageReductionCarte;
    }

    /**
     * Set categoriesConcernees
     *
     * @param string $categoriesConcernees
     * @return PeriodeValiditePoint
     */
    public function setCategoriesConcernees($categoriesConcernees)
    {
        $this->categoriesConcernees = $categoriesConcernees;
    
        return $this;
    }

    /**
     * Get categoriesConcernees
     *
     * @return string 
     */
    public function getCategoriesConcernees()
    {
        return $this->categoriesConcernees;
    }
}