<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PointCarteFidelite
 *
 * @ORM\Table(name="point_carte_fidelite")
 * @ORM\Entity
 */
class PointCarteFidelite
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_point_carte_fidelite", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPointCarteFidelite;

    /**
     * @var integer
     *
     * @ORM\Column(name="quantite_point", type="integer", nullable=false)
     */
    private $quantitePoint;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_assignation", type="datetime", nullable=false)
     */
    private $dateAssignation;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_expiration", type="datetime", nullable=false)
     */
    private $dateExpiration;

    /**
     * @var \Application\Models\CarteFidelite
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CarteFidelite")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_carte_fidelite", referencedColumnName="ID_CARTE_FIDELITE")
     * })
     */
    private $idCarteFidelite;



    /**
     * Get idPointCarteFidelite
     *
     * @return integer 
     */
    public function getIdPointCarteFidelite()
    {
        return $this->idPointCarteFidelite;
    }

    /**
     * Set quantitePoint
     *
     * @param integer $quantitePoint
     * @return PointCarteFidelite
     */
    public function setQuantitePoint($quantitePoint)
    {
        $this->quantitePoint = $quantitePoint;
    
        return $this;
    }

    /**
     * Get quantitePoint
     *
     * @return integer 
     */
    public function getQuantitePoint()
    {
        return $this->quantitePoint;
    }

    /**
     * Set dateAssignation
     *
     * @param \DateTime $dateAssignation
     * @return PointCarteFidelite
     */
    public function setDateAssignation($dateAssignation)
    {
        $this->dateAssignation = $dateAssignation;
    
        return $this;
    }

    /**
     * Get dateAssignation
     *
     * @return \DateTime 
     */
    public function getDateAssignation()
    {
        return $this->dateAssignation;
    }

    /**
     * Set dateExpiration
     *
     * @param \DateTime $dateExpiration
     * @return PointCarteFidelite
     */
    public function setDateExpiration($dateExpiration)
    {
        $this->dateExpiration = $dateExpiration;
    
        return $this;
    }

    /**
     * Get dateExpiration
     *
     * @return \DateTime 
     */
    public function getDateExpiration()
    {
        return $this->dateExpiration;
    }

    /**
     * Set idCarteFidelite
     *
     * @param \Application\Models\CarteFidelite $idCarteFidelite
     * @return PointCarteFidelite
     */
    public function setIdCarteFidelite(\Application\Models\CarteFidelite $idCarteFidelite = null)
    {
        $this->idCarteFidelite = $idCarteFidelite;
    
        return $this;
    }

    /**
     * Get idCarteFidelite
     *
     * @return \Application\Models\CarteFidelite 
     */
    public function getIdCarteFidelite()
    {
        return $this->idCarteFidelite;
    }
}