<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PointVente
 *
 * @ORM\Table(name="point_vente")
 * @ORM\Entity
 */
class PointVente
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_POINT_VENTE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPointVente;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_POINT_VENTE", type="string", length=255, nullable=false)
     */
    private $nomPointVente;

    /**
     * @var string
     *
     * @ORM\Column(name="LOCALISATION", type="text", nullable=false)
     */
    private $localisation;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="GERANT_POINT_VENTE", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $gerantPointVente;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MAGASIN", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $idMagasin;



    /**
     * Get idPointVente
     *
     * @return integer 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }

    /**
     * Set nomPointVente
     *
     * @param string $nomPointVente
     * @return PointVente
     */
    public function setNomPointVente($nomPointVente)
    {
        $this->nomPointVente = $nomPointVente;
    
        return $this;
    }

    /**
     * Get nomPointVente
     *
     * @return string 
     */
    public function getNomPointVente()
    {
        return $this->nomPointVente;
    }

    /**
     * Set localisation
     *
     * @param string $localisation
     * @return PointVente
     */
    public function setLocalisation($localisation)
    {
        $this->localisation = $localisation;
    
        return $this;
    }

    /**
     * Get localisation
     *
     * @return string 
     */
    public function getLocalisation()
    {
        return $this->localisation;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PointVente
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set gerantPointVente
     *
     * @param \Application\Models\Personne $gerantPointVente
     * @return PointVente
     */
    public function setGerantPointVente(\Application\Models\Personne $gerantPointVente = null)
    {
        $this->gerantPointVente = $gerantPointVente;
    
        return $this;
    }

    /**
     * Get gerantPointVente
     *
     * @return \Application\Models\Personne 
     */
    public function getGerantPointVente()
    {
        return $this->gerantPointVente;
    }

    /**
     * Set idMagasin
     *
     * @param \Application\Models\Magasin $idMagasin
     * @return PointVente
     */
    public function setIdMagasin(\Application\Models\Magasin $idMagasin = null)
    {
        $this->idMagasin = $idMagasin;
    
        return $this;
    }

    /**
     * Get idMagasin
     *
     * @return \Application\Models\Magasin 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }
}