<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PointVenteBonAchatClient
 *
 * @ORM\Table(name="point_vente_bon_achat_client")
 * @ORM\Entity
 */
class PointVenteBonAchatClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_POINT_VENTE_BON_ACHAT_CLIENT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPointVenteBonAchatClient;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;

    /**
     * @var \Application\Models\BonAchat
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\BonAchat")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_BON_ACHAT_CLIENT", referencedColumnName="ID_BON_ACHAT")
     * })
     */
    private $idBonAchatClient;



    /**
     * Get idPointVenteBonAchatClient
     *
     * @return integer 
     */
    public function getIdPointVenteBonAchatClient()
    {
        return $this->idPointVenteBonAchatClient;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PointVenteBonAchatClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return PointVenteBonAchatClient
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }

    /**
     * Set idBonAchatClient
     *
     * @param \Application\Models\BonAchat $idBonAchatClient
     * @return PointVenteBonAchatClient
     */
    public function setIdBonAchatClient(\Application\Models\BonAchat $idBonAchatClient = null)
    {
        $this->idBonAchatClient = $idBonAchatClient;
    
        return $this;
    }

    /**
     * Get idBonAchatClient
     *
     * @return \Application\Models\BonAchat 
     */
    public function getIdBonAchatClient()
    {
        return $this->idBonAchatClient;
    }
}