<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * PrixProduitClient
 *
 * @ORM\Table(name="prix_produit_client")
 * @ORM\Entity
 */
class PrixProduitClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_prix_produit_client", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idPrixProduitClient;

    /**
     * @var float
     *
     * @ORM\Column(name="prix", type="float", nullable=false)
     */
    private $prix;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_produit", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_client", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idClient;



    /**
     * Get idPrixProduitClient
     *
     * @return integer 
     */
    public function getIdPrixProduitClient()
    {
        return $this->idPrixProduitClient;
    }

    /**
     * Set prix
     *
     * @param float $prix
     * @return PrixProduitClient
     */
    public function setPrix($prix)
    {
        $this->prix = $prix;
    
        return $this;
    }

    /**
     * Get prix
     *
     * @return float 
     */
    public function getPrix()
    {
        return $this->prix;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return PrixProduitClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return PrixProduitClient
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }

    /**
     * Set idClient
     *
     * @param \Application\Models\Personne $idClient
     * @return PrixProduitClient
     */
    public function setIdClient(\Application\Models\Personne $idClient = null)
    {
        $this->idClient = $idClient;
    
        return $this;
    }

    /**
     * Get idClient
     *
     * @return \Application\Models\Personne 
     */
    public function getIdClient()
    {
        return $this->idClient;
    }
}