<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Produit
 *
 * @ORM\Table(name="produit")
 * @ORM\Entity
 */
class Produit
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PRODUIT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idProduit;

    /**
     * @var string
     *
     * @ORM\Column(name="DESIGNATION", type="string", length=255, nullable=true)
     */
    private $designation;

    /**
     * @var string
     *
     * @ORM\Column(name="DESCRIPTION", type="text", nullable=true)
     */
    private $description;

    /**
     * @var integer
     *
     * @ORM\Column(name="QUANTITE_ALERTE", type="bigint", nullable=true)
     */
    private $quantiteAlerte;

    /**
     * @var string
     *
     * @ORM\Column(name="IMAGE", type="string", length=255, nullable=true)
     */
    private $image;

    /**
     * @var integer
     *
     * @ORM\Column(name="CONSOMMABLE", type="smallint", nullable=true)
     */
    private $consommable;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_ACHAT", type="float", nullable=true)
     */
    private $prixAchat;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_VENTE", type="float", nullable=true)
     */
    private $prixVente;

    /**
     * @var float
     *
     * @ORM\Column(name="MARGE", type="float", nullable=false)
     */
    private $marge;

    /**
     * @var integer
     *
     * @ORM\Column(name="PRIORITE", type="integer", nullable=true)
     */
    private $priorite;

    /**
     * @var integer
     *
     * @ORM\Column(name="INVENTORIER", type="smallint", nullable=true)
     */
    private $inventorier;

    /**
     * @var integer
     *
     * @ORM\Column(name="COMPTE_ACHAT", type="bigint", nullable=true)
     */
    private $compteAchat;

    /**
     * @var integer
     *
     * @ORM\Column(name="COMPTE_VENTE", type="bigint", nullable=true)
     */
    private $compteVente;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="STOCKABLE", type="smallint", nullable=true)
     */
    private $stockable;

    /**
     * @var float
     *
     * @ORM\Column(name="POURCENTAGE_MAX_REMISE", type="float", nullable=true)
     */
    private $pourcentageMaxRemise;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_VENTE2", type="float", nullable=true)
     */
    private $prixVente2;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_VENTE3", type="float", nullable=true)
     */
    private $prixVente3;

    /**
     * @var string
     *
     * @ORM\Column(name="REFERENCE_PRODUIT", type="string", length=255, nullable=true)
     */
    private $referenceProduit;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_ttc", type="float", nullable=true)
     */
    private $prixTtc;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_ttc2", type="float", nullable=true)
     */
    private $prixTtc2;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_ttc3", type="float", nullable=true)
     */
    private $prixTtc3;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BARRE", type="string", length=255, nullable=true)
     */
    private $codeBarre;

    /**
     * @var integer
     *
     * @ORM\Column(name="PERISSABLE", type="smallint", nullable=false)
     */
    private $perissable;

    /**
     * @var \Application\Models\CategorieProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CategorieProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_CATEGORIE_PRODUIT", referencedColumnName="ID_CATEGORIE")
     * })
     */
    private $idCategorieProduit;

    /**
     * @var \Application\Models\NatureProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\NatureProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_NATURE", referencedColumnName="id_nature")
     * })
     */
    private $idNature;

    /**
     * @var \Application\Models\Genre
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Genre")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_GENRE", referencedColumnName="id_genre")
     * })
     */
    private $idGenre;

    /**
     * Get idProduit
     *
     * @return integer 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }

    /**
     * Set designation
     *
     * @param string $designation
     * @return Produit
     */
    public function setDesignation($designation)
    {
        $this->designation = $designation;
    
        return $this;
    }

    /**
     * Get designation
     *
     * @return string 
     */
    public function getDesignation()
    {
        return $this->designation;
    }

    /**
     * Set description
     *
     * @param string $description
     * @return Produit
     */
    public function setDescription($description)
    {
        $this->description = $description;
    
        return $this;
    }

    /**
     * Get description
     *
     * @return string 
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set quantiteAlerte
     *
     * @param integer $quantiteAlerte
     * @return Produit
     */
    public function setQuantiteAlerte($quantiteAlerte)
    {
        $this->quantiteAlerte = $quantiteAlerte;
    
        return $this;
    }

    /**
     * Get quantiteAlerte
     *
     * @return integer 
     */
    public function getQuantiteAlerte()
    {
        return $this->quantiteAlerte;
    }

    /**
     * Set image
     *
     * @param string $image
     * @return Produit
     */
    public function setImage($image)
    {
        $this->image = $image;
    
        return $this;
    }

    /**
     * Get image
     *
     * @return string 
     */
    public function getImage()
    {
        return $this->image;
    }

    /**
     * Set consommable
     *
     * @param integer $consommable
     * @return Produit
     */
    public function setConsommable($consommable)
    {
        $this->consommable = $consommable;
    
        return $this;
    }

    /**
     * Get consommable
     *
     * @return integer 
     */
    public function getConsommable()
    {
        return $this->consommable;
    }

    /**
     * Set prixAchat
     *
     * @param float $prixAchat
     * @return Produit
     */
    public function setPrixAchat($prixAchat)
    {
        $this->prixAchat = $prixAchat;
    
        return $this;
    }

    /**
     * Get prixAchat
     *
     * @return float 
     */
    public function getPrixAchat()
    {
        return $this->prixAchat;
    }

    /**
     * Set prixVente
     *
     * @param float $prixVente
     * @return Produit
     */
    public function setPrixVente($prixVente)
    {
        $this->prixVente = $prixVente;
    
        return $this;
    }

    /**
     * Get prixVente
     *
     * @return float 
     */
    public function getPrixVente()
    {
        return $this->prixVente;
    }

    /**
     * Set marge
     *
     * @param float $marge
     * @return Produit
     */
    public function setMarge($marge)
    {
        $this->marge = $marge;
    
        return $this;
    }

    /**
     * Get marge
     *
     * @return float 
     */
    public function getMarge()
    {
        return $this->marge;
    }

    /**
     * Set priorite
     *
     * @param integer $priorite
     * @return Produit
     */
    public function setPriorite($priorite)
    {
        $this->priorite = $priorite;
    
        return $this;
    }

    /**
     * Get priorite
     *
     * @return integer 
     */
    public function getPriorite()
    {
        return $this->priorite;
    }

    /**
     * Set inventorier
     *
     * @param integer $inventorier
     * @return Produit
     */
    public function setInventorier($inventorier)
    {
        $this->inventorier = $inventorier;
    
        return $this;
    }

    /**
     * Get inventorier
     *
     * @return integer 
     */
    public function getInventorier()
    {
        return $this->inventorier;
    }

    /**
     * Set compteAchat
     *
     * @param integer $compteAchat
     * @return Produit
     */
    public function setCompteAchat($compteAchat)
    {
        $this->compteAchat = $compteAchat;
    
        return $this;
    }

    /**
     * Get compteAchat
     *
     * @return integer 
     */
    public function getCompteAchat()
    {
        return $this->compteAchat;
    }

    /**
     * Set compteVente
     *
     * @param integer $compteVente
     * @return Produit
     */
    public function setCompteVente($compteVente)
    {
        $this->compteVente = $compteVente;
    
        return $this;
    }

    /**
     * Get compteVente
     *
     * @return integer 
     */
    public function getCompteVente()
    {
        return $this->compteVente;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Produit
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set stockable
     *
     * @param integer $stockable
     * @return Produit
     */
    public function setStockable($stockable)
    {
        $this->stockable = $stockable;
    
        return $this;
    }

    /**
     * Get stockable
     *
     * @return integer 
     */
    public function getStockable()
    {
        return $this->stockable;
    }

    /**
     * Set pourcentageMaxRemise
     *
     * @param float $pourcentageMaxRemise
     * @return Produit
     */
    public function setPourcentageMaxRemise($pourcentageMaxRemise)
    {
        $this->pourcentageMaxRemise = $pourcentageMaxRemise;
    
        return $this;
    }

    /**
     * Get pourcentageMaxRemise
     *
     * @return float 
     */
    public function getPourcentageMaxRemise()
    {
        return $this->pourcentageMaxRemise;
    }

    /**
     * Set prixVente2
     *
     * @param float $prixVente2
     * @return Produit
     */
    public function setPrixVente2($prixVente2)
    {
        $this->prixVente2 = $prixVente2;
    
        return $this;
    }

    /**
     * Get prixVente2
     *
     * @return float 
     */
    public function getPrixVente2()
    {
        return $this->prixVente2;
    }

    /**
     * Set prixVente3
     *
     * @param float $prixVente3
     * @return Produit
     */
    public function setPrixVente3($prixVente3)
    {
        $this->prixVente3 = $prixVente3;
    
        return $this;
    }

    /**
     * Get prixVente3
     *
     * @return float 
     */
    public function getPrixVente3()
    {
        return $this->prixVente3;
    }

    /**
     * Set referenceProduit
     *
     * @param string $referenceProduit
     * @return Produit
     */
    public function setReferenceProduit($referenceProduit)
    {
        $this->referenceProduit = $referenceProduit;
    
        return $this;
    }

    /**
     * Get referenceProduit
     *
     * @return string 
     */
    public function getReferenceProduit()
    {
        return $this->referenceProduit;
    }

    /**
     * Set prixTtc
     *
     * @param float $prixTtc
     * @return Produit
     */
    public function setPrixTtc($prixTtc)
    {
        $this->prixTtc = $prixTtc;
    
        return $this;
    }

    /**
     * Get prixTtc
     *
     * @return float 
     */
    public function getPrixTtc()
    {
        return $this->prixTtc;
    }

    /**
     * Set prixTtc2
     *
     * @param float $prixTtc2
     * @return Produit
     */
    public function setPrixTtc2($prixTtc2)
    {
        $this->prixTtc2 = $prixTtc2;
    
        return $this;
    }

    /**
     * Get prixTtc2
     *
     * @return float 
     */
    public function getPrixTtc2()
    {
        return $this->prixTtc2;
    }

    /**
     * Set prixTtc3
     *
     * @param float $prixTtc3
     * @return Produit
     */
    public function setPrixTtc3($prixTtc3)
    {
        $this->prixTtc3 = $prixTtc3;
    
        return $this;
    }

    /**
     * Get prixTtc3
     *
     * @return float 
     */
    public function getPrixTtc3()
    {
        return $this->prixTtc3;
    }

    /**
     * Set codeBarre
     *
     * @param string $codeBarre
     * @return Produit
     */
    public function setCodeBarre($codeBarre)
    {
        $this->codeBarre = $codeBarre;
    
        return $this;
    }

    /**
     * Get codeBarre
     *
     * @return string 
     */
    public function getCodeBarre()
    {
        return $this->codeBarre;
    }

    /**
     * Set perissable
     *
     * @param integer $perissable
     * @return Produit
     */
    public function setPerissable($perissable)
    {
        $this->perissable = $perissable;
    
        return $this;
    }

    /**
     * Get perissable
     *
     * @return integer 
     */
    public function getPerissable()
    {
        return $this->perissable;
    }

    /**
     * Set idCategorieProduit
     *
     * @param \Application\Models\CategorieProduit $idCategorieProduit
     * @return Produit
     */
    public function setIdCategorieProduit(\Application\Models\CategorieProduit $idCategorieProduit = null)
    {
        $this->idCategorieProduit = $idCategorieProduit;
    
        return $this;
    }

    /**
     * Get idCategorieProduit
     *
     * @return \Application\Models\CategorieProduit 
     */
    public function getIdCategorieProduit()
    {
        return $this->idCategorieProduit;
    }

    /**
     * Set idNature
     *
     * @param \Application\Models\NatureProduit $idNature
     * @return Produit
     */
    public function setIdNature(\Application\Models\NatureProduit $idNature = null)
    {
        $this->idNature = $idNature;
    
        return $this;
    }

    /**
     * Get idNature
     *
     * @return \Application\Models\NatureProduit 
     */
    public function getIdNature()
    {
        return $this->idNature;
    }

    /**
     * Set idGenre
     *
     * @param \Application\Models\Genre $idGenre
     * @return Produit
     */
    public function setIdGenre(\Application\Models\Genre $idGenre = null)
    {
        $this->idGenre = $idGenre;
    
        return $this;
    }

    /**
     * Get idGenre
     *
     * @return \Application\Models\Genre 
     */
    public function getIdGenre()
    {
        return $this->idGenre;
    }
}