<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ProfilClient
 *
 * @ORM\Table(name="profil_client")
 * @ORM\Entity
 */
class ProfilClient
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_PROFIL_CLIENT", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idProfilClient;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM_PROFIL", type="string", length=255, nullable=false)
     */
    private $nomProfil;

    /**
     * @var integer
     *
     * @ORM\Column(name="TYPE_REDUCTION", type="smallint", nullable=false)
     */
    private $typeReduction;

    /**
     * @var float
     *
     * @ORM\Column(name="POURCENTAGE_REDUCTION", type="float", nullable=true)
     */
    private $pourcentageReduction;

    /**
     * @var float
     *
     * @ORM\Column(name="MONTANT_REDUCTION", type="float", nullable=true)
     */
    private $montantReduction;

    /**
     * @var integer
     *
     * @ORM\Column(name="POINTS_MINIMUM", type="integer", nullable=false)
     */
    private $pointsMinimum;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idProfilClient
     *
     * @return integer 
     */
    public function getIdProfilClient()
    {
        return $this->idProfilClient;
    }

    /**
     * Set nomProfil
     *
     * @param string $nomProfil
     * @return ProfilClient
     */
    public function setNomProfil($nomProfil)
    {
        $this->nomProfil = $nomProfil;
    
        return $this;
    }

    /**
     * Get nomProfil
     *
     * @return string 
     */
    public function getNomProfil()
    {
        return $this->nomProfil;
    }

    /**
     * Set typeReduction
     *
     * @param integer $typeReduction
     * @return ProfilClient
     */
    public function setTypeReduction($typeReduction)
    {
        $this->typeReduction = $typeReduction;
    
        return $this;
    }

    /**
     * Get typeReduction
     *
     * @return integer 
     */
    public function getTypeReduction()
    {
        return $this->typeReduction;
    }

    /**
     * Set pourcentageReduction
     *
     * @param float $pourcentageReduction
     * @return ProfilClient
     */
    public function setPourcentageReduction($pourcentageReduction)
    {
        $this->pourcentageReduction = $pourcentageReduction;
    
        return $this;
    }

    /**
     * Get pourcentageReduction
     *
     * @return float 
     */
    public function getPourcentageReduction()
    {
        return $this->pourcentageReduction;
    }

    /**
     * Set montantReduction
     *
     * @param float $montantReduction
     * @return ProfilClient
     */
    public function setMontantReduction($montantReduction)
    {
        $this->montantReduction = $montantReduction;
    
        return $this;
    }

    /**
     * Get montantReduction
     *
     * @return float 
     */
    public function getMontantReduction()
    {
        return $this->montantReduction;
    }

    /**
     * Set pointsMinimum
     *
     * @param integer $pointsMinimum
     * @return ProfilClient
     */
    public function setPointsMinimum($pointsMinimum)
    {
        $this->pointsMinimum = $pointsMinimum;
    
        return $this;
    }

    /**
     * Get pointsMinimum
     *
     * @return integer 
     */
    public function getPointsMinimum()
    {
        return $this->pointsMinimum;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return ProfilClient
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}