<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Raccourci
 *
 * @ORM\Table(name="raccourci")
 * @ORM\Entity
 */
class Raccourci
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_RACCOURCI", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idRaccourci;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM", type="string", length=255, nullable=true)
     */
    private $nom;

    /**
     * @var string
     *
     * @ORM\Column(name="ACTION", type="string", length=255, nullable=true)
     */
    private $action;

    /**
     * @var string
     *
     * @ORM\Column(name="CONTROLLEUR", type="string", length=255, nullable=true)
     */
    private $controlleur;

    /**
     * @var string
     *
     * @ORM\Column(name="ICON", type="string", length=255, nullable=true)
     */
    private $icon;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="ORDRE_APPARITION", type="smallint", nullable=true)
     */
    private $ordreApparition;

    /**
     * @var \Application\Models\Menu
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Menu")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MENU", referencedColumnName="ID_MENU")
     * })
     */
    private $idMenu;



    /**
     * Get idRaccourci
     *
     * @return integer 
     */
    public function getIdRaccourci()
    {
        return $this->idRaccourci;
    }

    /**
     * Set nom
     *
     * @param string $nom
     * @return Raccourci
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    
        return $this;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Set action
     *
     * @param string $action
     * @return Raccourci
     */
    public function setAction($action)
    {
        $this->action = $action;
    
        return $this;
    }

    /**
     * Get action
     *
     * @return string 
     */
    public function getAction()
    {
        return $this->action;
    }

    /**
     * Set controlleur
     *
     * @param string $controlleur
     * @return Raccourci
     */
    public function setControlleur($controlleur)
    {
        $this->controlleur = $controlleur;
    
        return $this;
    }

    /**
     * Get controlleur
     *
     * @return string 
     */
    public function getControlleur()
    {
        return $this->controlleur;
    }

    /**
     * Set icon
     *
     * @param string $icon
     * @return Raccourci
     */
    public function setIcon($icon)
    {
        $this->icon = $icon;
    
        return $this;
    }

    /**
     * Get icon
     *
     * @return string 
     */
    public function getIcon()
    {
        return $this->icon;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Raccourci
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set ordreApparition
     *
     * @param integer $ordreApparition
     * @return Raccourci
     */
    public function setOrdreApparition($ordreApparition)
    {
        $this->ordreApparition = $ordreApparition;
    
        return $this;
    }

    /**
     * Get ordreApparition
     *
     * @return integer 
     */
    public function getOrdreApparition()
    {
        return $this->ordreApparition;
    }

    /**
     * Set idMenu
     *
     * @param \Application\Models\Menu $idMenu
     * @return Raccourci
     */
    public function setIdMenu(\Application\Models\Menu $idMenu = null)
    {
        $this->idMenu = $idMenu;
    
        return $this;
    }

    /**
     * Get idMenu
     *
     * @return \Application\Models\Menu 
     */
    public function getIdMenu()
    {
        return $this->idMenu;
    }
}