<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Reception
 *
 * @ORM\Table(name="reception")
 * @ORM\Entity
 */
class Reception
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_RECEPTION", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idReception;

    /**
     * @var integer
     *
     * @ORM\Column(name="UTI_ID_UTILISATEUR", type="bigint", nullable=true)
     */
    private $utiIdUtilisateur;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_RECEPTION", type="date", nullable=false)
     */
    private $dateReception;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_BL", type="string", length=30, nullable=true)
     */
    private $numBl;

    /**
     * @var string
     *
     * @ORM\Column(name="OBSERVATION", type="string", length=1000, nullable=true)
     */
    private $observation;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_VALIDATION", type="date", nullable=true)
     */
    private $dateValidation;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_SAISIE", type="date", nullable=true)
     */
    private $dateSaisie;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=false)
     */
    private $valider;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Fournisseur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Fournisseur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FOURNISSEUR", referencedColumnName="ID_FOURNISSEUR")
     * })
     */
    private $idFournisseur;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MAGASIN", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $idMagasin;

    /**
     * @var \Application\Models\Commande
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Commande")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_COMMANDE", referencedColumnName="ID_COMMANDE")
     * })
     */
    private $idCommande;



    /**
     * Get idReception
     *
     * @return integer 
     */
    public function getIdReception()
    {
        return $this->idReception;
    }

    /**
     * Set utiIdUtilisateur
     *
     * @param integer $utiIdUtilisateur
     * @return Reception
     */
    public function setUtiIdUtilisateur($utiIdUtilisateur)
    {
        $this->utiIdUtilisateur = $utiIdUtilisateur;
    
        return $this;
    }

    /**
     * Get utiIdUtilisateur
     *
     * @return integer 
     */
    public function getUtiIdUtilisateur()
    {
        return $this->utiIdUtilisateur;
    }

    /**
     * Set dateReception
     *
     * @param \DateTime $dateReception
     * @return Reception
     */
    public function setDateReception($dateReception)
    {
        $this->dateReception = $dateReception;
    
        return $this;
    }

    /**
     * Get dateReception
     *
     * @return \DateTime 
     */
    public function getDateReception()
    {
        return $this->dateReception;
    }

    /**
     * Set numBl
     *
     * @param string $numBl
     * @return Reception
     */
    public function setNumBl($numBl)
    {
        $this->numBl = $numBl;
    
        return $this;
    }

    /**
     * Get numBl
     *
     * @return string 
     */
    public function getNumBl()
    {
        return $this->numBl;
    }

    /**
     * Set observation
     *
     * @param string $observation
     * @return Reception
     */
    public function setObservation($observation)
    {
        $this->observation = $observation;
    
        return $this;
    }

    /**
     * Get observation
     *
     * @return string 
     */
    public function getObservation()
    {
        return $this->observation;
    }

    /**
     * Set dateValidation
     *
     * @param \DateTime $dateValidation
     * @return Reception
     */
    public function setDateValidation($dateValidation)
    {
        $this->dateValidation = $dateValidation;
    
        return $this;
    }

    /**
     * Get dateValidation
     *
     * @return \DateTime 
     */
    public function getDateValidation()
    {
        return $this->dateValidation;
    }

    /**
     * Set dateSaisie
     *
     * @param \DateTime $dateSaisie
     * @return Reception
     */
    public function setDateSaisie($dateSaisie)
    {
        $this->dateSaisie = $dateSaisie;
    
        return $this;
    }

    /**
     * Get dateSaisie
     *
     * @return \DateTime 
     */
    public function getDateSaisie()
    {
        return $this->dateSaisie;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Reception
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return Reception
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Reception
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idFournisseur
     *
     * @param \Application\Models\Fournisseur $idFournisseur
     * @return Reception
     */
    public function setIdFournisseur(\Application\Models\Fournisseur $idFournisseur = null)
    {
        $this->idFournisseur = $idFournisseur;
    
        return $this;
    }

    /**
     * Get idFournisseur
     *
     * @return \Application\Models\Fournisseur 
     */
    public function getIdFournisseur()
    {
        return $this->idFournisseur;
    }

    /**
     * Set idMagasin
     *
     * @param \Application\Models\Magasin $idMagasin
     * @return Reception
     */
    public function setIdMagasin(\Application\Models\Magasin $idMagasin = null)
    {
        $this->idMagasin = $idMagasin;
    
        return $this;
    }

    /**
     * Get idMagasin
     *
     * @return \Application\Models\Magasin 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }

    /**
     * Set idCommande
     *
     * @param \Application\Models\Commande $idCommande
     * @return Reception
     */
    public function setIdCommande(\Application\Models\Commande $idCommande = null)
    {
        $this->idCommande = $idCommande;
    
        return $this;
    }

    /**
     * Get idCommande
     *
     * @return \Application\Models\Commande 
     */
    public function getIdCommande()
    {
        return $this->idCommande;
    }
}