<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * RendezVous
 *
 * @ORM\Table(name="rendez_vous")
 * @ORM\Entity
 */
class RendezVous
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_rendez_vous", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idRendezVous;

    /**
     * @var string
     *
     * @ORM\Column(name="observation", type="text", nullable=false)
     */
    private $observation;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_debut", type="datetime", nullable=false)
     */
    private $dateDebut;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_fin", type="datetime", nullable=false)
     */
    private $dateFin;

    /**
     * @var string
     *
     * @ORM\Column(name="liste_id_utilisateurs", type="text", nullable=true)
     */
    private $listeIdUtilisateurs;

    /**
     * @var integer
     *
     * @ORM\Column(name="activite_realisee", type="smallint", nullable=true)
     */
    private $activiteRealisee;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\ActiviteRendezVous
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\ActiviteRendezVous")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_activite", referencedColumnName="id_activite")
     * })
     */
    private $idActivite;

    /**
     * @var \Application\Models\Personne
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Personne")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_client", referencedColumnName="ID_PERSONNE")
     * })
     */
    private $idClient;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_point_vente", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idRendezVous
     *
     * @return integer 
     */
    public function getIdRendezVous()
    {
        return $this->idRendezVous;
    }

    /**
     * Set observation
     *
     * @param string $observation
     * @return RendezVous
     */
    public function setObservation($observation)
    {
        $this->observation = $observation;
    
        return $this;
    }

    /**
     * Get observation
     *
     * @return string 
     */
    public function getObservation()
    {
        return $this->observation;
    }

    /**
     * Set dateDebut
     *
     * @param \DateTime $dateDebut
     * @return RendezVous
     */
    public function setDateDebut($dateDebut)
    {
        $this->dateDebut = $dateDebut;
    
        return $this;
    }

    /**
     * Get dateDebut
     *
     * @return \DateTime 
     */
    public function getDateDebut()
    {
        return $this->dateDebut;
    }

    /**
     * Set dateFin
     *
     * @param \DateTime $dateFin
     * @return RendezVous
     */
    public function setDateFin($dateFin)
    {
        $this->dateFin = $dateFin;
    
        return $this;
    }

    /**
     * Get dateFin
     *
     * @return \DateTime 
     */
    public function getDateFin()
    {
        return $this->dateFin;
    }

    /**
     * Set listeIdUtilisateurs
     *
     * @param string $listeIdUtilisateurs
     * @return RendezVous
     */
    public function setListeIdUtilisateurs($listeIdUtilisateurs)
    {
        $this->listeIdUtilisateurs = $listeIdUtilisateurs;
    
        return $this;
    }

    /**
     * Get listeIdUtilisateurs
     *
     * @return string 
     */
    public function getListeIdUtilisateurs()
    {
        return $this->listeIdUtilisateurs;
    }

    /**
     * Set activiteRealisee
     *
     * @param integer $activiteRealisee
     * @return RendezVous
     */
    public function setActiviteRealisee($activiteRealisee)
    {
        $this->activiteRealisee = $activiteRealisee;
    
        return $this;
    }

    /**
     * Get activiteRealisee
     *
     * @return integer 
     */
    public function getActiviteRealisee()
    {
        return $this->activiteRealisee;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return RendezVous
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idActivite
     *
     * @param \Application\Models\ActiviteRendezVous $idActivite
     * @return RendezVous
     */
    public function setIdActivite(\Application\Models\ActiviteRendezVous $idActivite = null)
    {
        $this->idActivite = $idActivite;
    
        return $this;
    }

    /**
     * Get idActivite
     *
     * @return \Application\Models\ActiviteRendezVous 
     */
    public function getIdActivite()
    {
        return $this->idActivite;
    }

    /**
     * Set idClient
     *
     * @param \Application\Models\Personne $idClient
     * @return RendezVous
     */
    public function setIdClient(\Application\Models\Personne $idClient = null)
    {
        $this->idClient = $idClient;
    
        return $this;
    }

    /**
     * Get idClient
     *
     * @return \Application\Models\Personne 
     */
    public function getIdClient()
    {
        return $this->idClient;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return RendezVous
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}