<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * RubriquePaie
 *
 * @ORM\Table(name="rubrique_paie")
 * @ORM\Entity
 */
class RubriquePaie
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_rubrique_paie", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idRubriquePaie;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_rubrique", type="string", length=255, nullable=false)
     */
    private $nomRubrique;

    /**
     * @var string
     *
     * @ORM\Column(name="Code_rubrique", type="string", length=255, nullable=true)
     */
    private $codeRubrique;

    /**
     * @var integer
     *
     * @ORM\Column(name="montant_defaut", type="integer", nullable=false)
     */
    private $montantDefaut;

    /**
     * @var integer
     *
     * @ORM\Column(name="type", type="smallint", nullable=false)
     */
    private $type;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;



    /**
     * Get idRubriquePaie
     *
     * @return integer 
     */
    public function getIdRubriquePaie()
    {
        return $this->idRubriquePaie;
    }

    /**
     * Set nomRubrique
     *
     * @param string $nomRubrique
     * @return RubriquePaie
     */
    public function setNomRubrique($nomRubrique)
    {
        $this->nomRubrique = $nomRubrique;
    
        return $this;
    }

    /**
     * Get nomRubrique
     *
     * @return string 
     */
    public function getNomRubrique()
    {
        return $this->nomRubrique;
    }

    /**
     * Set codeRubrique
     *
     * @param string $codeRubrique
     * @return RubriquePaie
     */
    public function setCodeRubrique($codeRubrique)
    {
        $this->codeRubrique = $codeRubrique;
    
        return $this;
    }

    /**
     * Get codeRubrique
     *
     * @return string 
     */
    public function getCodeRubrique()
    {
        return $this->codeRubrique;
    }

    /**
     * Set montantDefaut
     *
     * @param integer $montantDefaut
     * @return RubriquePaie
     */
    public function setMontantDefaut($montantDefaut)
    {
        $this->montantDefaut = $montantDefaut;
    
        return $this;
    }

    /**
     * Get montantDefaut
     *
     * @return integer 
     */
    public function getMontantDefaut()
    {
        return $this->montantDefaut;
    }

    /**
     * Set type
     *
     * @param integer $type
     * @return RubriquePaie
     */
    public function setType($type)
    {
        $this->type = $type;
    
        return $this;
    }

    /**
     * Get type
     *
     * @return integer 
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return RubriquePaie
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}