<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * SessionCaissier
 *
 * @ORM\Table(name="session_caissier")
 * @ORM\Entity
 */
class SessionCaissier
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_SESSION_CAISSE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idSessionCaisse;

    /**
     * @var string
     *
     * @ORM\Column(name="PWD_CAISSE", type="text", nullable=true)
     */
    private $pwdCaisse;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_OUVERTURE", type="datetime", nullable=true)
     */
    private $dateOuverture;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_CLOTURE", type="datetime", nullable=true)
     */
    private $dateCloture;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_PREVU_CLOTURE", type="datetime", nullable=true)
     */
    private $datePrevuCloture;

    /**
     * @var integer
     *
     * @ORM\Column(name="FERME", type="smallint", nullable=true)
     */
    private $ferme;

    /**
     * @var integer
     *
     * @ORM\Column(name="CLOTURER", type="smallint", nullable=true)
     */
    private $cloturer;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\PointVente
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\PointVente")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_POINT_VENTE", referencedColumnName="ID_POINT_VENTE")
     * })
     */
    private $idPointVente;



    /**
     * Get idSessionCaisse
     *
     * @return integer 
     */
    public function getIdSessionCaisse()
    {
        return $this->idSessionCaisse;
    }

    /**
     * Set pwdCaisse
     *
     * @param string $pwdCaisse
     * @return SessionCaissier
     */
    public function setPwdCaisse($pwdCaisse)
    {
        $this->pwdCaisse = $pwdCaisse;
    
        return $this;
    }

    /**
     * Get pwdCaisse
     *
     * @return string 
     */
    public function getPwdCaisse()
    {
        return $this->pwdCaisse;
    }

    /**
     * Set dateOuverture
     *
     * @param \DateTime $dateOuverture
     * @return SessionCaissier
     */
    public function setDateOuverture($dateOuverture)
    {
        $this->dateOuverture = $dateOuverture;
    
        return $this;
    }

    /**
     * Get dateOuverture
     *
     * @return \DateTime 
     */
    public function getDateOuverture()
    {
        return $this->dateOuverture;
    }

    /**
     * Set dateCloture
     *
     * @param \DateTime $dateCloture
     * @return SessionCaissier
     */
    public function setDateCloture($dateCloture)
    {
        $this->dateCloture = $dateCloture;
    
        return $this;
    }

    /**
     * Get dateCloture
     *
     * @return \DateTime 
     */
    public function getDateCloture()
    {
        return $this->dateCloture;
    }

    /**
     * Set datePrevuCloture
     *
     * @param \DateTime $datePrevuCloture
     * @return SessionCaissier
     */
    public function setDatePrevuCloture($datePrevuCloture)
    {
        $this->datePrevuCloture = $datePrevuCloture;
    
        return $this;
    }

    /**
     * Get datePrevuCloture
     *
     * @return \DateTime 
     */
    public function getDatePrevuCloture()
    {
        return $this->datePrevuCloture;
    }

    /**
     * Set ferme
     *
     * @param integer $ferme
     * @return SessionCaissier
     */
    public function setFerme($ferme)
    {
        $this->ferme = $ferme;
    
        return $this;
    }

    /**
     * Get ferme
     *
     * @return integer 
     */
    public function getFerme()
    {
        return $this->ferme;
    }

    /**
     * Set cloturer
     *
     * @param integer $cloturer
     * @return SessionCaissier
     */
    public function setCloturer($cloturer)
    {
        $this->cloturer = $cloturer;
    
        return $this;
    }

    /**
     * Get cloturer
     *
     * @return integer 
     */
    public function getCloturer()
    {
        return $this->cloturer;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return SessionCaissier
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idPointVente
     *
     * @param \Application\Models\PointVente $idPointVente
     * @return SessionCaissier
     */
    public function setIdPointVente(\Application\Models\PointVente $idPointVente = null)
    {
        $this->idPointVente = $idPointVente;
    
        return $this;
    }

    /**
     * Get idPointVente
     *
     * @return \Application\Models\PointVente 
     */
    public function getIdPointVente()
    {
        return $this->idPointVente;
    }
}