<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Sortie
 *
 * @ORM\Table(name="sortie")
 * @ORM\Entity
 */
class Sortie
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_SORTIE", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idSortie;

    /**
     * @var string
     *
     * @ORM\Column(name="TYPE_SORTIE", type="string", length=20, nullable=true)
     */
    private $typeSortie;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_SAISIE", type="date", nullable=true)
     */
    private $dateSaisie;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_SORTIE", type="date", nullable=true)
     */
    private $dateSortie;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_VALIDATION", type="date", nullable=true)
     */
    private $dateValidation;

    /**
     * @var string
     *
     * @ORM\Column(name="MOTIF", type="string", length=255, nullable=true)
     */
    private $motif;

    /**
     * @var integer
     *
     * @ORM\Column(name="VALIDER", type="smallint", nullable=false)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_UTILISATEUR", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MAGASIN", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $idMagasin;

    /**
     * @var \Application\Models\Facturec
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Facturec")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_FACTURE", referencedColumnName="ID_FACTURE")
     * })
     */
    private $idFacture;



    /**
     * Get idSortie
     *
     * @return integer 
     */
    public function getIdSortie()
    {
        return $this->idSortie;
    }

    /**
     * Set typeSortie
     *
     * @param string $typeSortie
     * @return Sortie
     */
    public function setTypeSortie($typeSortie)
    {
        $this->typeSortie = $typeSortie;
    
        return $this;
    }

    /**
     * Get typeSortie
     *
     * @return string 
     */
    public function getTypeSortie()
    {
        return $this->typeSortie;
    }

    /**
     * Set dateSaisie
     *
     * @param \DateTime $dateSaisie
     * @return Sortie
     */
    public function setDateSaisie($dateSaisie)
    {
        $this->dateSaisie = $dateSaisie;
    
        return $this;
    }

    /**
     * Get dateSaisie
     *
     * @return \DateTime 
     */
    public function getDateSaisie()
    {
        return $this->dateSaisie;
    }

    /**
     * Set dateSortie
     *
     * @param \DateTime $dateSortie
     * @return Sortie
     */
    public function setDateSortie($dateSortie)
    {
        $this->dateSortie = $dateSortie;
    
        return $this;
    }

    /**
     * Get dateSortie
     *
     * @return \DateTime 
     */
    public function getDateSortie()
    {
        return $this->dateSortie;
    }

    /**
     * Set dateValidation
     *
     * @param \DateTime $dateValidation
     * @return Sortie
     */
    public function setDateValidation($dateValidation)
    {
        $this->dateValidation = $dateValidation;
    
        return $this;
    }

    /**
     * Get dateValidation
     *
     * @return \DateTime 
     */
    public function getDateValidation()
    {
        return $this->dateValidation;
    }

    /**
     * Set motif
     *
     * @param string $motif
     * @return Sortie
     */
    public function setMotif($motif)
    {
        $this->motif = $motif;
    
        return $this;
    }

    /**
     * Get motif
     *
     * @return string 
     */
    public function getMotif()
    {
        return $this->motif;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return Sortie
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Sortie
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return Sortie
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idMagasin
     *
     * @param \Application\Models\Magasin $idMagasin
     * @return Sortie
     */
    public function setIdMagasin(\Application\Models\Magasin $idMagasin = null)
    {
        $this->idMagasin = $idMagasin;
    
        return $this;
    }

    /**
     * Get idMagasin
     *
     * @return \Application\Models\Magasin 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }

    /**
     * Set idFacture
     *
     * @param \Application\Models\Facturec $idFacture
     * @return Sortie
     */
    public function setIdFacture(\Application\Models\Facturec $idFacture = null)
    {
        $this->idFacture = $idFacture;
    
        return $this;
    }

    /**
     * Get idFacture
     *
     * @return \Application\Models\Facturec 
     */
    public function getIdFacture()
    {
        return $this->idFacture;
    }
}