<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Stock
 *
 * @ORM\Table(name="stock")
 * @ORM\Entity
 */
class Stock
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ID_STOCK", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idStock;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_ENTREE", type="date", nullable=true)
     */
    private $dateEntree;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE", type="float", nullable=true)
     */
    private $quantite;

    /**
     * @var float
     *
     * @ORM\Column(name="QUANTITE_ENTREE", type="float", nullable=true)
     */
    private $quantiteEntree;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_ACHAT", type="float", nullable=true)
     */
    private $prixAchat;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_VENTE", type="float", nullable=true)
     */
    private $prixVente;

    /**
     * @var float
     *
     * @ORM\Column(name="MARGE", type="float", nullable=false)
     */
    private $marge;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_LOT", type="string", length=255, nullable=false)
     */
    private $numLot;

    /**
     * @var string
     *
     * @ORM\Column(name="NUM_LOT_FOURNISSEUR", type="string", length=255, nullable=true)
     */
    private $numLotFournisseur;

    /**
     * @var string
     *
     * @ORM\Column(name="CODE_BARRE", type="string", length=255, nullable=true)
     */
    private $codeBarre;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="DATE_PEREMPTION", type="date", nullable=true)
     */
    private $datePeremption;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_TVA_ACHAT", type="float", nullable=true)
     */
    private $tauxTvaAchat;

    /**
     * @var float
     *
     * @ORM\Column(name="TAUX_TVA_VENTE", type="float", nullable=true)
     */
    private $tauxTvaVente;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="QUANTITE_RESERVEE", type="integer", nullable=true)
     */
    private $quantiteReservee;

    /**
     * @var float
     *
     * @ORM\Column(name="POURCENTAGE_MAX_REMISE", type="float", nullable=true)
     */
    private $pourcentageMaxRemise;

    /**
     * @var string
     *
     * @ORM\Column(name="DESIGNATION", type="string", length=255, nullable=true)
     */
    private $designation;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_VENTE2", type="float", nullable=true)
     */
    private $prixVente2;

    /**
     * @var float
     *
     * @ORM\Column(name="PRIX_VENTE3", type="float", nullable=true)
     */
    private $prixVente3;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_ttc", type="float", nullable=true)
     */
    private $prixTtc;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_ttc2", type="float", nullable=true)
     */
    private $prixTtc2;

    /**
     * @var float
     *
     * @ORM\Column(name="prix_ttc3", type="float", nullable=true)
     */
    private $prixTtc3;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_PRODUIT", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_MAGASIN", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $idMagasin;

    /**
     * @var \Application\Models\Reception
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Reception")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="ID_RECEPTION", referencedColumnName="ID_RECEPTION")
     * })
     */
    private $idReception;

    /**
     * @var \Application\Models\TransformationProduit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\TransformationProduit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_transformation", referencedColumnName="id_transformation_produit")
     * })
     */
    private $idTransformation;



    /**
     * Get idStock
     *
     * @return integer 
     */
    public function getIdStock()
    {
        return $this->idStock;
    }

    /**
     * Set dateEntree
     *
     * @param \DateTime $dateEntree
     * @return Stock
     */
    public function setDateEntree($dateEntree)
    {
        $this->dateEntree = $dateEntree;
    
        return $this;
    }

    /**
     * Get dateEntree
     *
     * @return \DateTime 
     */
    public function getDateEntree()
    {
        return $this->dateEntree;
    }

    /**
     * Set quantite
     *
     * @param float $quantite
     * @return Stock
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return float 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set quantiteEntree
     *
     * @param float $quantiteEntree
     * @return Stock
     */
    public function setQuantiteEntree($quantiteEntree)
    {
        $this->quantiteEntree = $quantiteEntree;
    
        return $this;
    }

    /**
     * Get quantiteEntree
     *
     * @return float 
     */
    public function getQuantiteEntree()
    {
        return $this->quantiteEntree;
    }

    /**
     * Set prixAchat
     *
     * @param float $prixAchat
     * @return Stock
     */
    public function setPrixAchat($prixAchat)
    {
        $this->prixAchat = $prixAchat;
    
        return $this;
    }

    /**
     * Get prixAchat
     *
     * @return float 
     */
    public function getPrixAchat()
    {
        return $this->prixAchat;
    }

    /**
     * Set prixVente
     *
     * @param float $prixVente
     * @return Stock
     */
    public function setPrixVente($prixVente)
    {
        $this->prixVente = $prixVente;
    
        return $this;
    }

    /**
     * Get prixVente
     *
     * @return float 
     */
    public function getPrixVente()
    {
        return $this->prixVente;
    }

    /**
     * Set marge
     *
     * @param float $marge
     * @return Stock
     */
    public function setMarge($marge)
    {
        $this->marge = $marge;
    
        return $this;
    }

    /**
     * Get marge
     *
     * @return float 
     */
    public function getMarge()
    {
        return $this->marge;
    }

    /**
     * Set numLot
     *
     * @param string $numLot
     * @return Stock
     */
    public function setNumLot($numLot)
    {
        $this->numLot = $numLot;
    
        return $this;
    }

    /**
     * Get numLot
     *
     * @return string 
     */
    public function getNumLot()
    {
        return $this->numLot;
    }

    /**
     * Set numLotFournisseur
     *
     * @param string $numLotFournisseur
     * @return Stock
     */
    public function setNumLotFournisseur($numLotFournisseur)
    {
        $this->numLotFournisseur = $numLotFournisseur;
    
        return $this;
    }

    /**
     * Get numLotFournisseur
     *
     * @return string 
     */
    public function getNumLotFournisseur()
    {
        return $this->numLotFournisseur;
    }

    /**
     * Set codeBarre
     *
     * @param string $codeBarre
     * @return Stock
     */
    public function setCodeBarre($codeBarre)
    {
        $this->codeBarre = $codeBarre;
    
        return $this;
    }

    /**
     * Get codeBarre
     *
     * @return string 
     */
    public function getCodeBarre()
    {
        return $this->codeBarre;
    }

    /**
     * Set datePeremption
     *
     * @param \DateTime $datePeremption
     * @return Stock
     */
    public function setDatePeremption($datePeremption)
    {
        $this->datePeremption = $datePeremption;
    
        return $this;
    }

    /**
     * Get datePeremption
     *
     * @return \DateTime 
     */
    public function getDatePeremption()
    {
        return $this->datePeremption;
    }

    /**
     * Set tauxTvaAchat
     *
     * @param float $tauxTvaAchat
     * @return Stock
     */
    public function setTauxTvaAchat($tauxTvaAchat)
    {
        $this->tauxTvaAchat = $tauxTvaAchat;
    
        return $this;
    }

    /**
     * Get tauxTvaAchat
     *
     * @return float 
     */
    public function getTauxTvaAchat()
    {
        return $this->tauxTvaAchat;
    }

    /**
     * Set tauxTvaVente
     *
     * @param float $tauxTvaVente
     * @return Stock
     */
    public function setTauxTvaVente($tauxTvaVente)
    {
        $this->tauxTvaVente = $tauxTvaVente;
    
        return $this;
    }

    /**
     * Get tauxTvaVente
     *
     * @return float 
     */
    public function getTauxTvaVente()
    {
        return $this->tauxTvaVente;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Stock
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set quantiteReservee
     *
     * @param integer $quantiteReservee
     * @return Stock
     */
    public function setQuantiteReservee($quantiteReservee)
    {
        $this->quantiteReservee = $quantiteReservee;
    
        return $this;
    }

    /**
     * Get quantiteReservee
     *
     * @return integer 
     */
    public function getQuantiteReservee()
    {
        return $this->quantiteReservee;
    }

    /**
     * Set pourcentageMaxRemise
     *
     * @param float $pourcentageMaxRemise
     * @return Stock
     */
    public function setPourcentageMaxRemise($pourcentageMaxRemise)
    {
        $this->pourcentageMaxRemise = $pourcentageMaxRemise;
    
        return $this;
    }

    /**
     * Get pourcentageMaxRemise
     *
     * @return float 
     */
    public function getPourcentageMaxRemise()
    {
        return $this->pourcentageMaxRemise;
    }

    /**
     * Set designation
     *
     * @param string $designation
     * @return Stock
     */
    public function setDesignation($designation)
    {
        $this->designation = $designation;
    
        return $this;
    }

    /**
     * Get designation
     *
     * @return string 
     */
    public function getDesignation()
    {
        return $this->designation;
    }

    /**
     * Set prixVente2
     *
     * @param float $prixVente2
     * @return Stock
     */
    public function setPrixVente2($prixVente2)
    {
        $this->prixVente2 = $prixVente2;
    
        return $this;
    }

    /**
     * Get prixVente2
     *
     * @return float 
     */
    public function getPrixVente2()
    {
        return $this->prixVente2;
    }

    /**
     * Set prixVente3
     *
     * @param float $prixVente3
     * @return Stock
     */
    public function setPrixVente3($prixVente3)
    {
        $this->prixVente3 = $prixVente3;
    
        return $this;
    }

    /**
     * Get prixVente3
     *
     * @return float 
     */
    public function getPrixVente3()
    {
        return $this->prixVente3;
    }

    /**
     * Set prixTtc
     *
     * @param float $prixTtc
     * @return Stock
     */
    public function setPrixTtc($prixTtc)
    {
        $this->prixTtc = $prixTtc;
    
        return $this;
    }

    /**
     * Get prixTtc
     *
     * @return float 
     */
    public function getPrixTtc()
    {
        return $this->prixTtc;
    }

    /**
     * Set prixTtc2
     *
     * @param float $prixTtc2
     * @return Stock
     */
    public function setPrixTtc2($prixTtc2)
    {
        $this->prixTtc2 = $prixTtc2;
    
        return $this;
    }

    /**
     * Get prixTtc2
     *
     * @return float 
     */
    public function getPrixTtc2()
    {
        return $this->prixTtc2;
    }

    /**
     * Set prixTtc3
     *
     * @param float $prixTtc3
     * @return Stock
     */
    public function setPrixTtc3($prixTtc3)
    {
        $this->prixTtc3 = $prixTtc3;
    
        return $this;
    }

    /**
     * Get prixTtc3
     *
     * @return float 
     */
    public function getPrixTtc3()
    {
        return $this->prixTtc3;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return Stock
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }

    /**
     * Set idMagasin
     *
     * @param \Application\Models\Magasin $idMagasin
     * @return Stock
     */
    public function setIdMagasin(\Application\Models\Magasin $idMagasin = null)
    {
        $this->idMagasin = $idMagasin;
    
        return $this;
    }

    /**
     * Get idMagasin
     *
     * @return \Application\Models\Magasin 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }

    /**
     * Set idReception
     *
     * @param \Application\Models\Reception $idReception
     * @return Stock
     */
    public function setIdReception(\Application\Models\Reception $idReception = null)
    {
        $this->idReception = $idReception;
    
        return $this;
    }

    /**
     * Get idReception
     *
     * @return \Application\Models\Reception 
     */
    public function getIdReception()
    {
        return $this->idReception;
    }

    /**
     * Set idTransformation
     *
     * @param \Application\Models\TransformationProduit $idTransformation
     * @return Stock
     */
    public function setIdTransformation(\Application\Models\TransformationProduit $idTransformation = null)
    {
        $this->idTransformation = $idTransformation;
    
        return $this;
    }

    /**
     * Get idTransformation
     *
     * @return \Application\Models\TransformationProduit 
     */
    public function getIdTransformation()
    {
        return $this->idTransformation;
    }
}