<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * SubscriptionPackage
 *
 * @ORM\Table(name="subscription_package")
 * @ORM\Entity
 */
class SubscriptionPackage
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_subscription_package", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idSubscriptionPackage;

    /**
     * @var string
     *
     * @ORM\Column(name="package_name", type="string", length=255, nullable=false)
     */
    private $packageName;

    /**
     * @var integer
     *
     * @ORM\Column(name="count_users", type="integer", nullable=false)
     */
    private $countUsers;

    /**
     * @var integer
     *
     * @ORM\Column(name="count_products", type="integer", nullable=false)
     */
    private $countProducts;

    /**
     * @var integer
     *
     * @ORM\Column(name="count_sale_points", type="integer", nullable=false)
     */
    private $countSalePoints;

    /**
     * @var integer
     *
     * @ORM\Column(name="count_stores", type="integer", nullable=false)
     */
    private $countStores;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="integer", nullable=false)
     */
    private $statut;



    /**
     * Get idSubscriptionPackage
     *
     * @return integer 
     */
    public function getIdSubscriptionPackage()
    {
        return $this->idSubscriptionPackage;
    }

    /**
     * Set packageName
     *
     * @param string $packageName
     * @return SubscriptionPackage
     */
    public function setPackageName($packageName)
    {
        $this->packageName = $packageName;
    
        return $this;
    }

    /**
     * Get packageName
     *
     * @return string 
     */
    public function getPackageName()
    {
        return $this->packageName;
    }

    /**
     * Set countUsers
     *
     * @param integer $countUsers
     * @return SubscriptionPackage
     */
    public function setCountUsers($countUsers)
    {
        $this->countUsers = $countUsers;
    
        return $this;
    }

    /**
     * Get countUsers
     *
     * @return integer 
     */
    public function getCountUsers()
    {
        return $this->countUsers;
    }

    /**
     * Set countProducts
     *
     * @param integer $countProducts
     * @return SubscriptionPackage
     */
    public function setCountProducts($countProducts)
    {
        $this->countProducts = $countProducts;
    
        return $this;
    }

    /**
     * Get countProducts
     *
     * @return integer 
     */
    public function getCountProducts()
    {
        return $this->countProducts;
    }

    /**
     * Set countSalePoints
     *
     * @param integer $countSalePoints
     * @return SubscriptionPackage
     */
    public function setCountSalePoints($countSalePoints)
    {
        $this->countSalePoints = $countSalePoints;
    
        return $this;
    }

    /**
     * Get countSalePoints
     *
     * @return integer 
     */
    public function getCountSalePoints()
    {
        return $this->countSalePoints;
    }

    /**
     * Set countStores
     *
     * @param integer $countStores
     * @return SubscriptionPackage
     */
    public function setCountStores($countStores)
    {
        $this->countStores = $countStores;
    
        return $this;
    }

    /**
     * Get countStores
     *
     * @return integer 
     */
    public function getCountStores()
    {
        return $this->countStores;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return SubscriptionPackage
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}