<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * TransformationProduit
 *
 * @ORM\Table(name="transformation_produit")
 * @ORM\Entity
 */
class TransformationProduit
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_transformation_produit", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idTransformationProduit;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_transformation", type="date", nullable=false)
     */
    private $dateTransformation;

    /**
     * @var integer
     *
     * @ORM\Column(name="valider", type="smallint", nullable=false)
     */
    private $valider;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="smallint", nullable=false)
     */
    private $statut;

    /**
     * @var integer
     *
     * @ORM\Column(name="quantite", type="integer", nullable=false)
     */
    private $quantite;

    /**
     * @var integer
     *
     * @ORM\Column(name="prix_achat", type="integer", nullable=false)
     */
    private $prixAchat;

    /**
     * @var integer
     *
     * @ORM\Column(name="prix_vente", type="integer", nullable=false)
     */
    private $prixVente;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_peremption", type="date", nullable=true)
     */
    private $datePeremption;

    /**
     * @var \Application\Models\Utilisateur
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_utilisateur", referencedColumnName="ID_UTILISATEUR")
     * })
     */
    private $idUtilisateur;

    /**
     * @var \Application\Models\Magasin
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Magasin")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_magasin", referencedColumnName="ID_MAGASIN")
     * })
     */
    private $idMagasin;

    /**
     * @var \Application\Models\Produit
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\Produit")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_produit", referencedColumnName="ID_PRODUIT")
     * })
     */
    private $idProduit;



    /**
     * Get idTransformationProduit
     *
     * @return integer 
     */
    public function getIdTransformationProduit()
    {
        return $this->idTransformationProduit;
    }

    /**
     * Set dateTransformation
     *
     * @param \DateTime $dateTransformation
     * @return TransformationProduit
     */
    public function setDateTransformation($dateTransformation)
    {
        $this->dateTransformation = $dateTransformation;
    
        return $this;
    }

    /**
     * Get dateTransformation
     *
     * @return \DateTime 
     */
    public function getDateTransformation()
    {
        return $this->dateTransformation;
    }

    /**
     * Set valider
     *
     * @param integer $valider
     * @return TransformationProduit
     */
    public function setValider($valider)
    {
        $this->valider = $valider;
    
        return $this;
    }

    /**
     * Get valider
     *
     * @return integer 
     */
    public function getValider()
    {
        return $this->valider;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return TransformationProduit
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set quantite
     *
     * @param integer $quantite
     * @return TransformationProduit
     */
    public function setQuantite($quantite)
    {
        $this->quantite = $quantite;
    
        return $this;
    }

    /**
     * Get quantite
     *
     * @return integer 
     */
    public function getQuantite()
    {
        return $this->quantite;
    }

    /**
     * Set prixAchat
     *
     * @param integer $prixAchat
     * @return TransformationProduit
     */
    public function setPrixAchat($prixAchat)
    {
        $this->prixAchat = $prixAchat;
    
        return $this;
    }

    /**
     * Get prixAchat
     *
     * @return integer 
     */
    public function getPrixAchat()
    {
        return $this->prixAchat;
    }

    /**
     * Set prixVente
     *
     * @param integer $prixVente
     * @return TransformationProduit
     */
    public function setPrixVente($prixVente)
    {
        $this->prixVente = $prixVente;
    
        return $this;
    }

    /**
     * Get prixVente
     *
     * @return integer 
     */
    public function getPrixVente()
    {
        return $this->prixVente;
    }

    /**
     * Set datePeremption
     *
     * @param \DateTime $datePeremption
     * @return TransformationProduit
     */
    public function setDatePeremption($datePeremption)
    {
        $this->datePeremption = $datePeremption;
    
        return $this;
    }

    /**
     * Get datePeremption
     *
     * @return \DateTime 
     */
    public function getDatePeremption()
    {
        return $this->datePeremption;
    }

    /**
     * Set idUtilisateur
     *
     * @param \Application\Models\Utilisateur $idUtilisateur
     * @return TransformationProduit
     */
    public function setIdUtilisateur(\Application\Models\Utilisateur $idUtilisateur = null)
    {
        $this->idUtilisateur = $idUtilisateur;
    
        return $this;
    }

    /**
     * Get idUtilisateur
     *
     * @return \Application\Models\Utilisateur 
     */
    public function getIdUtilisateur()
    {
        return $this->idUtilisateur;
    }

    /**
     * Set idMagasin
     *
     * @param \Application\Models\Magasin $idMagasin
     * @return TransformationProduit
     */
    public function setIdMagasin(\Application\Models\Magasin $idMagasin = null)
    {
        $this->idMagasin = $idMagasin;
    
        return $this;
    }

    /**
     * Get idMagasin
     *
     * @return \Application\Models\Magasin 
     */
    public function getIdMagasin()
    {
        return $this->idMagasin;
    }

    /**
     * Set idProduit
     *
     * @param \Application\Models\Produit $idProduit
     * @return TransformationProduit
     */
    public function setIdProduit(\Application\Models\Produit $idProduit = null)
    {
        $this->idProduit = $idProduit;
    
        return $this;
    }

    /**
     * Get idProduit
     *
     * @return \Application\Models\Produit 
     */
    public function getIdProduit()
    {
        return $this->idProduit;
    }
}