<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * ValeurCritere
 *
 * @ORM\Table(name="valeur_critere")
 * @ORM\Entity
 */
class ValeurCritere
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_valeur_critere", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idValeurCritere;

    /**
     * @var string
     *
     * @ORM\Column(name="valeur", type="text", nullable=false)
     */
    private $valeur;

    /**
     * @var integer
     *
     * @ORM\Column(name="statut", type="integer", nullable=false)
     */
    private $statut;

    /**
     * @var \Application\Models\CritereStock
     *
     * @ORM\ManyToOne(targetEntity="Application\Models\CritereStock")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="id_critere_stock", referencedColumnName="id_critere_stock")
     * })
     */
    private $idCritereStock;



    /**
     * Get idValeurCritere
     *
     * @return integer 
     */
    public function getIdValeurCritere()
    {
        return $this->idValeurCritere;
    }

    /**
     * Set valeur
     *
     * @param string $valeur
     * @return ValeurCritere
     */
    public function setValeur($valeur)
    {
        $this->valeur = $valeur;
    
        return $this;
    }

    /**
     * Get valeur
     *
     * @return string 
     */
    public function getValeur()
    {
        return $this->valeur;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return ValeurCritere
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }

    /**
     * Set idCritereStock
     *
     * @param \Application\Models\CritereStock $idCritereStock
     * @return ValeurCritere
     */
    public function setIdCritereStock(\Application\Models\CritereStock $idCritereStock = null)
    {
        $this->idCritereStock = $idCritereStock;
    
        return $this;
    }

    /**
     * Get idCritereStock
     *
     * @return \Application\Models\CritereStock 
     */
    public function getIdCritereStock()
    {
        return $this->idCritereStock;
    }
}