<?php

include APPLICATION_PATH . '/includes/daos.php';

class CashoutsessionController extends Zend_Controller_Action
{
    private $translator;

    public function init()
    {
        session_start();
        if (isset($_SESSION[SESSION_USER_ID]) && $_SESSION[SESSION_USER_ID] != null) {
            $_SESSION[LAST_ACTION_DATE] = new DateTime();
            $this->translator = Translator::init($this->getParam("language"));
        } else {
            if ($this->getRequest()->isPost()) {
                echo ApiResponse::respond(SESSION_EXPIRED_CODE);
                exit();
            } else {
                $this->_helper->redirector('index', 'Index');
            }
        }
    }

    public function closecashoutsessionAction(){
        //close or lock cashout session
        $cashSessionDAO = new CashSessionDAO();

        if(!empty($_POST))
        {
            $sessionId = (int) $_POST["sessionId"];

            $purpose = isset($_POST["purpose"])? $_POST["purpose"]: "close";

            $now = new \DateTime();

            //point of sale
            $checkoutSession = $cashSessionDAO->getCashSessionById($sessionId);

            if(!$checkoutSession )
            {
                echo ApiResponse::respond(101, "{$this->translator->_("sale.sell.unknowCheckoutSession")}!");
                exit();
            }
            
            try 
            {
                if($purpose === "lock" )
                {
                    $checkoutSession->setFerme(1);

                    $cashSessionDAO->update($checkoutSession);

                    echo ApiResponse::respond(REQUEST_SUCCESS_CODE);
                }
                else if($purpose === "close" )
                {
                    $checkoutSession->setFerme(1);
                    $checkoutSession->setCloturer(1);
                    $checkoutSession->setDateCloture( $now );
                    $cashSessionDAO->update($checkoutSession);

                    echo ApiResponse::respond(REQUEST_SUCCESS_CODE);
                }
                else{
                    echo ApiResponse::respond(101, "{$this->translator->_("sale.sell.unknowOperationPurpose")}!");
                }
                
            } catch (Exception $ex) {
                echo ApiResponse::respond(101, $ex->getMessage());
            }
            
            exit();
       
        }         
    }

    public function reopencashsessionAction()
    {
        //re-opening of closed checkout temparily
        $cashSessionDAO = new CashSessionDAO();
       
        if(!empty($_POST))
        {
            $sessionId = (int) $_POST["sessionId"];
            $password = $_POST["password"];

            //point of sale
            $checkoutSession = $cashSessionDAO->getCashSessionById($sessionId);

            if(!$checkoutSession )
            {
                echo ApiResponse::respond(101, "{$this->translator->_("sale.sell.unknowCheckoutSession")}!");
                exit();
            }

            $cryptedPassword = sha1(md5($password));
            
            try 
            {
                if($checkoutSession->getPwdCaisse() === $cryptedPassword)
                {
                    $checkoutSession->setFerme(0);

                    $cashSessionDAO->update($checkoutSession);

                    echo ApiResponse::respond(REQUEST_SUCCESS_CODE);
                }
                else{
                    echo ApiResponse::respond(101, "{$this->translator->_("sale.sell.incorrectPassword")}!");
                }
                
            } catch (Exception $ex) {
                echo ApiResponse::respond(101, $ex->getMessage());
            }
            
            exit();
       
        } 
        
    }

}
