<?php

include APPLICATION_PATH . '/includes/daos.php';

class StockController extends Zend_Controller_Action
{
    private $translator;

    public function init()
    {
        session_start();
        SubscriptionChecker::checkSubscriptionValidity($this);
        if (isset($_SESSION[SESSION_USER_ID]) && $_SESSION[SESSION_USER_ID] != null) {
            $_SESSION[LAST_ACTION_DATE] = new DateTime();
            LogDAO::updateLastActionDateForCurrentUser();
            $this->translator = Translator::init();
        } else {
            if ($this->getRequest()->isPost()) {
                echo ApiResponse::respond(SESSION_EXPIRED_CODE);
                exit();
            } else {
                $this->_helper->redirector('index', 'Index');
            }
        }
    }

    public function datatableexpireditemsAction()
    {
        $currentDate = new DateTime();
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $batchNumber = $_POST["batchNumber"] != "" ? $_POST["batchNumber"] : null;
        $whereStore = "";
        $whereName = "";
        $whereBatchNumber = "";
        if ($store != null) {
            $whereStore .= " AND s.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND s.designation LIKE  '%{$name}%'";
        }
        if ($batchNumber != null) {
            $whereBatchNumber .= " AND s.num_lot LIKE '%{$batchNumber}%'";
        }
        $whereExpirationDate = " AND s.date_peremption <= '{$currentDate->format(DATE_FORMAT_WITH_TIME)}'";
        $where = "s.statut = 1 AND p.statut = 1 AND s.quantite > 0{$whereStore}{$whereName}{$whereBatchNumber}{$whereExpirationDate}";
        $expiredStocksTable = "
                (
                    SELECT s.id_produit AS stock_id, s.designation AS product_name, s.num_lot AS batch_number, s.quantite AS quantity,
                    m.nom_magasin AS store_name, s.date_peremption AS expiration_date
                    FROM stock s JOIN produit p ON s.id_produit = p.id_produit JOIN magasin m ON s.id_magasin = m.id_magasin
                    WHERE {$where}
                ) AS expiredStocksTable
        ";
        $primaryKey = 'stock_id';
        $columns = [
            ['db' => 'product_name', 'dt' => 0],
            ['db' => 'store_name', 'dt' => 1],
            ['db' => 'batch_number', 'dt' => 2],
            ['db' => 'expiration_date', 'dt' => 3],
            ['db' => 'quantity', 'dt' => 4],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $expiredStocksTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $productName = $row[0];
            $storeName = $row[1];
            $batchNumber = $row[2];
            $expirationDate = new DateTime($row[3]);
            $quantity = (int)$row[4];
            $tableRow = [
                $productName,
                $storeName,
                $batchNumber,
                $expirationDate->format(DATE_FORMAT),
                $quantity,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    public function datatablesoontoexpireitemsAction()
    {
        $currentDate = new DateTime();
        $limitExpirationDate = new DateTime();
        $daysForExpirationAlert = (int)NOMBRE_JOUR_POUR_ALERTE_PEREMPTION;
        $limitExpirationDate->modify("+ {$daysForExpirationAlert} days");
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $batchNumber = $_POST["batchNumber"] != "" ? $_POST["batchNumber"] : null;
        $whereStore = "";
        $whereName = "";
        $whereBatchNumber = "";
        if ($store != null) {
            $whereStore .= " AND s.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND s.designation LIKE  '%{$name}%'";
        }
        if ($batchNumber != null) {
            $whereBatchNumber .= " AND s.num_lot LIKE '%{$batchNumber}%'";
        }
        $whereExpirationDate = " AND s.date_peremption > '{$currentDate->format(DATE_FORMAT_WITH_TIME)}' AND s.date_peremption <= '{$limitExpirationDate->format(DATE_FORMAT)} 23:59:59'";
        $where = "s.statut = 1 AND p.statut = 1 AND s.quantite > 0{$whereStore}{$whereName}{$whereBatchNumber}{$whereExpirationDate}";
        $soonToExpireStocksTable = "
                (
                    SELECT s.id_produit AS stock_id, s.designation AS product_name, s.num_lot AS batch_number, s.quantite AS quantity,
                    m.nom_magasin AS store_name, s.date_peremption AS expiration_date
                    FROM stock s JOIN produit p ON s.id_produit = p.id_produit JOIN magasin m ON s.id_magasin = m.id_magasin
                    WHERE {$where}
                ) AS soonToExpireStocksTable
        ";
        $primaryKey = 'stock_id';
        $columns = [
            ['db' => 'product_name', 'dt' => 0],
            ['db' => 'store_name', 'dt' => 1],
            ['db' => 'batch_number', 'dt' => 2],
            ['db' => 'expiration_date', 'dt' => 3],
            ['db' => 'quantity', 'dt' => 4],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $soonToExpireStocksTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $productName = $row[0];
            $storeName = $row[1];
            $batchNumber = $row[2];
            $expirationDate = new DateTime($row[3]);
            $quantity = (int)$row[4];
            $tableRow = [
                $productName,
                $storeName,
                $batchNumber,
                $expirationDate->format(DATE_FORMAT),
                $quantity,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    public function datatableatthresholditemsAction()
    {
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $batchNumber = $_POST["batchNumber"] != "" ? $_POST["batchNumber"] : null;
        $whereStore = "";
        $whereName = "";
        $whereBatchNumber = "";
        if ($store != null) {
            $whereStore .= " AND s.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND s.designation LIKE  '%{$name}%'";
        }
        if ($batchNumber != null) {
            $whereBatchNumber .= " AND s.num_lot LIKE '%{$batchNumber}%'";
        }
        $where = "s.statut = 1 AND p.statut = 1 AND s.quantite > 0 AND s.quantite <= ifnull(p.quantite_alerte, 0){$whereStore}{$whereName}{$whereBatchNumber}";
        $atThresholdStocksTable = "
                (
                    SELECT s.id_produit AS stock_id, s.designation AS product_name, s.num_lot AS batch_number, s.quantite AS quantity,
                    m.nom_magasin AS store_name
                    FROM stock s JOIN produit p ON s.id_produit = p.id_produit JOIN magasin m ON s.id_magasin = m.id_magasin
                    WHERE {$where}
                ) AS atThresholdStocksTable
        ";
        $primaryKey = 'stock_id';
        $columns = [
            ['db' => 'product_name', 'dt' => 0],
            ['db' => 'store_name', 'dt' => 1],
            ['db' => 'batch_number', 'dt' => 2],
            ['db' => 'quantity', 'dt' => 3],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $atThresholdStocksTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $productName = $row[0];
            $storeName = $row[1];
            $batchNumber = $row[2];
            $quantity = (int)$row[3];
            $tableRow = [
                $productName,
                $storeName,
                $batchNumber,
                $quantity,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    public function indexAction()
    {
        AccessRightChecker::checkAccessRight($this, 48);
        $storeDao = new StoreDAO();
        $currentUser = LogDAO::getCurrentUser();
        $stores = [];
        if ($currentUser->getIdPointVente() == null || in_array($currentUser->getIdProfil()->getCode(), IDENTIFIED_PROFILES_CODES)) {
            $stores = $storeDao->getAllStores();
        } else {
            $stores[] = $currentUser->getIdPointVente()->getIdMagasin();
        }
        $this->view->stores = $stores;
        $this->view->translator = $this->translator;
    }

    public function datatableAction()
    {
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $batchNumber = $_POST["batchNumber"] != "" ? $_POST["batchNumber"] : null;
        $from = $_POST["from"] != "" ? $_POST["from"] : null;
        $to = $_POST["to"] != "" ? $_POST["to"] : null;
        $whereStore = "";
        $whereName = "";
        $whereBatchNumber = "";
        $whereFrom = "";
        $whereTo = "";
        if ($store != null) {
            $whereStore .= " AND s.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND s.designation LIKE '%{$name}%'";
        }
        if ($batchNumber != null) {
            $whereBatchNumber .= " AND s.num_lot LIKE '%{$batchNumber}%'";
        }
        if ($from != null) {
            $whereFrom .= " AND s.date_peremption >= '{$from} 00:00:00'";
        }
        if ($to != null) {
            $whereTo .= " AND s.date_peremption <= '{$to} 23:59:59'";
        }
        $where = "s.statut = 1 AND s.quantite > 0 AND p.statut = 1{$whereStore}{$whereName}{$whereBatchNumber}{$whereFrom}{$whereTo}";
        $stocksTable = "
                (
                    SELECT s.id_stock AS stock_id, s.designation AS product_name, m.nom_magasin AS store_name, s.num_lot AS batch_number, s.quantite AS quantity,
                    s.date_peremption AS expiration_date, s.prix_achat AS buying_price, s.prix_vente AS sale_price,
                    s.quantite_entree AS initial_quantity, p.quantite_alerte AS alert_quantity
                    FROM stock s JOIN magasin m ON s.id_magasin = m.id_magasin JOIN produit p ON s.id_produit = p.id_produit
                    WHERE {$where}
                ) AS stocksTable
        ";
        $primaryKey = 'stock_id';
        $columns = [];
        if (GESTION_DATE_PEREMPTION_PRODUIT == 1) {
            $columns = [
                ['db' => 'product_name', 'dt' => 0],
                ['db' => 'store_name', 'dt' => 1],
                ['db' => 'batch_number', 'dt' => 2],
                ['db' => 'quantity', 'dt' => 3],
                ['db' => 'expiration_date', 'dt' => 4],
                ['db' => 'initial_quantity', 'dt' => 5],
                ['db' => 'buying_price', 'dt' => 6],
                ['db' => 'sale_price', 'dt' => 7],
                ['db' => 'alert_quantity', 'dt' => 8],
                ['db' => 'stock_id', 'dt' => 9],
            ];
        } else {
            $columns = [
                ['db' => 'product_name', 'dt' => 0],
                ['db' => 'store_name', 'dt' => 1],
                ['db' => 'batch_number', 'dt' => 2],
                ['db' => 'quantity', 'dt' => 3],
                ['db' => 'initial_quantity', 'dt' => 4],
                ['db' => 'buying_price', 'dt' => 5],
                ['db' => 'sale_price', 'dt' => 6],
                ['db' => 'alert_quantity', 'dt' => 7],
                ['db' => 'stock_id', 'dt' => 8],
            ];
        }

        $computeDatatableResults = SSP::customSimple($_POST, $stocksTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $productName = $row[0];
            $storeName = $row[1];
            $stockId = GESTION_DATE_PEREMPTION_PRODUIT == 1 ? $row[9] : $row[8];
            $batchNumberLength = strlen($row[2]);
            $batchNumber = $batchNumberLength % 2 == 0 ? "
                <div class='ui left labeled button' tabindex='0'>
                    <a class='ui basic label'>
                        {$row[2]}
                    </a>
                    <div class='ui icon app-primary-button button print-bar-code' about='{$stockId}'>
                        <i class='print icon'></i>
                    </div>
                </div>
            " : $row[2];
            $quantity = (int)$row[3];
            $stockDao = new StockDAO();
            $stock = $stockDao->getStockById($stockId);
            $expirationDate = GESTION_DATE_PEREMPTION_PRODUIT == 1 && $stock->getIdProduit()->getPerissable() == 1 && $row[4] != null ? $row[4] : null;
            $initialQuantity = GESTION_DATE_PEREMPTION_PRODUIT == 1 ? (int)$row[5] : (int)$row[4];
            $buyingPrice = GESTION_DATE_PEREMPTION_PRODUIT == 1 ? (float)$row[6] : (float)$row[5];
            $salePrice = GESTION_DATE_PEREMPTION_PRODUIT == 1 ? (float)$row[7] : (float)$row[6];
            $totalBuyingPrice = $initialQuantity * $buyingPrice;
            $totalSalePrice = ($initialQuantity - $quantity) * $salePrice;
            $alertQuantity = GESTION_DATE_PEREMPTION_PRODUIT == 1 ? $row[8] : $row[7];
            $alertQuantity = $alertQuantity != null ? (int)$alertQuantity : (int)QUANTITE_SEUIL_PRODUIT_PAR_DEFAUT;
            $backgroundColor = "";
            if (GESTION_DATE_PEREMPTION_PRODUIT == 1) {
                if ($expirationDate != null) {
                    $effectiveExpirationDate = new DateTime($expirationDate);
                    $currentDate = new DateTime();
                    $differenceInterval = $effectiveExpirationDate->diff($currentDate);
                    $daysCount = -1 * $differenceInterval->format('%R%a');
                    if ($daysCount <= 0) {
                        $backgroundColor = COULEUR_PRODUIT_PERIME;
                        if ($quantity <= $alertQuantity) {
                            $backgroundColor = "linear-gradient(to bottom, " . COULEUR_PRODUIT_SEUIL_ATTEINT . " 10%, " . COULEUR_PRODUIT_PERIME . " 70%)";
                        }
                    } else {
                        if ($quantity <= $alertQuantity) {
                            $backgroundColor = COULEUR_PRODUIT_SEUIL_ATTEINT;
                        } else {
                            if ($daysCount <= NOMBRE_JOUR_POUR_ALERTE_PEREMPTION) {
                                $backgroundColor = COULEUR_PRODUIT_PROCHE_DATE_PEREMPTION;
                            }
                        }
                    }
                } else {
                    if ($quantity <= $alertQuantity) {
                        $backgroundColor = COULEUR_PRODUIT_SEUIL_ATTEINT;
                    }
                }
            } else {
                if ($quantity <= $alertQuantity) {
                    $backgroundColor = COULEUR_PRODUIT_SEUIL_ATTEINT;
                }
            }
            $tableRow = [];
            if (GESTION_DATE_PEREMPTION_PRODUIT == 1) {
                $effectiveExpirationDate = $expirationDate != null ? new DateTime($expirationDate) : null;
                $tableRow = [
                    $productName,
                    $storeName,
                    $batchNumber,
                    $quantity,
                    $effectiveExpirationDate != null ? $effectiveExpirationDate->format(DATE_FORMAT) : null,
                    $initialQuantity,
                    number_format($buyingPrice, 0, '', ' '),
                    number_format($salePrice, 0, '', ' '),
                    number_format($totalBuyingPrice, 0, '', ' '),
                    number_format($totalSalePrice, 0, '', ' '),
                    $backgroundColor,
                ];
            } else {
                $tableRow = [
                    $productName,
                    $storeName,
                    $batchNumber,
                    $quantity,
                    $initialQuantity,
                    number_format($buyingPrice, 0, '', ' '),
                    number_format($salePrice, 0, '', ' '),
                    number_format($totalBuyingPrice, 0, '', ' '),
                    number_format($totalSalePrice, 0, '', ' '),
                    $backgroundColor,
                ];
            }
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    /**
     * 100 success
     * 101 unknown error
     */
    public function cumulatethestocksAction()
    {
        $stockDao = new StockDAO();
        $databaseConnection = $stockDao->entityManager;
        $databaseConnection->beginTransaction();
        try {
            $storeId = $_POST["store"] != "" ? (int)$_POST["store"] : null;
            $storeDao = new StoreDAO();
            $store = $storeId != null ? $storeDao->getStoreById($storeId) : null;
            $productIdsList = GESTION_DATE_PEREMPTION_PRODUIT == 1 ? $stockDao->getAllProductsInStock($store, 0) : $stockDao->getAllProductsInStock($store);
            $productDao = new ProductDAO();
            $allStores = $storeDao->getAllStores();
            foreach ($productIdsList as $productId) {
                $product = $productDao->getProductById($productId);
                if ($store != null) {
                    $mostRecentStockOnProduct = $stockDao->getMustRecentStockOfProducAtStore($product, $store);
                    $cumulativeStock = $stockDao->getCumulativeStockByProductAndStore($product, $store);
                    $cumulatedQuantity = (int)$cumulativeStock[0]["quantite"];
                    $allStocksOfProductList = $stockDao->getAvailableStockByStore($product, null, $store);
                    foreach ($allStocksOfProductList as $stock) {
                        $stock->setQuantite(0);
                        $stock->setDatePeremption(null);
                        $stockDao->update($stock);
                    }
                    $mostRecentStockOnProduct->setQuantite($cumulatedQuantity);
                    $mostRecentStockOnProduct->setQuantiteEntree($cumulatedQuantity);
                    $mostRecentStockOnProduct->setDatePeremption(null);
                    $stockDao->update($mostRecentStockOnProduct);
                } else {
                    foreach ($allStores as $iterationStore) {
                        $mostRecentStockOnProduct = $stockDao->getMustRecentStockOfProducAtStore($product, $iterationStore);
                        $cumulativeStock = $stockDao->getCumulativeStockByProductAndStore($product, $iterationStore);
                        if (count($cumulativeStock) == 0) continue;
                        $cumulatedQuantity = (int)$cumulativeStock[0]["quantite"];
                        $allStocksOfProductList = $stockDao->getAvailableStockByStore($product, null, $iterationStore);
                        foreach ($allStocksOfProductList as $stock) {
                            $stock->setQuantite(0);
                            $stock->setDatePeremption(null);
                            $stockDao->update($stock);
                        }
                        $mostRecentStockOnProduct->setQuantite($cumulatedQuantity);
                        $mostRecentStockOnProduct->setQuantiteEntree($cumulatedQuantity);
                        $mostRecentStockOnProduct->setDatePeremption(null);
                        $stockDao->update($mostRecentStockOnProduct);
                    }
                }
                $product->setPerissable(0);
                $productDao->update($product);
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.index.stocksAccumulationCompletedSuccessfully")}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollback();
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unknown error
     */
    public function stardardizebatchnumbersAction()
    {
        $stockDao = new StockDAO();
        $databaseConnection = $stockDao->entityManager;
        $databaseConnection->beginTransaction();
        try {
            $storeId = $_POST["store"] != "" ? (int)$_POST["store"] : null;
            $desiredLength = (int)$_POST["desiredLength"];
            $storeDao = new StoreDAO();
            $store = $storeId != null ? $storeDao->getStoreById($storeId) : null;
            $availableStocks = $stockDao->getAllStockByProductAndStore(null, $store);
            foreach ($availableStocks as $stock) {
                if (strlen($stock->getNumLot()) < $desiredLength) {
                    $prefixedBatchNumber = str_pad($stock->getNumLot(), $desiredLength, "0", STR_PAD_LEFT);
                    $stock->setNumLot($prefixedBatchNumber);
                    $stockDao->update($stock);
                }
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.index.batchNumbersStandardizedSuccessfully")}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollback();
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }

    public function interstoreAction()
    {
        AccessRightChecker::checkAccessRight($this, 75);
        $storeDao = new StoreDAO();
        $stores = $storeDao->getAllStores();
        $this->view->stores = $stores;
        $this->view->translator = $this->translator;
    }

    public function datatableinterstoreAction()
    {
        $originStore = (int)$_POST["originStore"] != 0 ? (int)$_POST["originStore"] : null;
        $receivingStore = (int)$_POST["receivingStore"] != 0 ? (int)$_POST["receivingStore"] : null;
        $from = $_POST["from"] != "" ? $_POST["from"] : null;
        $to = $_POST["to"] != "" ? $_POST["to"] : null;
        $whereOriginStore = "";
        $whereReceivingStore = "";
        $whereFrom = "";
        $whereTo = "";
        if ($originStore != null) {
            $whereOriginStore .= " AND mg.magasin_emetteur = {$originStore}";
        }
        if ($receivingStore != null) {
            $whereReceivingStore .= " AND mg.magasin_recepteur = {$receivingStore}";
        }
        if ($from != null) {
            $whereFrom .= " AND mg.date_mvt >= '{$from} 00:00:00'";
        }
        if ($to != null) {
            $whereTo .= " AND mg.date_mvt <= '{$to} 23:59:59'";
        }
        $where = "mg.statut = 1{$whereOriginStore}{$whereReceivingStore}{$whereFrom}{$whereTo}";
        $interStoresTable = "
                (
                    SELECT mg.id_mvt_magasin AS movement_id, me.nom_magasin AS origin_store, mr.nom_magasin AS receiving_store,
                    mg.date_saisie AS movement_entry_date, mg.date_mvt AS movement_date, mg.valide AS movement_validated,
                    mg.motif AS comment
                    FROM mvt_magasin mg JOIN magasin me ON mg.magasin_emetteur = me.id_magasin JOIN magasin mr ON mg.magasin_recepteur = mr.id_magasin
                    WHERE {$where}
                ) AS interStoresTable
        ";
        $primaryKey = 'movement_id';
        $columns = [
            ['db' => 'movement_id', 'dt' => 0],
            ['db' => 'origin_store', 'dt' => 1],
            ['db' => 'receiving_store', 'dt' => 2],
            ['db' => 'movement_entry_date', 'dt' => 3],
            ['db' => 'movement_date', 'dt' => 4],
            ['db' => 'comment', 'dt' => 5],
            ['db' => 'movement_validated', 'dt' => 6],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $interStoresTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $movementId = (int)$row[0];
            $originStore = $row[1];
            $receivingStore = $row[2];
            $movementEntryDate = new DateTime($row[3]);
            $movementDate = new DateTime($row[4]);
            $comment = $row[5];
            $movementValidated = (int)$row[6];
            $actions = "
                <button title='{$this->translator->_("shared.consult")}' about='{$movementId}' class='mini ui icon button app-primary-button app-consult-action'>
                    <i class='eye icon'></i>
                </button>
            ";
            if ($movementValidated == 0) {
                $actions .= "
                    <button title='{$this->translator->_("shared.edit")}' about='{$movementId}' class='mini ui icon button app-secondary-button app-edit-action'>
                        <i class='edit icon'></i>
                    </button>
                    <button title='{$this->translator->_("shared.delete")}' about='{$movementId}' class='mini ui red icon button app-delete-action'>
                        <i class='trash icon'></i>
                    </button>
                ";
            }
            $actions .= "
                <button title='{$this->translator->_("shared.print")}' about='{$movementId}' class='mini ui purple icon button app-print-action'>
                    <i class='print icon'></i>
                </button>
            ";
            $tableRow = [
                $movementId,
                $originStore,
                $receivingStore,
                $movementEntryDate->format(DATE_FORMAT_WITH_SECONDS),
                $movementDate->format(DATE_FORMAT),
                $comment,
                $actions,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    public function interstorestocksdatatableAction()
    {
        $store = (int)$_POST["store"];
        $batchNumber = $_POST["batchNumber"] != "" ? $_POST["batchNumber"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $whereStore = " AND s.id_magasin = {$store}";
        $whereBatchNumber = "";
        $whereName = "";
        if ($batchNumber != null) {
            $whereBatchNumber .= " AND s.num_lot LIKE '%{$batchNumber}%'";
        }
        if ($name != null) {
            $whereName .= " AND s.designation LIKE '%{$name}%'";
        }
        $where = "s.statut = 1 AND s.quantite > 0 AND p.statut = 1{$whereStore}{$whereBatchNumber}{$whereName} order by s.date_entree ASC";
        $exitStocksTable = "
                (
                    SELECT s.id_stock AS stock_id, s.quantite AS stock_quantity, s.prix_vente AS stock_price, s.num_lot AS stock_batch_number,
                    s.designation AS stock_designation, p.image AS product_image
                    FROM stock s JOIN produit p ON s.id_produit = p.id_produit
                    WHERE {$where}
                ) AS exitStocksTable
        ";
        $primaryKey = 'stock_id';
        $columns = [
            ['db' => 'stock_id', 'dt' => 0],
            ['db' => 'stock_quantity', 'dt' => 1],
            ['db' => 'stock_price', 'dt' => 2],
            ['db' => 'stock_batch_number', 'dt' => 3],
            ['db' => 'stock_designation', 'dt' => 4],
            ['db' => 'product_image', 'dt' => 5],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $exitStocksTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $stockId = $row[0];
            $stockQuantity = $row[1];
            $stockPrice = (float)$row[2];
            $stockBatchNumber = $row[3];
            $stockDesignation = $row[4];
            $productImage = $row[5] != null ? $row[5] : "";
            $tableRow = [
                [
                    $stockId,
                    $stockQuantity,
                    $stockPrice,
                    $stockBatchNumber,
                    $stockDesignation,
                    $productImage,
                ],
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    /**
     * 100 success
     * 101 insufficient quantity on stock
     * 102 unknown error
     */
    public function createinterstoreAction()
    {
        $storeMovementDao = new StoreMovementDAO();
        $databaseConnection = $storeMovementDao->entityManager->getConnection();
        $databaseConnection->beginTransaction();
        try {
            $originStoreId = (int)$_POST["originStore"];
            $receivingStoreId = (int)$_POST["receivingStore"];
            $movementDate = new DateTime($_POST["movementDate"]);
            $commentOnMovement = $_POST["commentOnMovement"];
            $content = json_decode($_POST["content"], true);
            $storeMovement = $storeMovementDao->create();
            $storeDao = new StoreDAO();
            $originStore = $storeDao->getStoreById($originStoreId);
            $receivingStore = $storeDao->getStoreById($receivingStoreId);
            $storeMovement->setMagasinEmetteur($originStore);
            $storeMovement->setMagasinRecepteur($receivingStore);
            $storeMovement->setDateMvt($movementDate);
            $storeMovement->setDateSaisie(new DateTime());
            $storeMovement->setMotif($commentOnMovement);
            $storeMovement->setStatut(1);
            $storeMovement->setValide(0);
            $storeMovementDao->save($storeMovement);
            $stockDao = new StockDAO();
            $storeMovementDetailDao = new StoreMovementDetailDAO();
            foreach ($content as $detail) {
                $stock = $stockDao->getStockById((int)$detail["id"]);
                if ($stock->getQuantite() < (int)$detail["quantityToOut"]) {
                    $databaseConnection->rollBack();
                    echo ApiResponse::respond(101, null, ["batchNumber" => $detail["batchNumber"]]);
                    exit();
                }
                $storeMovementDetail = $storeMovementDetailDao->create();
                $storeMovementDetail->setIdMvtMagasin($storeMovement);
                $storeMovementDetail->setIdStock($stock);
                $storeMovementDetail->setQte((int)$detail["quantityToOut"]);
                $storeMovementDetail->setStatut(1);
                $storeMovementDetailDao->save($storeMovementDetail);
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.interStore.movementSuccessfullyRegistered")} : N°{$storeMovement->getIdMvtMagasin()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollBack();
            echo ApiResponse::respond(102, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unknown error
     */
    public function detailinterstoreAction()
    {
        try {
            $id = (int)$_POST["id"];
            $storeMovementDao = new StoreMovementDAO();
            $storeMovement = $storeMovementDao->getStoreMovementById($id);
            $result = [
                "originStore" => $storeMovement->getMagasinEmetteur()->getIdMagasin(),
                "originStoreName" => $storeMovement->getMagasinEmetteur()->getNomMagasin(),
                "receivingStore" => $storeMovement->getMagasinRecepteur()->getIdMagasin(),
                "receivingStoreName" => $storeMovement->getMagasinRecepteur()->getNomMagasin(),
                "movementDate" => $storeMovement->getDateMvt()->format(DATE_FORMAT),
                "commentOnMovement" => $storeMovement->getMotif(),
                "content" => [],
            ];
            $storeMovementDetailDao = new StoreMovementDetailDAO();
            $storeMovementDetails = $storeMovementDetailDao->getDetailOfStoreMovement($storeMovement);
            foreach ($storeMovementDetails as $storeMovementDetail) {
                $result["content"][] = [
                    "id" => $storeMovementDetail->getIdStock()->getIdStock(),
                    "designation" => $storeMovementDetail->getIdStock()->getDesignation(),
                    "batchNumber" => $storeMovementDetail->getIdStock()->getNumLot(),
                    "remainingQuantity" => $storeMovementDetail->getIdStock()->getQuantite(),
                    "sellingPrice" => $storeMovementDetail->getIdStock()->getPrixVente(),
                    "quantityToOut" => $storeMovementDetail->getQte(),
                ];
            }
            echo ApiResponse::respond(100, null, $result);
        } catch (Exception $ex) {
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unsufficient quantity on stock
     * 102 unknown error
     */
    public function updateinterstoreAction()
    {
        $storeMovementDao = new StoreMovementDAO();
        $databaseConnection = $storeMovementDao->entityManager->getConnection();
        $databaseConnection->beginTransaction();
        try {
            $id = (int)$_POST["id"];
            $originStoreId = (int)$_POST["originStore"];
            $receivingStoreId = (int)$_POST["receivingStore"];
            $movementDate = new DateTime($_POST["movementDate"]);
            $commentOnMovement = $_POST["commentOnMovement"];
            $content = json_decode($_POST["content"], true);
            $storeMovement = $storeMovementDao->getStoreMovementById($id);
            $storeDao = new StoreDAO();
            $originStore = $storeDao->getStoreById($originStoreId);
            $receivingStore = $storeDao->getStoreById($receivingStoreId);
            $storeMovement->setMagasinEmetteur($originStore);
            $storeMovement->setMagasinRecepteur($receivingStore);
            $storeMovement->setDateMvt($movementDate);
            $storeMovement->setDateSaisie(new DateTime());
            $storeMovement->setMotif($commentOnMovement);
            $storeMovementDao->update($storeMovement);
            $stockDao = new StockDAO();
            $storeMovementDetailDao = new StoreMovementDetailDAO();
            $storeMovementDetails = $storeMovementDetailDao->getDetailOfStoreMovement($storeMovement);
            foreach ($storeMovementDetails as $storeMovementDetail) {
                $storeMovementDetailDao->delete($storeMovementDetail);
            }
            foreach ($content as $detail) {
                $stock = $stockDao->getStockById((int)$detail["id"]);
                if ($stock->getQuantite() < (int)$detail["quantityToOut"]) {
                    $databaseConnection->rollBack();
                    echo ApiResponse::respond(101, null, ["batchNumber" => $detail["batchNumber"]]);
                    exit();
                }
                $storeMovementDetail = $storeMovementDetailDao->create();
                $storeMovementDetail->setIdMvtMagasin($storeMovement);
                $storeMovementDetail->setIdStock($stock);
                $storeMovementDetail->setQte((int)$detail["quantityToOut"]);
                $storeMovementDetail->setStatut(1);
                $storeMovementDetailDao->save($storeMovementDetail);
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.interStore.movementUpdatedSuccessfully")} : N°{$storeMovement->getIdMvtMagasin()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollBack();
            echo ApiResponse::respond(102, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unknown error
     */
    public function deleteinterstoreAction()
    {
        try {
            $id = (int)$_POST["id"];
            $storeMovementDao = new StoreMovementDAO();
            $storeMovement = $storeMovementDao->getStoreMovementById($id);
            if ($storeMovement->getStatut() == 0) {
                echo ApiResponse::respond(ALREADY_DELETED_ISSUE_CODE);
                exit();
            }
            if ($storeMovement->getValide() == 1) {
                echo ApiResponse::respond(ALREADY_VALIDATED_ISSUE_CODE);
                exit();
            }
            $storeMovement->setStatut(0);
            $storeMovementDao->update($storeMovement);
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.interStore.movementDeletedSuccessfully")} : N°{$storeMovement->getIdMvtMagasin()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }

    public function interstorevalidationAction()
    {
        AccessRightChecker::checkAccessRight($this, 76);
        $storeDao = new StoreDAO();
        $stores = $storeDao->getAllStores();
        $this->view->stores = $stores;
        $this->view->translator = $this->translator;
    }

    public function datatableinterstoresvalidationAction()
    {
        $originStore = (int)$_POST["originStore"] != 0 ? (int)$_POST["originStore"] : null;
        $receivingStore = (int)$_POST["receivingStore"] != 0 ? (int)$_POST["receivingStore"] : null;
        $from = $_POST["from"] != "" ? $_POST["from"] : null;
        $to = $_POST["to"] != "" ? $_POST["to"] : null;
        $whereOriginStore = "";
        $whereReceivingStore = "";
        $whereFrom = "";
        $whereTo = "";
        if ($originStore != null) {
            $whereOriginStore .= " AND mg.magasin_emetteur = {$originStore}";
        }
        if ($receivingStore != null) {
            $whereReceivingStore .= " AND mg.magasin_recepteur = {$receivingStore}";
        }
        if ($from != null) {
            $whereFrom .= " AND mg.date_mvt >= '{$from} 00:00:00'";
        }
        if ($to != null) {
            $whereTo .= " AND mg.date_mvt <= '{$to} 23:59:59'";
        }
        $where = "mg.statut = 1 AND mg.valide=0{$whereOriginStore}{$whereReceivingStore}{$whereFrom}{$whereTo}";
        $interStoresValidationTable = "
                (
                    SELECT mg.id_mvt_magasin AS movement_id, me.nom_magasin AS origin_store, mr.nom_magasin AS receiving_store,
                    mg.date_saisie AS movement_entry_date, mg.date_mvt AS movement_date, mg.motif AS comment
                    FROM mvt_magasin mg JOIN magasin me ON mg.magasin_emetteur = me.id_magasin JOIN magasin mr ON mg.magasin_recepteur = mr.id_magasin
                    WHERE {$where}
                ) AS interStoresValidationTable
        ";
        $primaryKey = 'movement_id';
        $columns = [
            ['db' => 'movement_id', 'dt' => 0],
            ['db' => 'origin_store', 'dt' => 1],
            ['db' => 'receiving_store', 'dt' => 2],
            ['db' => 'movement_entry_date', 'dt' => 3],
            ['db' => 'movement_date', 'dt' => 4],
            ['db' => 'comment', 'dt' => 5],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $interStoresValidationTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $movementId = (int)$row[0];
            $originStore = $row[1];
            $receivingStore = $row[2];
            $movementEntryDate = new DateTime($row[3]);
            $movementDate = new DateTime($row[4]);
            $comment = $row[5];
            $actions = "
                <button title='{$this->translator->_("shared.consult")}' about='{$movementId}' class='mini ui icon button app-primary-button app-consult-action'>
                    <i class='eye icon'></i>
                </button>
                <button title='{$this->translator->_("shared.validate")}' about='{$movementId}' class='mini ui green icon button app-validate-action'>
                    <i class='check icon'></i>
                </button>
            ";
            $tableRow = [
                $movementId,
                $originStore,
                $receivingStore,
                $movementEntryDate->format(DATE_FORMAT_WITH_SECONDS),
                $movementDate->format(DATE_FORMAT),
                $comment,
                $actions,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    /**
     * 100 success
     * 101 insufficient quantity on stock
     * 102 unknown error
     */
    public function validateinterstoreAction()
    {
        $storeMovementDao = new StoreMovementDAO();
        $databaseConnection = $storeMovementDao->entityManager->getConnection();
        $databaseConnection->beginTransaction();
        try {
            $id = (int)$_POST["id"];
            $storeMovement = $storeMovementDao->getStoreMovementById($id);
            if ($storeMovement->getStatut() == 0) {
                echo ApiResponse::respond(ALREADY_DELETED_ISSUE_CODE);
                exit();
            }
            if ($storeMovement->getValide() == 1) {
                echo ApiResponse::respond(ALREADY_VALIDATED_ISSUE_CODE);
                exit();
            }
            $storeMovement->setValide(1);
            $storeMovementDao->update($storeMovement);
            $storeMovementDetailDao = new StoreMovementDetailDAO();
            $storeMovementDetails = $storeMovementDetailDao->getDetailOfStoreMovement($storeMovement);
            $exitDao = new ExitDAO();
            $receptionDao = new ReceptionDAO();
            //Create exit associated
            $exit = $exitDao->create();
            $exit->setDateSaisie(new DateTime());
            $exit->setDateSortie($storeMovement->getDateMvt());
            $exit->setDateValidation(new DateTime());
            $exit->setIdMagasin($storeMovement->getMagasinEmetteur());
            $exit->setIdUtilisateur(LogDAO::getCurrentUser());
            $exit->setMotif("{$this->translator->_("stock.interStoreValidation.exitCreatedByTheInterStoreMovement")} {$storeMovement->getIdMvtMagasin()} {$this->translator->_("stock.interStoreValidation.from")} {$storeMovement->getMagasinEmetteur()->getNomMagasin()} {$this->translator->_("stock.interStoreValidation.to")} {$storeMovement->getMagasinRecepteur()->getNomMagasin()}");
            $exit->setStatut(1);
            $exit->setTypeSortie(TYPE_SORTIE_MVT_INTERMAGASIN);
            $exit->setValider(1);
            $exitDao->save($exit);
            //Create reception associated
            $reception = $receptionDao->create();
            $reception->setDateReception($storeMovement->getDateMvt());
            $reception->setDateSaisie(new DateTime());
            $reception->setDateValidation(new DateTime());
            $reception->setIdMagasin($storeMovement->getMagasinRecepteur());
            $reception->setIdUtilisateur(LogDAO::getCurrentUser());
            $reception->setNumBl("INTERSTORE_{$storeMovement->getDateMvt()->format(DATE_FORMAT)}");
            $reception->setObservation("{$this->translator->_("stock.interStoreValidation.receptionCreatedByTheInterStoreMovement")} {$storeMovement->getIdMvtMagasin()} {$storeMovement->getIdMvtMagasin()} {$this->translator->_("stock.interStoreValidation.from")} {$storeMovement->getMagasinEmetteur()->getNomMagasin()} {$this->translator->_("stock.interStoreValidation.to")} {$storeMovement->getMagasinRecepteur()->getNomMagasin()}");
            $reception->setStatut(1);
            $reception->setValider(1);
            $receptionDao->save($reception);
            $exitLineDao = new ExitLineDAO();
            $receptionLineDao = new ReceptionLineDAO();
            $stockDao = new StockDAO();
            //Then create details of exit, reception and reduce, refill concerned stocks
            $lineNumber = 1;
            foreach ($storeMovementDetails as $storeMovementDetail) {
                $stock = $storeMovementDetail->getIdStock();
                if ($stock->getQuantite() < $storeMovementDetail->getQte()) {
                    $databaseConnection->rollBack();
                    echo ApiResponse::respond(101, null, ["batchNumber" => $stock->getNumLot()]);
                    exit();
                }
                //Create exit line detail
                $exitLine = $exitLineDao->create();
                $exitLine->setIdSortie($exit);
                $exitLine->setIdStock($stock);
                $exitLine->setPrixUnitaire($stock->getPrixVente());
                $exitLine->setQuantite($storeMovementDetail->getQte());
                $exitLine->setStatut(1);
                $exitLineDao->save($exitLine);
                //Create reception line detail
                $receptionLine = $receptionLineDao->create();
                $receptionLine->setCodeBarre($stock->getCodeBarre());
                $receptionLine->setDatePeremption($stock->getDatePeremption());
                $receptionLine->setDesignation($stock->getDesignation());
                $receptionLine->setIdProduit($stock->getIdProduit());
                $receptionLine->setIdReception($reception);
                $receptionLine->setNumLigne($lineNumber);
                $receptionLine->setNumLot($stock->getNumLot());
                $receptionLine->setNumLotFournisseur($stock->getNumLotFournisseur());
                $receptionLine->setPourcentageMaxRemise($stock->getPourcentageMaxRemise());
                $receptionLine->setPrixAchat($stock->getPrixAchat());
                $receptionLine->setPrixUnitaire($stock->getPrixVente());
                $receptionLine->setQuantite($storeMovementDetail->getQte());
                $receptionLineDao->save($receptionLine);
                //Update receiving store stock
                $receivingStock = $stockDao->getStockByStoreAndBatchNumber($storeMovement->getMagasinRecepteur(), $stock->getNumLot());
                if ($receivingStock != null) {
                    //If this batch number already exists just update the stock line
                    $receivingStock->setQuantite($receivingStock->getQuantite() + $storeMovementDetail->getQte());
                    $receivingStock->setQuantiteEntree($receivingStock->getQuantiteEntree() + $storeMovementDetail->getQte());
                    $stockDao->update($receivingStock);
                } else {
                    $product = $stock->getIdProduit();
                    $receivingStore = $storeMovement->getMagasinRecepteur();
                    $mostRecentStockOnProduct = $stockDao->getMustRecentStockOfProducAtStore($product, $receivingStore);
                    if ((GESTION_DATE_PEREMPTION_PRODUIT == 0 || (GESTION_DATE_PEREMPTION_PRODUIT == 1 && $product->getPerissable() == 0)) && $mostRecentStockOnProduct != null) {
                        //In this case just update current stock quantity and entry date
                        $mostRecentStockOnProduct->setQuantite($mostRecentStockOnProduct->getQuantite() + $storeMovementDetail->getQte());
                        $mostRecentStockOnProduct->setQuantiteEntree($mostRecentStockOnProduct->getQuantiteEntree() + $storeMovementDetail->getQte());
                        $mostRecentStockOnProduct->setDateEntree(new DateTime());
                        $mostRecentStockOnProduct->setPrixAchat($stock->getPrixAchat());
                        $mostRecentStockOnProduct->setPrixVente($stock->getPrixVente());
                        $stockDao->update($mostRecentStockOnProduct);
                    } else {
                        //Or create a new stock line
                        $receivingStock = $stockDao->create();
                        $receivingStock->setCodeBarre($stock->getCodeBarre());
                        $receivingStock->setDateEntree($storeMovement->getDateMvt());
                        $receivingStock->setDatePeremption($stock->getDatePeremption());
                        $receivingStock->setDesignation($stock->getDesignation());
                        $receivingStock->setIdMagasin($storeMovement->getMagasinRecepteur());
                        $receivingStock->setIdProduit($stock->getIdProduit());
                        $receivingStock->setIdReception($reception);
                        $receivingStock->setNumLot($stock->getNumLot());
                        $receivingStock->setNumLotFournisseur($stock->getNumLotFournisseur());
                        $receivingStock->setPourcentageMaxRemise($stock->getPourcentageMaxRemise());
                        $receivingStock->setPrixAchat($stock->getPrixAchat());
                        $receivingStock->setPrixTtc($stock->getPrixTtc());
                        $receivingStock->setPrixTtc2($stock->getPrixTtc2());
                        $receivingStock->setPrixTtc3($stock->getPrixTtc3());
                        $receivingStock->setPrixVente($stock->getPrixVente());
                        $receivingStock->setPrixVente2($stock->getPrixVente2());
                        $receivingStock->setPrixVente3($stock->getPrixVente3());
                        $receivingStock->setQuantite($storeMovementDetail->getQte());
                        $receivingStock->setQuantiteEntree($storeMovementDetail->getQte());
                        $receivingStock->setStatut(1);
                        $receivingStock->setTauxTvaAchat($stock->getTauxTvaAchat());
                        $receivingStock->setTauxTvaVente($stock->getTauxTvaVente());
                        $receivingStock->setMarge($stock->getMarge());
                        $stockDao->save($receivingStock);
                    }
                }
                $stock->setQuantite($stock->getQuantite() - $storeMovementDetail->getQte());
                $stockDao->update($stock);
                $lineNumber++;
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.interStoreValidation.movementValidatedSuccessfully")} : N°{$storeMovement->getIdMvtMagasin()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollBack();
            echo ApiResponse::respond(102, $ex->getMessage());
        }
        exit();
    }

    public function cumulativestockAction()
    {
        AccessRightChecker::checkAccessRight($this, 49);
        $storeDao = new StoreDAO();
        $currentUser = LogDAO::getCurrentUser();
        $stores = [];
        if ($currentUser->getIdPointVente() == null || in_array($currentUser->getIdProfil()->getCode(), IDENTIFIED_PROFILES_CODES)) {
            $stores = $storeDao->getAllStores();
        } else {
            $stores[] = $currentUser->getIdPointVente()->getIdMagasin();
        }
        $this->view->stores = $stores;
        $this->view->translator = $this->translator;
    }

    public function datatablecumulativestockAction()
    {
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $stockAtTheDateOf = $_POST["stockAtTheDateOf"];
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $whereStore = "";
        $whereName = "";
        if ($store != null) {
            $whereStore .= " AND m.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND p.designation LIKE '%{$name}%'";
        }
        $where = "summary.quantity > 0 AND p.statut = 1 AND m.statut = 1{$whereStore}{$whereName}";
        $cumulativeStocksTable = "
                (
                    SELECT summary.cumulative_stock_id AS cumulative_stock_id, summary.product_id AS product_id, summary.store_id AS store_id,
                    summary.quantity AS quantity, p.designation AS product_name, m.nom_magasin AS store_name, p.prix_achat AS buying_price, 
                    p.prix_vente AS sale_price, p.quantite_alerte AS alert_quantity
                    FROM
                    (
                        SELECT entries.cumulative_stock_id AS cumulative_stock_id, entries.product_id AS product_id, entries.store_id AS store_id,
                        (entries.entry_quantity - ifnull(exits.exit_quantity, 0)) AS quantity
                        FROM
                        (
                            SELECT CONCAT(p.id_produit, '_', m.id_magasin) AS cumulative_stock_id, p.id_produit AS product_id, SUM(lr.quantite) AS entry_quantity, m.id_magasin AS store_id
                            FROM ligne_reception lr JOIN produit p ON lr.id_produit = p.id_produit JOIN reception r ON r.id_reception = lr.id_reception
                            JOIN magasin m ON r.id_magasin = m.id_magasin
                            WHERE p.statut = 1 AND r.statut = 1 AND r.valider = 1 AND r.date_saisie <= '{$stockAtTheDateOf} 23:59:59'
                            GROUP BY p.id_produit, m.id_magasin
                        ) AS entries
                        LEFT OUTER JOIN
                        (
                            SELECT CONCAT(p.id_produit, '_', m.id_magasin) AS cumulative_stock_id, p.id_produit AS product_id, SUM(ls.quantite) AS exit_quantity, m.id_magasin AS store_id
                            FROM ligne_sortie ls JOIN stock st ON ls.id_stock = st.id_stock JOIN produit p ON st.id_produit = p.id_produit 
                            JOIN sortie so ON ls.id_sortie = so.id_sortie JOIN magasin m ON so.id_magasin = m.id_magasin
                            WHERE p.statut = 1 AND so.statut = 1 AND so.valider = 1 AND so.date_saisie <= '{$stockAtTheDateOf} 23:59:59'
                            GROUP BY p.id_produit, m.id_magasin
                        ) AS exits
                        ON (entries.cumulative_stock_id = exits.cumulative_stock_id OR exits.cumulative_stock_id IS NULL) 
                        AND (entries.product_id = exits.product_id OR exits.product_id IS NULL)
                        AND (entries.store_id = exits.store_id OR exits.store_id IS NULL)
                    ) AS summary
                    JOIN produit p ON summary.product_id = p.id_produit JOIN magasin m ON summary.store_id = m.id_magasin
                    WHERE {$where}
                ) AS cumulativeStocksTable
        ";
        $primaryKey = 'cumulative_stock_id';
        $columns = [
            ['db' => 'product_name', 'dt' => 0],
            ['db' => 'store_name', 'dt' => 1],
            ['db' => 'quantity', 'dt' => 2],
            ['db' => 'buying_price', 'dt' => 3],
            ['db' => 'sale_price', 'dt' => 4],
            ['db' => 'alert_quantity', 'dt' => 5],
        ];

        $computeDatatableResults = SSP::customSimple($_POST, $cumulativeStocksTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $productName = $row[0];
            $storeName = $row[1];
            $quantity = (int)$row[2];
            $buyingPrice = (float)$row[3];
            $salePrice = (float)$row[4];
            $alertQuantity = (int)$row[5];
            $tableRow = [
                $productName,
                $storeName,
                $quantity,
                number_format($buyingPrice, 0, '', ' '),
                number_format($salePrice, 0, '', ' '),
                number_format($quantity * $buyingPrice, 0, '', ' '),
                $quantity <= $alertQuantity ? COULEUR_PRODUIT_SEUIL_ATTEINT : "",
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    public function transformationAction()
    {
        AccessRightChecker::checkAccessRight($this, 130);
        $storeDao = new StoreDAO();
        $productCategoryDao = new ProductCategoryDAO();
        $currentUser = LogDAO::getCurrentUser();
        $stores = [];
        if ($currentUser->getIdPointVente() == null || in_array($currentUser->getIdProfil()->getCode(), IDENTIFIED_PROFILES_CODES)) {
            $stores = $storeDao->getAllStores();
        } else {
            $stores[] = $currentUser->getIdPointVente()->getIdMagasin();
        }
        $productCategories = $productCategoryDao->getAllProductCategories();
        $this->view->stores = $stores;
        $this->view->productCategories = $productCategories;
        $this->view->translator = $this->translator;
    }

    public function datatabletransformationAction()
    {
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $from = $_POST["from"] != "" ? $_POST["from"] : null;
        $to = $_POST["to"] != "" ? $_POST["to"] : null;
        $whereStore = "";
        $whereName = "";
        $whereFrom = "";
        $whereTo = "";
        if ($store != null) {
            $whereStore .= " AND t.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND p.designation LIKE '%{$name}%'";
        }
        if ($from != null) {
            $whereFrom .= " AND t.date_transformation >= '{$from} 00:00:00'";
        }
        if ($to != null) {
            $whereTo .= " AND t.date_transformation <= '{$to} 23:59:59'";
        }
        $where = "t.statut = 1 AND p.statut = 1{$whereStore}{$whereName}{$whereFrom}{$whereTo}";
        $transformationsTable = "
                (
                    SELECT t.id_transformation_produit AS transformation_id, m.nom_magasin AS store_name, p.designation AS product_name,
                    t.date_transformation AS transformation_date, t.prix_achat AS buying_price, t.prix_vente AS sale_price,
                    t.valider AS transformation_validated, t.quantite AS quantity
                    FROM transformation_produit t JOIN magasin m ON t.id_magasin = m.id_magasin JOIN produit p ON t.id_produit = p.id_produit
                    WHERE {$where}
                ) AS transformationsTable
        ";
        $primaryKey = 'transformation_id';
        $columns = [
            ['db' => 'transformation_id', 'dt' => 0],
            ['db' => 'store_name', 'dt' => 1],
            ['db' => 'product_name', 'dt' => 2],
            ['db' => 'quantity', 'dt' => 3],
            ['db' => 'transformation_date', 'dt' => 4],
            ['db' => 'buying_price', 'dt' => 5],
            ['db' => 'sale_price', 'dt' => 6],
            ['db' => 'transformation_validated', 'dt' => 7],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $transformationsTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $transformationId = (int)$row[0];
            $store = $row[1];
            $product = $row[2];
            $quantity = (int)$row[3];
            $transformationDate = new DateTime($row[4]);
            $buyingPrice = number_format((float)$row[5], 0, '', ' ');
            $salePrice = number_format((float)$row[6], 0, '', ' ');
            $transformationValidated = (int)$row[7];
            $actions = "
                <button title='{$this->translator->_("shared.consult")}' about='{$transformationId}' class='mini ui icon button app-primary-button app-consult-action'>
                    <i class='eye icon'></i>
                </button>
            ";
            if ($transformationValidated == 0) {
                $actions .= "
                    <button title='{$this->translator->_("shared.edit")}' about='{$transformationId}' class='mini ui icon button app-secondary-button app-edit-action'>
                        <i class='edit icon'></i>
                    </button>
                    <button title='{$this->translator->_("shared.delete")}' about='{$transformationId}' class='mini ui red icon button app-delete-action'>
                        <i class='trash icon'></i>
                    </button>
                ";
            } else {
                $actions .= "
                    <button title='{$this->translator->_("shared.print")}' about='{$transformationId}' class='mini ui purple icon button app-print-action'>
                        <i class='print icon'></i>
                    </button>
                ";
            }
            $tableRow = [
                $transformationId,
                $store,
                $product,
                $quantity,
                $transformationDate->format(DATE_FORMAT),
                $buyingPrice,
                $salePrice,
                $actions,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    public function transformationproductsdatatableAction()
    {
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $category = (int)$_POST["category"] != 0 ? (int)$_POST["category"] : null;
        $whereName = "";
        $whereCategory = "";
        if ($name != null) {
            $whereName .= " AND p.designation LIKE '%{$name}%'";
        }
        if ($category != null) {
            $whereCategory .= " AND p.id_categorie_produit = {$category}";
        }
        $where = "p.statut = 1 AND p.stockable = 1{$whereName}{$whereCategory} order by p.designation ASC";
        $receptionProductsTable = "
                (
                    SELECT p.id_produit AS product_id,
                    p.designation AS product_designation, p.prix_vente AS product_sale_price, 
                    p.prix_vente2 AS product_sale_price_2, p.prix_vente3 AS product_sale_price_3, 
                    p.prix_achat AS product_buying_price, p.reference_produit AS product_reference,
                    p.image AS product_image, p.pourcentage_max_remise AS product_max_reduction_percent,
                    p.perissable AS product_perishable
                    FROM produit p
                    WHERE {$where}
                ) AS receptionProductsTable
        ";
        $primaryKey = 'product_id';
        $columns = [
            ['db' => 'product_designation', 'dt' => 0],
            ['db' => 'product_buying_price', 'dt' => 1],
            ['db' => 'product_image', 'dt' => 2],
            ['db' => 'product_sale_price', 'dt' => 3],
            ['db' => 'product_max_reduction_percent', 'dt' => 4],
            ['db' => 'product_id', 'dt' => 5],
            ['db' => 'product_perishable', 'dt' => 6],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $receptionProductsTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $productDesignation = $row[0];
            $productBuyingPrice = $row[1];
            $productImage = $row[2] != null ? $row[2] : "";
            $productSalePrice = (float)$row[3];
            $productMaxReductionPercent = (float)$row[4];
            $productId = $row[5];
            $productPerishable = $row[6];
            $tableRow = [
                [
                    $productDesignation,
                    $productBuyingPrice,
                    $productImage,
                    $productId,
                    $productSalePrice,
                    $productMaxReductionPercent,
                    $productPerishable,
                ],
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    /**
     * 100 success
     * 101 insufficient quantity on stock
     * 102 unknown error
     */
    public function createtransformationAction()
    {
        $transformationDao = new TransformationDAO();
        $databaseConnection = $transformationDao->entityManager->getConnection();
        $databaseConnection->beginTransaction();
        try {
            $storeId = (int)$_POST["store"];
            $productId = (int)$_POST["product"];
            $quantity = (int)$_POST["quantity"];
            $buyingPrice = (float)$_POST["buyingPrice"];
            $sellingPrice = (float)$_POST["sellingPrice"];
            $expirationDate = $_POST["expirationDate"];
            $content = json_decode($_POST["content"], true);
            $transformation = $transformationDao->create();
            $transformation->setDateTransformation(new DateTime());
            $storeDao = new StoreDAO();
            $store = $storeDao->getStoreById($storeId);
            $transformation->setIdMagasin($store);
            $productDao = new ProductDAO();
            $product = $productDao->getProductById($productId);
            $transformation->setIdProduit($product);
            $transformation->setIdUtilisateur(LogDAO::getCurrentUser());
            $transformation->setPrixAchat($buyingPrice);
            $transformation->setPrixVente($sellingPrice);
            $transformation->setQuantite($quantity);
            if (GESTION_DATE_PEREMPTION_PRODUIT == 1 && $product->getPerissable() == 1 && $expirationDate != "") {
                $transformation->setDatePeremption(new DateTime($expirationDate));
            }
            $transformation->setStatut(1);
            $transformation->setValider(0);
            $transformationDao->save($transformation);
            $stockDao = new StockDAO();
            $transformationDetailDao = new TransformationDetailDAO();
            foreach ($content as $detail) {
                $stock = $stockDao->getStockById((int)$detail["id"]);
                if ($stock->getQuantite() < (int)$detail["quantityToUse"]) {
                    $databaseConnection->rollBack();
                    echo ApiResponse::respond(101, null, ["batchNumber" => $detail["batchNumber"]]);
                    exit();
                }
                $transformationDetail = $transformationDetailDao->create();
                $transformationDetail->setIdStockSource($stock);
                $transformationDetail->setIdTransformationProduit($transformation);
                $transformationDetail->setQuantiteSource((int)$detail["quantityToUse"]);
                $transformationDetail->setStatut(1);
                $transformationDetailDao->save($transformationDetail);
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.transformation.transformationSuccessfullyRegistered")} : N°{$transformation->getIdTransformationProduit()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollBack();
            echo ApiResponse::respond(102, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unknwown error
     */
    public function detailtransformationAction()
    {
        try {
            $id = (int)$_POST["id"];
            $transformationDao = new TransformationDAO();
            $transformation = $transformationDao->getTransformationById($id);
            $result = [
                "store" => $transformation->getIdMagasin()->getIdMagasin(),
                "storeName" => $transformation->getIdMagasin()->getNomMagasin(),
                "productId" => $transformation->getIdProduit()->getIdProduit(),
                "productName" => $transformation->getIdProduit()->getDesignation(),
                "quantity" => $transformation->getQuantite(),
                "buyingPrice" => $transformation->getPrixAchat(),
                "sellingPrice" => $transformation->getPrixVente(),
                "transformationDate" => $transformation->getDateTransformation()->format(DATE_FORMAT),
                "expirationDate" => $transformation->getDatePeremption() != null ? $transformation->getDatePeremption()->format(DATE_FORMAT) : "",
                "perishable" => $transformation->getIdProduit()->getPerissable(),
                "content" => [],
            ];
            $transformationDetailDao = new TransformationDetailDAO();
            $transformationDetails = $transformationDetailDao->getDetailsOfTransformation($transformation);
            foreach ($transformationDetails as $transformationDetail) {
                $result["content"][] = [
                    "id" => $transformationDetail->getIdStockSource()->getIdStock(),
                    "designation" => $transformationDetail->getIdStockSource()->getDesignation(),
                    "batchNumber" => $transformationDetail->getIdStockSource()->getNumLot(),
                    "remainingQuantity" => $transformationDetail->getIdStockSource()->getQuantite(),
                    "quantityToUse" => $transformationDetail->getQuantiteSource(),
                ];
            }
            echo ApiResponse::respond(REQUEST_SUCCESS_CODE, null, $result);
        } catch (Exception $ex) {
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 insufficient quantity on stock
     * 102 unknown error
     */
    public function updatetransformationAction()
    {
        $transformationDao = new TransformationDAO();
        $databaseConnection = $transformationDao->entityManager->getConnection();
        $databaseConnection->beginTransaction();
        try {
            $id = (int)$_POST["id"];
            $storeId = (int)$_POST["store"];
            $productId = (int)$_POST["product"];
            $quantity = (int)$_POST["quantity"];
            $buyingPrice = (float)$_POST["buyingPrice"];
            $sellingPrice = (float)$_POST["sellingPrice"];
            $expirationDate = $_POST["expirationDate"];
            $content = json_decode($_POST["content"], true);
            $transformation = $transformationDao->getTransformationById($id);
            $storeDao = new StoreDAO();
            $store = $storeDao->getStoreById($storeId);
            $transformation->setIdMagasin($store);
            $productDao = new ProductDAO();
            $product = $productDao->getProductById($productId);
            $transformation->setIdProduit($product);
            $transformation->setIdUtilisateur(LogDAO::getCurrentUser());
            $transformation->setPrixAchat($buyingPrice);
            $transformation->setPrixVente($sellingPrice);
            $transformation->setQuantite($quantity);
            if (GESTION_DATE_PEREMPTION_PRODUIT == 1 && $product->getPerissable() == 1 && $expirationDate != "") {
                $transformation->setDatePeremption(new DateTime($expirationDate));
            } else {
                $transformation->setDatePeremption(null);
            }
            $transformationDao->update($transformation);
            $stockDao = new StockDAO();
            $transformationDetailDao = new TransformationDetailDAO();
            $transformationDetails = $transformationDetailDao->getDetailsOfTransformation($transformation);
            foreach ($transformationDetails as $transformationDetail) {
                $transformationDetailDao->delete($transformationDetail);
            }
            foreach ($content as $detail) {
                $stock = $stockDao->getStockById((int)$detail["id"]);
                if ($stock->getQuantite() < (int)$detail["quantityToUse"]) {
                    $databaseConnection->rollBack();
                    echo ApiResponse::respond(101, null, ["batchNumber" => $detail["batchNumber"]]);
                    exit();
                }
                $transformationDetail = $transformationDetailDao->create();
                $transformationDetail->setIdStockSource($stock);
                $transformationDetail->setIdTransformationProduit($transformation);
                $transformationDetail->setQuantiteSource((int)$detail["quantityToUse"]);
                $transformationDetail->setStatut(1);
                $transformationDetailDao->save($transformationDetail);
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.transformation.transformationUpdatedSuccessfully")} : N°{$transformation->getIdTransformationProduit()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollBack();
            echo ApiResponse::respond(102, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unknown error
     */
    public function deletetransformationAction()
    {
        try {
            $id = (int)$_POST["id"];
            $transformationDao = new TransformationDAO();
            $transformation = $transformationDao->getTransformationById($id);
            if ($transformation->getStatut() == 0) {
                echo ApiResponse::respond(ALREADY_DELETED_ISSUE_CODE);
                exit();
            }
            if ($transformation->getValider() == 1) {
                echo ApiResponse::respond(ALREADY_VALIDATED_ISSUE_CODE);
                exit();
            }
            if ($transformation->getValider() == 1) {
                echo ApiResponse::respond(101, "Already validated issue on deletion");
                exit();
            }
            $transformation->setStatut(0);
            $transformationDao->update($transformation);
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.transformation.transformationDeletedSuccessfully")} : N°{$transformation->getIdTransformationProduit()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }

    public function transformationvalidationAction()
    {
        AccessRightChecker::checkAccessRight($this, 131);
        $storeDao = new StoreDAO();
        $currentUser = LogDAO::getCurrentUser();
        $stores = [];
        if (
            $currentUser->getIdPointVente() == null || $currentUser->getIdProfil()->getCode() == "ADMIN"
            || $currentUser->getIdProfil()->getCode() == "MANA"
            || $currentUser->getIdProfil()->getCode() == "COMP"
        ) {
            $stores = $storeDao->getAllStores();
        } else {
            $stores[] = $currentUser->getIdPointVente()->getIdMagasin();
        }
        $this->view->stores = $stores;
        $this->view->translator = $this->translator;
    }

    public function datatabletransformationvalidationAction()
    {
        $store = (int)$_POST["store"] != 0 ? (int)$_POST["store"] : null;
        $name = $_POST["name"] != "" ? $_POST["name"] : null;
        $from = $_POST["from"] != "" ? $_POST["from"] : null;
        $to = $_POST["to"] != "" ? $_POST["to"] : null;
        $whereStore = "";
        $whereName = "";
        $whereFrom = "";
        $whereTo = "";
        if ($store != null) {
            $whereStore .= " AND t.id_magasin = {$store}";
        }
        if ($name != null) {
            $whereName .= " AND p.designation LIKE '%{$name}%'";
        }
        if ($from != null) {
            $whereFrom .= " AND t.date_transformation >= '{$from} 00:00:00'";
        }
        if ($to != null) {
            $whereTo .= " AND t.date_transformation <= '{$to} 23:59:59'";
        }
        $where = "t.statut = 1 AND t.valider = 0 AND p.statut = 1{$whereStore}{$whereName}{$whereFrom}{$whereTo}";
        $transformationsTable = "
                (
                    SELECT t.id_transformation_produit AS transformation_id, m.nom_magasin AS store_name, p.designation AS product_name,
                    t.date_transformation AS transformation_date, t.prix_achat AS buying_price, t.prix_vente AS sale_price,
                    t.valider AS transformation_validated, t.quantite AS quantity
                    FROM transformation_produit t JOIN magasin m ON t.id_magasin = m.id_magasin JOIN produit p ON t.id_produit = p.id_produit
                    WHERE {$where}
                ) AS transformationsTable
        ";
        $primaryKey = 'transformation_id';
        $columns = [
            ['db' => 'transformation_id', 'dt' => 0],
            ['db' => 'store_name', 'dt' => 1],
            ['db' => 'product_name', 'dt' => 2],
            ['db' => 'quantity', 'dt' => 3],
            ['db' => 'transformation_date', 'dt' => 4],
            ['db' => 'buying_price', 'dt' => 5],
            ['db' => 'sale_price', 'dt' => 6],
        ];
        $computeDatatableResults = SSP::customSimple($_POST, $transformationsTable, $primaryKey, $columns);
        $datatableResult = $computeDatatableResults["datatable"];
        $finalResult = $computeDatatableResults["custom"];
        foreach ($datatableResult["data"] as $row) {
            $transformationId = (int)$row[0];
            $store = $row[1];
            $product = $row[2];
            $quantity = (int)$row[3];
            $transformationDate = new DateTime($row[4]);
            $buyingPrice = number_format((float)$row[5], 0, '', ' ');
            $salePrice = number_format((float)$row[6], 0, '', ' ');
            $actions = "
                <button title='{$this->translator->_("shared.consult")}' about='{$transformationId}' class='mini ui icon button app-primary-button app-consult-action'>
                    <i class='eye icon'></i>
                </button>
                <button title='{$this->translator->_("shared.validate")}' about='{$transformationId}' class='mini ui green icon button app-validate-action'>
                    <i class='check icon'></i>
                </button>
            ";
            $tableRow = [
                $transformationId,
                $store,
                $product,
                $quantity,
                $transformationDate->format(DATE_FORMAT),
                $buyingPrice,
                $salePrice,
                $actions,
            ];
            $finalResult["data"][] = $tableRow;
        }
        echo json_encode($finalResult);
        exit();
    }

    /**
     * 100 success
     * 101 insufficient quantity on stock
     * 102 unknown error
     */
    public function validatetransformationAction()
    {
        $transformationDao = new TransformationDAO();
        $databaseConnection = $transformationDao->entityManager->getConnection();
        $databaseConnection->beginTransaction();
        try {
            $id = (int)$_POST["id"];
            $transformation = $transformationDao->getTransformationById($id);
            if ($transformation->getStatut() == 0) {
                echo ApiResponse::respond(ALREADY_DELETED_ISSUE_CODE);
                exit();
            }
            if ($transformation->getValider() == 1) {
                echo ApiResponse::respond(ALREADY_VALIDATED_ISSUE_CODE);
                exit();
            }
            $transformation->setValider(1);
            $transformationDao->update($transformation);
            $exitDao = new ExitDAO();
            $receptionDao = new ReceptionDAO();
            //Create exit associated
            $exit = $exitDao->create();
            $exit->setDateSaisie(new DateTime());
            $exit->setDateSortie($transformation->getDateTransformation());
            $exit->setDateValidation(new DateTime());
            $exit->setIdMagasin($transformation->getIdMagasin());
            $exit->setIdUtilisateur(LogDAO::getCurrentUser());
            $exit->setMotif("{$this->translator->_("stock.transformationValidation.exitCreatedByTheTransformation")} {$transformation->getIdTransformationProduit()}");
            $exit->setStatut(1);
            $exit->setTypeSortie(TYPE_SORTIE_TRANSFORMATION);
            $exit->setValider(1);
            $exitDao->save($exit);
            //Create reception associated
            $reception = $receptionDao->create();
            $reception->setDateReception($transformation->getDateTransformation());
            $reception->setDateSaisie(new DateTime());
            $reception->setDateValidation(new DateTime());
            $reception->setIdMagasin($transformation->getIdMagasin());
            $reception->setIdUtilisateur(LogDAO::getCurrentUser());
            $reception->setNumBl("TRANSFORMATION_{$transformation->getDateTransformation()->format(DATE_FORMAT)}");
            $reception->setObservation("{$this->translator->_("stock.transformationValidation.receptionCreatedByTheTransformation")} {$transformation->getIdTransformationProduit()}");
            $reception->setStatut(1);
            $reception->setValider(1);
            $receptionDao->save($reception);
            $exitLineDao = new ExitLineDAO();
            $receptionLineDao = new ReceptionLineDAO();
            $stockDao = new StockDAO();
            $transformationDetailDao = new TransformationDetailDAO();
            $transformationDetails = $transformationDetailDao->getDetailsOfTransformation($transformation);
            foreach ($transformationDetails as $transformationDetail) {
                $stock = $transformationDetail->getIdStockSource();
                if ($stock->getQuantite() < $transformationDetail->getQuantiteSource()) {
                    $databaseConnection->rollBack();
                    echo ApiResponse::respond(101, null, ["batchNumber" => $stock->getNumLot()]);
                    exit();
                }
                $stock->setQuantite($stock->getQuantite() - $transformationDetail->getQuantiteSource());
                $stockDao->update($stock);
                //Create exit line detail
                $exitLine = $exitLineDao->create();
                $exitLine->setIdSortie($exit);
                $exitLine->setIdStock($stock);
                $exitLine->setPrixUnitaire($stock->getPrixVente());
                $exitLine->setQuantite($transformationDetail->getQuantiteSource());
                $exitLine->setStatut(1);
                $exitLineDao->save($exitLine);
            }
            $transformationProduct = $transformation->getIdProduit();
            $transformationStore = $transformation->getIdMagasin();
            $mostRecentStockOnTransformationProduct = $stockDao->getMustRecentStockOfProducAtStore($transformationProduct, $transformationStore);
            if ((GESTION_DATE_PEREMPTION_PRODUIT == 0 || (GESTION_DATE_PEREMPTION_PRODUIT == 1 && $transformationProduct->getPerissable() == 0)) && $mostRecentStockOnTransformationProduct != null) {
                $mostRecentStockOnTransformationProduct->setQuantite($mostRecentStockOnTransformationProduct->getQuantite() + $transformation->getQuantite());
                $mostRecentStockOnTransformationProduct->setQuantiteEntree($mostRecentStockOnTransformationProduct->getQuantiteEntree() + $transformation->getQuantite());
                $mostRecentStockOnTransformationProduct->setDateEntree(new DateTime());
                $stockDao->update($mostRecentStockOnTransformationProduct);
                //Create reception line detail
                $receptionLine = $receptionLineDao->create();
                $receptionLine->setCodeBarre($mostRecentStockOnTransformationProduct->getCodeBarre());
                $receptionLine->setDatePeremption($mostRecentStockOnTransformationProduct->getDatePeremption());
                $receptionLine->setDesignation($mostRecentStockOnTransformationProduct->getDesignation());
                $receptionLine->setIdProduit($mostRecentStockOnTransformationProduct->getIdProduit());
                $receptionLine->setIdReception($reception);
                $receptionLine->setNumLot($mostRecentStockOnTransformationProduct->getNumLot());
                $receptionLine->setNumLotFournisseur($mostRecentStockOnTransformationProduct->getNumLotFournisseur());
                $receptionLine->setPourcentageMaxRemise($mostRecentStockOnTransformationProduct->getPourcentageMaxRemise());
                $receptionLine->setPrixAchat($mostRecentStockOnTransformationProduct->getPrixAchat());
                $receptionLine->setPrixUnitaire($mostRecentStockOnTransformationProduct->getPrixVente());
                $receptionLine->setQuantite($transformation->getQuantite());
                $receptionLineDao->save($receptionLine);
            } else {
                $stock = $stockDao->create();
                $stock->setCodeBarre($transformationProduct->getCodeBarre());
                $stock->setDateEntree(new DateTime());
                $stock->setDesignation($transformationProduct->getDesignation());
                $stock->setIdMagasin($transformation->getIdMagasin());
                $stock->setIdProduit($transformationProduct);
                $stock->setIdReception($reception);
                $stock->setIdTransformation($transformation);
                $stock->setMarge($transformation->getPrixVente() - $transformation->getPrixAchat());
                $stock->setNumLot("TEMPORARY");
                $stock->setPourcentageMaxRemise($transformationProduct->getPourcentageMaxRemise());
                $stock->setPrixAchat($transformation->getPrixAchat());
                $stock->setPrixTtc($transformationProduct->getPrixTtc());
                $stock->setPrixTtc2($transformationProduct->getPrixTtc2());
                $stock->setPrixTtc3($transformationProduct->getPrixTtc3());
                $stock->setPrixVente($transformation->getPrixVente());
                $stock->setPrixVente2($transformationProduct->getPrixVente2());
                $stock->setPrixVente3($transformationProduct->getPrixVente3());
                $stock->setQuantite($transformation->getQuantite());
                $stock->setQuantiteEntree($transformation->getQuantite());
                if (GESTION_DATE_PEREMPTION_PRODUIT == 1 && $transformationProduct->getPerissable() == 1 && $transformation->getDatePeremption() != null) {
                    $stock->setDatePeremption($transformation->getDatePeremption());
                }
                $stock->setStatut(1);
                $stockDao->save($stock);
                $actualBatchNumber = "{$stock->getIdStock()}";
                $desiredLength = (int)DEFAULT_BATCH_NUMBER_LENGTH;
                $prefixedBatchNumber = strlen($actualBatchNumber) < $desiredLength ? str_pad($actualBatchNumber, $desiredLength, "0", STR_PAD_LEFT) : $actualBatchNumber;
                $stock->setNumLot($prefixedBatchNumber);
                $stockDao->update($stock);
                //Create reception line detail
                $receptionLine = $receptionLineDao->create();
                $receptionLine->setCodeBarre($stock->getCodeBarre());
                $receptionLine->setDatePeremption($stock->getDatePeremption());
                $receptionLine->setDesignation($stock->getDesignation());
                $receptionLine->setIdProduit($stock->getIdProduit());
                $receptionLine->setIdReception($reception);
                $receptionLine->setNumLot($stock->getNumLot());
                $receptionLine->setNumLotFournisseur($stock->getNumLotFournisseur());
                $receptionLine->setPourcentageMaxRemise($stock->getPourcentageMaxRemise());
                $receptionLine->setPrixAchat($stock->getPrixAchat());
                $receptionLine->setPrixUnitaire($stock->getPrixVente());
                $receptionLine->setQuantite($transformation->getQuantite());
                $receptionLineDao->save($receptionLine);
            }
            $databaseConnection->commit();
            LogDAO::registerOperationForCurrentUser(
                "{$this->translator->_("stock.transformationValidation.transformationValidatedSuccessfully")} : N°{$transformation->getIdTransformationProduit()}"
            );
            echo ApiResponse::respond();
        } catch (Exception $ex) {
            $databaseConnection->rollBack();
            echo ApiResponse::respond(102, $ex->getMessage());
        }
        exit();
    }

    /**
     * 100 success
     * 101 unknown error
     */
    public function productseverofstoreAction()
    {
        try {
            $storeDao = new StoreDAO();
            $stockDao = new StockDAO();
            $id = (int)$_POST["id"];
            $store = $storeDao->getStoreById($id);
            $allProductsInStockIds = $stockDao->getAllProductsEverInStock($store);
            $result = [];
            $productDao = new ProductDAO();
            foreach ($allProductsInStockIds as $productId) {
                $product = $productDao->getProductById($productId);
                $result[] = [
                    "id" => $product->getIdProduit(),
                    "name" => $product->getDesignation(),
                ];
            }
            echo ApiResponse::respond(REQUEST_SUCCESS_CODE, null, $result);
        } catch (Exception $ex) {
            echo ApiResponse::respond(101, $ex->getMessage());
        }
        exit();
    }
}
