<?php

defined("REQUEST_SUCCESS_CODE") || define("REQUEST_SUCCESS_CODE", 100);
defined("SESSION_EXPIRED_CODE") || define("SESSION_EXPIRED_CODE", 210);
defined("NO_ACCESS_RIGHT_DETECTED_CODE") || define("NO_ACCESS_RIGHT_DETECTED_CODE", 320);
defined("ALREADY_DELETED_ISSUE_CODE") || define("ALREADY_DELETED_ISSUE_CODE", 430);
defined("ALREADY_VALIDATED_ISSUE_CODE") || define("ALREADY_VALIDATED_ISSUE_CODE", 540);
defined("UNCERTIFIED_SITE_CODE") || define("UNCERTIFIED_SITE_CODE", 650);
defined("EXPIRED_SUBSCRIPTION_CODE") || define("EXPIRED_SUBSCRIPTION_CODE", 760);

class ApiResponse {

    /**
     * @param $code
     * @param $message
     * @param $data
     * @return String
     */
    public static function respond($code = REQUEST_SUCCESS_CODE, $message = null, $data = null){
        return json_encode([
            "code" => $code,
            "message" => $message,
            "data" => $data,
        ]);
    }

    /**
     * @param boolean $success
     * @param array $data
     */
    public static function semantic($success = true, $data = null) {
        return json_encode([
            "success" => $success,
            "results" => $data,
        ]);
    }
}