<?php

include APPLICATION_PATH . '/includes/constants.php';
include APPLICATION_PATH . '/translation/French.php';
include APPLICATION_PATH . '/translation/English.php';

class Translator {
    static function init($languageParameter = null){
        if(!isset($_SESSION[SESSION_LANGUAGE])) $_SESSION[SESSION_LANGUAGE] = DEFAULT_LANGUAGE;
        $_SESSION[SESSION_LANGUAGE] = $languageParameter ? $languageParameter : $_SESSION[SESSION_LANGUAGE];
        $translator = new Zend_Translate([
            'adapter' => 'array',
            'content' => French::combine(),
            'locale'  => FRENCH_LOCALE_CODE,
        ]);
        $translator->addTranslation([
            'adapter' => 'array',
            'content' => English::combine(),
            'locale' => ENGLISH_LOCALE_CODE,
        ]);
        $translator->setLocale($_SESSION[SESSION_LANGUAGE]);
        if($_SESSION[SESSION_LANGUAGE] == FRENCH_LOCALE_CODE) {
            \Moment\Moment::setLocale(FRENCH_MOMENT_LOCALE_CODE);
        } else {
            \Moment\Moment::setLocale(ENGLISH_MOMENT_LOCALE_CODE);
        }
        return $translator;
    }

    static function convertToWords($number) {
        $numberToWordsTool = new Numbers_Words();
        if($_SESSION[SESSION_LANGUAGE] == FRENCH_LOCALE_CODE) {
            return $numberToWordsTool->toWords($number, FRENCH_LOCALE_CODE);
        } else {
            return $numberToWordsTool->toWords($number, ENGLISH_MOMENT_LOCALE_CODE);
        }
    }
}