<?php

//Remember default language is french

class AppointmentEnglish
{
    public static $values = [
        "index" => [
            "newAppointment" => "New appointment",
            "description" => "Description",
            "startDate" => "Start date",
            "endDate" => "End Date",
            "activity" => "Activity",
            "customer" => "Customer",
            "staffInvolved" => "Staff involved",
            "pointOfSale" => "Point de vente",
            "noActivitySelected" => "No activity selected",
            "noCustomerSelected" => "No customer selected",
            "noPointOfSaleSelected" => "No point of sale selected",
            "noStaffMemberSelected" => "No staff member selected",
            "theMinimumDateForThisAppointmentIs" => "The minimum date for this appointment is",
            "theEndDateCannotBeBeforeTheStarDate" => "The end date cannot be before the start date",
            "pleaseSelectAnActivity" => "Please select an activity",
            "pleaseSelectACustomer" => "Please select a customer",
            "pleaseSelectAPointOfSale" => "Please select a point of sale",
            "pleaseFillDescriptionField" => "Please fill description field",
            "pleaseSelectAtLeastOneStaffMember" => "Please select at least one staff member",
            "appointmentSuccessfullyRegistered" => "Appointment successfully registered",
            "anErrorOccurredDuringLoadingAppointments" => "An error occurred during loading events",
            "loadingAppointments" => "Loading appointments",
            "filterByActivity" => "Filter by activity",
            "filterByPointOfSale" => "Filter by point of sale",
            "filterByCustomer" => "Filter by customer",
            "allActivities" => "All activities",
            "allPointsOfSale" => "All point of sales",
            "allCustomers" => "All customers",
            "consultAppointmentNumber" => "Consult appointment N°",
            "loadingDetailsOf" => "Loading details of",
            "edit" => "Edit",
            "appointmentHonored" => "Appointment honored",
            "declareHonored" => "Declare honored",
            "anErrorOccurredDuringLoadingDetailsOfAppointment" => "An error occurred during loading details of appointment",
            "appointmentDeclaredHonoredSuccessfully" => "Appointment declared honored successfully",
            "editAppointment" => "Edit appointment",
            "appointmentUpdatedSuccessfully" => "Appointment updated successfully",
            "doYouConfirmTheDeletionOfThisAppointment" => "Do you confirm the deletion of this appointment",
            "appointmentDeletedSuccessfully" => "Appointment deleted successfully",
        ],
        "activities" => [
            "newActivity" => "New activity",
            "title" => "Title",
            "description" => "Description",
            "editActivity" => "Edit activity",
            "searchByActivityTitle" => "Search by activity title",
            "pleaseFillTitleField" => "Please fill title field",
            "pleaseFillDescriptionField" => "Please fill description field",
            "activitySuccessfullyRegistered" => "Activity successfully registered",
            "anActivityWithThisTitleAlreadyExists" => "An activity with this title already exists",
            "activityUpdatedSuccessfully" => "Activity updated successfully",
            "doYouConfirmTheDeletionOfTheActivity" => "Do you confirm the deletion of the activity",
            "activityDeletedSuccessfully" => "Activity deleted successfully",
            "backgroundColor" => "Background color",
            "clickToSelectColor" => "Click to select color",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
