<?php

//Remember default language is french

class AppointmentFrench
{
    public static $values = [
        "index" => [
            "newAppointment" => "Nouveau rendez-vous",
            "description" => "Description",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "activity" => "Activité",
            "customer" => "Client",
            "staffInvolved" => "Personnel impliqué",
            "pointOfSale" => "Point of sale",
            "noActivitySelected" => "Aucune activité sélectionnée",
            "noCustomerSelected" => "Aucun client sélectionné",
            "noPointOfSaleSelected" => "Aucun point de vente sélectionné",
            "noStaffMemberSelected" => "Aucun membre du personnel sélectionné",
            "theMinimumDateForThisAppointmentIs" => "La date minimale pour ce rendez-vous est",
            "theEndDateCannotBeBeforeTheStarDate" => "La date de fin ne peut être avant la date de début",
            "pleaseSelectAnActivity" => "Veuillez sélectionner une activité",
            "pleaseSelectACustomer" => "Veuillez sélectionner un client",
            "pleaseSelectAPointOfSale" => "Veuillez sélectionner un point de vente",
            "pleaseFillDescriptionField" => "Veuillez remplir le champ description",
            "pleaseSelectAtLeastOneStaffMember" => "Veuillez sélectionner au moins un membre du personnel",
            "appointmentSuccessfullyRegistered" => "Rendez-vous enregistré avec succès",
            "anErrorOccurredDuringLoadingAppointments" => "Une erreur est survenue lors du chargement des rendez-vous",
            "loadingAppointments" => "Chargement des rendez-vous",
            "filterByActivity" => "Filtrer par activité",
            "filterByPointOfSale" => "Filtrer par point de vente",
            "filterByCustomer" => "Filtrer par client",
            "allActivities" => "Toutes les activités",
            "allPointsOfSale" => "Tous les points de vente",
            "allCustomers" => "Tous les clients",
            "consultAppointmentNumber" => "Consulter le rendez-vous N°",
            "loadingDetailsOf" => "Chargement des détails de",
            "edit" => "Modifier",
            "appointmentHonored" => "Rendez-vous honoré",
            "declareHonored" => "Déclarer honoré",
            "anErrorOccurredDuringLoadingDetailsOfAppointment" => "Une erreur est survenue lors du chargement des détails du rendez-vous",
            "appointmentDeclaredHonoredSuccessfully" => "Rendez-vous déclaré honoré avec succès",
            "editAppointment" => "Modifier le rendez-vous",
            "appointmentUpdatedSuccessfully" => "Rendez-vous mis à jour avec succès",
            "doYouConfirmTheDeletionOfThisAppointment" => "Confirmez-vous la suppression de ce rendez-vous",
            "appointmentDeletedSuccessfully" => "Rendez-vous supprimé avec succès",
        ],
        "activities" => [
            "newActivity" => "Nouvelle activité",
            "title" => "Titre",
            "description" => "Description",
            "editActivity" => "Modifier l'activité",
            "searchByActivityTitle" => "Rechercher par titre d'activité",
            "pleaseFillTitleField" => "Veuillez remplir le champ titre",
            "pleaseFillDescriptionField" => "Veuillez remplir le cham description",
            "activitySuccessfullyRegistered" => "Activité enregistrée avec succès",
            "anActivityWithThisTitleAlreadyExists" => "Une activité portant ce titre existe déjà",
            "activityUpdatedSuccessfully" => "Activité mise à jour avec succès",
            "doYouConfirmTheDeletionOfTheActivity" => "Confirmez-vous la suppression de l'activité",
            "activityDeletedSuccessfully" => "Activité supprimée avec succès",
            "backgroundColor" => "Couleur d'arrière plan",
            "clickToSelectColor" => "Cliquer pour sélectionner la couleur",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
