<?php

//Remember default language is french

class CustomerEnglish
{
    public static $values = [
        "index" => [
            "newCustomer" => "New customer",
            "creationDate" => "Creation date",
            "phone" => "Phone",
            "currentBalance" => "Current balance",
            "nberOfPurchases" => "Nber. of purchases",
            "accumulatedPurchases" => "Accumulated purchases",
            "nberOfPoints" => "Nber. of points",
            "1stVisit" => "1st visit",
            "lastVisit" => "Last visit",
            "pointOfSale" => "Point of sale",
            "customerName" => "Customer name",
            "email" => "Email",
            "customerInformation" => "Customer information",
            "informationOnCustomerBalancesAndTheirPurchases" => "Information on customer balances and their purchases",
            "customers" => "Customers",
            "userHelpingMessage1" => "You can register customers who visit you regularly",
            "userHelpingMessage2" => "You can use this list for loyalty",
            "depositBalances" => "Deposit balances",
            "userHelpingMessage3" => "If your business accepts customer deposits for later use in purchases, view balances here",
            "city" => "City",
            "searchByPointOfSale" => "Search by point of sale",
            "searchByCustomerName" => "Search by customer name",
            "userHelpingMessage4" => "Customer purchase statistics are also available here",
            "customerType" => "Customer type",
            "physicalPerson" => "Physical person",
            "corporation" => "Corporation",
            "gender" => "Gender",
            "male" => "Male",
            "female" => "Female",
            "lastName" => "Last name",
            "firstName" => "First name",
            "phoneNumber" => "Phone number",
            "dateOfBirth" => "Date of birth",
            "address" => "Address",
            "allowThisCustomerToMakePurchasesOnCredit" => "Allow this customer to make purchases on credit",
            "allow" => "Allow",
            "disallow" => "Disallow",
            "pleaseFillLastNameField" => "Please fill last name field",
            "pleaseFillPhoneNumberField" => "Please fill phone number field",
            "pleaseFillCityField" => "Please fill city field",
            "pleaseEnterAValidDateOfBirth" => "Please enter a valid date of birth",
            "customerRegisteredSuccessfully" => "Customer registered successfully",
            "aCustomerWithThisPhoneNumberAlreadyExists" => "A customer with this phone number already exists",
            "customerUpdatedSuccessfully" => "Customer updated successfully",
            "editCustomer" => "Edit customer",
            "consultCustomer" => "Consult customer",
            "purchasesOnCredit" => "Purchases on credit",
            "allowed" => "Allowed",
            "disallowed" => "Disallowed",
            "doYouConfirmTheDeletionOfTheCustomer" => "Do you confirm the deletion of the customer",
            "customerDeletedSuccessfully" => "Customer deleted successfully",
            "unableToDeleteThisCustomerBecauseHeHasAProvidedAccount" => "Unable to delete this customer because he has a provided account",
            "searchByPhone" => "Search by phone",
            "searchByEmail" => "Search by email",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
