<?php

//Remember default language is french

class CustomerFrench
{
    public static $values = [
        "index" => [
            "newCustomer" => "Nouveau client",
            "creationDate" => "Date de création",
            "phone" => "Téléphone",
            "currentBalance" => "Solde actuel",
            "nberOfPurchases" => "Nbre. d'achats",
            "accumulatedPurchases" => "Achats cumulés",
            "nberOfPoints" => "Nbre. de points",
            "1stVisit" => "1ère visite",
            "lastVisit" => "Dernière visite",
            "pointOfSale" => "Point de vente",
            "customerName" => "Nom du client",
            "email" => "E-mail",
            "customerInformation" => "Informations sur les clients",
            "informationOnCustomerBalancesAndTheirPurchases" => "Informations sur les soldes des clients et leurs achats",
            "customers" => "Clients",
            "userHelpingMessage1" => "Vous pouvez enregistrer les clients qui vous visitent regulièrement",
            "userHelpingMessage2" => "Vous pourrez vous servir de cette liste pour la fidélisation",
            "depositBalances" => "Soldes déposit",
            "userHelpingMessage3" => "Si votre business accepte le dépôt d'argent par les clients pour utilisation ultérieure dans les achats, consultez les soldes d'ici",
            "city" => "Ville",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "searchByCustomerName" => "Rechercher par nom de client",
            "userHelpingMessage4" => "Les statistiques d'achats des clients sont aussi disponible ici",
            "customerType" => "Type de client",
            "physicalPerson" => "Personne physique",
            "corporation" => "Personne morale",
            "gender" => "Genre",
            "male" => "Homme",
            "female" => "Femme",
            "lastName" => "Nom",
            "firstName" => "Prénom",
            "phoneNumber" => "Numéro de téléphone",
            "dateOfBirth" => "Date de naissance",
            "address" => "Adresse",
            "allowThisCustomerToMakePurchasesOnCredit" => "Autoriser ce client à faire des achats à crédit",
            "allow" => "Autoriser",
            "disallow" => "Ne pas autoriser",
            "pleaseFillLastNameField" => "Veuillez remplir le champs nom",
            "pleaseFillPhoneNumberField" => "Veuillez remplir le champs numéro de téléphone",
            "pleaseFillCityField" => "Veuillez remplir le champs ville",
            "pleaseEnterAValidDateOfBirth" => "Veuillez entre une date de naissance valide",
            "customerRegisteredSuccessfully" => "Client enregistré avec succès",
            "aCustomerWithThisPhoneNumberAlreadyExists" => "Un client utilisant ce numéro de téléphone existe déjà",
            "customerUpdatedSuccessfully" => "Client mis à jour avec succès",
            "editCustomer" => "Modifier le client",
            "consultCustomer" => "Consuler le client",
            "purchasesOnCredit" => "Achats à crédit",
            "allowed" => "Autorisé",
            "disallowed" => "Refusé",
            "doYouConfirmTheDeletionOfTheCustomer" => "Confirmez-vous la suppression du client",
            "customerDeletedSuccessfully" => "Client supprimé avec succès",
            "unableToDeleteThisCustomerBecauseHeHasAProvidedAccount" => "Impossible de supprimer ce client car il possède un compte fourni",
            "searchByPhone" => "Rechercher par téléphone",
            "searchByEmail" => "Rechercher par e-mail",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
