<?php

//Remember default language is french

class ExitEnglish
{
    public static $values = [
        "type" => [
            "newType" => "New type",
            "userHelpingMessage1" => "For one reason or another you may need to remove certain products from your stock without them being sold",
            "userHelpingMessage2" => "You can categorize these exceptional outings from here",
            "code" => "Code",
            "searchByTypeName" => "Search by type name",
            "searchByCode" => "Search by code",
            "pleaseFillNameField" => "Please fill name field",
            "pleaseFillCodeField" => "Please fill code field",
            "exceptionalOutingTypeSuccessfullyRegistered" => "Exceptional outing type successfully registered",
            "aTypeWithThisNameAlreadyExists" => "A type with this name already exists",
            "aTypeWithThisCodeAlreadyExists" => "A type with this code already exists",
            "editType" => "Edit type",
            "exceptionalOutingTypeUpdatedSuccessfully" => "Exceptional outing type updated successfully",
            "doYouConfirmTheDeletionOfTheExceptionalOutingType" => "Do you confirm the deletion of the exceptional outing type",
            "exceptionalOutingTypeDeletedSuccessfully" => "Exceptional outing type deleted successfully",
        ],
        "index" => [
            "newExceptionalOuting" => "New exceptional outing",
            "searchByStore" => "Search by store",
            "noStoreSelected" => "No store selected",
            "searchByExitType" => "Search by exit type",
            "noExitTypeSelected" => "No exit type selected",
            "outingDateAfterThisDate" => "Outing date after this date",
            "outingDateBeforeThisDate" => "Outing date before this date",
            "number" => "Number",
            "store" => "Store",
            "exitType" => "Exit type",
            "entryDate" => "Entry date",
            "outingDate" => "Outing date",
            "comment" => "Comment",
            "user" => "User",
            "selectingStocks" => "Selecting stocks",
            "searchByBatchNumber" => "Search by batch number",
            "searchByProductName" => "Search by product name",
            "exitInfo" => "Exit info",
            "exitContent" => "Exit content",
            "emptyExitAtTheMoment" => "Empty exit at the moment",
            "commentOnExit" => "Comment on exit",
            "concernedStore" => "Concerned store",
            "pleaseSelectTheConcernedStoreFirst" => "Please select the concerned store first",
            "clickToAddToExit" => "Click to add to exit",
            "quantity" => "Quantity",
            "batchNumber" => "Batch number",
            "qty" => "Qty",
            "batchN" => "Batch N°",
            "product" => "Product",
            "remainingQuantity" => "Remaining quantity",
            "sellingPrice" => "Selling price",
            "quantityToOut" => "Quantity to out",
            "pleaseSelectAnExitTypeForThisExit" => "Please select an exit type for this exit",
            "pleaseSelectAnOutingDateForThisExit" => "Please select an outing date for this exit",
            "pleaseFillCommentOnExitField" => "Please fill comment on exit field",
            "anExitCannotBeEmpty" => "An exit cannot be empty",
            "pleaseEnterAValidQuantity" => "Please enter a valid quantity",
            "pleaseDoNotExceedTheRemainingQuantityOnStock" => "Please do not exceed the remaining quantity on stock",
            "exitSuccessfullyRegistered" => "Exit successfully registered",
            "insufficientRemainingQuantityForStockWithBatchNumber" => "Insufficient remaining quantity for stock with batch number",
            "editExceptionalOuting" => "Edit exceptional outing",
            "exitUpdatedSuccessfully" => "Exit updated successfully",
            "consultExceptionalOuting" => "Consult exceptional outing",
            "doYouConfirmTheDeletionOfTheExit" => "Do you confirm the deletion of the exit N°",
            "exitDeletedSuccessfully" => "Exit deleted successfully",
            "printTheListOfExceptionalOutings" => "Print the list of exceptional outings",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "store" => "Store",
            "allTypes" => "All types",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfTheExit" => "Do you confirm the validation of the exit N°",
            "exitValidatedSuccessfully" => "Exit validated successfully",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
