<?php

//Remember default language is french

class HomeFrench
{
    public static $values = [
        "index" => [
            "home" => "Accueil",
            "expiredItems" => "Produits périmés",
            "soonToExpireItems" => "Produits bientôt périmés",
            "product" => "Produit",
            "batchNumber" => "Numéro de lot",
            "quantity" => "Quantité",
            "expirationDate" => "Date de péremption",
            "store" => "Magasin",
            "searchByStore" => "Rechercher par magasin",
            "searchByProductName" => "Rechercher par nom de produit",
            "searchByBatchNumber" => "Rechercher par numéro de lot",
            "itemsAtThreshold" => "Produits au seuil",
            "theAppointmentsOfTheWeek" => "Les rendez-vous de la semaine",
            "anErrorOccurredDuringLoadingDetailsOfAppointment" => "Une erreur est survenue lors du chargement des détails du rendez-vous",
            "todaySales" => "Ventes d'aujourd'hui",
            "todayFundMovements" => "Mouvements de fond d'aujourd'hui",
        ],
        "fundMovements" => "Mouvements de fonds",
        "entries" => "Entrées",
        "exits" => "Sorties",
        "sales" => "Ventes",
        "invoices" => "Factures",
        "credits" => "Avoirs",
        "invoicePayment" => "Paiement de facture",
        "creditPayment" => "Paiement d'avoirs",
        "salesOfTheWeek" => "Ventes de la semaine",
        "fundMovementsOfTheWeek" => "Mouvements de fond de la semaine",
        "salesOf" => "Ventes de",
        "fundMovementsOf" => "Mouvements de fond de",
        "salesOfTheFirstQuarterOf" => "Ventes du premier trimestre de",
        "salesOfTheSecondQuarterOf" => "Ventes du second trimestre de",
        "salesOfTheThirdQuarterOf" => "Ventes du troisième trimestre de",
        "salesOfTheFourthQuarterOf" => "Ventes du quatrième trimestre de",
        "fundMovementsOfTheFirstQuarterOf" => "Mouvements de fond du premier trimestre de",
        "fundMovementsOfTheSecondQuarterOf" => "Mouvements de fond du second trimestre de",
        "fundMovementsOfTheThirdQuarterOf" => "Mouvements de fond du troisième de",
        "fundMovementsOfTheFourthQuarterOf" => "Mouvements de fond du quatrième trimestre",
        "salesOfTheFirstHalfOf" => "Ventes du premier semestre de",
        "salesOfTheSecondHalfOf" => "Ventres du second semestre de",
        "fundMovementsOfTheFirstHalfOf" => "Mouvements de fond du premier semestre de",
        "fundMovementsOfTheSecondHalfOf" => "Mouvements de fond du second semestre de",
        "salesOfYear" => "Ventes de l'année",
        "fundMovementsOfYear" => "Mouvements de fond de l'année",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
