<?php

//Remember default language is french

class OperationsEnglish
{
    public static $values = [
        "index" => [
            "user" => "User",
            "operation" => "Operation",
            "dateAndHour" => "Date and hour",
            "searchByUser" => "Search by user",
            "allUsers" => "All users",
            "fromDate" => "From date",
            "toDate" => "To date",
        ],
        "print" => [
            "searchByUser" => "Search by user",
            "allUsers" => "All users",
            "searchByPrintCode" => "Search by print code",
            "fromDate" => "From date",
            "toDate" => "To date",
            "user" => "User",
            "printCode" => "Print code",
            "printTitle" => "Print title",
            "printFilters" => "Print filters",
            "dateAndHour" => "Date and hour",
        ],
        "message" => [
            "searchByUser" => "Search by user",
            "fromDate" => "From date",
            "toDate" => "To date",
            "allUsers" => "All users",
            "user" => "User",
            "totalSmsToBeSent" => "Total sms to be sent",
            "totalEmailToBeSent" => "Total email to be sent",
            "totalSmsSent" => "Total sms sent",
            "totalEmailSent" => "Total email sent",
            "dateAndHour" => "Date and hour",
            "notConsidered" => "Not considered",
            "viewMessages" => "View messages",
            "detailsOfTheMessages" => "Details of the messages",
            "customer" => "Customer",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "smsStatus" => "SMS status",
            "emailStatus" => "Email status",
            "message" => "Message",
            "sent" => "Sent",
            "unsent" => "Unsent",
            "smsCost" => "SMS cost",
            "sms" => "SMS",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
