<?php

//Remember default language is french

class OperationsFrench
{
    public static $values = [
        "index" => [
            "user" => "Utilisateur",
            "operation" => "Opération",
            "dateAndHour" => "Date et heure",
            "searchByUser" => "Rechercher par utilisateur",
            "allUsers" => "Tous les utilisateurs",
            "fromDate" => "Depuis la date",
            "toDate" => "Jusqu'à la date",
        ],
        "print" => [
            "searchByUser" => "Rechercher par utilisateur",
            "allUsers" => "Tous les utilisateurs",
            "searchByPrintCode" => "Rechercher par code d'impression",
            "fromDate" => "Depuis la date",
            "toDate" => "Jusqu'à la date",
            "user" => "Utilisateur",
            "printCode" => "Code d'impression",
            "printTitle" => "Titre d'impression",
            "printFilters" => "Filtres d'impression",
            "dateAndHour" => "Date et heure",
        ],
        "message" => [
            "searchByUser" => "Rechercher par utilisateur",
            "fromDate" => "Depuis la date",
            "toDate" => "Jusqu'à la date",
            "user" => "Utilisateur",
            "allUsers" => "Tous les utilisateurs",
            "totalSmsToBeSent" => "Total sms à envoyer",
            "totalEmailToBeSent" => "Total e-mail à envoyer",
            "totalSmsSent" => "Total sms envoyés",
            "totalEmailSent" => "Total e-mail envoyés",
            "dateAndHour" => "Date et heure",
            "notConsidered" => "Non considéré",
            "viewMessages" => "Consulter les messages",
            "detailsOfTheMessages" => "Détails sur les messages",
            "customer" => "Client",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "smsStatus" => "Statut SMS",
            "emailStatus" => "Statut E-mail",
            "message" => "Message",
            "sent" => "Envoyé",
            "unsent" => "Non envoyé",
            "smsCost" => "Coût SMS",
            "sms" => "SMS",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
