<?php

//Remember default language is french

class OrderEnglish
{
    public static $values = [
        "index" => [
            "newOrder" => "New order",
            "userHelpingMessage1" => "You get your supplies from your suppliers by orders, all of them are created from here",
            "userHelpingMessage2" => "Orders can be transformed into reception after their validation and become available in your stock",
            "number" => "Number",
            "supplier" => "Supplier",
            "pointOfSale" => "Point of sale",
            "orderDate" => "Order date",
            "entryDate" => "Entry date",
            "total" => "Total",
            "searchByPointOfSale" => "Search by point of sale",
            "searchBySupplier" => "Search by supplier",
            "noSupplierSelected" => "No supplier selected",
            "orderDateAfterThisDate" => "Order date after this date",
            "orderDateBeforeThisDate" => "Order date before this date",
            "receive" => "Receive",
            "selectingItems" => "Selecting items",
            "orderInfo" => "Order info",
            "orderContent" => "Order content",
            "searchByProductCategory" => "Search by product category",
            "searchByProductName" => "Search by product name",
            "noCategorySelected" => "No category selected",
            "add" => "Add",
            "emptyOrderAtTheMoment" => "Empty order at the moment",
            "product" => "Product",
            "quantity" => "Quantity",
            "unitP" => "Unit P.",
            "clickToAddToOrder" => "Click to add to order",
            "pleaseSelectASupplierForThisOrder" => "Please select a supplier for this order",
            "pleaseFillOrderDateField" => "Please fill order date field",
            "pleaseEnterAValidQuantity" => "Please enter a valid quantity",
            "anOrderCannotBeEmpty" => "An order cannot be empty",
            "pleaseEnterAValidPrice" => "Please enter a valid price",
            "orderSuccessfullyRegistered" => "Order successfully registered",
            "editOrder" => "Edit order",
            "orderUpdatedSuccessfully" => "Order updated successfully",
            "consultOrder" => "Consult order",
            "doYouConfirmTheDeletionOfTheOrder" => "Do you confirm the deletion of the order N°",
            "orderDeletedSuccessfully" => "Order deleted successfully",
            "receiveOrder" => "Receive order",
            "receivingStore" => "Receiving store",
            "noStoreSelected" => "No store selected",
            "deliveryNoteNumber" => "Delivery note number",
            "receivingDate" => "Receiving date",
            "commentOnReception" => "Comment on reception",
            "buyingPrice" => "Buying price",
            "sellingPrice" => "Selling price",
            "maxReductionPer" => "Max. Reduction %",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "pleaseSelectAReceivingStoreForThisReception" => "Please select a receiving store for this reception",
            "pleaseFillDeliveryNoteNumberField" => "Please fill delivery note number field",
            "pleaseFillReceivingDateField" => "Please fill receiving date field",
            "pleaseFillCommentOnReceptionField" => "Please fill comment on reception field",
            "pleaseEnterAValidSellingPrice" => "Please enter a valid selling price",
            "pleaseEnterAValidMaximumReductionPercent" => "Please enter a valid maximum reduction percent",
            "pleaseEnterBatchNumber" => "Please enter batch number",
            "pleaseSelectExpirationDate" => "Please select expiration date",
            "aReceptionCannotBeEmpty" => "A reception cannot be empty",
            "reception" => "Réception",
            "orderReceivedSuccessfully" => "Order received successfully",
            "aReceptionWithThisDeliveryNoteNumberAlreadyExists" => "A reception with this delivery note number already exists",
            "printingTheListOfOrders" => "Printing the list of orders",
            "allSuppliers" => "All suppliers",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "wishedDeliveryDate" => "Wished delivery date",
            "pleaseFillWishedDeliveryDateField" => "Please fill wished delivery date field",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfTheOrder" => "Do you confirm the validation ot the order N°",
            "orderValidatedSuccessfully" => "Order validated successfully",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
