<?php

//Remember default language is french

class OrderFrench
{
    public static $values = [
        "index" => [
            "newOrder" => "Nouvelle commande",
            "userHelpingMessage1" => "Vous vous approvisionnez chez vos fournisseurs par des commandes, toutes ces dernières sont créées d'ici",
            "userHelpingMessage2" => "Les commandes pourront être transformées en réception après leur validation et devenir disponible dans votre stock",
            "number" => "Numéro",
            "supplier" => "Fournisseur",
            "pointOfSale" => "Point de vente",
            "orderDate" => "Date de commande",
            "entryDate" => "Date de saisie",
            "total" => "Total",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "searchBySupplier" => "Rechercher par fournisseur",
            "noSupplierSelected" => "Aucun fournisseur sélectionné",
            "orderDateAfterThisDate" => "Date de commande avant cette date",
            "orderDateBeforeThisDate" => "Date de commande après cette date",
            "receive" => "Réceptionner",
            "selectingItems" => "Sélection des produits",
            "orderInfo" => "Informations sur la commande",
            "orderContent" => "Contenu de la commande",
            "searchByProductCategory" => "Rechercher par catégorie de produit",
            "searchByProductName" => "Rechercher par nom de produit",
            "noCategorySelected" => "Aucune catégorie sélectionnée",
            "add" => "Ajouter",
            "emptyOrderAtTheMoment" => "Commande vide pour le moment",
            "product" => "Produit",
            "quantity" => "Quantité",
            "unitP" => "Prix U.",
            "clickToAddToOrder" => "Cliquez pour ajouter à la commande",
            "pleaseSelectASupplierForThisOrder" => "Veuillez sélectionner un fournisseur pour cette commande",
            "pleaseFillOrderDateField" => "Veuillez remplir le champ date de commande",
            "pleaseEnterAValidQuantity" => "Veuillez entrer une quantité valide",
            "anOrderCannotBeEmpty" => "Une commande ne peut être vide",
            "pleaseEnterAValidPrice" => "Veuillez entrer prix valide",
            "orderSuccessfullyRegistered" => "Commande enregistrée avec succès",
            "editOrder" => "Modifier la commande",
            "orderUpdatedSuccessfully" => "Commande mise à jour avec succès",
            "consultOrder" => "Consulter la commande",
            "doYouConfirmTheDeletionOfTheOrder" => "Confirmez-vous la suppression de la commande N°",
            "orderDeletedSuccessfully" => "Commande supprimée avec succès",
            "receiveOrder" => "Réceptionner la commande",
            "receivingStore" => "Magasin de réception",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "deliveryNoteNumber" => "Numéro de bordereau de livraison",
            "receivingDate" => "Date de réception",
            "commentOnReception" => "Commentaire sur la réception",
            "buyingPrice" => "Prix d'achat",
            "sellingPrice" => "Prix de vente",
            "maxReductionPer" => "% Max. Reduction",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "pleaseSelectAReceivingStoreForThisReception" => "Veuillez sélectionner un magasin de réception pour cette réception",
            "pleaseFillDeliveryNoteNumberField" => "Veuillez remplir le champ numéro de bordereau de livraison",
            "pleaseFillReceivingDateField" => "Veuillez le champ date de réception",
            "pleaseFillCommentOnReceptionField" => "Veuillez remplir le champ commentaire sur la réception",
            "pleaseEnterAValidSellingPrice" => "Veuillez entrer un prix de vente valide",
            "pleaseEnterAValidMaximumReductionPercent" => "Veuillez entrer un pourcentage maximum de réduction valide",
            "pleaseEnterBatchNumber" => "Veuillez entrer le numéro de lot",
            "pleaseSelectExpirationDate" => "Veuillez sélectionner la date d'expiration",
            "aReceptionCannotBeEmpty" => "Une réception ne peut être vide",
            "reception" => "Réception",
            "orderReceivedSuccessfully" => "Commande réceptionnée avec succès",
            "aReceptionWithThisDeliveryNoteNumberAlreadyExists" => "Une réception avec ce numéro de bordereau de livraison existe déjà",
            "printingTheListOfOrders" => "Impression de la liste des commandes",
            "allSuppliers" => "Tous les fournisseurs",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "wishedDeliveryDate" => "Date de livraison souhaitée",
            "pleaseFillWishedDeliveryDateField" => "Veuillez remplir le champ date de livraison souhaitée",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfTheOrder" => "Confirmez-vous la validation de la commande N°",
            "orderValidatedSuccessfully" => "Commande validée avec succès",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
