<?php

//Remember default language is french

class ProductEnglish
{
    public static $values = [
        "index" => [
            "newProduct" => "New product",
            "defaultSalePrice" => "Default sale price",
            "salePrice2" => "Sale price 2",
            "salePrice3" => "Sale price 3",
            "buyingPrice" => "Buying price",
            "productName" => "Product name",
            "maximumPercentageReductionAllowed" => "Maximum percentage reduction allowed",
            "noGenderSelected" => "No gender selected",
            "productReference" => "Product reference",
            "isItAService" => "Is it a service",
            "nonStorableProduct" => "Non-storable product",
            "productImage" => "Product image",
            "willTheProductBeInventoried" => "Will the product be inventoried",
            "productPriority" => "Product priority",
            "productNature" => "Product nature",
            "noNatureSelected" => "No nature selected",
            "stockAlertQuantity" => "Stock alert quantity",
            "thePricesEnteredForThisProductAre" => "The prices entered for this product are",
            "allTaxesIncluded" => "All taxes included",
            "withoutTaxes" => "Without taxes",
            "pleaseSelectAGenderForTheProduct" => "Please select a gender for the product",
            "pleaseEnterProductReference" => "Please enter product reference",
            "pleaseEnterProductName" => "Please enter product name",
            "pleaseEnterAValidNumberForMaximumPercentReductionAllowed" => "Please enter valid a number for maximum percent reduction allowed",
            "pleaseIndicateIfTheProductIsAService" => "Please indicate if the product is a service",
            "pleaseSelectACategoryForTheProduct" => "Please select a category for the product",
            "pleaseIndicateIfTheProductWillBeInventoried" => "Please indicate if the product will be inventoried",
            "pleaseEnterAValidNumberForProductPriority" => "Please enter a valid number for product priority",
            "pleaseEnterAValidNumberForProductStockAlertQuantity" => "Please enter a valid number for product stock alert quantity",
            "pleaseEnterProductBuyingPrice" => "Please enter product buying price",
            "pleaseEnterAValidNumberForProductBuyingPrice" => "Please enter a valid number for product buying price",
            "pleaseEnterProductDefaultSalePrice" => "Please enter product sale price",
            "pleaseEnterAValidNumberForProductDefaultSalePrice" => "Please enter a valid number for product sale price",
            "pleaseEnterProductSalePrice2" => "Please enter product sale price 2",
            "pleaseEnterAValidNumberForProductSalePrice2" => "Please enter a valid number for product sale price 2",
            "pleaseEnterProductSalePrice3" => "Please enter product sale price 3",
            "pleaseEnterAValidNumberForProductSalePrice3" => "Please enter a valid number for product sale price 3",
            "aProductWithThisReferenceAlreadyExists" => "A product with this reference already exists",
            "aProductWithThisNameAlreadyExists" => "A product with this name already exists",
            "productSuccessfullyRegistered" => "Product successfully registered",
            "editProduct" => "Edit product",
            "applyThesePricesToExistingStocksOfTheProduct" => "Apply the prices to existing stocks of the product",
            "yesToAllAvailableStocks" => "Yes to all available stocks",
            "noOnlyFutureStocksWillUseThem" => "No only future stocks will use them",
            "productUpdatedSuccessfully" => "Product updated successfully",
            "consultProduct" => "Consult product",
            "doYouConfirmTheDeletionOfTheProduct" => "Do you confirm the deletion of the product",
            "productDeletedSuccessfully" => "Product deleted successfully",
            "printingTheListOfProducts" => "Printing the list of products",
            "whatProductsDoYouWantToPrint" => "What products do you want to print",
            "allProductsAndServices" => "All products and services",
            "allProducts" => "All products",
            "allServices" => "All services",
            "productsInStock" => "Products in stock",
            "searchByProductName" => "Search by product name",
            "searchByProductCategory" => "Search by product category",
            "searchByProductType" => "Search by product type",
            "searchByProductReference" => "Search by product reference",
            "noTypeSelected" => "No type selected",
            "product" => "Product",
            "service" => "Service",
            "type" => "Type",
            "reference" => "Reference",
            "barCode" => "Bar code",
            "isTheProductPerishable" => "Is the product perishable",
            "aProductWithThisBarCodeAlreadyExists" => "A product with this bar code already exists",
            "barCodeLengthMustBeEvent" => "Bar code length must be even",
            "subscriptionLimitsForProductMessage" => "You have reached the number of products allowed by your subscription",
        ],
        "tariffs" => [
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "salePrice" => "Sale price",
            "searchByStore" => "Search by store",
            "searchByProductCategory" => "Search by product category",
            "searchByProductName" => "Search by product name",
            "searchByBatchNumber" => "Search by batch number",
            "price" => "Price",
            "pleaseEnterThePrice" => "Please enter the price",
            "pleaseEnterAValidNumberForThePrice" => "Please enter a valid number for the price",
            "expiredStock" => "Expired stock",
            "outOfStock" => "Out of stock",
            "thresholdReached" => "Threshold reached",
            "soonToExpire" => "Soon to expire",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
