<?php

//Remember default language is french

class ProductFrench
{
    public static $values = [
        "index" => [
            "newProduct" => "Nouveau produit",
            "defaultSalePrice" => "Prix de vente par défaut",
            "salePrice2" => "Prix de vente 2",
            "salePrice3" => "Prix de vente 3",
            "buyingPrice" => "Prix d'achat",
            "productName" => "Nom du produit",
            "maximumPercentageReductionAllowed" => "Pourcentage maximum de réduction autorisé",
            "noGenderSelected" => "Aucun genre sélectionné",
            "productReference" => "Référence du produit",
            "isItAService" => "Est-ce un service",
            "nonStorableProduct" => "Produit non stockable",
            "productImage" => "Image du produit",
            "willTheProductBeInventoried" => "Le produit sera-t-il inventorié",
            "productPriority" => "Priorité du produit",
            "productNature" => "Nature du produit",
            "noNatureSelected" => "Aucune nature sélectionnée",
            "stockAlertQuantity" => "Quantité d'alerte de stock",
            "thePricesEnteredForThisProductAre" => "Les prix saisis pour ce produit sont",
            "allTaxesIncluded" => "Toutes taxes comprises",
            "withoutTaxes" => "Hors taxes",
            "pleaseSelectAGenderForTheProduct" => "Veuillez sélectionner un genre pour le produit",
            "pleaseEnterProductReference" => "Veuillez entrer la référence du produit",
            "pleaseEnterProductName" => "Veuillez entrer le nom du produit",
            "pleaseEnterAValidNumberForMaximumPercentReductionAllowed" => "Veuillez entrer un chiffre valide pour le pourcentage de réduction maximum autorisé",
            "pleaseIndicateIfTheProductIsAService" => "Veuillez indiquer si le produit est un service",
            "pleaseSelectACategoryForTheProduct" => "Veuillez sélectionner une catégorie pour le produit",
            "pleaseIndicateIfTheProductWillBeInventoried" => "Veuillez indiquer si le produit sera inventorié",
            "pleaseEnterAValidNumberForProductPriority" => "Veuillez entrer un chiffre valide pour la priorité du produit",
            "pleaseEnterAValidNumberForProductStockAlertQuantity" => "Veuillez entrer un chiffre valide pour la quantité d'alerte de stock du produit",
            "pleaseEnterProductBuyingPrice" => "Veuillez entrer le prix d'achat du produit",
            "pleaseEnterAValidNumberForProductBuyingPrice" => "Veuillez entrer un chiffre valide pour le prix d'achat du produit",
            "pleaseEnterProductDefaultSalePrice" => "Veuillez entrer le prix de vente par défaut du produit",
            "pleaseEnterAValidNumberForProductDefaultSalePrice" => "Veuillez entrer un chiffre valide pour le prix de vente par défaut du produit",
            "pleaseEnterProductSalePrice2" => "Veuillez entrer le prix de vente 2 du produit",
            "pleaseEnterAValidNumberForProductSalePrice2" => "Veuillez entre un chiffre valide pour le prix de vente 2 du produit",
            "pleaseEnterProductSalePrice3" => "Veuillez entrer le prix de vente 3 du produit",
            "pleaseEnterAValidNumberForProductSalePrice3" => "Veuillez entrer un chiffre valide pour le prix de vente 3 du produit",
            "aProductWithThisReferenceAlreadyExists" => "Un produit avec cette référence existe déjà",
            "aProductWithThisNameAlreadyExists" => "Un produit avec ce nom existe déjà",
            "productSuccessfullyRegistered" => "Produit enregistré avec succès",
            "editProduct" => "Modifier le produit",
            "applyThesePricesToExistingStocksOfTheProduct" => "Appliquer ces prix aux stocks existants du produit",
            "yesToAllAvailableStocks" => "Oui à tous les stocks disponibles",
            "noOnlyFutureStocksWillUseThem" => "Non seuls les futures stocks les utiliseront",
            "productUpdatedSuccessfully" => "Produit mis à jour avec succès",
            "consultProduct" => "Consulter le produit",
            "doYouConfirmTheDeletionOfTheProduct" => "Confirmez-vous la suppression du produit",
            "productDeletedSuccessfully" => "Produit supprimé avec succès",
            "printingTheListOfProducts" => "Impression de la liste des produits",
            "whatProductsDoYouWantToPrint" => "Quels produits souhaitez-vous imprimer",
            "allProductsAndServices" => "Tous les produits et services",
            "allProducts" => "Tous les produits",
            "allServices" => "Tous les services",
            "productsInStock" => "Les produits en stock",
            "searchByProductName" => "Rechercher par nom de produit",
            "searchByProductCategory" => "Rechercher par catégorie de produit",
            "searchByProductType" => "Rechercher par type de produit",
            "searchByProductReference" => "Rechercher par référence de produit",
            "noTypeSelected" => "Aucun type sélectionné",
            "product" => "Produit",
            "service" => "Service",
            "type" => "Type",
            "reference" => "Référence",
            "barCode" => "Code barre",
            "isTheProductPerishable" => "Le produit est-il périssable",
            "aProductWithThisBarCodeAlreadyExists" => "Un produit avec ce code barre existe déjà",
            "barCodeLengthMustBeEvent" => "La longueur du code barre doit être paire",
            "subscriptionLimitsForProductMessage" => "Vous avez atteint les limites de nombre de produits autorisés par votre abonnement",
        ],
        "tariffs" => [
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "salePrice" => "Prix de vente",
            "searchByStore" => "Rechercher par magasin",
            "searchByProductCategory" => "Rechercher par catégorie de produit",
            "searchByProductName" => "Rechercher par nom de produit",
            "searchByBatchNumber" => "Rechercher par numéro de lot",
            "price" => "Prix",
            "pleaseEnterThePrice" => "Veuillez entrer le prix",
            "pleaseEnterAValidNumberForThePrice" => "Veuillez entrer un chiffre valide pour le prix",
            "expiredStock" => "Stock périmé",
            "outOfStock" => "En rupture",
            "thresholdReached" => "Seuil atteint",
            "soonToExpire" => "Bientôt périmé",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
