<?php

//Remember default language is french

class ProductCategoryEnglish
{
    public static $values = [
        "index" => [
            "parentCategory" => "Parent category",
            "userHelpingMessage1" => "Product categories allow you to group together the items you sell in your establishment, allowing you to facilitate certain searches",
            "userHelpingMessage2" => "You have the possibility to create subcategories of category to improve your grouping",
            "noParentCategorySelected" => "No parent category selected",
            "pleaseFillCategoryNameField" => "Please fill category name field",
            "productCategorySuccessfullyRegistered" => "Product category successfully registered",
            "aProductCategoryWithThisNameAlreadyExists" => "A product category with this name already exists",
            "productCategoryUpdatedSuccessfully" => "Product category updated successfully",
            "doYouConfirmTheDeletionOfTheProductCategory" => "Do you confirm the deletion of the product category",
            "productCategoryDeletedSuccessfully" => "Product category deleted successfully",
            "thisProductCategoryIsInUse" => "This product category is in use",
            "searchByProductCategoryName" => "Search by product category name",
            "searchByParentCategory" => "Search by parent category",
        ]
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
