<?php

//Remember default language is french

class PromotionEnglish
{
    public static $values = [
        "index" => [
            "newPromotion" => "New promotion",
            "filterByPointOfSale" => "Filter by point of sale",
            "filterByStartDate" => "Filter by start date",
            "filterByEndDate" => "Filter by end date",
            "allPointsOfSale" => "All points of sale",
            "pointsOfSaleConcerned" => "Points of sale concerned",
            "discountPercentage" => "Discount %",
            "startDate" => "Start date",
            "endDate" => "End date",
            "entryDate" => "Entry date",
            "selectingItems" => "Selecting items",
            "searchByProductCategory" => "Search by product category",
            "noCategorySelected" => "No category selected",
            "searchByProductName" => "Search by product name",
            "promotionInfo" => "Promotion info",
            "validInWhichPointsOfSale" => "Valid in which points of sale",
            "commentOnPromotion" => "Comment on promotion",
            "promotionContent" => "Promotion content",
            "emptyPromotionAtTheMoment" => "Empty promotion at the moment",
            "product" => "Product",
            "clickToAddToPromotion" => "Click to add to promotion",
            "unitPrice" => "Unit price",
            "pleaseSelectAStartDate" => "Please select a start date",
            "pleaseSelectAnEndDate" => "Please select and end date",
            "theStartDateCannotBeAfterTheEndDate" => "The start date cannot be after the end date",
            "pleaseFillCommentOnPromotionField" => "Please fill comment on promotion field",
            "pleaseEnterAValidDiscountPercentage" => "Please enter a valid discount percentage",
            "aPromotionCannotBeEmpty" => "A promotion cannot be empty",
            "promotionRegisteredSuccessfully" => "Promotion registered successfully",
            "thereIsAConflictWithAnotherPromotion" => "There is a conflict with another promotion",
            "editPromotion" => "Edit promotion",
            "promotionUpdatedSuccessfully" => "Promotion updated successfully",
            "consultPromotion" => "Consult promotion",
            "doYouConfirmTheDeletionOfThisPromotion" => "Do you confirm the deletion of this promotion",
            "promotionDeletedSuccessfully" => "Promotion deleted successfully",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfThisPromotion" => "Do you confirm the validation of this promotion",
            "promotionValidatedSuccessfully" => "Promotion validated successfully",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
