<?php

//Remember default language is french

class PromotionFrench
{
    public static $values = [
        "index" => [
            "newPromotion" => "Nouvelle promotion",
            "filterByPointOfSale" => "Filtrer par point de vente",
            "filterByStartDate" => "Filtrer par date de début",
            "filterByEndDate" => "Filtrer par date de fin",
            "allPointsOfSale" => "Tous les points de vente",
            "pointsOfSaleConcerned" => "Points de vente concernés",
            "discountPercentage" => "% de Réduction",
            "startDate" => "Date de début",
            "endDate" => "Date de fin",
            "entryDate" => "Date de saisie",
            "selectingItems" => "Sélection des produits",
            "searchByProductCategory" => "Rechercher par catégorie de produit",
            "noCategorySelected" => "Aucune catégorie sélectionnée",
            "searchByProductName" => "Rechercher par nom de produit",
            "promotionInfo" => "Informations sur la promotion",
            "validInWhichPointsOfSale" => "Valide dans quels points de vente",
            "commentOnPromotion" => "Commentaire sur la promotion",
            "promotionContent" => "Contenu de la promotion",
            "emptyPromotionAtTheMoment" => "Promotion vide pour le moment",
            "product" => "Produit",
            "clickToAddToPromotion" => "Cliquer pour ajouter à la promotion",
            "unitPrice" => "Prix unitaire",
            "pleaseSelectAStartDate" => "Veuillez sélectionner une date de début",
            "pleaseSelectAnEndDate" => "Veuillez sélectionner une date de fin",
            "theStartDateCannotBeAfterTheEndDate" => "La date de début ne peut être après la date de fin",
            "pleaseFillCommentOnPromotionField" => "Veuillez remplir le champ commentaire sur la promotion",
            "pleaseEnterAValidDiscountPercentage" => "Veuillez saisir un pourcentage de réduction valide",
            "aPromotionCannotBeEmpty" => "Une promotion ne peut être vide",
            "promotionRegisteredSuccessfully" => "Promotion enregistrée avec succès",
            "thereIsAConflictWithAnotherPromotion" => "Il y'a un conflit avec une autre promotion",
            "editPromotion" => "Modifier la promotion",
            "promotionUpdatedSuccessfully" => "Promotion mise à jour avec succès",
            "consultPromotion" => "Consulter la promotion",
            "doYouConfirmTheDeletionOfThisPromotion" => "Confirmez-vous la suppression de cette promotion",
            "promotionDeletedSuccessfully" => "Promotion supprimée avec succès",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfThisPromotion" => "Confirmez-vous la validation de cette promotion",
            "promotionValidatedSuccessfully" => "Promotion validée avec succès",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
