<?php

//Remember default language is french

class ReceptionEnglish
{
    public static $values = [
        "index" => [
            "newReception" => "New reception",
            "receptionRegisteredSuccessfully" => "Reception registered successfully",
            "searchByStore" => "Search by store",
            "searchBySupplier" => "Search by supplier",
            "receivingDateAfterThisDate" => "Receiving date after this date",
            "receivingDateBeforeThisDate" => "Receiving date before this date",
            "noStoreSelected" => "No store selected",
            "noSupplierSelected" => "No supplier selected",
            "number" => "Number",
            "store" => "Store",
            "supplier" => "Supplier",
            "entryDate" => "Entry date",
            "receivingDate" => "Receiving date",
            "deliveryNoteNumber" => "Delivery note number",
            "selectingItems" => "Selecting items",
            "searchByProductCategory" => "Search by product category",
            "noCategorySelected" => "No category selected",
            "searchByProductName" => "Search by product name",
            "receptionInfo" => "Reception info",
            "receptionContent" => "Reception content",
            "emptyReceptionAtTheMoment" => "Empty reception at the moment",
            "product" => "Product",
            "quantity" => "Quantity",
            "buyingPrice" => "Buying price",
            "sellingPrice" => "Selling price",
            "maxReductionPer" => "Max. Reduction %",
            "batchNumber" => "Batch number",
            "expirationDate" => "Expiration date",
            "clickToAddToReception" => "Click to add to reception",
            "receivingStore" => "Receiving store",
            "commentOnReception" => "Comment on reception",
            "pleaseSelectASupplierForThisReception" => "Please select a supplier for this reception",
            "pleaseSelectAReceivingStoreForThisReception" => "Please select a receiving store for this reception",
            "pleaseFillDeliveryNoteNumberField" => "Please fill delivery note number field",
            "pleaseFillReceivingDateField" => "Please fill receiving date field",
            "pleaseFillCommentOnReceptionField" => "Please fill comment on reception field",
            "pleaseEnterAValidQuantity" => "Please enter a valid quantity",
            "pleaseEnterAValidBuyingPrice" => "Please enter a valid buying price",
            "pleaseEnterAValidSellingPrice" => "Please enter a valid selling price",
            "pleaseEnterAValidMaximumReductionPercent" => "Please enter a valid maximum reduction percent",
            "pleaseEnterBatchNumber" => "Please enter batch number",
            "pleaseSelectExpirationDate" => "Please select expiration date",
            "aReceptionCannotBeEmpty" => "A reception cannot be empty",
            "receptionSuccessfullyRegistered" => "Reception successfully registered",
            "aReceptionWithThisDeliveryNoteNumberAlreadyExists" => "A reception with this delivery note number already exists",
            "editReception" => "Edit reception",
            "receptionUpdatedSuccessfully" => "Reception updated successfully",
            "consultReception" => "Consult reception",
            "doYouConfirmTheDeletionOfTheReception" => "Do you confirm the deletion of the reception N°",
            "receptionDeletedSuccessfully" => "Reception deleted successfully",
            "printingTheListOfReceptions" => "Printing the list of receptions",
            "dateAfter" => "Date after",
            "dateBefore" => "Date before",
            "originOrder" => "Origin order",
            "orderNumber" => "Order N°",
            "noRelatedOrder" => "No related order",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfTheReception" => "De you confirm the validation of the reception N°",
            "receptionValidatedSuccessfully" => "Reception validated successfully",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}