<?php

//Remember default language is french

class ReceptionFrench
{
    public static $values = [
        "index" => [
            "newReception" => "Nouvelle réception",
            "receptionRegisteredSuccessfully" => "Réception enregistrée avec succès",
            "searchByStore" => "Rechercher par magasin",
            "searchBySupplier" => "Rechercher par fournisseur",
            "receivingDateAfterThisDate" => "Date de réception après cette date",
            "receivingDateBeforeThisDate" => "Date de réception avant cette date",
            "noStoreSelected" => "Aucun magasin sélectionné",
            "noSupplierSelected" => "Aucun fournisseur sélectionné",
            "number" => "Numéro",
            "store" => "Magasin",
            "supplier" => "Fournisseur",
            "entryDate" => "Date de saisie",
            "receivingDate" => "Date de réception",
            "deliveryNoteNumber" => "Numéro de bordereau de livraison",
            "selectingItems" => "Sélection des produits",
            "searchByProductCategory" => "Rechercher par catégorie de produit",
            "noCategorySelected" => "Aucune catégorie sélectionnée",
            "searchByProductName" => "Rechercher par nom de produit",
            "receptionInfo" => "Informations sur la réception",
            "receptionContent" => "Contenu de la réception",
            "emptyReceptionAtTheMoment" => "Réception vide pour le moment",
            "product" => "Produit",
            "quantity" => "Quantité",
            "buyingPrice" => "Prix d'achat",
            "sellingPrice" => "Prix de vente",
            "maxReductionPer" => "% Max. Reduction",
            "batchNumber" => "Numéro de lot",
            "expirationDate" => "Date de péremption",
            "clickToAddToReception" => "Cliquer pour ajouter à la réception",
            "receivingStore" => "Magasin de réception",
            "commentOnReception" => "Commentaire sur la réception",
            "pleaseSelectASupplierForThisReception" => "Veuillez sélectionner un fournisseur pour cette réception",
            "pleaseSelectAReceivingStoreForThisReception" => "Veuillez sélectionner un magasin de réception pour cette réception",
            "pleaseFillDeliveryNoteNumberField" => "Veuillez remplir le champ numéro de bordereau de livraison",
            "pleaseFillReceivingDateField" => "Veuillez remplir le champ date de réception",
            "pleaseFillCommentOnReceptionField" => "Veuillez remplir le champ commentaire sur la réception",
            "pleaseEnterAValidQuantity" => "Veuillez entrer une quantité valide",
            "pleaseEnterAValidBuyingPrice" => "Veuillez entrer un prix d'achat valide",
            "pleaseEnterAValidSellingPrice" => "Veuillez entrer un prix de vente valide",
            "pleaseEnterAValidMaximumReductionPercent" => "Veuillez entrer un pourcentage maximum de réduction valide",
            "pleaseEnterBatchNumber" => "Veuillez entrer le numéro de lot",
            "pleaseSelectExpirationDate" => "Veuillez sélectionner la date d'expiration",
            "aReceptionCannotBeEmpty" => "Une réception ne peut être vide",
            "receptionSuccessfullyRegistered" => "Réception enregistrée avec succès",
            "aReceptionWithThisDeliveryNoteNumberAlreadyExists" => "Une réception avec ce numéro de bordereau de livraison existe déjà",
            "editReception" => "Modifier la réception",
            "receptionUpdatedSuccessfully" => "Réception mise à jour avec succès",
            "consultReception" => "Consulter la réception",
            "doYouConfirmTheDeletionOfTheReception" => "Confirmez-vous la suppression de la réception N°",
            "receptionDeletedSuccessfully" => "Réception supprimée avec succès",
            "printingTheListOfReceptions" => "Impression des la liste des réceptions",
            "dateAfter" => "Date après le",
            "dateBefore" => "Date avant le",
            "originOrder" => "Commande d'origine",
            "orderNumber" => "Commande N°",
            "noRelatedOrder" => "Aucune commande liée",
        ],
        "validation" => [
            "doYouConfirmTheValidationOfTheReception" => "Confirmez-vous la validation de la réception N°",
            "receptionValidatedSuccessfully" => "Réception validée avec succès",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
