<?php

//Remember default language is french

class SalaryEnglish
{
    public static $values = [
        "index" => [],
        "payrollSections" => [
            "newSection" => "New section",
            "searchBySectionSign" => "Search by section sign",
            "allSigns" => "All signs",
            "positiveSection" => "Positive section",
            "negativeSection" => "Negative section",
            "searchBySectionDesignation" => "Search by section designation",
            "designation" => "Designation",
            "code" => "Code",
            "sign" => "Sign",
            "defaultAmount" => "Default amount",
            "positive" => "Positive",
            "negative" => "Negative",
            "pleaseFillDesignationField" => "Please fill designation field",
            "pleaseFillCodeField" => "Please fill code field",
            "PleaseSelectASign" => "Please select a sign",
            "pleaseFillDefaultAmountField" => "Please fill default amount field",
            "pleaseEnterAValidAmountForDefaultAmount" => "Please enter a valid amount for default amount",
            "payrollSectionSuccessfullyRegistered" => "Payroll section successfully registered",
            "aPayrollSectionWithThisDesignationAlreadyExists" => "A payroll section with this designation already exists",
            "aPayrollSectionWithThisCodeAlreadyExists" => "A payroll section with this code already exists",
            "editSection" => "Edit section",
            "payrollSectionUpdatedSuccessfully" => "Payroll section updated successfully",
            "doYouConfirmTheDeletionOfThePayrollSection" => "Do you confirm the deletion of the payroll section",
            "payrollSectionDeletedSuccessfully" => "Payroll section delete successfully",
        ],
        "payrollTemplates" => [
            "newTemplate" => "Nouveau modèle",
            "searchByTemplateDesignation" => "Search by template designation",
            "designation" => "Designation",
            "salaryAmount" => "Salary amount",
            "sign" => "Sign",
            "defaultAmount" => "Default amount",
            "selectingPayrollSections" => "Selecting payroll sections",
            "searchBySectionSign" => "Search by section sign",
            "searchBySectionDesignation" => "Search by section designation",
            "templateInfo" => "Template info",
            "templateComposition" => "Template composition",
            "emptyTemplateAtTheMoment" => "Empty template at the moment",
            "amount" => "Amount",
            "allSigns" => "All signs",
            "positiveSection" => "Positive section",
            "negativeSection" => "Negative section",
            "positive" => "Positive",
            "negative" => "Negative",
            "editTemplate" => "Edit template",
            "pleaseFillDesignationField" => "Please fill designation field",
            "pleaseEnterAValidAmount" => "Please enter a valid amount",
            "aTemplateMustConsistOfAtLeastOneSection" => "A template must consist of at least one section",
            "payrollTemplateSuccessfullyRegistered" => "Payroll template successfully registered",
            "aPayrollTemplateWithThisDesignationAlreadyExists" => "A payroll template with this designation already exists",
            "payrollTemplateUpdatedSuccessfully" => "Payroll template updated successfully",
            "aSalaryCannotBeNegativeOrEqualToZero" => "A salary cannot be negative or equal to zero",
            "doYouConfirmTheDeletionOfThePayrollTemplate" => "Do you confirm the deletion of the payroll template",
            "payrollTemplateDeletedSuccessfully" => "Payroll template deleted successfully",
        ],
        "salaryGeneration" => [
            "employee" => "Employee",
            "netToBeCollected" => "Net to be collected",
            "totalSalary" => "Total salary",
            "noEmployeesFoundAmongYourUsers" => "No employees found among your users",
            "salaryGenerationForWhichYear" => "Salary generation for which year",
            "salaryGenerationForWhichMonth" => "Salary generation for which month",
            "salaryGenerationBasedOnWhatInformation" => "Salary generation based on what information",
            "aFreeEntry" => "Free entry",
            "thePayrollTemplate" => "The payroll template",
            "thePreviousMonth" => "The previous month",
            "totals" => "Totals",
            "total" => "Total",
            "loadingSalaryInfos" => "Loading salary infos",
            "youMustCreatePayrollSectionsBeforeGeneratingSalaries" => "You must create payroll sections before generating salaries",
            "youCannotSelectAMonthFromTheFuture" => "You cannot select a month from the future",
            "pleaseEnterAValidAmountFor" => "Please enter a valid amount for",
            "theNetToBeCollectedCannotBeLessThanOrEqualToZero" => "The net to be collected cannot be less than equal to zero",
            "salariesSavedSuccessfully" => "Salaries saved successfully",
            "doYouConfirmTheDeletionOfTheEmployee" => "Do you confirm the deletion of the employee",
            "fromTheSalaryList" => "from the salary list",
            "salaryDeletedSuccessfully" => "Salary deleted successfully",
        ],
        "salaryValidation" => [
            "payrollValidationForWhichYear" => "Payroll validation for which year",
            "payrollValidationForWhichMonth" => "Payroll validation for which month",
            "youMustCreatePayrollSectionsAndGenerateSalariesBeforeValidation" => "You must create payroll sections and generate salaries before validation",
            "loadingSalaryInfos" => "Loading salary infos",
            "employee" => "Employee",
            "totals" => "Totals",
            "netToBeCollected" => "Net to be collected",
            "totalSalary" => "Total salary",
            "noSalaryLineFound" => "No salary line found",
            "doYouConfirmTheValidationOfTheSalaryOf" => "Do you confirm the validation of the salary of",
            "salaryValidatedSuccessfully" => "Salary validated successfully",
            "printSalaries" => "Print salaries",
        ],
        "payslips" => [
            "forWhichYear" => "For which year",
            "forWhichMonth" => "For which month",
            "youMustCreatePayrollSectionsGenerateAndValidateSalariesBeforePrintingThePayslips" => "You must create payroll sections, generate and validate salaries before printing the payslips",
            "employee" => "Employee",
            "totals" => "Totals",
            "netToBeCollected" => "Net to be collected",
            "totalSalary" => "Total salary",
            "noValidatedSalaryLineFound" => "No validated salary line found",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
