<?php

//Remember default language is french

class SubscriptionEnglish
{
    public static $values = [
        "index" => [
            "ongoingSubscription" => "ONGOING SUBSCRIPTION",
            "yourSubscriptionPackageIs" => "Your subscription package is",
            "yourSubscriptionWasActivatedOn" => "Your subscription was activated on",
            "yourSubscriptionIsValidUntil" => "Your subscription is valid until",
            "remainingDurationOfTheSubscription" => "Remaining duration of the subscription",
            "currentSubscriptionUsage" => "Current subscription usage",
        ],
        "uncertified" => [
            "uncertifiedSubscription" => "UNCERTIFIED SUBSCRIPTION",
            "uncertifiedSubscriptionDetectionMessage" => "We have detected that your Crescita instance is linked to an uncertified subscription",
            "contactAssignedSalesRepresentativeForUncertifiedSubscriptionMessage" => "Please contact your assigned sales representative for more information on acquiring a certified subscription",
        ],
        "expired" => [
            "expiredSubscription" => "EXPIRED SUBSCRIPTION",
            "yourSubscription" => "Your subscription",
            "hasExpired" => "has expired",
            "theSubscriptionWasValidUntil" => "The subscription was valid until",
            "contactAssignedSalesRepresentativeForExpiredSubscriptionMessage" => "Please contact your assigned sales representative for more information on subscription renewal",
        ],
        "days" => "Days",
        "hours" => "Hours",
        "minutes" => "Minutes",
        "seconds" => "Seconds",
        "allCrescitaPackages" => "All Crescita packages",
        "users" => "Users",
        "products" => "Products",
        "pointsOfSale" => "Points of sale",
        "stores" => "Stores",
        "usersAsNeeded" => "Users as needed",
        "productsAsNeeded" => "Products as needed",
        "pointsOfSaleAsNeeded" => "Points of sale as needed",
        "storesAsNeeded" => "Stores as needed",
        "year" => "YEAR",
        "asForAQuote" => "ASK FOR A QUOTE",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
