<?php

//Remember default language is french

class SubscriptionFrench
{
    public static $values = [
        "index" => [
            "ongoingSubscription" => "ABONNEMENT EN COURS",
            "yourSubscriptionPackageIs" => "Votre formule d'abonnement est",
            "yourSubscriptionWasActivatedOn" => "Votre abonnement a été activé le",
            "yourSubscriptionIsValidUntil" => "Votre abonnement est valable jusqu'au",
            "remainingDurationOfTheSubscription" => "Durée restante de l'abonnement",
            "currentSubscriptionUsage" => "Utilisation actuelle de l'abonnement",
        ],
        "uncertified" => [
            "uncertifiedSubscription" => "ABONNEMENT NON CERTIFIÉ",
            "uncertifiedSubscriptionDetectionMessage" => "Nous avons détecté que votre instance Crescita est liée à un abonnement non certifié",
            "contactAssignedSalesRepresentativeForUncertifiedSubscriptionMessage" => "Veuillez contacter votre commercial assigné pour plus d'informations sur l'acquisition d'un abonnement certifié",
        ],
        "expired" => [
            "expiredSubscription" => "ABONNEMENT EXPIRÉ",
            "yourSubscription" => "Votre abonnement",
            "hasExpired" => "a expiré",
            "theSubscriptionWasValidUntil" => "L'abonnement était valable jusqu'au",
            "contactAssignedSalesRepresentativeForExpiredSubscriptionMessage" => "Veuillez contacter votre commercial assigné pour plus d'informations sur le renouvellement d'abonnement",
        ],
        "days" => "Jours",
        "hours" => "Heures",
        "minutes" => "Minutes",
        "seconds" => "Secondes",
        "allCrescitaPackages" => "Toutes les formules Crescita",
        "users" => "Utilisateurs",
        "products" => "Produits",
        "pointsOfSale" => "Points de vente",
        "stores" => "Magasins",
        "usersAsNeeded" => "Utilisateurs au besoin",
        "productsAsNeeded" => "Produits au besoin",
        "pointsOfSaleAsNeeded" => "Points de vente au besoin",
        "storesAsNeeded" => "Magasins au besoin",
        "year" => "AN",
        "asForAQuote" => "DEMANDEZ UN DEVIS",
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
