<?php

//Remember default language is french

class UserEnglish
{
    public static $values = [
        "index" => [
            "newUser" => "New user",
            "userHelpingMessage1" => "Users are the people within your business who will need to log into this system to work on it",
            "userHelpingMessage2" => "You control user access by assigning them profiles",
            "fullName" => "Full name",
            "login" => "Login",
            "profile" => "Profile",
            "lastName" => "Nom",
            "firstName" => "Prénom",
            "phoneNumber" => "Phone number",
            "email" => "Email",
            "gender" => "Gender",
            "male" => "Male",
            "female" => "Female",
            "dateOfBirth" => "Date of birth",
            "isThisUserACashier" => "Is this user a cashier",
            "infosOnUser" => "Infos on user",
            "isThisUserAMasterCashier" => "Is this user a master cashier",
            "canThisUserMakeDiscountsOnInvoices" => "Can this user make discounts on invoices",
            "isThisUserASalariedEmployee" => "Is this user a salaried employee",
            "monthlyPayModel" => "Monthly pay model",
            "pointOfSale" => "Point of sale",
            "noPayModelSelected" => "No pay model selected",
            "systemLoginInfos" => "System login infos",
            "password" => "Password",
            "noProfileSelected" => "No profile selected",
            "pleaseFillLastNameField" => "Please fill last name field",
            "pleaseFillFirstNameField" => "Please fill first name field",
            "pleaseFillPhoneNumberField" => "Please fill phone number field",
            "pleaseFillEmailField" => "Please fill email field",
            "pleaseFillLoginField" => "Please fill login field",
            "pleaseSelectAProfileForThisUser" => "Please select a profile for this user",
            "userSuccessfullyRegistered" => "User successfully registered",
            "aUserWithThisLoginAlreadyExists" => "A user with this login already exists",
            "emailWarning" => "Please note that this email will be the one requested from the user in the event of a forgotten password, please ensure that it is functional",
            "editUser" => "Edit user",
            "userUpdatedSuccessfully" => "User updated successfully",
            "resetUserPasswordToLoginValue" => "Reset user password to login value",
            "doYouConfirmTheDeletionOfTheUser" => "Do you confirm the deletion of the user",
            "userDeletedSuccessfully" => "User deleted successfully",
            "consultUser" => "Consult user",
            "searchByFullName" => "Search by full name",
            "searchByLogin" => "Search by login",
            "searchByProfile" => "Search by profile",
            "searchByPointOfSale" => "Search by point of sale",
            "notAttached" => "Not attached",
            "forAnEmployeeUserPleaseSelectAMonthlyPayModel" => "For an employee user please select a monthly pay model",
            "aCashierUserMustBeLinkedToAPointOfSale" => "A cashier user must be linked to a point of sale",
            "thisLoginIsNotAuthorized" => "This login is not authorized",
            "lastLogin" => "Last login",
            "lastLogout" => "Last logout",
            "lastActivity" => "Last activity",
            "status" => "Status",
            "online" => "Online",
            "offline" => "Offline",
            "unknown" => "Unknown",
            "probablyOffline" => "Prob. offline",
            "ribNumber" => "RIB number",
            "bank" => "Bank",
            "bankAgency" => "Bank agency",
            "subscriptionLimitsForUserMessage" => "You have reached the limits of the number of users allowed by your subscription",
        ],
        "twoFactorOnCode" => [
            "youAreReceivingThisEmailBecauseYouHaveAskedForDoubleAuthenticationToBeActivatedOnYourAccount" => "You are receiving this email because you have asked for double authentication to be activated on your account",
        ],
        "twoFactorOffCode" => [
            "youAreReceivingThisEmailBecauseYouHaveAskedForDoubleAuthenticationToBeDeActivatedOnYourAccount" => "You are receiving this email because you have asked for double authentication to be deactivated on your account",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
