<?php

//Remember default language is french

class UserFrench
{
    public static $values = [
        "index" => [
            "newUser" => "Nouvel utilisateur",
            "userHelpingMessage1" => "Les utilisateurs sont les personnes au sein de votre business qui devront se connecter à ce système pour y travailler",
            "userHelpingMessage2" => "Vous contrôlez ce à quoi les utilisateurs accèdent en leur attribuant des profils",
            "fullName" => "Nom complet",
            "login" => "Login",
            "profile" => "Profil",
            "lastName" => "Nom",
            "firstName" => "Prénom",
            "phoneNumber" => "Numéro de téléphone",
            "email" => "E-mail",
            "gender" => "Genre",
            "male" => "Homme",
            "female" => "Femme",
            "dateOfBirth" => "Date de naissance",
            "isThisUserACashier" => "Cet utilisateur est-il un caissier",
            "infosOnUser" => "Informations sur l'utilisateur",
            "isThisUserAMasterCashier" => "Cet utilisateur est-il un caissier principal",
            "canThisUserMakeDiscountsOnInvoices" => "Cet utilisateur peut-il faire des réductions sur les factures",
            "isThisUserASalariedEmployee" => "Cet utilisateur est-il un employé salarié",
            "monthlyPayModel" => "Modèle de paie mensuel",
            "pointOfSale" => "Point de vente",
            "noPayModelSelected" => "Aucun modèle de paie sélectionné",
            "systemLoginInfos" => "Informations pour la connexion au système",
            "password" => "Mot de passe",
            "noProfileSelected" => "Aucun profil sélectionné",
            "pleaseFillLastNameField" => "Veuillez remplir le champ nom",
            "pleaseFillFirstNameField" => "Veuillez remplir le champ prénom",
            "pleaseFillPhoneNumberField" => "Veuillez remplir le champ numéro de téléphone",
            "pleaseFillEmailField" => "Veuillez remplir le champ e-mail",
            "pleaseFillLoginField" => "Veuillez remplir le champ login",
            "pleaseSelectAProfileForThisUser" => "Veuillez sélectionner un profil pour cet utilisateur",
            "userSuccessfullyRegistered" => "Utilisateur enregistré avec succès",
            "aUserWithThisLoginAlreadyExists" => "Un utilisateur portant ce login existe déjà",
            "emailWarning" => "Attention cet email sera celui demandé à l'utilisateur en cas de mot de passe oublié, bien vouloir s'assurer qu'il est fonctionnel",
            "editUser" => "Modifier l'utilisateur",
            "userUpdatedSuccessfully" => "Utilisateur mis à jour avec succès",
            "resetUserPasswordToLoginValue" => "Réinitialiser le mot de passe de l'utilisateur à la valeur du login",
            "doYouConfirmTheDeletionOfTheUser" => "Confirmez-vous la suppression de l'utilisateur",
            "userDeletedSuccessfully" => "Utilisateur supprimé avec succès",
            "consultUser" => "Consulter l'utilisateur",
            "searchByFullName" => "Rechercher par nom complet",
            "searchByLogin" => "Rechercher par login",
            "searchByProfile" => "Rechercher par profil",
            "searchByPointOfSale" => "Rechercher par point de vente",
            "notAttached" => "Pas rattaché",
            "forAnEmployeeUserPleaseSelectAMonthlyPayModel" => "Pour un utilisateur employé veuillez sélectionner un modèle de paie mensuel",
            "aCashierUserMustBeLinkedToAPointOfSale" => "Un utilisateur caissier doit être lié à un point de vente",
            "thisLoginIsNotAuthorized" => "Ce login n'est pas autorisé",
            "lastLogin" => "Dernière connexion",
            "lastLogout" => "Dernière déconnexion",
            "lastActivity" => "Dernière activité",
            "status" => "Statut",
            "online" => "En ligne",
            "offline" => "Hors ligne",
            "unknown" => "Inconnu",
            "probablyOffline" => "Prob. offline",
            "ribNumber" => "Numéro du RIB",
            "bank" => "Banque",
            "bankAgency" => "Agence de la banque",
            "subscriptionLimitsForUserMessage" => "Vous avez atteint les limites de nombre d'utilisateurs autorisés par votre abonnement",
        ],
        "twoFactorOnCode" => [
            "youAreReceivingThisEmailBecauseYouHaveAskedForDoubleAuthenticationToBeActivatedOnYourAccount" => "Vous recevez ce mail parce que vous avez demandé l'activation de la double authentification sur votre compte",
        ],
        "twoFactorOffCode" => [
            "youAreReceivingThisEmailBecauseYouHaveAskedForDoubleAuthenticationToBeDeActivatedOnYourAccount" => "Vous recevez ce mail parce que vous avez demandé la désactivation de la double authentification sur votre compte",
        ],
    ];

    public static function combine()
    {
        $translations = [];
        foreach (self::$values as $key => $value) {
            if (is_array($value)) {
                foreach ($value as $subKey => $subValue) {
                    $translations[$key . "." . $subKey] = $subValue;
                }
            } else {
                $translations[$key] = $value;
            }
        }
        return $translations;
    }
}
