<?php
$menuDao = new MenuDAO();
$profileLineDao = new ProfileLineDAO();
$userDao = new UserDAO();
$currentUser = $userDao->getUserById($_SESSION[SESSION_USER_ID]);
$menus = [];
$parentsMenu = $menuDao->getTopMenus();

foreach ($parentsMenu as $parent) {
    $menus[$parent->getIdMenu()] = ["activated" => false];
    $childrenMenu = $menuDao->getChildMenusOfMenu($parent);
    if (is_array($childrenMenu) && count($childrenMenu) > 0) {
        foreach ($childrenMenu as $childMenu) {
            if ($profileLineDao->hasMenuRight($currentUser->getIdProfil()->getIdProfil(), $childMenu->getIdMenu())) {
                $menus[$parent->getIdMenu()]["activated"] = true;
                break;
            }
        }
    }
}

?>

<div class="app-menu-bloc">
    <div class="ui sticky app-menu-bloc-sticky">
        <?php
        if ($_SESSION[SESSION_USER_POINT_OF_SALE] != null) {
        ?>
            <div class="app-menu-bloc-point-of-sale-container">
                <i class="warehouse icon app-menu-bloc-point-of-sale-container-icon"></i>
                <strong class="app-menu-bloc-point-of-sale-container-text"><?= $_SESSION[SESSION_USER_POINT_OF_SALE]; ?></strong>
            </div>
        <?php
        }
        ?>
        <div class="app-menu-bloc-logo-container">
            <a title="<?= $this->translator->_("shared.backToHomepage"); ?>" href="<?= $this->url(array('controller' => 'Home', 'action' => ''), null, true); ?>">
                <img class="app-menu-bloc-logo-image" src="<?= LOGO_STRUCTURE != null && LOGO_STRUCTURE != "" ? $this->baseUrl('images/business/' . LOGO_STRUCTURE) : $this->baseUrl('images/assets/app_logo.png') ?>" alt="logo" />
            </a>
        </div>
        <div class="app-menu-bloc-divider"></div>
        <?php
        foreach ($parentsMenu as $parent) {
            if (!$menus[$parent->getIdMenu()]["activated"]) continue;
        ?>
            <div class="app-menu-bloc-module-item-container">
                <a class="app-menu-bloc-module-item-content parent-menu" about="<?= $parent->getIdMenu(); ?>">
                    <div class="app-menu-bloc-module-item-content-prefix">
                        <i class="<?= $parent->getIcon() ?> app-menu-bloc-module-item-content-icon"></i>
                        <strong class="app-menu-bloc-module-item-content-text"><?= $this->translator->_($parent->getNom()); ?></strong>
                    </div>
                    <i class="fa fa-caret-right fa-fw app-menu-bloc-module-item-content-suffix-icon"></i>
                </a>
            </div>
        <?php
        }
        ?>
        <div class="app-menu-bloc-divider app-menu-bloc-bottom-divider"></div>
        <div class="app-menu-bloc-minify-container">
            <a class="app-menu-bloc-minify-content">
                <div class="app-menu-bloc-module-item-content-prefix">
                    <i class="fa fa-compress fa-fw app-menu-bloc-module-item-content-icon"></i>
                    <strong class="app-menu-bloc-module-item-content-text"><?= $this->translator->_("shared.collapseTheMenu"); ?></strong>
                </div>
                <i class="fa fa-caret-left fa-fw app-menu-bloc-module-item-content-suffix-icon"></i>
            </a>
        </div>
        <div class="app-horizontal-spacer"></div>
        <div class="app-menu-bloc-current-date-container">
            <strong class="app-menu-bloc-current-date-container-text"></strong>
        </div>
        <div class="app-menu-bloc-divider-third app-menu-bloc-time-divider"></div>
        <div class="app-menu-bloc-current-time-container">
            <strong class="app-menu-bloc-current-time-container-text"></strong>
        </div>
    </div>
</div>
<div class="app-menu-minified-bloc">
    <div class="ui sticky app-menu-minified-bloc-sticky">
        <?php
        if ($_SESSION[SESSION_USER_POINT_OF_SALE] != null) {
        ?>
            <div class="app-menu-minified-bloc-point-of-sale-container">
                <strong class="app-menu-minified-bloc-point-of-sale-container-text"><?= $_SESSION[SESSION_USER_POINT_OF_SALE]; ?></strong>
            </div>
        <?php
        }
        ?>
        <div class="app-menu-minified-bloc-logo-container">
            <a title="<?= $this->translator->_("shared.backToHomepage"); ?>" href="<?= $this->url(array('controller' => 'Home', 'action' => ''), null, true); ?>">
                <img class="app-menu-minified-bloc-logo-image" src="<?= LOGO_STRUCTURE != null && LOGO_STRUCTURE != "" ? $this->baseUrl('images/business/' . LOGO_STRUCTURE) : $this->baseUrl('images/assets/app_logo.png') ?>" alt="logo" />
            </a>
        </div>
        <div class="app-menu-minified-bloc-divider"></div>
        <?php
        foreach ($parentsMenu as $parent) {
            if (!$menus[$parent->getIdMenu()]["activated"]) continue;
            $translatedParentMenu = $this->translator->_($parent->getNom());
            $effectiveDisplayName = strlen($translatedParentMenu) > 8 ? substr($translatedParentMenu, 0, 8) . "..." : $translatedParentMenu;
        ?>
            <div class="app-menu-minified-bloc-module-item-container">
                <a title="<?= $this->translator->_($parent->getNom()); ?>" class="app-menu-minified-bloc-module-item-content parent-menu" about="<?= $parent->getIdMenu(); ?>">
                    <i class="<?= $parent->getIcon() ?> app-menu-minified-bloc-module-item-content-icon"></i>
                    <strong class="app-menu-minified-bloc-module-item-content-text"><?= $effectiveDisplayName ?></strong>
                </a>
            </div>
        <?php
        }
        ?>
        <div class="app-menu-minified-bloc-divider app-menu-minified-bloc-bottom-divider"></div>
        <div class="app-menu-minified-bloc-expand-container">
            <a class="app-menu-minified-bloc-expand-content" title="<?= $this->translator->_("shared.expandTheMenu"); ?>">
                <i class="fa fa-expand fa-fw app-menu-minified-bloc-module-item-content-icon"></i>
            </a>
        </div>
        <div class="app-horizontal-mini-spacer"></div>
        <div class="app-menu-minified-bloc-current-date-container">
            <strong class="app-menu-minified-bloc-current-date-container-text"></strong>
        </div>
        <div class="app-menu-minified-bloc-divider-third app-menu-bloc-time-divider"></div>
        <div class="app-menu-minified-bloc-current-time-container">
            <strong class="app-menu-minified-bloc-current-time-container-text"></strong>
        </div>
    </div>
</div>
<a class="app-menu-detail-dimmer"></a>
<div class="app-menu-detail-bloc">
    <a class="app-menu-detail-bloc-back-icon">
        <i class="fa fa-arrow-circle-left fa-fw"></i>
    </a>
    <div class="app-menu-detail-bloc-module-section"></div>
    <div class="app-menu-detail-bloc-children-section"></div>
</div>