<script language="javascript">

        //variables

        let defaultCheckoutSessionObject = {
            id: 0,
            beginDate: "",
            cashierId: 0,
            cashierName: "",
            closed: 0
        };

        let defaultBasketObject = {
            invoiceNumber: 0,
            pending: 0,
            billingDate: "",
            checkoutSession: jQuery.extend(true, {}, defaultCheckoutSessionObject),
            sellerSession: jQuery.extend(true, {}, defaultCheckoutSessionObject),
            considerLocation: true,
            considerServiceProvider: true,
            considerVAT: true,
            considerIT: true,
            serviceProvider: {
                id: 0,
                name: ""
            },
            customer: {
                id: 0,
                name: "<?= NOM_CLIENT_DIVERS; ?>",
                phone: ""
            },
            location: {
                id: 0,
                name: "",
                groupNumber: 0
            },
            products: {},
            totals: {
                amountExcludingTax: {
                    amount: 0,
                    formattedAmount: "",
                },
                amountIncludingTax: {
                    amount: 0,
                    formattedAmount: "",
                },
                netAmount: {
                    amount: 0,
                    formattedAmount: "",
                },
                discountsAmount: {
                    amount: 0,
                    formattedAmount: "",
                },
                taxes: {
                    it: {
                        taxeValue: 0,
                        taxeAmount: 0,
                        formattedTaxeAmount: "",
                    },
                    vat: {
                        taxeValue: 0,
                        taxeAmount: 0,
                        formattedTaxeAmount: "",
                    },
                },
            },
            paid: {
                totalPaid: 0,
                formattedTotalPaid: "",
                details: {}
            },
            refunded: {
                totalRefunded: 0,
                formattedTotalRefunded: "0"
            }
        };

        let defaultPaymentObject = {
            targetInvoices: {},
            totalToPaid: 0,
            totalPaid: 0,
            totalRefunded: 0,
            formattedTotalToPaid: "",
            formattedTotalPaid: "",
            formattedTotalRefunded: "",
            details: {}
        };

        //functions
        function isValidBasket( basket, showErrorMessage = true )
        {
            if (Object.keys(basket.products).length === 0) {
                
                if(showErrorMessage)
                {
                    Toaster.error("", "<?= $this->translator->_("sale.sell.noProductInBasket"); ?>");
                }
                return false;
            }

            if ( basket.considerLocation )
            {
                if ( !basket.location.id )
                {
                    if(showErrorMessage)
                    {
                        Toaster.error("", "<?= $this->translator->_("sale.sell.pleaseChooseLocationOfCustomer"); ?>");
                    }
                    return false;
                }

                if ( !basket.location.groupNumber || basket.location.groupNumber === 0 || isNaN(basket.location.groupNumber) )
                {
                    if(showErrorMessage)
                    {
                        Toaster.error("", "<?= $this->translator->_("sale.sell.pleaseChooseGroupOfCustomer"); ?>");
                    }
                    return false;
                }
            }

            if(basket.considerServiceProvider)
            {
                if( !basket.serviceProvider.id )
                {
                    if(showErrorMessage)
                    {
                        Toaster.error("", "<?= $this->translator->_("sale.sell.pleaseChooseServiceProvider"); ?>");
                    }
                    return false;
                }
            }

            if( !basket.checkoutSession.id )
            {
                if(showErrorMessage)
                {
                    Toaster.error("", "<?= $this->translator->_("sale.sell.noCashSessionAvailable"); ?>");
                }
                return false;
            }

            return true;
        }

        function returnPaymentMethodRowHtml(currentPaymentMethods) {
            let htmlRow = `<div class="fields row">
                        <div class="four wide field">
                            <select class="ui fluid search dropdown inputPaymentMethod">
                                <option value=""><?= $this->translator->_("sale.sell.choose"); ?></option>`;

            $.each(allPaymentMethods, function(key, val) {

                if (jQuery.inArray(`${val.id}`, currentPaymentMethods) === -1) {
                    htmlRow += `<option value="${val.id}" ${((val.code === "<?= MODE_PAIEMENT_ESPECES ?>")? `selected="" `:`` )} title="${val.nom}">${val.nom}</option>`;
                }
            });

            htmlRow += `</select>
                        </div>
                        <div class="nine wide field">
                            <div class="two fields">
                                <div class="field">
                                    <input type="text" class="inputPaymentAmount" onClick="this.setSelectionRange(0, this.value.length)" placeholder="<?= $this->translator->_("sale.sell.amount"); ?>">
                                </div>
                                <div class="field">
                                    <input type="text" class="inputPaymentReference" onClick="this.setSelectionRange(0, this.value.length)" placeholder="<?= $this->translator->_("sale.sell.reference"); ?>">
                                </div>
                            </div>
                        </div>
                        <div class="three wide field">
                            <button class="ui button app-primary-button icon validatePaymentButton disabled" data-tooltip="<?= $this->translator->_("sale.sell.validateThisPaymentMethod"); ?>" data-position="top right">
                                <i class="check icon"></i>
                            </button>
                            <button class="ui button app-secondary-button icon cancelPaymentButton"  style="display: none;" data-tooltip="<?= $this->translator->_("sale.sell.cancelThisPaymentMethod"); ?>" data-position="top right">
                                <i class="delete icon"></i>
                            </button>
                        </div>
                    </div>`;

            return htmlRow;

        }

        function computeTotals(basket) {
            let number = 0;
            let totalNetInvoiceAmount = 0;
            let totalWithoutTaxes = 0;
            let totalReduction = 0;
            let itAmount = 0;
            let vatAmount = 0;
            let totalNetAmountFormatted = "";
            let totalReductionFormatted = "";
            let totalWithoutTaxesFormatted = "";

            $.each(basket.products, function(key, value) {
                if (value !== undefined) {
                    totalWithoutTaxes += value["quantity"] *  value["productPrice"];
                    totalReduction += value["quantity"] * (value["normalSalePrice"] - value["productPrice"]);
                    number++;
                }
            });


            totalNetInvoiceAmount = totalWithoutTaxes;

            if (number > 0) {
                ///
                if ( basket.considerIT) {

                    itAmount = Math.ceil(totalWithoutTaxes * itValue / 100);

                    totalNetInvoiceAmount -= itAmount;

                    basket.totals.taxes.it.taxeValue = itValue;

                    basket.totals.taxes.it.taxeAmount = itAmount;

                    basket.totals.taxes.it.formattedTaxeAmount = Utility.formatAmount(itAmount);

                }

                if ( basket.considerVAT) {

                    vatAmount = Math.ceil(totalWithoutTaxes * vatValue / 100);

                    totalNetInvoiceAmount += vatAmount;

                    basket.totals.taxes.vat.taxeValue = vatValue;

                    basket.totals.taxes.vat.taxeAmount = vatAmount;

                    basket.totals.taxes.vat.formattedTaxeAmount = Utility.formatAmount(vatAmount);
                }

                totalReductionFormatted = Utility.formatAmount(totalReduction);
                totalNetAmountFormatted = Utility.formatAmount(totalNetInvoiceAmount);
                totalWithoutTaxesFormatted = Utility.formatAmount(totalWithoutTaxes);

                basket.totals.amountExcludingTax.amount = totalWithoutTaxes;
                basket.totals.amountExcludingTax.formattedAmount = totalWithoutTaxesFormatted;

                basket.totals.amountIncludingTax.formattedAmount = totalNetAmountFormatted;
                basket.totals.amountIncludingTax.amount = totalNetInvoiceAmount;

                basket.totals.netAmount.formattedAmount = totalNetAmountFormatted;
                basket.totals.netAmount.amount = totalNetInvoiceAmount;

                basket.totals.discountsAmount.formattedAmount = totalReductionFormatted;
                basket.totals.discountsAmount.amount = totalReduction;

               
            } 

            //payments now

            let totalPaid = 0;

            $.each(basket.paid.details, function(key, detail) {

                totalPaid += detail.amount;

            });

            basket.paid.totalPaid = totalPaid;

            basket.paid.formattedTotalPaid = Utility.formatAmount(totalPaid);

            if (totalPaid >= totalNetInvoiceAmount) {

                let refunded = totalPaid - totalNetInvoiceAmount;

                basket.refunded.totalRefunded = refunded;

                basket.refunded.formattedTotalRefunded = Utility.formatAmount(refunded);

            } else {
                basket.refunded = {
                    totalRefunded: 0,
                    formattedTotalRefunded: "0"
                };
            }

        }

        function makeBasketByDetailedInvoice(detailedInvoice)
        {
            let basket = jQuery.extend(true, {}, defaultBasketObject);

            basket.invoiceNumber = detailedInvoice["invoiceNumber"];
            basket.pending = detailedInvoice["pending"];
            basket.billingDate = detailedInvoice["billingDate"];
            basket.checkoutSession = detailedInvoice["checkoutSession"];
            basket.sellerSession = detailedInvoice["sellerSession"];
            basket.serviceProvider = detailedInvoice["serviceProvider"];
            basket.location = detailedInvoice["location"];
            basket.customer = detailedInvoice["customer"];
            basket.products = detailedInvoice["products"];
            basket.totals = detailedInvoice["totals"];
            basket.paid = detailedInvoice["paid"];
            basket.refunded = detailedInvoice["refunded"];
            basket.considerLocation = detailedInvoice["considerLocation"];
            basket.considerServiceProvider = detailedInvoice["considerServiceProvider"];
            basket.considerVAT = detailedInvoice["considerVAT"];
            basket.considerIT = detailedInvoice["considerIT"];
            
            return basket;
        }


       async function printInvoice(invoiceId) {

            let response = ApiResponse.create();
            let parameters = {
                "invoiceId": invoiceId,
                "purpose": "print"
            };

            let result = "";

            try {
                response = await Requester.post(
                    "<?= $this->url(array("controller" => "Sale", "action" => "getinvoicepdf")); ?>",
                    parameters
                );
            } catch (_) {}
            if (response.isSuccess) {
                if (response.code === REQUEST_SUCCESS_CODE) {

                    result = response.data.link;

                }
            }
            return result;
        }

</script>