const ToastPositions = {
  BOTTOM_RIGHT: "bottomRight",
  BOTTOM_LEFT: "bottomLeft",
  BOTTOM_CENTER: "bottomCenter",
  TOP_RIGHT: "topRight",
  TOP_LEFT: "topLeft",
  TOP_CENTER: "topCenter",
  CENTER: "center",
};

iziToast.settings({
  resetOnHover: true,
  icon: "material-icons",
  transitionIn: "flipInX",
  transitionOut: "flipOutX",
  progressBar: false,
  titleSize: "16px",
  messageSize: "16px",
  titleLineHeight: "19px",
  maxWidth: "370px",
  titleColor: "#ffffff",
  messageColor: "#ffffff",
});

ion.sound({
  sounds: [
    {
      name: "success",
    },
    {
      name: "info",
    },
    {
      name: "warning",
    },
    {
      name: "error",
    },
  ],
  volume: 1.0,
  path: `${SITE_PUBLIC_URL}/sounds/`,
  preload: true,
});

class Toaster {
  static success(
    title = "",
    message = "",
    position = ToastPositions.BOTTOM_RIGHT,
    timeout = 10000
  ) {
    iziToast.show({
      title: title,
      message: message,
      backgroundColor: "#21ba45",
      layout: 2,
      position: position,
      timeout: timeout,
      image: `${SITE_PUBLIC_URL}/images/assets/app_logo.png`,
      onOpening: function () {
        ion.sound.play("success");
      },
    });
  }

  static info(
    title = "",
    message = "",
    position = ToastPositions.BOTTOM_RIGHT,
    timeout = 10000
  ) {
    iziToast.show({
      title: title,
      message: message,
      backgroundColor: "#2185d0",
      layout: 2,
      position: position,
      timeout: timeout,
      image: `${SITE_PUBLIC_URL}/images/assets/app_logo.png`,
      onOpening: function () {
        ion.sound.play("info");
      },
    });
  }

  static warning(
    title = "",
    message = "",
    position = ToastPositions.BOTTOM_RIGHT,
    timeout = 10000
  ) {
    iziToast.show({
      title: title,
      message: message,
      backgroundColor: "#cd9903",
      layout: 2,
      position: position,
      timeout: timeout,
      image: `${SITE_PUBLIC_URL}/images/assets/app_logo.png`,
      onOpening: function () {
        ion.sound.play("warning");
      },
    });
  }

  static error(
    title = "",
    message = "",
    position = ToastPositions.BOTTOM_RIGHT,
    timeout = 10000
  ) {
    iziToast.show({
      title: title,
      message: message,
      backgroundColor: "#b21e1e",
      layout: 2,
      position: position,
      timeout: timeout,
      image: `${SITE_PUBLIC_URL}/images/assets/app_logo.png`,
      onOpening: function () {
        ion.sound.play("error");
      },
    });
  }
}
