ALTER TABLE `facturec` ADD `GROUPE` SMALLINT NULL;


CREATE TABLE `emplacement` (
  `ID_EMPLACEMENT` int(11) NOT NULL,
  `ID_POINT_VENTE` bigint(20) NOT NULL,
  `DESIGNATION` varchar(255) NOT NULL,
  `CAPACITE` int(11) DEFAULT NULL,
  `STATUT` smallint(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `emplacement` (`ID_EMPLACEMENT`, `ID_POINT_VENTE`, `DESIGNATION`, `CAPACITE`, `STATUT`) VALUES
(3, 1, 'Table 1', 10, 1),
(4, 1, 'Table 2', 10, 1),
(5, 1, 'Table 3', 10, 1),
(6, 1, 'Table 4', 10, 1),
(7, 1, 'Table 5', 10, 1),
(8, 1, 'Table 6', 10, 1),
(9, 1, 'Table 7', 10, 1),
(10, 1, 'Table 8', 10, 1),
(11, 1, 'Table 9', 10, 1),
(12, 1, 'Table 10', 10, 1),
(13, 1, 'Table 11', 10, 1),
(14, 1, 'Table 12', 10, 1),
(15, 1, 'Table 13', 10, 1),
(16, 1, 'Table 14', 10, 1),
(17, 1, 'Table 15', 10, 1);

ALTER TABLE `emplacement`
  ADD PRIMARY KEY (`ID_EMPLACEMENT`),
  ADD UNIQUE KEY `designation` (`DESIGNATION`),
  ADD CONSTRAINT FOREIGN KEY (`ID_POINT_VENTE`) REFERENCES `point_vente`(`id_point_vente`) ON DELETE RESTRICT ON UPDATE RESTRICT;

ALTER TABLE `emplacement`
  MODIFY `ID_EMPLACEMENT` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;


ALTER TABLE `facturec` ADD `ID_EMPLACEMENT` int NULL;
ALTER TABLE `facturec`
  ADD CONSTRAINT FOREIGN KEY (`ID_EMPLACEMENT`) REFERENCES `emplacement`(`ID_EMPLACEMENT`) ON DELETE RESTRICT ON UPDATE RESTRICT;


CREATE TABLE `mode_paiement` (
  `id` bigint(20) NOT NULL,
  `code` varchar(255) NOT NULL,
  `designation` varchar(255) NOT NULL,
  `statut` smallint(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `mode_paiement` (`id`, `code`, `designation`, `statut`) VALUES
(1, 'ESPECES', 'En Especes', 1),
(2, 'VIREMENT', 'Paiement par virement', 1),
(3, 'CREDIT', 'Paiement a credit', 1),
(4, 'MOMO', 'Mtn Mobile Money', 1),
(5, 'ORANGE', 'Orange Money', 1);

-- 
ALTER TABLE `mode_paiement`
  ADD PRIMARY KEY (`id`);

-- 
INSERT INTO `parametre` (`ID_PARAMETRE`, `NOM`, `VALEUR`) VALUES 
(NULL, 'CHOIX_POINT_VENTE_A_LA_VENTE', 1),
(NULL, 'GESTION_EMPLACEMENT', 1),
(NULL, 'GESTION_PRESTATAIRE', 1),
(NULL, 'CODE_PROFIL_VENDEUR', 'VENDEUR'),
(NULL, 'NOMBRE_MAX_GROUPE_EMPLACEMENT', 100),
(NULL, 'VENTE_MISE_EN_ATTENTE_AVEC_DESTOCKAGE', 0);

ALTER TABLE `facturec` ADD INDEX(`SERVEUR`); 
ALTER TABLE `facturec` CHANGE `SERVEUR` `SERVEUR` BIGINT(20) NULL DEFAULT NULL;
ALTER TABLE `facturec` ADD FOREIGN KEY (`SERVEUR`) REFERENCES `utilisateur`(`ID_UTILISATEUR`) ON DELETE RESTRICT ON UPDATE RESTRICT; 

ALTER TABLE `paiement_facture` CHANGE `MODE_PAIEMENT` `ID_MODE_PAIEMENT` BIGINT NULL DEFAULT NULL;

ALTER TABLE `paiement_facture` ADD INDEX(`ID_MODE_PAIEMENT`); 
UPDATE `paiement_facture` set ID_MODE_PAIEMENT  =  1 where ID_MODE_PAIEMENT = 0 or ID_MODE_PAIEMENT > 5 ;
ALTER TABLE `paiement_facture` ADD FOREIGN KEY (`ID_MODE_PAIEMENT`) REFERENCES `mode_paiement`(`id`) ON DELETE RESTRICT ON UPDATE RESTRICT; 

ALTER TABLE `mvt_caisse` CHANGE `MODE_REGLEMENT` `ID_MODE_PAIEMENT` BIGINT NULL DEFAULT NULL;

ALTER TABLE `mvt_caisse` ADD INDEX(`ID_MODE_PAIEMENT`); 
UPDATE `mvt_caisse` set ID_MODE_PAIEMENT  =  1 where ID_MODE_PAIEMENT = 0 or ID_MODE_PAIEMENT > 5 ;
ALTER TABLE `mvt_caisse` ADD FOREIGN KEY (`ID_MODE_PAIEMENT`) REFERENCES `mode_paiement`(`id`) ON DELETE RESTRICT ON UPDATE RESTRICT; 
